iPod® + iTunes® for Windows® and Mac® in a Snap, Second Edition

Next Page

Book Cover
iPod® + iTunes® for Windows® and Mac® in a Snap, Second Edition
By Brian Tiemann
...............................................
Publisher: Sams
Pub Date: June 27, 2006
Print ISBN-10: 0-672-32899-2
Print ISBN-13: 978-0-672-32899-2
Pages: 432

Table of Contents | Index
Overview

iPod enthusiasts, this book is for you. iPod + iTunes for Windows and Mac in a Snap, Second Edition has been updated to cover the latest version of iTunes and the entire family of iPods, including the new Nano, and podcast and video download features. Organized into a series of well-organized, bite-sized, quickly accomplished tasks, the book lets you zero right in on the one particular task you want to accomplish, quickly figure out what to do, do it, and then get back to your favorite thing to do: play with your iPod.

Next Page


Table of Contents

Previous Page

Book Cover
iPod® + iTunes® for Windows® and Mac® in a Snap, Second Edition
By Brian Tiemann
...............................................
Publisher: Sams
Pub Date: June 27, 2006
Print ISBN-10: 0-672-32899-2
Print ISBN-13: 978-0-672-32899-2
Pages: 432

Table of Contents | Index

Copyright
About the Author
Acknowledgments
We Want to Hear from You!
Chapter 1. Start Here
 | What Is iTunes?
 | What Is the iPod?
 | Choosing the Right iPod for Your Needs
 | About Digital Music Technology
 | Going Legit
 | About Digital Video Technology
 | About Podcasts
 | iTunes and iPod on the Mac and Windows
 | Get to Know the iTunes Interface
 | Get to Know the iPod Interface
Chapter 2. Setting Up iTunes and iPod
 | Section 1. Download and Install iTunes
 | Section 2. Run iTunes for the First Time
 | Section 3. Select Your iPod's Language
 | Section 4. Connect Your iPod for the First Time
 | Section 5. Set the iPod's Date and Time
 | Section 6. Configure Your iPod for Your Headphones or Speakers
 | Section 7. Configure the iPod's Backlight
Chapter 3. Building Your Digital Music Library
 | Section 8. About Music and Video Formats
 | Section 9. Import a Music CD into iTunes
 | Section 10. Get CD Track Names Manually
 | Section 11. Add a Music or Video File to Your iTunes Library
 | Section 12. Import Your Existing Digital Music Collection into iTunes
 | Section 13. Add Album Art to Songs
 | Section 14. Submit CD Track Names to the Gracenote Database
 | Section 15. Import a CD with Joined Tracks
 | Section 16. Extract a "Secret Track" into the iTunes Library
Chapter 4. Using the iTunes Music Store
 | Section 17. About Digital Rights Management Technology
 | Section 18. Sign Up for the iTunes Music Store
 | Section 19. Browse the iTunes Music Store
 | Section 20. Purchase a Song, Album, Video, or Audiobook from the iTunes Music Store
 | Section 21. Purchase Music Using a Shopping Cart
 | Section 22. Check for Purchased Music or Videos
 | Section 23. Authorize a Computer to Play Purchased Music
 | Section 24. Find More Music by Artists in Your iTunes Library
 | Section 25. Publish a Playlist as an iMix
 | Section 26. Give Gift Music to Someone Else
 | Section 27. Redeem Gift Music, a Gift Certificate, or an iTunes Music Card
 | Section 28. Create an iTunes Music Store Allowance
 | Section 29. Request Music from the iTunes Music Store
 | Section 30. Watch for Newly Added Music Using an RSS Feed
 | Section 31. Tell a Friend About an Album in the iTunes Music Store
 | Section 32. Create a Web Link to Your Favorite Music for Sale
Chapter 5. Enjoying Your Music and Video in iTunes
 | Section 33. Find and Play Music in iTunes
 | Section 34. Customize Smart Shuffle Options
 | Section 35. Create a Playlist
 | Section 36. Create a Smart Playlist
 | Section 37. Rate Your Music in iTunes
 | Section 38. Find and Play Videos in iTunes
 | Section 39. Subscribe to and Listen to Podcasts
 | Section 40. Listen to an Internet Radio Station
 | Section 41. Use the iTunes Visualizer
 | Section 42. Provide Customized Background Music with Party Shuffle
 | Section 43. Auto-Level Song Volumes
 | Section 44. Create Crossfades Between Songs
 | Section 45. Protect Your Kids from Explicit Content
Chapter 6. iPod: iTunes to Go
 | Section 46. Transfer Your Music and Videos to Your iPod
 | Section 47. Put Your Home Movies and Downloaded Videos on Your iPod
 | Section 48. Use a Large iTunes Library with a Small iPod
 | Section 49. Autofill Your iPod Shuffle or iTunes Phone
 | Section 50. Transfer Your Music to a Mobile Device
 | Section 51. Find and Play Music on the iPod
 | Section 52. Find and Play Videos on the iPod
 | Section 53. Rate Your Music on the iPod
 | Section 54. Transfer Only Preferred Music to the iPod
 | Section 55. Create an On-The-Go Playlist
 | Section 56. Listen to an Audiobook or Podcast at Home and On the Go
 | Section 57. About the Care and Feeding of Your iPod
Chapter 7. Sharing Your Music with Others
 | Section 58. Create an Audio CD from a Playlist
 | Section 59. Customize CD Burning Options
 | Section 60. Create an MP3 CD
 | Section 61. Print a CD Jewel Case Insert with Album Art
 | Section 62. Create an MP3 CD from Purchased AAC Music
 | Section 63. Export a Song List
 | Section 64. Share Your Music over the Local Network
 | Section 65. Listen to Shared Music on the Local Network
 | Section 66. AirTunes: Connect iTunes to a Stereo System with AirPort Express
Chapter 8. Maintaining Your Music Library
 | Section 67. About Organizing Your Music
 | Section 68. Repair a Missing Song Entry
 | Section 69. Reimport a Music CD for Improved Quality
 | Section 70. Customize Importing Options
 | Section 71. Import a CD in CD-Quality (Lossless) Format
 | Section 72. Convert Audio Files to Other Formats
 | Section 73. Consolidate Your Music Library
 | Section 74. Find Your Music Files from iTunes Entries
 | Section 75. Examine and Modify Song Information Tags
 | Section 76. Eliminate Duplicate Tracks
Chapter 9. Making the Most of iTunes
 | Section 77. Customize Which Information Columns Are Displayed
 | Section 78. Control iTunes from the Dock, Dashboard, or System Tray
 | Section 79. Train iTunes to Play Your Favorite Music
 | Section 80. Adjust the Global Equalizer
 | Section 81. Adjust Equalizer Settings for Individual Songs
 | Section 82. Add a Third-Party Visualizer
 | Section 83. Automatically Download Album Art
Chapter 10. iPod Extras
 | Section 84. Carry and View Your Mac or PC's Digital Photos and Slideshows on an iPod
 | Section 85. Download Photos from Your Camera Directly to Your iPod
 | Section 86. Display Your Photos on a TV
 | Section 87. Display Your Videos on a TV
 | Section 88. Use Your iPod as an External Hard Disk
 | Section 89. Play iPod Games
 | Section 90. Customize the iPod's Main Menu
 | Section 91. Transfer and View Contacts
 | Section 92. Transfer and View Calendar Events
 | Section 93. Synchronize Contacts and Calendar Items Using iTunes or iSync (Mac Only)
 | Section 94. Transfer and View Text Notes
 | Section 95. Use Your iPod as a Stopwatch
Key Terms
Index

Previous Page


Copyright

iPod® + iTunes® for Windows® and Mac® in a Snap, Second Edition

Copyright © 2006 by Sams Publishing

All rights reserved. No part of this book shall be reproduced, stored in a retrieval system, or transmitted by any means, electronic, mechanical, photocopying, recording, or otherwise, without written permission from the publisher. No patent liability is assumed with respect to the use of the information contained herein. Although every precaution has been taken in the preparation of this book, the publisher and author assume no responsibility for errors or omissions. Nor is any liability assumed for damages resulting from the use of the information contained herein.

International Standard Book Number: 0-672-32899-2

Library of Congress Catalog Card Number: 2005938302

Printed in the United States of America

First Printing: June 2006

09 08 07 06 4 3 2 1

Trademarks

All terms mentioned in this book that are known to be trademarks or service marks have been appropriately capitalized. Sams Publishing cannot attest to the accuracy of this information. Use of a term in this book should not be regarded as affecting the validity of any trademark or service mark.

iPod, iTunes, Mac, FireWire, iPhoto, Apple, Mac OS, and Apple Store are either registered trademarks or trademarks of Apple. Windows is a registered trademark of Microsoft Corporation.

Warning and Disclaimer

Every effort has been made to make this book as complete and as accurate as possible, but no warranty or fitness is implied. The information provided is on an "as is" basis. The author and the publisher shall have neither liability nor responsibility to any person or entity with respect to any loss or damages arising from the information contained in this book.

Bulk Sales

Sams Publishing offers excellent discounts on this book when ordered in quantity for bulk purchases or special sales. For more information, please contact

U.S. Corporate and Government Sales
1-800-382-3419
corpsales@pearsontechgroup.com

For sales outside of the U.S., please contact

International Sales
1-317-428-3341
international@pearsontechgroup.com

Acquisitions Editor
Betsy Brown

Development Editor
Alice Martina Smith

Managing Editor
Patrick Kanouse

Senior Project Editor
Matthew Purcell

Copy Editor
Karen Gill

Indexer
Ken Johnson

Proofreader
Linda Seifert

Technical Editor
John Traekenschuh

Publishing Coordinator
Vanessa Evans

Book Designer
Gary Adair

Dedication

To Mike and Julie, whose new iPod wasn't covered by the previous edition. This should do the trick.


About the Author

Brian Tiemann is a freelance technology columnist and software engineer who has written extensively in online magazines about the Macintosh, Apple software, and the philosophy of user-friendly design that has always been synonymous with them. A creative professional in the graphic arts and web design world as well as in networking and software quality, he enjoys software like iTunes and gadgets like the iPod not just as tools, but as prime expressions of the elusive art of the user experience.

A graduate of Caltech, author of Mac OS X Tiger in a Snap, and coauthor of FreeBSD Unleashed and Sams Teach Yourself FreeBSD in 24 Hours, Brian enjoys animation, motorcycles, photography, technological gadgets, the outdoors, and writing about them all. He lives in Silicon Valley with canines Capri and Banzai.


Acknowledgments

Keeping ahead of Apple is no small feat; you publish a book about their products, and the next thing you know, they've released new versions of everything and you have to start all over. But that's what we love them for.

Fortunately, as an author, I've had one big advantage on my side: the capable Sams editorial staff who know how to finish off these projects like clockwork. A big thank-you to Alice Martina Smith for keeping me in good humor through the whole thing, and to John Traekenschuh for keeping me encouraged as well as alerting me to potential technical issues; to Tammy Graham and the folks in the art department for making the iPod screenshots work; to Matt Purcell for orchestrating the author review process; and to Betsy Brown for believing I could pull this thing off in the first place. I'd like to thank them and all the rest of the Sams team! I'd also like to give special recognition to Ben, Tim, Albert, and Caley at the Oakridge Apple Store for being so helpful in getting me the gadgets I needed for that in-store photo shoot.

I would also like to thank those who have continued to support and inspire me: James Lileks for bolstering my ego with his very presence; Steven Den Beste for toughening me up; Mike Hendrix for keeping that torch lit and that flag flying; and Paul, Mike, Damien, Kevin, Aziz, and J for always keeping me on my toes. Lance, Kris, Chris, David, John, Van, Trent, Marcus, Paul, and all the rest: Thanks again for your patience while I've been buried in deadlines!


We Want to Hear from You!

As the reader of this book, you are our most important critic and commentator. We value your opinion and want to know what we're doing right, what we could do better, what areas you'd like to see us publish in, and any other words of wisdom you're willing to pass our way.

You can email or write me directly to let me know what you did or didn't like about this bookas well as what we can do to make our books stronger.

Please note that I cannot help you with technical problems related to the topic of this book, and that due to the high volume of mail I receive, I might not be able to reply to every message.

When you write, please be sure to include this book's title and author as well as your name and phone or email address. I will carefully review your comments and share them with the author and editors who worked on the book.

Email: | consumer@samspublishing.com
Mail: | Mark Taber Associate Publisher Sams Publishing 800 East 96th Street Indianapolis, IN 46240 USA

Reader Services

For more information about this book or others from Sams Publishing, visit our Web site at www.samspublishing.com. Type the ISBN (excluding hyphens) or the title of the book in the Search box to find the book you're looking for.


Chapter 1. Start Here

After many years of languishing in relative obscurity, Apple Computer Inc. today finds itself in an enviable position in the technology industry: It's in nearly uncontested command of a product segment that's hip, extremely popular, and growing by leaps and bounds. This product is digital music, a field that blends the most cutting-edge aspects of personal computing, portable handheld devices, and the entertainment industry. With two key productsthe media-organizing "jukebox" software iTunes and the ubiquitous iPod portable music and video playerApple has a commanding lead in this lucrative industry and shows no signs of slowing down.

Whether you're a long-time Mac user, a newcomer to the Apple fold, or a Windows user who might never have dreamed of using a product from Apple, the iTunes and iPod combination of products provides a complete solution for your music collecting and listening needs. iTunes runs as seamlessly on Windows PCs as it does on Macintosh computers, and the iPod is just as capable on one platform as it is on the other. The process of getting music on the iPod is even completely legal, thanks to the industry-leading iTunes Music Store, which sells not just digital songs and albums but music videos, digital booklets, short films, and TV shows for you to enjoy in iTunes and on the iPod.

iTunes and the iPod are designed with the utmost ease of use and convenience in mind. However, no matter what your computing background is, the world of digital music can be a confusing place, full of esoteric acronyms and convoluted technical tasks. Even for a seasoned computer user, the little details necessary for making the fullest use of your digital music collection can be elusive.

Note

Throughout this book, screenshots from both the Windows and Mac versions of iTunes will be used interchangeably. Because iTunes works almost identically on both platforms, a figure or procedure showing one version of iTunes applies the same way to the other version.

That's what this book is for. It's no lie on Apple's part that iTunes and the iPod are essentially pretty easy to figure out; however, it's the little tricks, the side tasks, and the streamlining procedures that really make the system sing that aren't immediately obvious. This book describes those tasks in a fully illustrated, step-by-step manner so that you can be as familiar with your iPod's esoteric functions as you are with its ubiquitous, white-and-stainless-steel case and the white ear-buds you see dangling from so many pairs of ears on the street today.


What Is iTunes?

First introduced in January 2001, iTunesApple's "jukebox" or digital music organizer applicationwas the first in a long series of software applications developed by Apple after many long years of publishing almost nothing but the Mac operating system (Mac OS) for the company's Macintosh computers. Indeed, iTunes in its original form was compatible only with Macintoshes running Mac OS 9 or the then-new Mac OS X. Many of Apple's applications developed since that timeiPhoto, iDVD, and many of the built-in applications and utilities found in recent versions of Mac OS X (10.3 "Panther," 10.4 "Tiger," or 10.5 "Leopard")share a common look and feel with iTunes, including its metallic gray skin, the list of data sources down the left side, and so on. Third-party application developers for Windows and the Mac platform have also jumped onto the bandwagon, using the iTunes style of interface for attractive, innovative software that's as pleasant to look at as it is easy to use. Many have argued, though, that few if any applications truly match iTunes' revolutionary unified design or accomplish their desired aims quite so well.

As discussed in "About Digital Music Technology" later in this chapter, the idea behind digital music is that instead of listening to songs from your favorite artists by putting a tape or CD into a standalone deck or player and playing it from beginning to end, you can copyor ripthe music that's on a CD into compressed data files on your computer. These music files, which you can select and play through your computer's speakers, don't just have the benefit of being freed from the bulky physical medium of the tape or CD; they also can contain all kinds of useful information built right into their structure, such as the name of each track, the name of the artist and album, the year it was released, the musical genre, and even image data such as album art and user-defined information such as a "star" rating indicating how much you like a given song. These data filesoften stored in MPEG-1 layer 3 (or MP3) formatcan be collected on your computer's hard drive, rearranged, selected individually, grouped by arbitrary criteria, and played back with good clarity and audio quality. Doing this, however, requires software that is capable of making all this simple and intuitive.

iTunes runs equally well on a Windows PC or a Macintosh.

Before the release of iTunes, digital music technology was the realm of technically astute music enthusiasts who did not mind wrestling with austere, difficult-to-master software. Digital music files were exchanged primarily through illegal, underground file-sharing channels, and it was all but unthinkable that digital music could become a mainstream medium to rival compact discs.

Ripping, Mixing, and Burning

After iTunes was released, however, under Apple's slogan "Rip. Mix. Burn," the first step toward legitimization of this new medium had been taken. Apple was actively encouraging computer users to extract the music from their compact discs (rip), rearrange it to their liking (mix), and create (burn) new CDs full of their own custom mixes. With iTunes, users finally had a tool that made these tasks easy. iTunes is built around these three fundamental functionsadding new music to your Library, organizing it to your taste, and converting it to useful forms that you can take with you. Changes to iTunes over the years since its release have only strengthened and expanded on these core functions, which are iTunes' essential reasons for being.

Key Terms

Rip To copy or import audio data files from the tracks on a CD.

Mix To select tracks from multiple different albums, organize them into a playlist, and listen to them according to your own musical tastes rather than in the order in which they appeared on the original CDs.

Burn To create a music CD using a writable disc (CD-R, CD-RW, or writable DVD).

Today, collecting music in iTunes has become a thoroughly mainstream and entirely legal affair, thanks to the iTunes Music Store, an Internet-based record and video store whose interface is built right into iTunes. Now there's no need to buy a physical CD of your favorite artist's latest albumyou just click a button, and legitimately purchased music is downloaded directly into your iTunes Library for you to play with a click of the mouse. iTunes can also import music from your favorite CDs, and it can play back individual digital music files that come from just about any source.

What's more, iTunes is an ideal program for subscribing and listening to podcasts, which are like personal radio shows that can be recorded and published onto the Internet by anybody with a microphone. With iTunes, you can seek out and subscribe to a podcast, whether it's geared toward talk, sports, music, politics, movies, video games, or anything else; download new episodes every week (or whenever they're released); and enjoy them at your leisureall for free. iTunes also allows you to listen to the podcast's forerunner, Internet Radio, a network of streams of audio data to which you can listen at any time by specifying the Web address of a desired channel.

The "mixing" aspect of iTunes is more robust than ever, giving you all kinds of possibilities for how you might choose to organize your music. In its basic interface, iTunes gives you great control over your music by letting you navigate quickly to a desired genre, artist, or album using the Browse lists; you can also go directly to a specific song by typing part of its title into the Search bar. This is only the beginning of your organizational options, though. Not only can you create a playlist of favorite songs by clicking and dragging them into order in the list, but with Smart Playlists, you can tell iTunes to automatically filter through all your music according to criteria you specifysuch as "released in the 1980s" or "played more than 10 times" or "in the Rock genre"and produce a playlist that shows you all your music that matches these criteria in whatever order you choose.

Finally, making your music portableby sharing it with other people, or just by giving you the option to take your music with you wherever you gois what gives the iTunes digital music system the expandability and flexibility you crave as a music enthusiast. As it could since its initial release, iTunes can burn a playlist of music onto a writable optical disc such as a CD-Rif your computer has a drive that supports burning. (Most modern ones do.) You can then play this burned CD in any standard CD player. You can also burn data discs full of compressed digital music files, which you can then play in any CD player that is capable of playing MP3 CDs. (This way you can fit as much as 12 times as many songs on a single disc as would fit on a standard audio CD.) iTunes even prints jewel-case inserts using album art so that you can keep your burned CDs organized attractively. Additionally, iTunes is a network-aware application, and multiple copies of iTunes running on the same home or corporate network can connect to each other and share music with each other. With AirPort Express, Apple's audio-capable wireless networking base station, iTunes can broadcast music through the air to a speaker system of your choice, including the big stereo system that's hooked up to the A/V rig in your den.

None of these sharing options, however, holds a candle to the portability and seamlessness of the iPod, Apple's portable digital music player. The iPod was specifically designed to give you all the flexibility and ease of use that you find in iTunes, in a compact device that fits right into your pocket.


What Is the iPod?

The iPod was released to much surprise and skepticism in November 2001. Revolutionary at the time, the iPod bucked the trends established by most existing digital music players (interchangeably called "MP3 players") in that instead of a small and clumsy LCD screen and tiny confusing buttons, it had a large and detailed display featuring clear listings of music navigated by an innovative rotary thumb-wheel. And instead of a low-capacity Flash memory system that could hold only a few dozen MP3 files at a time, or a large and heavy full-size hard drive, it was built around a physically tiny hard drive that nonetheless packed a huge 5 gigabytes (GB) of storage. This was enough, as Apple's marketing noted with much fanfare, to fit a thousand songs onto a device the size of a deck of cards, and thus into your pocketa benefit that handily offset the iPod's high retail price. A fast FireWire connection meant you could copy the entire contents of your iTunes Library to the iPod in just a few minutes. With a straightforward navigation system that reflected the organizational structure of iTunes itself, the iPod quickly banished all naysayers and claimed the mantle of "iTunes to Go."

In the years since its release, the iPod has undergone many changes, the most obvious of which has been the gradual increase in capacity of its internal hard drive (although the device's physical dimensions, except for its thickness, have not varied): 10GB, then 20GB, and most recently 40GB and even 60GB models have appeared. iTunes libraries comprising 5,000, 10,000, and even 15,000 songs can now fit easily on that same deck-of-cards-sized device. As Apple has refined the navigation system, recent iPods have sported subtly different interfaces, including versions with a touch-sensitive trackpad instead of a physically moving wheel, round buttons above the wheel instead of surrounding it, and (most recently) an integrated "click wheel" that incorporates all the iPod's controls into a single round rocking button. But the basics of the iPod's function have barely changed: You use your thumb to roll the selector up and down the menu on the screen, press the center button to select an option and move to the next screen, and navigate in that way until you find the music you want to listen to. When you've found the artist, album, playlist, or song you want to hear, the Play/Pause button starts playing it.

The most recent version of the iPod features a large color screen and the eye-opening capability of playing videosmusic videos, short films, and whole seasons' worth of TV shows that you can purchase from the iTunes Music Store, or even home movies that you create yourself. The bright and colorful screen also makes the iPod into a device for carrying and viewing your collection of digital photos, with a "slideshow" function that combines your photos with a musical selection and beautiful transitions to create a presentation you can show off on the iPod's screen or on a full-size TV using standard connection cables.

Other iPod models have also joined the lineup. First came the iPod mini, using an even tinier hard drive than the one in the regular iPod (in 4GB or 6GB capacity) and a variety of metallic colors. That was replaced by the iPod nano, featuring a Flash memory system (1GB, 2GB, or 4GB) that allowed it to be made even smaller than the iPod mini, while retaining the bright color screen and photo-viewing features of the full-size iPod. Finally, the Flash-based iPod shuffle leads the iPod family in price by having no screen or direct navigation interface. Instead, its 512MB or 1GB of storage can be "autofilled" by iTunes with a playlist of your choosing, with its contents optionally "shuffled" so that you're never sure what music might come up next.

Note

In October 2004, Apple released a "U2 Special Edition" iPod with a black body and red click wheel, signed on the back by the members of the band U2. Aside from its flashy appearance, the special edition is functionally identical to a standard 20GB fourth-generation (4G) iPod.

In this book, the methods used to synchronize your iPod and navigate its contents are described in a way that's applicable to most if not all iPod models. When the methods described apply only to specific models, the following naming scheme is used:

  • 1G First-generation iPod. FireWire port on the top. 2-inch monochrome screen. Freely rotating mechanical navigation wheel with control buttons surrounding it. Sharp front edge. 5GB or 10GB capacity.

  • 2G Second-generation iPod. FireWire port on the top. Touch-sensitive navigation wheel with control buttons surrounding it. 10GB or 20GB capacity. Visually and functionally the same as the iPod 1G.

  • 3G Third-generation iPod. Dock connector (combination FireWire/USB2.0) on the bottom, compatible with the separately available iPod Dock. Four small round control buttons above the touch-sensitive navigation wheel. Rounded front edge. Capacities ranging from 15GB to 40GB.

  • 4G Fourth-generation iPod. Dock connector on the bottom. Integrated "click wheel" interface with the four control buttons embedded under the directional points of the touch-sensitive navigation wheel. 20GB or 40GB capacity. A version of the iPod 4G with a 60GB hard drive, a color screen, and the ability to display digital photos was sold for several months as the iPod photo.

  • 5G Fifth-generation iPod. Recognized by its large (2.5-inch) color screen and squared-off front edge. Capable of playing videos and displaying photos. Combined headphone and remote jack at the right side of the top edge. Available in black or white. 30GB or 60GB capacity.

  • iPod mini Smaller, rounded design; body in one of several metallic colors. Integrated "click wheel" interface similar to the 4G iPod. Monochrome display. Dock connector on the bottom. 4GB or 6GB capacity.

  • iPod nano Replaces the iPod mini; resembles a scaled-down version of the 5G iPod, with a 1.5-inch color screen and the ability to display photos (but not videos). Available in black or white. Based on Flash memory in capacities of 1GB, 2GB, or 4GB.

  • iPod shuffle No display; small white body the approximate size and weight of a pack of gum. USB connector under a removable cap. Controls limited to Play/Pause, Back/Forward, Volume up/down, and a special "shuffle" switch. 512MB or 1GB capacity (using Flash memory).

Note

Some features described in this book are not available on older iPod models. Additionally, screenshots used in this book to demonstrate iPod functions will generally use a color iPod 5G screen. The color screen on the current iPod is sharper and shows more shades than the monochrome screen on earlier iPod models; it shows more and prettier detailssuch as colorful icons, more engaging games, and additional playback features such as the display of album artwhile you're navigating its interface. The iPod 5G screen is also a little larger than the screens on previous models and can show more lines of information at once. The figures in this book reflect what you'd see on an iPod 5G.

The iPod can carry music in either the standard MP3 format or Apple's semi-proprietary, copyright-protected AAC format. The iPod's use of AAC format means that it's specifically designed to work with iTunes and its system of obtaining legally purchased music from the iTunes Music Store. The iPod will not play music in the Microsoft Windows Media Audio (WMA) format (as found on any of the competing online digital music stores). Because the iPod controls the vast majority of the market for digital music players, and because the iTunes Music Store leads all its competitors by a wide margin, this fundamental incompatibility is unlikely to cause you problemsunless you already own a lot of purchased music in WMA format. In that circumstance, you might have to use a technically advanced procedure similar to the one described in [image] Create an MP3 CD from Purchased AAC Music to import this music into iTunes in MP3 or AAC format so that you can play it on your iPod. (In such a procedure, you'll have to burn audio CDs from your WMA files using Windows Media Player or a similar application because iTunes also won't play your purchased WMA music.)

The iPod family: 1G/2G, 3G, 4G, 5G, iPod mini, iPod nano, and iPod shuffle.

Key Terms

Windows Media Audio (WMA) As the Microsoft competitor format to AAC, WMA files are similarly higher quality than MP3s and can contain any of several kinds of DRM.

Advanced Audio Coding (AAC) A digital audio format codeveloped by Apple as part of the MPEG-4 definition; AAC has better quality than MP3, and it has an optional built-in DRM.

Regardless of the specific model, each iPod has the same basic mission at heart: to synchronize seamlessly with your iTunes Library, copy your music to its internal storage medium, and let you take your music collection wherever you go with the same ease of navigation and playback you enjoy in iTunes itself. The iPod is as much a part of the iTunes experience as the iTunes Music Store is; without an iPod, you're only getting half the benefit of your digital music collection. Besides, without those telltale white earbud cords trailing into your clothes, how else will you show off to everyone on the street that you're on the cutting edge of the digital music revolution?

Comparison of analogous screens of the monochrome and color iPod.

Previous Page
Next Page


Choosing the Right iPod for Your Needs

Perhaps you've already received an iPod as a gift or purchased one on an impulse. If so, you can congratulate yourself; whatever model of iPod you have, you can be sure that it will revolutionize your music-listening habits to the point where you won't be able to imagine life before you had it.

If, however, you haven't yet taken the plunge and bought an iPod, it's easy to be overwhelmed by the many different iPod models available (especially after reading the previous section describing them all). Even among brand-new iPods, there are three basic models to choose from, and each of those models can be had in any of several submodels with different prices reflecting their different features.

Apple has designed the iPod product line so that there is a continuum of features and prices, ranging from the entry-level 512MB iPod shuffle ($69) to the top-of-the-line, video-playing, 60GB iPod 5G ($399). Depending on your listening habits, the size of your music collection, your desire to watch videos, and the size of your budget, the right iPod for you might come in anywhere along that line. This section should give you an idea of how best to spend your money.

The following chart lists all the iPod models that Apple is selling as of early 2006. The price range is shown on the left, and key features appear on the right, with vertical lines showing which iPod models have those features. Consider whether it's important, for example, that your iPod is resistant to scratches; if so, the iPod shuffle, with its rugged and lightweight white body, might be right for you. Count the number of CDs in your collection and calculate how many songs you own; do you want to be able to keep all of them with you at all times? If you have a large CD collection, you'll need a full-size iPod to fit in all of them; otherwise, you'll have to pick and choose which songs to put on your iPod to take with you. Use the listed song capacity to make sure you get a large enough model to suit your listening habits. Do you need to play videos? What about photos? If you enjoy showing off your family photos but you're not interested in videos, the iPod nano might be the best choice.

There are some conditions in which none of the newest iPods is the best possible choice for you. If, for example, you have an older Macintosh computer that has FireWire ports but not USB 2.0, you won't be able to use the newest iPods properly. (All the newest iPods are based on USB 2.0 and don't support FireWire.) If this is the case, consider purchasing a used or refurbished iPod G4, the last iPod model that supports FireWire; the iPod G4 can do everything that modern iPods can do except play videos.

Comparison chart showing iPod features and prices.

Note

USB 1.1, the predecessor to USB 2.0, which was featured on older Macs, runs at a much slower speed and will take many hours to fill up a full-size iPod.


About Digital Music Technology

"But wait," you might be saying. "I thought compact discs were all about digital audio, which is what made them better than cassette tapes 25 years ago. How is the digital audio from a CD different from what is considered digital music in the iTunes world?" That's a fair question. In fact, it's got a good illustration built right into it. Think of digital music in the iTunes age as being to CDs what CDs were to tapes. Tapes are linear; you have to play straight through the tape from beginning to end, and you can only skip around blindly using the fast-forward and rewind buttons. On the other hand, CDs are a digital medium, with true random access to the songs on the disc, which means that the player can access any given song on the disc on command. With a CD, you can do such things as program the tracks to play in a certain order, randomly select songs from various discs in a changer, and so on. These features just weren't possible on an analog medium like the cassette tape, where the audio content consists of nothing more than a long, unbroken stream of magnetic material that is interpreted during playback as different kinds of sound waveforms. The same huge leap in flexibility that we enjoyed in moving from tapes or vinyl records to CDs is now present as we move from CDs to pure digital music on our computers: Instead of the music data being stored on a physical disc that has to be moved around and manually loaded into a player, it's stored in the form of easily portable data files that can be played back in any order, modified, organized into playlists, navigated by artist or album or genre, or copied from device to device by simply giving a command in software.

It wasn't until the mid-1990s, when a couple of technical breakthroughs occurred, that this quantum leap in portability and control became possible. First, a compression algorithm (MP3) was developed that shrunk the digital audio data from the uncompressed format in which it's stored on CDs (about 10MB per minute, which is far too large to be practical) to one in which large music collections could be conveniently stored on typical computer hard drives or transferred easily over the Internet. Additionally, computers' processor speeds rose to the point where desktop PCs could quickly and easily convert CD music data to the compressed format and decompress the data for immediate, convenient playback so that computer users could enjoy their music without getting up from their desks.

The MP3 Revolution

Developed in the early 1990s, MPEG-1 level 3 (MP3) became the first widely accepted encoding format that enabled the meteoric rise in popularity of digital music, even though it was underground and largely illicit at first. College students and young computer geeks with fast Internet connections used free or inexpensive encoding software (licensed from bodies such as the Fraunhofer Institute, which holds the rights to the MP3 encoding algorithm) to convert their purchased CDs into MP3 format. After they converted these files to the compressed digital format, the files immediately took on a life of their own, taking advantage of their relatively small size (usually 3 to 5 megabytes (MB) per song) and the explosive growth of the Internet to leap from computer to computer by way of the new breed of "peer-to-peer" software (such as Napster) that allowed MP3 collectors to seek out music on others' computers and quickly download it for free. Artists and record labels initially dismissed the threat that MP3 file sharing presented to their business model. However, soon it became apparent that the problem was not going to go away on its ownCD sales were slipping noticeably, and it would only get worse with time. A few high-profile lawsuits against MP3 collectors and broadcasters, and the legal shutdown of the original Napster service, officially placed free music file sharing into the public eyeto some, an honorable form of rebellion against corporate tyranny; to others, the very act of killing the goose that lays the golden eggs.

Key Term

MPEG-1 level 3 (MP3) The most widely used format for digital music, MP3 files sound pretty good but have no copy protection built in.

Notes

It's always been perfectly legal to copy a CD to MP3 format for your own use; it's just the unrestricted transmission of these unprotected music files to other, unrelated computer users that's illegal and a violation of copyright law.

Some countries have laws prohibiting copy-protection and DRM on media files; in some countries, the legal status of the digital music medium is still being contested. This book's discussion of legal issues is primarily based on the situation in the United States. If you live elsewhere, be aware of the laws of your own country with regard to these technologies.

There was no denying the advantages of digital music, after all. As long as you're using MP3s responsibly, if you've used them once, it's hard to go back. The convenience of playing a favorite song with a simple double-clickinstead of digging out a CD and skipping to the appropriate numbered track as directed by the liner notesis a difference of night and day. Similarly, CDs simply cannot compare to the organizational benefits of setting the info tags (or ID3 tags) on files so that you can immediately navigate to them by publication year, genre, track number, beats per minute, or even embedded album art images. Quickly and easily creating a mix CD from a list of MP3 files is a giant leap above the laborious, hours-long process of manually dubbing songs to a mix cassette tape as in the old days. Today, it involves little more than arranging the appropriate songs in the right order, inserting a writable CD, and clicking a "burn" button.

Key Term

Info tags Data fields built into a digital audio file that contain the song's title, artist, album, track number, album art, and other information. Often called ID3 tags in MP3 files; also referred to generically as metadata.

The small size and platform independence of MP3 files led to the inevitable creation of portable music players such as the iPod. Because MP3 files inside your computer didn't actually take up physical space (unlike bulky racks of CDs), the only limitation on how small a portable device could be made was in how large the screen and controls had to be to allow for easy navigation of your music. As an illustration, the iPod can't be made much smaller than the iPod nano varietyeven if hard drive technology allowed the same storage capacity in a smaller packagebecause the user still has to work the wheel and buttons with her thumb, and the screen must be large enough to be readable while still retaining the six or seven lines of textual information that make the iPod's scrolling navigation so usable. These limitations are a far cry from the ones that dictate the shape of a portable CD player such as a Sony Discman: no matter how small the technology of such a device gets, the overall unit can never get smaller than the five-inch bulk of a CD. The user also has to hold the disc player horizontally and keep it from being jolted, which is all but an irrelevancy to digital music playersespecially solid-state ones like the iPod shuffle and iPod nano.


Going Legit

MP3 had its day in the sun, symbolizing the freedom of digital music and the irresponsibility that inevitably comes with such freedom. However, it was not to last. If digital music were to become a mainstream medium to rival or even replace CDs, it could not be on the MP3 formatbecause as soon as a record label sold an MP3, the purchaser could immediately turn around and broadcast it onto the peer-to-peer file-sharing networks (which have never gone awayrather, they've merely become more and more sneaky and undetectable by the authorities). Some online digital music stores, such as MP3.com and eMusic.com, have attempted to make a business case on selling MP3s created by artists who don't care about piracy and are only interested in exposure to their fansbut those artists are relatively few and don't include any of the big-name stars whose music most listeners want to buy.

The answer finally came when Apple introduced Advanced Audio Coding (AAC), a digital music format similar to MP3 but protected with digital signatures that ensure that only a limited number of "authorized" computers can open or play a given file. This format was introduced at the same time as the iTunes Music Store, which opened the doors of legal music downloads for both Mac and Windows users. AAC files' Digital Rights Management (DRM) technology gave the record industry the assurance it needed that the products it sold would not be devalued through immediate and uncontrollable duplication.

Key Term

Digital Rights Management (DRM) Software algorithms that provide "copy protection" for digital music, usually enforced with digital "keys."

Because of the DRM-protected flavor of the AAC format, record labels at last gave the nod to Apple, and it's because of the selection of popular music made available by that deal that the iTunes Music Store has become so popular when other similar ventures without industry-placating safeguards have failed. Built directly into iTunes, the Music Store is an online library of more than two million downloadable tracks in thousands of albums by the most popular commercial artists and obscure cult idols alike. Leading the market by a wide margin against competitor stores that use the Microsoft WMA format, the iTunes Music Store lets you buy music through an online account and download it directly into your iTunes music Library. A single customer's purchased music, in AAC format, can be copied and played back on as many as five different computers, whether Windows PCs or Macs. This requires an Internet-based authorization process for each computer, however; without that authorization, you cannot open the files. To read more about the details of the DRM technology used in iTunes and the AAC format, turn to [image] About Digital Rights Management Technology.

Fortunately, AAC files bring more to the table than just DRM restrictions; they also boast better audio quality and compression efficiency than MP3 files, making them smaller and clearer than MP3 files under most circumstances, with true separate stereo tracks and a more efficient codec (encoding and decoding) algorithm. This gives users their own good reasons to opt for AAC (which can be optionally encoded without DRM restrictions, such as if you're importing your own CDs) instead of MP3.

Note

WMA provides similar features and benefits to MP3, although the DRM infrastructure used in WMA files (depending on the specific implementation used by a retailer) can be more restrictive than what is found in AAC.

The downside of AAC files is that they're not as widely used as MP3 or even WMA files. Nearly all digital audio players can play MP3 files, and all the music players on the market displaying the Microsoft "PlaysForSure" badge are also designed to use WMA files, making them compatible with music stores other than iTunes. However, only the iPod can play AAC files. Considering that the iPod is the world's most popular portable digital music player by a huge margin, though, it's hard to see that as a drawback.

Note

iTunes supports several digital music formats other than MP3 and AAC, as described in fuller detail in [image] About Music and Video Formats. AIFF and WAV, both uncompressed formats, preserve flawless CD-quality audio at the expense of disk space. Apple Lossless is a format that halves the size of uncompressed CD audio with no loss of quality. iTunes for Windows can even import unprotected WMA files by converting them to AAC format; see [image] Run iTunes for the First Time and [image] Add a Music or Video File to Your iTunes Library for more information.

With today's computer-component technology, a desktop PC or Mac can encode a full-length CD to MP3 or AAC format in as little as 1/30 of the time it takes to play it all the way through at normal speed. The resulting files usually take up between 30 and 70MB of space on your disk; this means that on a 240GB hard disk (a typical midrange size for a desktop computer in 2006), you can potentially store about 5,000 CDs worth of music, or 60,000 individual songs. Besides which, with iTunes and the iPod, you can immediately dial up exactly the song, artist, or album you want to hear, without having to get up from your seat. That's a lot better than keeping your music discs in a disorganized, overflowing rack against your wall, isn't it?


About Digital Video Technology

In October 2005, Apple unveiled the long-awaited iPod 5Gthe first model in the family that supported the playback of video files as well as music and photos. This new device sported a larger color screen than its predecessors and a set of new features in the software interface that made navigating and playing your music videos, home movies, and TV episodes as easy as playing your music.

Video, however, threatened to complicate the elegant interoperability of iTunes and the iPod. Until that time, the function of iTunes was clearto organize, buy, and play your music. The very name "iTunes" suggested that the focus of the software was firmly on music, and the idea of adding video features to it gave Apple a real challenge.

It was a challenge worth meeting. Beginning with an upgrade to the iTunes Music Store in mid-2004 that saw music videos playing in areas of the store where you could purchase the featured song while you watched the video, and continuing on with integrated video playback and downloadable music videos and movie trailers in iTunes 4.8 a year later, Apple slowly made iTunes and video comfortable with each other. Finally, with the release of the iPod 5G, Apple made it clear that video was to be an integral part of the iTunes/iPod experience. Patrons of the iTunes Music Store could purchase music videos, short films, or TV show episodes for $1.99 each, and they could organize them and play them back in iTunes using a new visual navigation screen. Owners of the new iPod could sync these videos with the rest of their digital media in iTunes and take their favorite TV shows with them on the bus or train.

The video playback technology in iTunes and the iPod depends on the MPEG-4 and H.264 encoding standards built into the QuickTime multimedia architecture that underlies iTunes on both the Windows and Mac platforms and is integrated into Mac OS X. MPEG-4 files contain the same DRM technology found in purchased AAC files, restricting purchased videos to the same authorized computers that can play music bought by the same person.

The encoding algorithms behind iTunes' MPEG-4 files ensure that the videos you buy have the same frame rate that you would see on broadcast TV, and the clarity of the image is at least as good as you would expect to see in a show recorded on TiVo. However, the size of the picture in a purchased video is usually 320x240 pixels, a smaller size than on normal TV. This means that the videos you buy from the iTunes Music Store won't look quite as clear as the same shows on your TV screen.

Key Terms

Frame rate The rate at which the sequence of still frames that make up a video is presented; broadcast TV uses a frame rate of about 30 frames per second, whereas feature films use 24 frames per second.

Pixels Individual dots on your screen that make up an image.

The reason for this compromise has to do with the limitations on current computer technology. A half-hour (22 minutes without commercials) episode of The Office or Drawn Together consumes about 100MB of space on your hard disk, and an hour-long (45-minute) episode of Lost or Battlestar Galactica runs about 200MB. (Cable shows like Sleeper Cell that don't take time out for commercials run the full 60 minutes, making their files even larger.) This means that your 240GB disk will lose about 1 percent of its capacity with every full season of hour-long shows that you purchase. That might not sound like much, but don't forget: These videos are also intended to be played on your iPod. A 60GB iPod will have to devote 4 percent of its capacity to that same season of Lost, and that much space is no longer available for your music or photos.

Furthermore, you must take into account the time it takes to download each of these videos. Short music videos hardly take any longer to download than a song or two; but a full half-hour TV show can tie up your Internet connection for minutes on endand that's if you're on broadband. If you're using a modem, you can expect to be downloading for hours before you've received the video you purchased.

Finally, there's the issue of backups. The iTunes Music Store, as a rule, does not allow customers to download more than one copy of a purchased song or video. That means that when you've bought and downloaded a file, that file is all you've gotif it gets deleted from your computer, you can't get it back. That's why you should consider an appropriate backup solution (such as the ones discussed in [image] Back Up Your Music to CD or DVD). This type of backup is fine for music, but when it comes to videos, your backup solution, such as a writable DVD, might not be big enough to hold all your purchased TV shows. More heavy-duty backup methods such as external hard drives might not be cost-effective for many users. This limitation means that keeping your whole video library on your computer simply isn't feasible yet, although it is feasible for music collections.

Things are bad enough just with the 320x240 video files currently available through the iTunes Music Store. Imagine, though, if Apple were to start selling higher-definition video content, with an image size of 640x480 (about what's available in broadcast TV). This would quadruple the amount of data required to produce each video file; a half-hour TV episode would be 400MB, and a single episode of Sleeper Cell would take up a whole gigabyte.

The good news is that technology keeps marching forward. Soon we'll all have hard drives ten times the size they are now, broadband Internet connections that can download hundreds of megabytes in the blink of an eye, and HD-DVD or Blu-Ray optical drives that can solve our backup needs for years to come. Until that happens, though, we'll have to be content with our 320x240 videos.


About Podcasts

One of the most explosive phenomena on the modern Internet is podcastingthe digital descendant of underground radio shows. Developing hand in hand with the rise of blogs (personal journals and punditry sites written by any individual with the time to devote to it), podcasting allows a personfor example, a bloggerto record a half-hour of talk, music, comedy, politics, or whatever suits his fancy, add chapter marks and illustrations, upload it to his website, and do it all over again the following week. Anyone on the Internet can then subscribe to the podcast and receive each new installment as it's released, downloading it from its distribution site on the web for free. Because podcasts in their simplest form are really nothing more than large MP3 files, fans can play podcasts in iTunes or other audio programs and copy them to their iPods to listen whenever they have an ear to spare.

Key Term

Podcasting Publishing a stream of MP3 or AAC audio in episodic format, containing whatever content the individual publisher sees fit to record, for listeners to download and listen to in iTunes or on an iPod.

One of the curiosities of podcasting is that, despite its name, it doesn't have anything inherently to do with the iPod. People were podcasting months before Apple took official notice of the phenomenon; the name just came about and stuck because the iPod was already so popular and because it was such a convenient way to listen to these personal audio broadcasts. However, when Apple added podcasting support to iTunes and the iPod in May 2005, it brought a whole new sheen of legitimacy to the practice. Whereas beforehand, the only listeners for a podcast would typically be the existing fans of the site that produced it, today listeners can discover new podcasts of all kinds using a special section of the iTunes Music Storethe Podcast Directorythat spotlights popular podcasts and provides avenues for discovering thousands of new ones. iTunes itself has a whole dedicated navigation screen for podcasts and a set of tools for managing your subscriptions to them; it will automatically check each day for new episodes of each podcast to which you've subscribed, download these episodes, and throw away old episodes you've already listened to, if desired. Podcasts in iTunes can have running artwork that changes as the audio stream progresses, giving the podcaster the ability to illustrate what he's talking about; iTunes even supports podcasts that are made up of video streams, allowing podcasters to distribute their home movies, investigative video reports, or animated films (such as Homestar Runner) to whatever fans are interested in tuning in. Much more information on using podcasts with iTunes and the iPod is available in [image] Subscribe to and Listen to Podcasts.

Creating a Podcast

One of the great things about podcasting is its democratic natureanybody who wants to can create a podcast and publish it for potential fans to find. If you can't find a podcast out there covering some topic that you want to see covered, just make one yourself!

Although creating podcasts is not a part of iTunes' feature set, the software necessary for creating podcasts is widely available on both Windows and the Mac. Dozens of programs both free and commercial allow you to record, edit, and upload your podcast to your web server, and create an RSS feed that allows podcasting client programs such as iTunes to subscribe to your podcasts.

Web Resource

http://www.podcastingnews.com/topics/Podcasting_Software.html

A listing of popular podcast-creating software for Windows, Mac, and other platforms.

As part of Apple's adoption of the phenomenon whose name it probably wishes it invented, GarageBand 3.0 for the Mac was released in early 2006 with a much-heralded integrated podcasting feature. GarageBand, already well known as a loop-based music-creation program that gives musicians of every skill level the ability to build musical compositions from prepackaged loop components and their own recorded performances, now enables podcasters to turn their musical creations into publishable podcasts with artwork or video tracks accompanying the composed music or recorded voice. Other helpful features include integration with the iPhoto application as a source for photos and with iTunes for integrating music tracks, and an automatic "ducking" feature that causes the music to dip in volume when you start talking into your microphone, turning the podcast stream into a professional-sounding radio presentation. GarageBand is part of the $79 iLife '06 suite, and it's included free with all new Macs. Another part of iLife '06 is iWeb, a Web page authoring utility that integrates the podcasting support from GarageBand and automates the uploading of your finished podcasts to your customized site.

GarageBand, on the Mac, provides tools for podcast creators and doubles as a music composition program with ready-made loops.

[View full size image]

Windows users have their pick of several podcasting solutions that range from the bare bones to the feature studded. Most of the podcasting software for Windows that offers the same functionality that GarageBand does is commercial; some highly acclaimed examples include ePodcast Creator from Industrial Audio Software ($89) and Podcast Factory from M-Audio ($179). As a more inexpensive alternative, the free Audacity is a utility for recording multitrack sound streams from your microphone and other sources. Several standalone utilities are available for creating the necessary RSS feeds and uploading the finished podcast files to your web server.

Publicizing Your Podcast

When you're done creating and uploading your podcast episode, you'd think the hardest part would be letting people know about it. Thanks to iTunes, though, that isn't the case.

In the Podcasts section of the iTunes Music Store, there's a big link right in the middle of the page called Submit a Podcast. Click this link, and you'll be taken to a page where you can enter the URL of your podcast's RSS feed. You're then asked for a title and description for the podcast, in addition to search terms and other information (such as its category) that will help listeners find it. After you submit this information, the iTunes Music Store staff review the podcast and enter it into the Podcast Directory.

After your podcast has been listed, anyone using the iTunes Music Store can search for terms pertaining to a podcast they're interested in or browse whole categories of podcasts; yours will be listed among the search results right along with the most prestigious podcasts produced by hot bands, journalists, politicians, and much moreeveryone's on the same level playing field!


iTunes and iPod on the Mac and Windows

Many Mac usersand Windows users, toowere stunned when, in October 2003, several months after the opening of the iTunes Music Store, Apple released a version of iTunes for Windows. Perhaps it was an inevitability. Before that release, Apple had sold iPods that were labeled for use with Windows; they were formatted to use the Windows FAT32 file system format rather than the HFS+ file system on the Mac. Without a Windows version of iTunes to use in synchronizing them, however, these Windows iPods were only half a product. Apple had endorsed the MusicMatch Jukebox software for use with its Windows iPods. This solution was adequate but hardly ideal. Thus, when Apple's iTunes Music Store finally debuted, bringing with it the first feasible system for legitimate and legal music downloads backed by the major record labels, it stood to reason that Apple would have to support it on the Windows side, too.

This move has paid off well. Most agree that iTunes' success on the Windows platform is what has really driven Apple's rise to popularity in the digital music industry; after all, even the most generous estimates place the market share of Macintosh users at about 6 percent of the computer industry, far too small to make any real impact on its own. Thus, when Apple released the Windows version of iTunes, its goal was to tap the hugely dominant Windows market as well as the already saturated Mac market, and to solidify its own AAC music file format as a Windows standard as well as a Mac one. Even though Apple is the only company to use AAC, and iTunes and the iPod are the only products to support it, their ubiquity across both platforms suggests that the gamble has worked.

Note

A dirty little secret of the iTunes Music Store is that the store makes very little profit for Apple; each song's sale price almost completely goes to cover licensing fees, network storage and delivery costs, and Apple's own operating expenses. Apple makes its money from the music store by selling iPods, a revenue source that its competitors can't claim.

Part of the success of iTunes on Windows is owed to customers' overall pleasant surprise at discovering that it is not merely a "port" of the Mac version; it's a stable, well-designed, well-integrated Windows application that's compatible with almost all popular CD drives (as is necessary for burning discs) and completely equal in all features to the Mac version of iTunes. Even such obscure features as third-party visualizers work on the Windows version. Part of this success is based on Apple's software design philosophy, which dictates that a piece of software should behave according to your cultivated expectations of it; so if a person is used to the Mac version of iTunes, he should be able to use the Windows version in the same way (and vice versa). The upshot is that Windows users believe that Apple is fully committed to making the Windows iTunes experience every bit as good as the Mac iTunes experience, and not merely treating the Windows world as an afterthought or its users as second-class citizens.

With all that background in mind, this book presents screenshots from both the Windows and Mac versions of iTunes when demonstrating techniques and features. Because iTunes works almost identically on both platforms, a figure or procedure showing one version of iTunes applies the same way to the other version. That said, however, there are a few minor caveats to keep in mind regarding iTunes' compatibility across platforms.

In Mac OS X, each application has its own Application menu (labeled with the application's own name) in the menu bar at the top of the screen. This convention is not present in Windows applications. Several options found by convention in the Mac iTunes menu are instead found in other menus in the Windows version, primarily the File and Help menus (for example, File, Exit is the Windows equivalent of the Mac's iTunes, Quit iTunes). Also, the Preferences menu option, which appears in the iTunes menu on the Mac, is instead found in the Edit menu in the Windows version.

Another convention of the Mac operating system that can be confusing to newcomers of the Mac platform is its modal applications, meaning that the active application takes over the entire screen context, with its own menus appearing in the menu bar at the top. In contrast, Windows applications are self-contained, each within its own window, with its menus shown under the window's title bar. iTunes on Windows has menus in this customary location. On the Mac, however, the menus don't appear in the iTunes windowthey're in the menu bar lining the top of the screen. iTunes must be the active application, in the foreground, for its menus to be accessible. (However, you can click and manipulate iTunes' audio controls directly even if the application is not in the foreground.)

The Windows and Mac versions of iTunes compared.

[View full size image]

One final esoteric feature of iTunes that differs across platforms is its handling of file paths. On the Mac, the HFS+ file system allows the operating system and applications (such as iTunes) to address each file by a unique ID number, not just by its path through the folders on the disk; thus, iTunes can find a music file even if you move it to a completely different part of the disk. Windows, however, cannot track files this way; it can only use a file's path through the folders to locate the file. This means that if you move a file that's in the iTunes Library from one folder to another in Windows, iTunes will no longer be able to find that file if you try to play it. You'll have to reattach the link in the database using the method described in [image] Repair a Missing Song Entry.

All new iPods sold today are formatted for compatibility with Windows, using the FAT32 file system. Because Mac OS X supports FAT32 disks, Mac owners will have no difficulty using their iPods with their Macs. However, some benefits are potentially to be had from converting the iPod to the Mac's native HFS+ format, such as the ability to name the iPod using a label containing special characters such as apostrophes and spaces. (This is not possible with FAT32-formatted iPods.) Converting your iPod from one format to another involves using the iPod Updater software (downloaded from Apple's support site) on the operating system to which you want to convert the iPod; refer to [image] Restore Your iPod to Factory Settings for instructions on this process. Furthermore, when it comes time to update your iPod's firmware (to add support for new features, for example), you will need to run the iPod Updater to do so, and the Mac's version of the iPod Updater will not work with a Windows-formatted iPod. See [image] Connect Your iPod for the First Time and [image] Update Your iPod's Software for more information about this procedure if you're a Mac owner with a new iPod.

Older iPods were sold explicitly as "Windows" or "Mac" versions, and you had to be sure to buy the correct model for your operating system. Converting the iPod from one format to the other was not supported or covered by the warranty.

If you have an older iPod (1G or 2G), be aware that only FireWire connections are supported; you'll need to make sure that your PC has a FireWire card installed before you can connect your iPod. The same caution applies if your PC supports only USB 1.1 ("USB Full-speed") and not USB 2.0 ("USB High-speed"); all modern iPods highly recommend the much faster USB 2.0. You can purchase add-on FireWire or USB 2.0 cards for as little as $20 at computer or electronics stores.


Get to Know the iTunes Interface

If you are at all familiar with computer usage in general, interacting with your music in iTunes is a pretty straightforward and intuitive affair. The sources of your music are listed in the Source pane on the left side of the window, including CDs, playlists, videos, podcasts, attached iPods, and any shared music libraries that are present on the network. The listings of songsand the means for navigating themare in the main body of the application window. This layout should not be too surprising, and you should be able to pick up iTunes' basic operation quickly. However, a few things about iTunes' more subtle behaviors might seem peculiar at first, and a good understanding of iTunes' structure and design intent are important in seeing why it does what it does.

The main iTunes window provides many features associated with finding and playing back audio files.

[View full size image]

First of all, don't think of iTunes as merely a "player" for audio files that you keep organized on your computer's hard disk. Rather, it is a dedicated, specialized interface for the music you own. It's a database, with references pointing to the music files on your hard disk and presenting them as usefully as possible. You manipulate these references in the database rather than representations of the files themselves. iTunes doesn't use the traditional "documents and folders" computing metaphor for organizing music; instead, it treats each audio file as a song and organizes songs on the basis of their artists, albums, and genres, and in the custom playlists you can define. You don't "open an MP3 file" in iTunes as you would in a simple front-end program such as WinAmp. Rather, you select a song from iTunes' internal Library and play it. The song you select corresponds to an MP3 or AAC file in a folder on your disk, and the folder it resides in is organized according to the artist and albumbut you ideally never have to deal with the files themselves in the Finder or Windows Explorer in the course of your daily musical enjoyment. iTunes keeps track of all that for you.

Playing and controlling music in iTunes is analogous to the controls of most physical music players: The Play/Pause button starts and stops the music, and the Back and Forward buttons skip from song to song in the current listing. Use the scrub bar to skip immediately to a specific place in a song by dragging the playhead. Play a song by double-clicking it in the song list or by selecting it and clicking Play.

There's nothing revolutionary about any of that. Where iTunes shines, though, is in how it organizes your massive music collection and gets you to exactly the music you want.

Key Term

Scrub bar A long, horizontal control with a sliding knob that allows you to skip directly to a specific point in the timeline of a music or video file. It also shows you your current position in the timeline.

Tips

If you click and hold the Back or Forward button, iTunes "rewinds" or "fast-forwards" the song in the same way that most personal music players do.

Click the song information above the scrub bar to rotate between the song name, artist, and album, or to choose among Elapsed Time, Remaining Time, and Total Time readouts.

With Library selected in the Source pane, you can browse immediately to an artist (to see all the songs in that artist's albums) or to a particular album by using the Browse view (click the Browse button in the upper-right corner of the screen to reveal the navigation lists). The Genre, Artist, and Album lists operate in a manner similar to the Column view of the Mac OS X Finder: Selecting one or more items in one list narrows down the items shown in the columns to the right (so that if you select Rock from the Genre list, only Rock artists and albums are listed in the other two columns). You can also zoom straight to a song by typing part of its title into the Search box. By sorting the song list by its visible columns of data, you can put all your music in exactly the order you want to play it.

All songs in the iTunes Library have numerous pieces of data associated with them. Aside from the artist and album and genre, each song (potentially) has a track number, a "star" rating you can assign, a date when the song was last played, and many other such fieldsall specified in the info tags (or ID3 tags, for MP3 files) embedded within the file. iTunes' database structure works by managing songs by their info tags, which you can use to sort your songs into automatic ("Smart") playlists, filter them to your preference, and track how often you play them. By using this information, iTunes gradually molds itself to your listening style and preferences.

The hierarchical structure of the iTunes Music folder, shown here in Mac OS X.

[View full size image]

Behind the scenes, iTunes keeps all its music filesMP3, AAC, and other formats it understandsin a special iTunes Music folder inside a folder called iTunes that also contains the main database file that iTunes reads and maintains. On the Mac, this folder resides inside the Music folder in your Home folder; in Windows, it's inside your My Music folder. Inside the iTunes Music folder are folders for every artist in the Library, and inside those folders are folders for each album by each artist. MP3 and AAC music files are sorted into those folders, with filenames kept in sync with the info tags you specify for the song name, track number, artist, and album. This way, you can always find your music files quickly using the Finder or Windows Explorer if you have to. iTunes can also keep track of music files that aren't in its iTunes Music folder, but those files aren't automatically organized if you change their info tags. See [image] Import Your Existing Digital Music Collection into iTunes if you're a seasoned MP3 collector and want to know more about what iTunes plans to do with your files.

For everyday musical enjoyment, you don't need to know much more than to choose the music source you want from the Source pane and then navigate to the music you want using the browser columns or by sorting on a column in the song listing. For example, find recently added music by clicking the header of the Date Added column; click the header again to reverse the direction in which the list is sorted. Find uncompressed AIFF files by sorting on the Kind column. Find all songs with "Night" in their song titles by typing Night into the Search box; sort the results by clicking one of the column headers. These controls and more are covered in greater detail in [image] Find and Play Music in iTunes.

Selecting different music sources or methods of viewing your music puts iTunes into any of several "views" that are referred to from time to time in this book. Here are some of the most important views:

  • Library view With Library selected in the Source pane, you can view all your music in a single long list, sorted by the selected column.

  • Browser view Click the Browse button in the upper-right corner of the screen to see the Genre, Artist, and Album lists, which allow you to zero in on exactly the music you want. The Browse button is not always available (for example, in Playlist view, it becomes the Burn Disc button instead), but you can always activate Browser view by selecting Show Browser from the Edit menu.

  • Playlist view Choose a playlist from the Source pane to see the songs in the list, which are only references to the songs in the Library. See [image] Create a Playlist and [image] Create a Smart Playlist.

  • Music Store view Select Music Store from the Source pane to browse and buy new music; see [image] Browse the iTunes Music Store for more information.

  • Podcasts view Click the Podcasts item in the Source pane to show all the podcasts to which you've subscribed, each of which you can expand using the triangle icon next to its name so that you can see all the episodes that you've downloaded.

  • Videos view Click the Videos item in the Source pane to see all the videos currently in your iTunes Library. Two modes are available within this view: Icon mode, in which videos are shown as a grid of thumbnail images against a reflective black background, or List mode, which is similar to the Library view.

  • Shared Music view Choose any shared music library or playlist from the Source pane to browse and play music that is stored on someone else's computer. See Share Your Music over the Local Network.


Get to Know the iPod Interface

In a world where clumsy, difficult-to-navigate MP3 players had been commonplace, the iPodwhen it was releasedwas a much-needed breath of fresh air. Billed since the beginning as "iTunes to Go," the iPod presented a synthesis of iTunes' sensible organizational structure and a navigation system that worked with a human being's hand rather than rebelling against it. The revolutionary navigation wheel is several controls in one. Someone who has never seen an iPod before might wonder where all the directional buttons and volume controls are; the secret is that all of them are incorporated into the wheel. While you're navigating the menus, the wheel moves the selection bar up and down, and the Select button chooses an option. When a song is playing, the wheel adjusts the volume. You access additional wheel functions, such as seeking to a point within a song or video, by pressing the Select button one or more times to change the mode and then turning the wheel.

Slide your finger or thumb in a circle on the wheel surface to navigate through the menu systems and control the volume. Press the Select button in the center to make a selection.

The four remaining buttons are the minimum necessary for complete control of the device. Whether the buttons are arranged in a ring surrounding the wheel (as in the iPod 1G and 2G), in a row above the wheel (as in the iPod 3G), or incorporated into the wheel itself (as in the iPod 4G and 5G, iPod mini, and iPod nano), they cover the same functions: moving backward and forward one track at a time (or, if you hold them down, fast-seeking backward and forward within the song), pausing and resuming the music, and moving up to the previous menu level.

Note

The iPod shuffle, lacking both a screen and a navigation wheel, has separate volume control buttons in addition to Back, Forward, and Play/Pause buttons. The iPod Radio Remote has the same selection of controls that the iPod shuffle does.

The iPod's controls allow you to delve into your music collection and zero in on the music you want with a spin of the dial.

The iPod Radio Remote, an accessory that's available separately for $49, is designed to give you most of the control you need while listening to your music without having to pull your iPod out of your pocket or out of its belt clip. The remote plugs directly into the Dock connector on the bottom of the iPod, and your headphones or earbuds plug into the other side of the remote. You can then clip the remote to your lapel or the seam of your pants. The controls on the remote cover the necessary functionality of the iPod aside from direct navigation and manipulation of the source of music currently being played. What's more, the Radio Remote adds FM radio to your iPod's capabilities. See [image] Listen to FM Radio for more information on the remote.

To play music, use the navigation wheel to scroll through the Main Menu options to highlight Music. Press the Select button to move to the next screen, where you can choose between Playlists, Artists, Albums, and several other organizational groupings. Highlight the one you want and press Select to delve further into your music. Continue navigating in this way until you see the music you want to hear; press Select to begin playing it. Alternatively, select the name of any playlist, artist, or album and press Play/Pause to begin playing all the music categorized in that selection. These techniques and more are covered in greater detail in [image] Find and Play Music on the iPod.

Note

The Back and Forward buttons on the iPod (and on the Radio Remote) work the same as the buttons of the same name work in iTunesnamely, they skip from track to track if pressed briefly, and they act as "fast-forward" and "rewind" buttons if held down. This is the case for videos as well as songs.

Playing videos works the same way. Select Videos on the Main Menu; in the next screen, choose between Video Playlists, Movies, Music Videos, TV Shows, and so on; the next screen, depending on your selection, gives you subdivisions such as the names of artists or the titles of TV shows. Selecting a video by name starts it playing. (However, the Play/Pause button does not work the same way with video groupings as it does with music albums and artists; pressing that button does not play an entire selection sequentially.) See [image] Find and Play Videos on the iPod for more information.

Other functions of the iPod operate in much the same way. To view photos, select the Photos menu option; see [image] Carry and View Digital Photos and Slideshows on an iPod for more detailed instructions. The Extras section contains a number of useful features such as Contacts, Calendars, Stopwatch, and Games, which are discussed in the tasks in Chapter 10, "iPod Extras."

The Shuffle Songs option is a shortcut to a popular iPod listening mode. It queues up all the songs in the iPod's Songs list, shuffled randomly. This frees you from having to decide on a particular playlist, artist, album, or other grouping to listen to, and it might pleasantly surprise you with the sequence of songs it digs up.

Finally, the Now Playing menu option gives you a shortcut to the song that's currently playing. If you start playing a song and then use the Menu button to navigate up through the menu system to use other features of the iPod, the song keeps playing in the background until you select a different song to play; you can return at any time to the playback screen by navigating up to the Main Menu and choosing the Now Playing option. (If you are playing a video, pressing Menu stops playback, but the Now Playing option returns you to the video at the point where it left off.)

On both the Radio Remote and the iPod, there's a Hold switch that disables all the iPod's controls when engaged, ensuring that you can't inadvertently jostle your iPod into switching music tracks or cranking up the volume to maximum while you're jogging or reaching for your loose change. The switch is deliberately hard to move so that you can't accidentally flip it on or off. When it's engaged, a "lock" icon appears on the iPod's screen (in the upper-left corner), so check for this icon if your iPod's controls don't seem to be working.

Tips

The Hold switch on the iPod affects only the iPod's built-in controls; the Hold switch on the remote affects only the remote's controls.

Holding down the Menu button for several seconds turns the backlight on or off.

If you leave the iPod undisturbed without playing music for two minutes, its screen shuts itself off automatically and the iPod enters its sleep mode (from which it can be awakened at the touch of any control button). If you're impatient, you can put the iPod to sleep immediately by holding down the Play/Pause button. When the iPod is asleep, it does not lose its place in the menus or in a song you're playing; when you wake it back up, it resumes playing almost instantly, right where you left off. Even in sleep mode, however, the iPod uses a small amount of battery power; after two days of sitting unused, the iPod shuts down entirely. Pressing a button on a powered-down iPod causes it to go through its full boot procedure, which takes 10 to 15 seconds and can be identified by the Apple logo that appears on the screen before the menus become visible.

On rare occasions, the iPod might become unresponsive and require you to reset it (which is equivalent to rebooting the system software). First toggle the Hold switch to its engaged position, and then toggle it back again to unlock it. For the iPod 3G and earlier, hold down the Menu and Play/Pause buttons simultaneously for several seconds until the Apple logo appears on the screen. More recent iPods have the integrated click wheel. You can't press those two buttons simultaneously because they are opposite each other on the click wheel, so instead hold down the Select and Menu buttons to reset the unit.


Chapter 2. Setting Up iTunes and iPod

IN THIS CHAPTER:

Download and Install iTunes

Run iTunes for the First Time

Select Your iPod's Language

Connect Your iPod for the First Time

Set the iPod's Date and Time

Configure Your iPod for Your Headphones or Speakers

Configure the iPod's Backlight

Perhaps you've just bought a new iPod and are itching to get down to using it. Perhaps you've had an iPod and iTunes for a while now and are just now opening this book to see what tips and tricks you're missing. Either way, it's a good idea for you to use the tasks in this chapter to ensure that your copy of iTunes is installed and configured properly and that your iPod is set up according to your needs.

Whether you're using a Mac or a Windows PC, setting up iTunes is a pretty straightforward processit's also a familiar procedure if you've ever installed software before. Nonetheless, the process involves some subtleties that might not be apparent to you at first. The same goes for the iPod, which has many hidden features and settings that are important to set right away for optimal success in enjoying your music.


Section 1. Download and Install iTunes

1. Download and Install iTunes

See Also

Run iTunes for the First Time

If you're using a Mac, chances are you already have iTunes installedit's bundled as part of the standard software loadout of every new Mac. If you're using Windows, however (unless you're the owner of one of the few PC manufacturers that bundles iTunes with their new computers), you must download iTunes and install it on your system before you can use it.

Even Mac users should check periodically to make sure they have the newest version of iTunes with all the latest and greatest features. It's delivered by the standard Software Update mechanism in Mac OS X, or you can download and install it manually using the procedure described in this task. On Windows, choose Help, Check for iTunes Updates periodically to see whether an upgraded version is available.

Note

iTunes ships with every new iPod. If you just bought an iPod, install iTunes directly from the included software disc according to the instructions packaged with the iPod, rather than following this procedure.

Before beginning this task, ensure that you are able to connect to the Internet properly. You must be able to reach Apple's website (www.apple.com) with your web browser to download iTunes, which is free of charge.

Download and Install iTunes

Go to the iTunes Download Site

Open your web browser (Internet Explorer on Windows, or Safari on the Mac), type the address http://www.apple.com/itunes, and press Enter. If your computer is configured properly to access the Internet, the iTunes website should appear, with its customary marketing materials that attempt to sell you iPods and songs from the iTunes Music Store. Right in the middle of the screen is a large link labeled Free Download; click this link to go to the download page.

Web Resource

http://www.apple.com/itunes

Even after you install iTunes, the iTunes website can be a useful place for you to start using some of its features; the site has links to pages where you can buy gift certificates, set up allowances, or get iTunes technical support, among other functions.

Choose Your Platform

The download page first prompts you to select your platform. The radio button matching the operating system you're using should be selected automatically; if it isn't, choose Mac OS X v10.2.8 or later or Windows 2000 or XP accordingly.

Download the iTunes Package

First enable or disable the check boxes specifying whether you want Apple to send you promotional email messages and the weekly New Music Tuesdays notification. If you're concerned about privacy and don't like getting marketing emails, disable these check boxes. However, if you plan to use the iTunes Music Store, you might want to consider leaving the box for the New Music Tuesday notifications checked. The iTunes Music Store is constantly being updated; hundreds of albums (from today and yesteryear) are added to the catalog every week, and the notification sent every Tuesday lets you know when particularly noteworthy music has been made available. If you leave either of the two check boxes enabled, enter your email address in the text box provided so that you can receive the messages.

Tip

You can see a complete listing of all the new music added to the iTunes Music Store every week by clicking Just Added in the Inside the Music Store box on the main page of the iTunes Music Store.

When you're ready to begin downloading, click the Download iTunes Free button. Your browser begins downloading the iTunes installer package, and the main browser window changes to show a brief introduction to installing and using iTunes.

If you're using Internet Explorer in Windows, you might be prompted for several ways to handle the downloaded file. Click Save to save the installer package to your desktop or click Run to run the installer from within the browser. Either option should suit your needs of installing the software, but choose Save if you want to keep the installer file around for future use.

Run the Installer Program

The installer package for Windows is about 35 megabytes (MB) in size, which should take about two hours to download on a 56K modem connectionless time on a broadband link such as DSL or cable. The package for Mac OS X is about half the size and takes about half the time to download.

After the package has finished downloading, unpack it if necessary. Mac OS X should unpack the file automatically into a mounted iTunes 6.0.4 disk image. If it doesn't, double-click the downloaded iTunes604.dmg file that appears on the desktop, and then double-click the disk image to open its window. Windows automatically saves the iTunesSetup.exe file to your selected download location.

Double-click the resulting installer program iconiTunes.mpkg on the Mac, iTunesSetup.exe on Windowsto launch the iTunes installer.

Note

The iTunes disk image window for Mac OS X includes a file labeled Read Before You Install iTunes. It's a good idea to open and read this document, which describes system requirements and information about the most recent version's changes. This same document is available in the Windows version as one of the screens in the installer, and it's available after installation as the About iTunes file in the iTunes program group.

The installer does essentially the same things on both Windows and the Mac, although the details of which screens appear in what order vary. An important distinction is that in Windows, the installer also includes QuickTime, which is Apple's audio/video framework that underlies and supports iTunes. QuickTime is built into Mac OS X, so the iTunes installer does not need to install QuickTime on the Mac.

Key Terms

QuickTime Apple's multimedia technology that is built into Mac OS X; it is packaged with the iTunes installer for Windows.

In Windows, the first thing you see is a screen where you can choose the installer's language from among some 14 choices. Because the Mac installer can deduce your desired language from the operating system, it does not present this choice.

The first real screen of the installer is a "welcome" page that greets you with an introduction to the "digital music revolution." Click Next to proceed. The next screen shows you the Software License Agreement, which you must accept by clicking Agree when prompted (on the Mac), or by selecting the I accept the terms of the license agreement check box and clicking Next (in Windows).

This step is followed by a screen that contains information on the particular version of iTunes that you are installing, including system requirements, installation instructions, and notes about copyright. (On the Mac, this screen is the first one you see, rather than the one about the "digital music revolution.")

Select Installation Options (Windows Only)

In Windows, you are given the opportunity to disable any of three check boxes that define whether the installer will add iTunes shortcuts to your desktop, as well as whether you want to use QuickTime and iTunes as the default players for common multimedia files (such as JPEG and GIF images, MPEG and AVI movies, and individual MP3 audio files) on your computer. If you're happy with the way image and movie files open on your computer, disable the second and third check boxes; otherwise, leave them checked to use QuickTime, its included PictureViewer application, and iTunes to open those files in the future.

Note

If you have previously installed QuickTime on your computer, the third check box (whether to use QuickTime to play media files) is not present.

Choose the Installation Folder or Volume

Choose where on the disk you want to install iTunes (the default given location is usually okay) and click Next to begin the process of installing iTunes onto your disk. On Mac OS X, you are prompted instead to choose a destination volume (disk); iTunes is installed into the Applications folder of the volume you select on the Mac. Pick your startup disk if you have a choice; then click Continue.

In Windows 2000, you might be prompted to restart your computer at the completion of the installation process because parts of the setup process can be completed only after a restart.

After completing the installation, you can delete the downloaded package files (iTunes6.0.4.dmg on the Mac, iTunesSetup.exe on Windows). You're now ready to run iTunes for the first time.


Section 2. Run iTunes for the First Time

2. Run iTunes for the First Time

Before You Begin | See Also
Download and Install iTunes | Connect Your iPod for the First Time
 | Import Your Existing Digital Music Collection into iTunes

Running iTunes for the first time is a little more complicated than any subsequent time you use it. This one-time process sets up iTunes by asking you a few questions about how you want to use iTunes. The options you're given can have some subtle but surprising consequences, so it pays to know what you're clicking during this procedure.

Note

The options discussed in this task for organizing your music can be controlled in the Advanced pane of the iTunes Preferences window, if at any time you change your mind about them.

Apple has designed iTunes to be a total music management system, controlling every mile of the music-enjoyment process, from the purchasing or importing of new songs to the sharing of songs with others or the transferring of songs to other devices. The entire process is governed not by definitive filenames and folder names, but by the contents of the info tags on each song in the database. This comprehensive design can be at odds with the way you expect digital music software to behave. One specific example is iTunes' capability to organize the filenames of your music files for you. With this option enabled, every name change you make to the info tags on songs within iTunes is automatically reflected in the filenames on the corresponding digital music files, which iTunes changes to keep up with your commands.

If you have an existing collection of MP3 files, and you allow iTunes to import all of them into its Library during this setup process, you might be caught by surprise to find that all your music files have been duplicated, renamed, and automatically filed into folders corresponding to the artists and albums in your Library. Many unsuspecting first-time iTunes users have been taken aback by this behavior or have been infuriated to find that all their carefully named and organized files have been copied into new folders and renamed (even if the original files were untouched). Yet if you take the time beforehand to ensure that iTunes doesn't do this to youor, even better, to understand the intent of iTunes' design so that its reorganizing efforts are more of a benefit than an affrontyou'll be a lot happier in the long run. See [image] Import Your Existing Digital Music Collection into iTunes after following this procedure if you already have a digital music collection.

Run iTunes for the First Time

Launch iTunes

In Windows, navigate to iTunes in the All Programs submenu of the Start menu and select it to launch the application. In Mac OS X, click the iTunes icon in the Dock, or double-click the icon in the Applications folder.

Accept the Software License Agreement

Instead of the iTunes window, which is what you'll see for every subsequent launch of the application, for this setup process, you'll first see a window displaying the Software License Agreement. Read this document thoroughly if you want to be familiar with the rules of using iTunes; because it's a piece of software specifically designed to work with copyrighted materials that might or might not be used legally, it's a good idea to be familiar with what you're agreeing to. You have several options: Save lets you save the agreement to a file for later perusal, Print (if available) sends the agreement straight to your printer, and Decline quits iTunes. Only if you click Agree does iTunes proceed with the setup screens.

From this point on, you can abort the initial setup process by clicking Cancel; if you do, iTunes starts normally. However, the next time you launch iTunes, you are prompted again to go through this setup process.

Automatically Import Existing Digital Music Files

iTunes can scour your hard drive looking for digital music files in MP3, AAC, or unprotected WMA format and add them automatically to its Library. If you have an existing collection of music, you can leave the Add MP3 and AAC Files check box enabled and let iTunes import these files automatically. However, bear in mind that iTunes will find music files throughout the system, not just where you like to keep your music; you might end up importing into iTunes music files you didn't know you had, such as the internal soundtracks from your video games. If you disable this option, refer to [image] Import Your Existing Digital Music Collection into iTunes to bring your music into iTunes' Library in a more controlled manner.

You can change your mind about how your music is organized at a later time; see [image] Consolidate Your Music Library for more information.

Note

If you leave the Add MP3 and AAC Files and Add WMA Files check boxes enabled, iTunes copies the music files to the iTunes, iTunes Music folder inside your Music or My Music folderit doesn't move them. This approach ensures that your original music files remain untouched. However, it also means that your disk space is suddenly taken up with two copies of every song you own. Be sure that you have plenty of disk space before proceeding; also, be sure to delete your unwanted original files when you're satisfied with the way iTunes has imported them!

The Add WMA Files option (which exists only on the Windows version and is only available if you have Windows Media Player 9 Series or later installedvisit http://www.windowsmedia.com if you don't) works similarly to the Add MP3 and AAC Files option, except that when iTunes finds an unprotected WMA file, it converts it to AAC on-the-fly as it imports it, leaving the original WMA file untouched. iTunes cannot import protected WMA files, meaning purchased music files you might have obtained from a competing online digital music store. If you have a lot of these files, you might have to convert them to an unprotected format using a sneaky and painstaking method similar to the one described in [image] Create an MP3 CD from Purchased AAC Music.

When you've made your selection about the music files you want iTunes to automatically import, click Next.

Allow iTunes to Keep Your iTunes Music Folder Organized

The next setup screen gives you the option to allow iTunes to rename files and folders within the iTunes Music folder. This special folder is where iTunes keeps all the music it imports; it's also where it stores the songs it imported in the previous step (if you chose to let it do so). If you choose No, I'll change the file and folder names myself in this screen, then the changes you make to song titles, artist names, and album names within iTunes are not reflected in the file structure of the iTunes Music folder. However, if you choose Yes, keep my iTunes Music folder organized, every time you make such a change, iTunes automatically makes the same change in the names of the files in the iTunes Music folder. This means that if you ever need to navigate into that folder to pull out the bare music filesfor example, to copy them to another system or send them through emailyou can be sure that the files are named exactly the way you expect. Each filename reflects the disc number (if that info tag is set), track number, and song title, and it's organized into a folder for the album, within a folder for the artist. This behavior can be turned off later in the Advanced pane of the iTunes Preferences window. (See [image] Import Your Existing Digital Music Collection into iTunes.)

Tip

The hierarchical structure of the iTunes Music folder means that it's easy to back up small sections of your music collection, such as by picking a few artists or albums to copy to an archival DVD. However, it's not necessary to preserve this folder structure when using a backup method such as the one described in [image] Back Up Your Music to CD or DVD, because when the files are restored to the Library, iTunes automatically rebuilds the folder hierarchy based on the files' stored info tags.

Start with the iTunes Music Store

The final choice you're given is whether to start iTunes this first time by opening the iTunes Music Store, or by going straight to your music Library. Choose the option that's best for you; you'll probably choose the second option because you'll likely prefer to browse your music collection rather than jump straight into buying more music. It's the best way to get acquainted with iTunes, after all.

Click Finish to complete the setup process and arrive at the iTunes window. If you chose to have iTunes search your hard disk for existing music files in Step 3, this search process takes place now; it might take a minute or two, so be patient while iTunes works. When the process is complete, all your existing music appears in iTunes' song listing pane.

Turn On or Hide the MiniStore

The first time you launch iTunes, the bottom half of the song listing pane is taken up by a light blue subpane called the iTunes MiniStore. The MiniStore is a context-sensitive display pane that shows you music similar to the tracks you have selected in the song listing pane. It does this by sending the selected tracks' titles, artists, albums, and other such information to the iTunes Music Store over the Internet as you select them; it receives suggestions from the store and displays them in the MiniStore pane so that you can follow the links and discover (and buy) more music.

No personal information is exchanged as iTunes communicates with the Music Store to show you this running advertising panethe information that's transferred is only what is necessary for getting appropriate music suggestions for you based on the music you've selected. Even so, you might not be comfortable having this feature enabled. You might prefer not to have data exchanged with the Music Store unless you specifically request it. Or you might not have a network connection, making the MiniStore useless. Or you simply might not want to have the MiniStore's display pane taking up valuable screen space within iTunes.

You have two choices for how to deal with the MiniStore this first time you run iTunes. The first choice is to enable the MiniStore by clicking the Turn On MiniStore button. If you do this, the MiniStore's display pane remains open, and the information is exchanged in real time as you browse your music. The other choice is to click the Show or Hide MiniStore button, which has a curved arrow pointing to it. This closes the MiniStore's display pane and prevents iTunes from exchanging information with the iTunes Music Store as you browse. (Even if you turned on the MiniStore, hiding it disables this exchange of information and ensures your privacy.)

See [image] Find More Music by Artists in Your iTunes Library for more information on using the MiniStore and its related features.


Section 3. Select Your iPod's Language

3. Select Your iPod's Language

See Also

Connect Your iPod for the First Time

Set the iPod's Date and Time

Restore Your iPod to Factory Settings

After you unwrap your new iPod and turn it on, you need to pick a language. The iPod supports 21 languages in its interface, including Spanish, German, French, Swedish, Greek, Danish, Japanese, Korean, Simplified and Traditional Chinese, and others. The language you select when you first take the iPod out of its box defines the presentation of the entire iPod menu system.

Select Your iPod's Language

Turn On the iPod

Make sure that the Hold button is not engaged. Press any button, such as the Select button, to wake up the iPod from sleep mode.

Note

Most iPods have a partial battery charge when they're removed from their retail boxes. You should completely charge your iPod's battery as soon as you get it home from the store, but there is usually plenty of power to wake it from sleep and explore the menus after you set its language.

Choose Your Language

If the iPod's language has not yet been set (as is the case with new units), the first screen you see is a list of languages. This is your first opportunity to see how the navigation wheel works. Move your thumb in a circular path around the wheel to move the selection cursor up and down until your language of choice is highlighted. Press the Select button (in the center of the wheel) to choose this language and go to the iPod's Main Menu.

Change the iPod's Language

If you want to change the iPod's language, you can do so at any time by navigating into the Settings menu and then choosing the Language option. You can reach the Settings menu from anywhere in the iPod's interface by pressing Menu as many times as necessary to return you to the Main Menu screen (which is labeled iPod at the top) and then selecting Settings from the list.

Tip

If you accidentally set the iPod to a language you can't read, you can get to the Language menu like this: Press the Menu button a few times until you're at the Main Menu. (The top of the screen reads iPod, regardless of what language you're in.) Unless you have customized your Main Menu (see [image] Customize the iPod's Main Menu), the Settings menuwhatever it's called in the language you have selectedis the fifth option from the top. Select that option; in the next screen, Language is the third option from the bottom. Select that option and then choose your correct language from the screen that follows.


Section 4. Connect Your iPod for the First Time

4. Connect Your iPod for the First Time

Before You Begin | See Also
Run iTunes for the First Time | Transfer Your Music and Videos to Your iPod
Select Your iPod's Language | Restore Your iPod to Factory Settings

The first time you plug in your iPod, you're led through a brief setup process that's necessary for the future usability of the iPod's synchronization features.

iTunes launches whenever an iPod is plugged in. If iTunes detects that a new iPod has been connected that has not yet been set up, a series of dialog boxes prompts you for a name by which iTunes should address the iPod whenever you connect it in the future. You're also prompted to choose whether the iPod should be automatically synchronized with your iTunes Library, and you're given the chance to register your iPod with Apple for support benefits.

Connect Your iPod for the First Time

Connect Your iPod Using USB 2.0 (or FireWire)

Using the iPod Dock (if you have one) or a direct USB 2.0 cable plugged in at one end to your computer, connect your new iPod at the Dock connector port, which is located on the bottom edge of the iPod. The iPod wakes from sleep and then immediately switches to the Do Not Disconnect icon, which indicates that the computer is mounting it as an external device. Don't disconnect your iPod while this icon is shown, because doing so could damage the data on the iPod. (This doesn't matter with a new and empty iPod, but generally, it's important to follow this rule at all times.)

iTunes launches automatically. When it detects your iPod connected to the computer, it presents a dialog box labeled iPod Setup Assistant. (See Step 5 if your iPod is not automatically detected.)

Note

Before the 5G model, iPodsincluding the iPod miniconnected using either USB 2.0 or FireWire (IEEE 1394). The cable sold with these iPods connected to either one or the other of these ports on your computer, or it came with two end connectors to lead to the appropriate port on your computer. FireWire is a little bit faster than USB 2.0, so if you have an iPod and a computer that support it, you might want to opt for FireWire.

In Windows, you might be prompted to restart your computer after the operating system has finished identifying and setting up the new hardware. (It will detect the iPod as a "USB Mass Storage Device.") If you don't restart your computer, iTunes might have difficulty detecting or interacting properly with the iPod. You need to restart Windows only the first time you connect the iPod.

Name Your iPod

Choose a name for your iPod. Because all new iPod units use a FAT32 file system that supports only rudimentary alphanumeric characters in volume names, you must avoid using spaces and special characters such as . " / \ [ ] : ; | = and , when you name your iPod.

Note

If your iPod has been reformatted for use on a Mac (see Step 6), its name can be as long as you like (to a practical maximum of 68 characters) and should uniquely identify your iPod so that you can easily see when it's connected in iTunes. The name can contain any special characters except for the colon (:).

Tips

You can change your iPod's name at any time by renaming it in the Source pane in iTunes or by renaming the volume while it's mounted as an external disk.

Renaming your iPod by renaming the volume sometimes does not work immediately or cleanly. For maximum reliability, rename the iPod from within iTunes.

Choose to Automatically Synchronize Your Music

The Automatically update songs on my iPod check box is automatically selected. If you leave it this way, all your songs, artists, albums, and playlists are automatically copied to your iPod and updated each time you connect it so that the contents of your iPod are always in sync with what's in your iTunes Library. If your iPod's capacity is larger than your iTunes Library, it's best to leave this box selected. If your music collection is larger than your iPod, however, disable the check box and refer to [image] Use a Large iTunes Library with a Small iPod for more information on how to make the best use of your iPod.

Note

If you have an iPod shuffle, the check box is labeled Automatically choose songs for my iPod. If you enable this check box, iTunes copies a random selection of songs to "autofill" the iPod shuffle. See [image] Autofill Your iPod Shuffle iTunes Phone for details.

Register Your iPod

Click Next to apply your chosen name and configuration to the iPod. In the following screen, you can simply click Done to exit the iPod Setup Assistant and return to using iTunes. However, before you do that, it's a good idea to click the Register My iPod button to visit the support website where you can provide your iPod's serial number and other information to Apple. Registering your iPod in this way ensures that, in the future, if you have a technical problem with your iPod, Apple's support technicians will be able to quickly find your product's information on file and save time in diagnosing and solving your problem.

When you click Done, iTunes begins synchronizing your iPod's contents and copying all the music in its Library to the iPod's hard drive (if you chose to do so in Step 3). If you already have a lot of music in iTunes, this might take several minutes; don't disconnect the iPod until the iTunes display reads iPod update is complete, and the Do not disconnect icon on the iPod disappears and is replaced with the navigation menus. Skip to [image] Transfer Your Music and Videos to Your iPod for more information on synchronizing your iPod.

After you've synchronized the iPod, iTunes sends you to a welcome page for the iTunes Music Store, showing you a list of top downloadable songs and instructions on how to buy them. Click Visit the Music Store to see everything the store has to offer, and turn to Chapter 4, "Using the iTunes Music Store," for tasks relating to getting signed up and purchasing music.

Tip

After you load your iPod with music, let it remain connected to your computer until its battery is fully charged (three hours or so). It's a good idea to leave it in the charger as often as possible. See [image] About the Care and Feeding of Your iPod for more information about battery care.

Troubleshoot Your iPod's Connection

It's possible, for Windows users in particular, that your iPod might not immediately show up in iTunesand it might stubbornly refuse to appear no matter what you do or which port you plug it into. This can result from any of a myriad of different hardware issues, and a thorough discussion of all possible things that can go wrong is beyond the scope of this book. However, there are a few things you can try.

Perhaps the most common problem with iPod connectivity is a bad USB 2.0 connection. This can be the result of a faulty connector or a bad hub that doesn't properly transfer the complete signal to your operating system. The first thing to check is that your computer supports USB 2.0, because USB 1.1 is not supported except on the iPod shuffle (which is small enough to be filled in a reasonable time by the older and slower USB 1.1). Also be sure that the USB port you're using is a fully powered port; if it's a port on a USB hub that doesn't have an external power source and has other devices plugged into it, the iPod might not be getting sufficient power. Try plugging the iPod into one of the USB ports on the computer.

If you have an older iPod (3G or 4G) that supports both USB and FireWire, and USB isn't working for you, try using FireWire instead. Most modern computers have at least one FireWire port, also known as IEEE 1394. Apple sells a separate FireWire cable for your iPod for $19. If you don't have FireWire ports on your computer, you can get a card for your computer with USB 2.0 and FireWire ports for as little as $20 (although, naturally, more money gets you better quality).

If you're using the iPod Dock, try taking the iPod out of the Dock and connecting the USB or FireWire cable directly to the iPod's Dock connector port instead. If this approach fixes the problem, you'll know that the Dock is the culprit and must be replaced.

If neither FireWire nor USB 2.0 work for you, it's possible that you need to update your installation of Windows. Run Windows Update to ensure that all drivers and libraries for FireWire and USB 2.0 are installed on your computer.

Finally, if all else fails, contact Apple Support; you get a year of free service with your new iPod, and Apple's on the hook to make sure that you can get it running properly. It could be that you have a faulty iPod. Perhaps your Dock or cable is bad. Whatever the cause, you've spent a lot of money on that shiny new iPod, and you have the right to Apple's help in getting it working.

Convert Your Windows iPod to a Mac iPod

This step is for Mac users only and is optional.

If you're a Mac user, your Windows-formatted iPod has a few technical limitations that might cause you problems, such as the restrictions on the volume name, as discussed in Step 2 earlier in this task. More importantly, if in the future you need to upgrade your iPod's software (as explained in [image] Update Your iPod's Software), you will likely find that the Mac-based iPod Updater software will not work with the Windows-based iPod. The solution to this problem is to restore the iPod to factory settings using the Mac version of the iPod Updater, which converts it to the Mac's HFS+ file system format, a process you'll have to undergo only once. However, doing so wipes the hard drive of your iPod and deletes all its contents. If you wait until you have to update the iPod's software before converting it to Mac format, this might mean many gigabytes of music and video data have to be transferred all over again from iTunes to the iPod when you're done converting ita time-consuming and frustrating prospect.

You can avoid this potential situation, though, by getting the conversion out of the way right now, while the iPod is still empty. Turn to [image] Restore Your iPod to Factory Settings and follow the instructions in that task, using the iPod Updater software for the Mac. This process retains your iPod's name, but it restores all settings (such as the language) to the factory defaults. After completing the conversion, you can rename the iPod using a name as long as 68 letters and containing any special characters except the colon (:).


Section 5. Set the iPod's Date and Time

5. Set the iPod's Date and Time

Before You Begin | See Also
Select Your iPod's Language | Use Your iPod as an Alarm Clock
Connect Your iPod for the First Time |

After you've named your iPod, the next step in getting it ready for use is setting its internal clock. It's important that the iPod have an accurate internal time for a variety of reasons. The alarm clock functions and calendaring features, clearly, require the iPod's time to be correct to work. (See [image] Transfer and View Calendar Events and [image] Use Your iPod as an Alarm Clock for more information.) Furthermore, during normal playback of your music, the iPod keeps track of which songs it plays and when. When you synchronize your iPod back to iTunes, the time when each song was last played is transferred into the iTunes database so that your navigation within iTunes can take accurate advantage of which songs you've played most recently. For example, if you have a Smart Playlist that keeps track of the last 100 songs you've played in order (see [image] Create a Smart Playlist for details), having the correct time set on your iPod and on your computer ensures that the songs are shown in order.

Note

Your iPod's date and time are set automatically each time you synchronize it with iTunes. However, you might need to set the time manually, for example, if you don't have access to your computer for an extended period of time, or if you go on a trip across time zone lines.

Set the iPod's Date and Time

Navigate to the Date & Time Settings

Navigate into the iPod's Settings menu. (Press Menu repeatedly until you arrive at the Main Menu screen, and then select Settings.) Highlight the Date & Time option and press the Select button.

Choose a Time Zone

In the Date & Time Settings menu, scroll to the Set Time Zone option and press the Select button. In the Time Zone submenu, scroll to the appropriate time zone setting for your location. Make sure that you select correctly whether Daylight Saving Time (labeled DST) is in effect on the current date. Time zones are identified by a region located in each zone. Press the Select button to choose a time zone and return to the Date & Time Settings menu.

Set the Date and Time

Choose the Set Date & Time option. In this screen, use the navigation wheel to raise or lower the value of each selected field (such as the hour, day or month, or year), and use the Select button to accept each field's correct value and move to the next field. Be sure to set AM or PM correctly. After you press Select on the final field (the year), you return to the Date & Time menu.

Choose 12-Hour or 24-Hour Time

Select the Time option and use the Select button to toggle between 12-hour and 24-hour time formats. This setting is purely a matter of taste and the way you like to view the time. The option you select does not affect the iPod's internal timekeeping.

Turn On the Title Bar Clock

Select the Time in Title option and use the Select button to toggle the feature on and off. With this feature enabled, the title of each screen in the iPod's navigation system switches to display the current time a few seconds after you navigate to that screen. This ensures that you can always tell what time it is with a quick glance at your iPod, no matter what screen it's showing.

Press the Menu button several times to back out of the Settings menu system when you're done.


Section 6. Configure Your iPod for Your Headphones or Speakers

6. Configure Your iPod for Your Headphones or Speakers

Before You Begin | See Also
Connect Your iPod for the First Time | Auto-Level Song Volumes
 | Adjust the Global Equalizer
 | Adjust Equalizer Settings for Individual Songs

The iPod comes with a wide selection of internal "graphic equalizer" presetsadjustment curves applied to the spectrum of audio output frequencies, amplifying some frequency ranges and quieting othersthat you can select to compensate for the frequency range of your speakers or headphones. Because you can use the iPod with any of a nearly infinite range of sound output devices, from tiny in-ear headphones to large powered speakers, it's necessary to be able to choose an equalizer curve that matches the capabilities of the speakers you're using. For instance, earbuds that have poor bass response might need to have the high frequencies dulled and the bass boosted, whereas large, deep stereo speakers might need to have the midranges and high frequencies boosted according to their own weak areas. Certain genres of music also have equalizer curves that enhance their typical range of frequencies, so you can set an appropriate equalizer preset if you're going to be listening to a certain style of music a lot (such as Rock or Dance). You'll want to experiment with various equalizer settings until you get a satisfying sound response.

Tip

Return to this task after you've filled your iPod with music and spent some time listening to it. After you've become familiar with the iPod's operation, you can select an appropriate equalizer setting with more accuracy.

Configure Your iPod for Your Headphones or Speakers

Navigate to the Equalizer Settings

Navigate to the iPod's Settings menu. (Press Menu repeatedly until you arrive at the Main Menu screen, and then select Settings.) Highlight the EQ (Equalizer) option and press the Select button.

Choose an Equalizer Preset

Use the navigation wheel to browse the list of equalizer presets. The presets are named in ways that should help you choose an appropriate one. If you listen primarily to rock music, for example, the Rock preset might be for you; if you have a small pair of earbuds or a small set of external speakers, try the Small Speakers or Treble Reducer preset.

It can be helpful to use iTunes to examine each equalizer preset's profile visually. Click the Equalizer Settings button in the lower-right corner of the iTunes window. All the same presets are present in iTunes' Equalizer window as are available in the iPod; simply choose one from the drop-down menu to see the amplification curve described by the blue sliders.

The Off setting (at the top of the EQ menu) means that the iPod doesn't apply a special amplification curve to the music as it sends it to the headphones or speakers.

Tip

If you define custom equalizer presets in iTunes (see [image] Adjust the Global Equalizer), the iPod cannot synchronize them; the iPod's list of presets is fixed in its firmware and cannot expand to include any customized presets you have created.

Select a Different Equalizer Preset for Different Output Devices

Repeat Steps 1 and 2 anytime you connect a different set of speakers or headphones to your iPod.

Note

If you have set equalizer presets for individual songs in iTunes (see [image] Adjust Equalizer Settings for Individual Songs), those presets do not affect the way the songs are played in the iPodthe iPod uses only the equalizer preset you've selected manually.

Set a Volume Limit

A recent addition to the iPod's feature set is the ability to set a limit on the output volume that the iPod can produce. This feature might interest you if you've bought an iPod for your child and don't want her damaging her hearing by cranking it up all the way. The volume level limit you set is optionally protected by a numeric combination, and only the person who sets the volume limit can unlock it and change the limit.

Tip

If you have already loaded music onto the iPod, it can be helpful to have a song playing while you set the volume limit so that you know what the music will sound like at the new maximum setting.

Navigate into the Settings menu and choose Volume Limit. In the next screen, use the track wheel to adjust the volume level up or down to the point where you want to set the new maximum volume. Press Select.

You are then given the choice to exit the volume limit function (select Done) or to set a four-digit numeric combination that locks the volume limit so that it can't be changed by anybody but you. If you choose to set a combination, it uses a locking screen similar to the one used in [image] Secure Your iPod Against Theft. You must unlock the feature using an analogous unlocking screen before you can reset the volume limit.


Section 7. Configure the iPod's Backlight

7. Configure the iPod's Backlight

Before You Begin | See Also
Connect Your iPod for the First Time | Listen to Your iPod in the Car
 | Turn Your iPod into a Boom Box with Remote Control

The iPod's backlight allows you to view its screen even in insufficient light. This is clearly beneficial anytime you want to use your iPod at night; additional uses for the backlit screen are when your iPod is mounted in your car as a portable audio system, or if you're using it in conjunction with a set of docking speakers (as described in [image] Turn Your iPod into a Boom Box with Remote Control), where you need to be able to read the screen in dimly lit surroundings. In these circumstances, it's especially useful to be able to configure the backlight to remain illuminated for a long time after it's been turned on, or even for it to stay on permanently until you turn it off yourself.

Note

The color iPod 5G and iPod nano have screens that are designed to work optimally when the backlight is turned on; in fact, it's almost impossible to read them without the backlight. If you're an owner of one of these iPod models, choose a backlight configuration that ensures it's on whenever you want to see what's on the screen. If you're an owner of an older monochrome iPod, you can choose much more economical settings that illuminate the screen only in low-light conditions.

Beware of the additional battery drain that the backlight causes. If you set the backlight to remain on for long periods or at all times, be sure that your iPod is connected to an external power source, such as a car adapter. If you don't, expect reduced battery life.

Configure the iPod's Backlight

Turn the Backlight On and Off

Hold down the Menu button for several seconds to turn on the backlight. Hold it down again for the same amount of time to turn the backlight off.

If you turn on the backlight and leave it on, it turns itself off automatically 20 seconds after you stop pressing buttons on the iPod's interface, thus saving battery power.

Tip

You can enable a Main Menu option to turn the backlight on and off, if you prefer doing it that way instead of pressing the Menu button. See [image] Customize the iPod's Main Menu for more information.

Navigate to the Backlight Timer Settings

You can configure the amount of time the backlight stays on after being turned on. Navigate to the iPod's Settings menu. (Press Menu repeatedly until you arrive at the Main Menu screen, and then select Settings.) Highlight the Backlight Timer option and press the Select button.

Choose a Backlight Shutoff Interval

From the next screen, choose a time interval and press Select. The interval you select is the time between when you stop pressing buttons on the iPod and when the backlight automatically shuts off.

If you select the Off setting, the backlight is turned on manually by holding down the Menu button; it automatically shuts off after about 20 seconds.

If you choose any number of seconds, the backlight automatically turns on as soon as you touch any of the controls, and it stays illuminated for the specified time after you stop touching buttons.

If you select Always On, the backlight remains on at all times, except when the iPod shuts itself off automatically after a period of not being used.

Note

If you engage the Hold button, the backlight shuts off after two minutes, even if you selected Always On for the backlight timer. Make sure that you do not engage the Hold button if you want the backlight to stay on at all times. Remember, though, that the iPod goes into sleep mode (and the backlight shuts off) after two minutes of complete inactivity. Turn the iPod (and its backlight) back on by pressing any button.

Adjust the iPod's Screen Contrast

This step applies only to older iPods that have monochrome displays. On newer iPods, the color displays use much more advanced LCD technology to ensure that contrast adjustments are not necessary for the screen to be readable; that's why the Contrast setting is not available on newer models.

Choose Contrast from the Settings menu. The next screen allows you to adjust the screen's contrast using the navigation wheel. At one extreme of the scale, a minimum of power is given to the screen, preventing the background from becoming dark enough to interfere with the text; at the other, the screen is given more power, so that the text is darker, but the background might darken, too. Adjust the slider until you can read the text at a comfortable level; be sure to check the contrast with the backlight turned on, too.

Press the Select button to set the contrast level; press the Menu button to return to the Main Menu screen. Your iPod is now ready to be filled with music and used on the go!

Note

Your monochrome iPod's screen might become darker if it gets hot, such as if its hard disk is running continuously as you fill it with music for the first time. Don't adjust its contrast during this anomalous time. When it returns to normal operating temperature, the contrast you select might not be readable anymore. Wait until the screen cools before adjusting the contrast.


Chapter 3. Building Your Digital Music Library

IN THIS CHAPTER:

About Music and Video Formats

Import a Music CD into iTunes

Get CD Track Names Manually

Add a Music or Video File to Your iTunes Library

Import Your Existing Digital Music Collection into iTunes

Add Album Art to Songs

Submit CD Track Names to the Gracenote Database

Import a CD with Joined Tracks

Extract a "Secret Track" into the iTunes Library

iTunes' foremost function is as a digital music organizer, a way for you to replace your bulky CD collection with a flexible, programmable digital music library that fits inside your computer. To accomplish this, naturally, you'll have to get your music into iTunes somehow.

Recently, iTunes has added video playback to its repertoiremusic videos, TV shows, short films, videos downloaded from the Internet, and even home movies that you make with your own camcorder. Even though the software is still called iTunes, its features include video organizing methods and playback functions that turn it into a complete multimedia jukebox that stores all your favorite pieces of entertainment.

Music you add to the iTunes Library comes from any of the following sources:

  • Imported (ripped) from CDs you already own

  • Imported from your existing collection of MP3, AAC, or unprotected WMA files

  • Imported as an individual music file that you receive or create yourself or one that you convert from an analog format such as a tape or vinyl LP

  • Copied in automatically by iTunes during installation. (See [image] Run iTunes for the First Time)

  • Purchased from the iTunes Music Store

Similarly, videos can come from any of the following sources:

  • Created yourself using a camcorder and video editing software

  • Downloaded from the Internet

  • Purchased from the iTunes Music Store

The iTunes Music Store, the method for acquiring new music and videos that requires the least effort and the fewest middlemen, is covered in [image] Sign Up for the iTunes Music Store and related tasks in Chapter 4, "Using the iTunes Music Store." The tasks in this chapter cover the remaining methods of building your music and video collection, particularly the one for which the iTunes interface was primarily designed: importing music from your existing CD collection. The chapter begins with an introduction to the kinds of music and video files you will encounter while using iTunes, and the different types of entertainment items that iTunes organizes for you.


Section 8. About Music and Video Formats

8. About Music and Video Formats

See Also

Convert Audio Files to Other Formats

No matter how easy to use a piece of software is, there are some trivialities of computer technology that you just can't escape. One of these bits of esoterica is the plethora of digital music and video file formats that you'll encounter while using iTunes. Ideally, and for the most common paths of use, file formats are little more than a curiosity you never have to deal with yourself; but the moment you try to do anything at all advanced with your music, you'll find yourself surrounded by what seems an alphabet soup of acronyms and labels, lurking malevolently just under iTunes' polished surface. It pays to know what each of these formats is all about and how to deal effectively with it.

Here you'll learn what the different formats that iTunes recognizes are used for, andmore importantlyhow they relate to the different styles of music and video entertainment that iTunes helps you to collect.

Music File Formats

All digital music files follow essentially the same idea: a series of numbers that describe the pitch and intensity of the sound waveform at each particular instant in the audio stream, all adding up to a familiar musical sound when it's interpreted by software such as iTunes at normal playback speed. Different kinds of files differ, though, in exactly what form those numbers take. Some music formats support compression (the ability to reduce the file size by discarding relatively unimportant sound information, or by indexing small repeated fragments of sound instead of encoding all of them directlyin addition to other, ingeniously mathematical methods). Some formats support Digital Rights Management (DRM), enforcing copy protection. Some forms of digital audio files encode stereo data differently from others, resulting in a somewhat different sound quality. These subtle but important differences are what make some formats more suitable for certain tasks than others, and explain why we have to deal with so many different file formats in the world of digital music.

Key Terms

Format The specific internal data structure of a digital music or video file, determined by the software that first popularized a given type of file. Competing software has often resulted in different incompatible formats for similar kinds of files.

Compression Fitting more music into a fewer number of bytes by discarding unimportant musical data or indexing repeated patterns.

The following audio file formats are either supported directly by iTunes or destined to be a part of your life as you work with iTunes. Except where noted, the customary filename extensionthe three or four letters after the final period (.) in a file's nameis the same as the acronym of the format listed.

  • CDDA (Compact Disc Digital Audio) An uncompressed, true stereo digital audio stream made up of a simple series of audio samples. This is the standard format in which every commercial audio CD is encoded and the format in which iTunes burns audio CDs. The CDDA format is essentially interchangeable with AIFF and WAV formats, and it's almost never used directly on computers.

  • AIFF (Audio Interchange File Format) An uncompressed audio stream format developed by Apple and popularized as the default sound format of the Macintosh platform. It is still the preferred format for raw audio editing on the Mac. You can convert AIFF files without loss of quality to WAV format and back.

  • WAV (Windows WAVeform file) An uncompressed audio stream format developed by Microsoft and IBM. Equivalent to AIFF in its supported features and file size, WAV is the default raw audio format for Windows. You can convert WAV files without loss of quality to AIFF format and back.

  • MP3 (MPEG-1 Audio Layer 3) Developed in the early 1990s as part of the MPEG video/audio compression specification, MP3 is the first audio format to have brought the file size of individual song tracks down to the point where they could be easily transferred across the Internet while still sounding nearly true to the original CD-quality sound from which they were derived. Encoding technology for MP3 files is subject to patents held by Thomson Consumer Electronics and the Fraunhofer Institute, which contributed to the format's original design. MP3 is a lossy compression format, meaning that any music converted to MP3 format cannot be flawlessly converted back to its original format; some music data is inevitably lost. The benefit is that an MP3 file usually achieves about a 12:1 compression ratio over the uncompressed source, depending on the bit rate you select during encoding.

Key Terms

Lossy A compression or conversion process in which some sound information or resolution is irretrievably lost, as when encoding a CD to MP3 format. The converse is lossless compression, meaning a reversible process in which no information is lost.

Lossless A compression or conversion process that preserves perfect sound quality from the original source. Lossless compression doesn't achieve such small file sizes as lossy compression, but it's reversible.

Bit rate The number of bits per second consumed by an audio stream. The bit rate can be constant or variable. If the rate is constant, you can use it to calculate how much disk space a song file will take up.

MP3's compression is achieved through a number of techniques, including the discarding of superfluous (inaudible) audio data and the application of psychoacoustics. Stereo information is usually done in "joint stereo" mode. That means that instead of two separate tracks for the left and right channels, most information is recorded as a "mono" track and a separate channel records the separation from left to right, which saves on file size. Also, Variable Bit Rate (VBR) encoding is frequently employed to encode lower-complexity sections of music at a lower bit rate, saving space without sacrificing audio quality.

MP3 files have no DRM technology built in, so there is no way for a copyright holder to control or track the spread of an MP3 version of a song. MP3 files do, however, have info tagsalso known as ID3 tagsthat allow the user to embed a wide variety of organizational information into the file's text headers. This information does not interfere with the audio stream, but it gives software such as iTunes the ability to organize MP3 files with much better control and flexibility than with filenames alone.

In iTunes, an MP3 file is identified in the Kind column as MPEG audio file.

  • AAC (Advanced Audio Coding) The official successor to MP3, AAC (another lossy compression format) is the latest iteration of the audio specification in the MPEG standard, part of the MPEG-4 framework that underlies modern versions of QuickTime. Apple is currently the most visible company using AAC in its products, although it is far from being a "proprietary" format; the only thing proprietary about AAC as used in the iTunes Music Store is the way the DRM scheme (known as FairPlay) is keyed to individual purchasers. Functionally, however, as far as any company that wants to interoperate with music purchased through iTunes, Apple's format is essentially closed.

    AAC files incorporate many advances over the earlier MP3 format, including as many as 48 distinct audio channels, a more dynamic form of stereo encoding, and a notably smaller file size for files that are encoded with the same subjective sound quality. This means that if you encode your CD collection in AAC format instead of MP3, you can save about 25 percent of your disk space (which, remember, also applies to the space available on your iPod). AAC supports all the same info tags that MP3 does.

    There are two flavors of AAC as used in iTunes: protected and unprotected. Protected AAC files are keyed to an individual purchaser's identity and cannot be opened on a given computer unless that computer has been authorized with the central iTunes authorization servers; as many as five separate computers can be authorized at one time for a single purchaser account. (See [image] Authorize a Computer to Play Purchased Music for more information.) Unprotected AAC files are as freely portable and playable as MP3 files are; you can send an unprotected AAC file to anyone else with iTunes or any other software capable of reading AAC files, and the recipient can play it successfully. When you import music from your CD collection, iTunes creates the digital music files by default in unprotected AAC format.

    AAC files are identified by either an .m4a (MPEG-4 Audio) or .m4p (MPEG-4 Protected) filename extension, depending on whether the files are protected with DRM.

  • WMA (Windows Media Audio) Microsoft's answer to MP3 (and later, to AAC as used in iTunes), WMA is a lossy compression format that is entirely proprietary and owned by Microsoft. Its capabilities are comparable to those of AACthe audio quality for a given file size is considerably better than with MP3, and thus for the same audio quality you get significant file size savings. WMA also comes in both protected and unprotected flavors. iTunes for Windows can import unprotected WMA files by converting them to AAC on-the-fly.

    The DRM scheme in WMA files as sold through the online music stores that compete with the iTunes Music Store is flexible and is implemented differently by various sellers. Some stores restrict copying and playback to a certain number of computers, like iTunes does. Others, like Napster's subscription service, enforce an expiration date beyond which you cannot open a file; periodic authorization is required to extend the expiration date on these files. Still other services set a limit on the number of times you can play a given song before it becomes locked.

  • Apple Lossless A format developed by Apple and released with iTunes 4.5 in April 2004, with the intention of supporting high-quality audio storage for professional musicians and audiophiles without requiring the full amount of disk space required by uncompressed AIFF, WAV, or CDDA data. Apple Lossless achieves compression of about 2:1 over the uncompressed source data by using techniques similar to those found in GIF or ZIP files (both compression formats that must by their nature be totally lossless). If you encode your music using Apple Lossless, expect to consume about 5 megabytes (MB) of disk space for every minute of music; but this music will be at true CD quality without even the minimal degradation of quality found in MP3 or AAC formats. Apple Lossless files are encapsulated in MPEG-4 wrappers; thus, they have an .m4a filename extension. These files are not, however, AAC files.

  • MIDI (Musical Instrument Digital Interface) Completely unlike all the preceding formats, MIDI is not a series of samples at all, but a synthesized music format. MIDI files are generally tiny compared to sampled music files such as AAC and MP3only 20 to 50 kilobytes (KB)because all they contain are lists of commands comparable to what you would see on a piece of sheet music. MIDI files depend on a library of playback technology to interpret these commands, as an orchestra would read the sheet music in front of it; both Windows and Mac OS X can play MIDI files natively, but the playback quality of a MIDI file depends greatly on the quality of the synthesized instruments in the software you use. iTunes can add MIDI files to its Library and play them using the QuickTime MIDI instruments, but you cannot transfer these files to the iPod. MIDI files generally have a .mid extension.

iTunes lets you convert between most of these formats, if not bidirectionally, at least from each to a native format such as AAC or MP3. In the tasks in this chapter, you will see how to take advantage of the strengths of these different formats as you bring in your music from varying sources to consolidate it into your digital iTunes Library.

Video File Formats

Video files have their own set of formats, each defined by the company or software that originally popularized it. Some video formats are just frameworks that can support many different codecs (encoding and decoding algorithms); others are more monolithic in nature, with the format and the codec being synonymous. What you have to know is that iTunes works with all the video formats supported by Apple's QuickTime multimedia architecture, but the iPod supports a much more limited range of file formats.

  • MPEG Developed by the Moving Picture Experts Group in the early 1990s, MPEG (whose files end in .mpg or .mpeg) is a format that's widely supported on all computing platforms, including QuickTime and iTunes. The original MPEG standard (MPEG-1) contains the specification for MP3 audio files, as described earlier. The audio and video tracks in an MPEG file are multiplexed or "muxed," meaning that they're tied together and cannot be independently edited. In iTunes, an MPEG file is listed in the Kind column as QuickTime movie file. Because MPEG's compression technology is not particularly advanced (and thus its quality-for-file-size compromise is not ideal), MPEG files are not supported on the iPod; however, iTunes can convert them to an iPod-compatible format. (See [image] Put Your Home Movies and Downloaded Videos on Your iPod.)

  • AVI The Microsoft multimedia container format, Audio/Video Interleave is a framework developed in 1992 that supports a wide variety of different codecs. The most popular video format on the Internet today (used for distributing illicit recordings of movies and TV shows, in the same way that MP3 files became the preferred format for digital music piracy) is AVI with the DiVX codec or one of its relatives. Even though QuickTime can play AVI files as long as it recognizes the codec, you cannot import AVI files into iTunes or transfer them to the iPod.

  • Flash Popularized in the late 1990s by Macromedia (now Adobe), Flash is very different from the other types of video files listed here. It's a sprite animation framework that uses vector images described by mathematical curves. This approach results in quite small file sizes even for long-running videos; thus, Flash has become very popular for distributing movies over the Internet. However, Flash files (with an .swf) extension) are supported only to a limited extent by QuickTime and cannot be added to iTunes or transferred to the iPod.

  • Windows Media A comparatively recent development by Microsoft, Windows Media Video (.wmv) files are a proprietary standard being popularized by the movie-making tools that are built into Windows, and they are one of the more common video formats on the Internet today. (WMV is the video counterpart to WMA.) Windows users can play WMV files natively in Windows Media Player; Mac users can play them in the QuickTime player using a free plug-in from Flip4Mac and Microsoft (http://flip4mac.com/); this plug-in also allows Mac users to import WMV files into iTunes. However, you cannot transfer these WMV files to the iPod, and because a plug-in to add WMV support to QuickTime is not available for Windows, you can't add WMV files to iTunes in Windows.

  • QuickTime Apple's own venerable video framework, QuickTime files work like AVI files in that they can use any of a myriad of different codecs, including very modern ones such as MPEG-4. The .mov extension can be confusing; it indicates a QuickTime wrapper on a movie file that can be self-contained or just consist of a pointer to another file or set of files on your disk or on the Internet. Most .mov files that you find on the Internet are in a popular codec such as Sorenson 3 or MPEG-4/AVC (H.264) and can be used in iTunes with no trouble. However, you have to convert some QuickTime files to a compatible format (see [image] Put Your Home Movies and Downloaded Videos on Your iPod) before you can transfer them to the iPod.

  • MPEG-4 The newest iteration of the MPEG standard is the native and preferred format for both iTunes and the iPod. It's also the foundation for the modern QuickTime architecture. MPEG-4 files can contain any of several different codecs, but the most efficient one (and the one used by iTunes and the iTunes Music Store) is H.264, also known as AVC (Advanced Video Coding), which enables videos to display a broadcast-quality picture at a file size that is suitable for downloading. As with AAC audio files, MPEG-4 files come in both protected and unprotected varieties, although both use the extension .m4v (MPEG-4 Video). Unprotected MPEG-4 files also use that extension. You can import any MPEG-4 video file into iTunes and transfer it to the iPod for portable viewing.

In summary, iTunes can import and play MPEG, AVI, QuickTime, and MPEG-4 files (and WMV files if you have a Mac and the Flip4Mac plug-in). To transfer movie files to the iPod, you must ensure that they are in MPEG-4 format, although iTunes can convert several kinds of files to MPEG-4 for use on the iPod.

Styles of Music and Video in iTunes

iTunes distinguishes between a number of different kinds of entertainment media, depending on how the media is presented and what mechanisms exist for organizing it. Following is a list of the different kinds of media you'll find in iTunes:

  • Digital music Any music, spoken word, comedy, or other audio that you would normally expect to find on CDs. This is the bulk of what you'll collect in iTunes, and iTunes' primary goal is to make the navigation and playback of your digital music as versatile as possible. Digital music can be in MP3, AAC, AIFF, WAV, Apple Lossless, or MIDI formats (although MP3 and AAC are the most common). Digital music is organized in the Library, which is at the top of the iTunes Source pane.

  • Podcasts A podcast can be anything from a simple downloadable MP3 file of a guy talking, to a multichapter audio stream of music, comedy, politics, and commentary with artwork displayed at each named chapter marker, or even a video stream in MPEG-4 format. Because a podcast is episodic in nature, with new episodes being released on a regular basis (often weekly), you subscribe to a podcast using the URL (Web address) of its RSS feed (see [image] Watch for Newly Added Music Using an RSS Feed) or by selecting it in the Podcast directory of the iTunes Music Store. iTunes then downloads new episodes when they become available, and it alerts you to episodes you haven't played yet using a blue dot that also appears next to the episode's listing on the iPod. Podcasts by default support automatic bookmarking, which means that iTunes keeps track of your place when you stop listening to the audio stream and resumes at that point when you play the podcast episode again. It even synchronizes the bookmark to the iPod so that you can go from iTunes to the iPod and have the episode always pick up right where you last left off. See [image] Subscribe to and Listen to Podcasts for more details.

Key Terms

Bookmarking Not an official term; refers to iTunes' ability to keep track of where you left off listening to a podcast or audiobook or stopped watching a TV show; iTunes starts there again when you view the item again, whether in iTunes or on the iPod. You can enable or disable bookmarking on a per-file basis in the Options pane of the Info window, using the Remember playback position check box.

Audiobook The digital equivalent of the spoken-word tape. It's a special kind of digital audio file that plays for a long time as its content (the text of a book or speech) is read. The file supports automatic bookmarking and multiple internal chapter markers, and the iPod has the ability to speed up and slow down the rate at which it is read.

  • Audiobooks An audiobook is the digital equivalent of a book on tape. Spoken narration of a book is recorded into a long audio file, usually in AAC format, and distributed in several parts that can each last for hours. A single audio file representing a part of the book can have its own subdivisions, or "chapters," that you can skip to using the selector that appears next to the status display in iTunes when you're playing it. Audiobooks support automatic bookmarking, making sure that you don't lose your place in a long stream of narration. The iPod, additionally, can speed up or slow down the playback speed at which the audiobook is read without affecting the pitch of the narrator's voice. Audiobooks are organized with your digital music in the iTunes Library, and they have their own listing in the Music menu on the iPod; see [image] Listen to an Audiobook or Podcast at Home or on the Go for more information.

  • Internet Radio A "stream" of audio data (usually in MP3 format) coming from a source on the Internet, Internet Radio data cannot be saved directly by iTunes, paused, rewound, or scanned using the scrub barit's a live stream to which you connect by specifying a web address to listen to. Favorite Internet Radio streams are added to your iTunes Library as you listen to them so that you can return to them whenever you want, but (naturally) you cannot transfer them to your iPod. Internet Radio streams sometimes use downloaded "playlist" files to schedule the playback of tracks that are stored on the server. Refer to [image] Listen to an Internet Radio Station for more information.

  • Movies This category of video files indicates standalone items such as short films from Pixar and Disney, home movies, and videos you download off the Internet, which can be in QuickTime or MPEG-4 format in iTunes, and only in MPEG-4 format on the iPod. Movies that you buy from the iTunes Music Store have automatic bookmarking turned on by default, allowing you to keep your place and return to the movie later. Other movies have to have bookmarking turned on manually to keep track of their playback positions.

  • Music videos A specific category of videos that you can buy from the iTunes Music Store, music videos are just like the ones you would see on MTVpopular songs set to video. These files do not support automatic bookmarking by default (they're usually no longer than a typical song, so bookmarking isn't really important), but you can turn it on for individual files if you want.

  • TV shows Released sequentially as they're broadcast new, and in complete "seasons" (analogous to "albums" for music), TV shows are episodes of popular television series from any of more than a dozen popular networks. Because they have no commercials, half-hour episodes last for about 22 minutes and hour-long episodes are 45 minutes, although some cable shows that were designed to be broadcast without commercial interruption last for the complete hour. TV shows support automatic bookmarking so you won't lose your place in iTunes or on the iPod.

  • Booklets Presented as premiums in the iTunes Music Store, usually accompanying special packaged sets of digital music such as the $150 The Complete U2, digital booklets are computerized versions of the books you might expect to get in a premium CD or boxed music set at the record store. Containing such things as lyrics, biographies, interviews, cover art, and artist commentaries on the music it accompanies, booklets are listed in the iTunes Library along with the artists and albums to which they pertain.

These subdivisions of your audio and video files allow you to narrow your searching scope when you search for music or videos using the Search box. (See [image] Find and Play Music in iTunes for more information about searching.) Be sure to familiarize yourself with the subtle differences between each of these types of media, because when you want to dial up a specific podcast episode, audiobook chapter, or TV show episode on your iPod, you need to know what groupings to look for on the way to your desired content.


Section 9. Import a Music CD into iTunes

9. Import a Music CD into iTunes

Before You Begin | See Also
Run iTunes for the First Time | Get CD Track Names Manually
 | Add Album Art to Songs
 | Create an Audio CD from a Playlist
 | Re-Import a Music CD for Improved Quality

Chances are that you've already got a collection of music on compact discs. In fact, you might have dozens of discs taking up room in organizers, spilling out onto shelves, getting their contents mixed up with their jewel cases, slowly driving you mad. Finding and playing music on your CDs, unless you're superhumanly organized, might be getting to be more of a hassle than it's worth.

Now that you have iTunes, it's time to put an end to all that. With a couple of clicks of the mouse, you can convert each of your commercial CDs into a catalog entry in the iTunes Libraryready for you to select and play at a moment's notice.

Tip

iTunes also makes a dandy player for any of your CDs, even if you don't want to import its music into the iTunes Library. Just insert the disc as shown in this task, wait for the track names to be downloaded, and then play the tracks as described in [image] Find and Play Music in iTunes. iTunes also keeps records of the downloaded track names and applies them to the files on the CD if you look at them in the Finder or Windows Explorer.

Import a Music CD into iTunes

Connect to the Internet

This step is optional but highly recommended. iTunes has to be able to connect to the Internet to download the album name and the titles of the tracks included on each of your CDs. Standard music CDs don't have this track name information embedded into themthe information on the CD itself is just several tracks of raw CDDA audio data, and the only way that the disc can address the data is by track numbers. The titles and album name are included only in the printed liner notes.

This is the reason for the existence of Gracenote (http://www.gracenote.com), also known as the CDDB, or CD Database. Gracenote is a publicly accessible database of CD names and track titles, defined using each CD's unique combination of track lengths. It's highly unlikely that any two different discs will have the same number of tracks with all the same track lengths. The unique arrangement of each disc's tracks and lengths enables iTunes to submit your CD's raw track information to Gracenote and immediately get back a response containing all the CD's track names, which are then applied to all the tracks on the CD in iTunes.

Note

Gracenote's database is populated through the volunteer efforts of millions of ordinary computer users like you. Its information might thus be inaccurate or incomplete. If you find errors in the downloaded track names from Gracenote, make the changes necessary (as shown in Step 4) and submit them to Gracenote as described in [image] Submit CD Track Names to the Gracenote Database.

Insert the CD You Want to Import

First select an audio CD that you want to add to iTunes' Library. Open your computer's CD drive and insert the disc. Close the drive door and wait for the disc to spin up.

Tip

If you have a lot of music CDs to import, you can save time by setting up iTunes to automatically begin importing the music off every disc you insert. First open the iTunes Preferences window. (Choose Edit, Preferences in Windows or iTunes, Preferences on the Mac.) Then, in the Advanced section, click the Importing tab and choose the Import Songs or Import Songs and Eject option from the On CD Insert drop-down menu.

Wait for Track Names to Be Downloaded

If you're connected to the Internet, iTunes contacts the Gracenote database and submits your CD's track lengths; if Gracenote finds a match, it returns the name of the CD album and the titles of all the tracks. In iTunes' song listing, the track names are applied to the tracks, and the disc is labeled with its album name.

Note

If you're on a dial-up modem connection, depending on your system configuration, iTunes might cause your modem to automatically connect to the Internet so that it can obtain the track names.

In the unlikely event that two or more disc entries in the Gracenote database have the same sets of track lengths, you are prompted to select the appropriate one. If you can't tell which one is correct (for instance, if two different people submitted significantly different information for the same disc), choose one; if you don't like the results, query the Gracenote database again as explained in [image] Get CD Track Names Manually.

If you don't have an active Internet connection, iTunes lists the disc as Untitled CD and shows the tracks with names such as Track 01, Track 02, and so on. See [image] Get CD Track Names Manually if you inserted the CD before you connected to the Internet.

Make Necessary Edits to Track Names

Gracenote's information might contain typos or outright errors. (As a volunteer project dependent on user input, it's not perfect.) You can correct these errors before importing the tracks. In fact, it's best to do it now instead of after importing so that when you insert the CD again, iTunes remembers the corrected information for the CD's tracks and not the erroneous data from Gracenote.

Click once on any song shown in the song listing to select it; click again in any of the displayed fields, such as the Song Name field. The field turns into an editable text box showing the field's current contents. You can type a new name for any track, change the artist name, adjust the genre (the style of music), change the year when the album was released, or make other similar changes. Alter the disc's album name by clicking its text label in the Source pane. Press Return or Enter to accept the changes to the name.

An alternative way to make changes to track informationand a more complete one that gives you access to far more fields than just the ones visible in the listingis to select a song and then choose File, Get Info (or right-click the song and choose Get Info from the context menu). In the dialog box that appears, make any changes you want to that track's information, and then click OK to apply them.

Select multiple tracks (hold down Shift as you click to select a range of songs, or hold down Ctrl or [image] to select individual noncontiguous tracks); then choose Get Info to edit certain fields of all the selected tracks at once. This is an excellent way to change (for example) the Genre field of all the tracks at once, if Gracenote supplied information claiming that the CD is a rock album but you would classify it as pop or alternative.

Tip

If you want to import only certain tracks and skip others, disable the small check box next to each track that you don't want to import.

Import the CD Tracks

When all the track names are adjusted to your liking, click the round Import CD button in the upper-right corner of the iTunes window. The disc spins up and iTunes starts copying the music data onto your computer. Internally, iTunes is copying the raw CDDA music streams to memory and then encoding them to AAC format, into which it copies all your edited track information as it saves each song file to the hard disk. The speed of this process depends greatly on the performance of your computer. A high-end Intel Core computer, or a Pentium IV or Power Mac G5, can import at 25x or higher (25 times the speed of raw playback), and is in fact limited more by the data transfer rate of the CD drive than of the speed of the CPU. Older computers can import only at slower speeds, such as 10x or even as little as 5x.

Tip

By default, your music is imported in unprotected AAC format, the most efficient and high-quality format that iTunes supports. If you want to use a different format, such as MP3 or a lossless format such as AIFF or Apple Lossless, or if you want to adjust the bit rate or other options on the imported files, see [image] Import a CD in CD-Quality (Lossless) Format.

By default, iTunes plays the songs on the CD as you import the tracks. You can turn off this behavior in the Advanced, Importing section of the iTunes Preferences window.

Note

Tracks toward the end of the disc import faster than the ones at the beginning because CD audio is encoded from the center of the disc outward, and the outside of the disc moves fastermoving more data linearly past the sensor per secondthan the inside of the disc.

As iTunes finishes importing each track, a green check mark appears next to that track in the song listing, and you can switch to the Library view to see the tracks in your library. (Incomplete tracks are shown in gray and cannot be played.) When all the tracks have been imported and you hear the musical chime that signals the completion of the process, click the Eject icon next to the disc name in the Source pane, or simply eject the disc from your CD drive.

If your CD is damaged and iTunes has difficulty importing the tracks, refer to [image] Re-Import a Music CD for Improved Quality for some techniques you can try.

For the finishing touch, see [image] Add Album Art to Songs to give your imported music the graphical content it needs to really give you the full experience of your old physical CDs.


Section 10. Get CD Track Names Manually

10. Get CD Track Names Manually

Before You Begin | See Also
Import a Music CD into iTunes | Submit CD Track Names to the Gracenote Database
 | Extract a "Secret Track" into the iTunes Library

If you forgot to connect to the Internet before inserting an audio CD, don't paniceven though it looks like you're stuck with an Untitled CD with tracks unhelpfully labeled Track 01, Track 02, and so on, you're not out of options. A command in iTunes' Advanced menu lets you send a new query to the Gracenote database even after iTunes has given up trying to find the disc's correct track listing. You don't have to painstakingly type in all the track information yourself.

Note

This task describes how to retrieve track names if you haven't yet imported the CD. If you have already imported a CD with generic track names, you can type all the names in manually, or you can import the CD again (making sure that you connect to the Internet first). See [image] Re-Import a Music CD for Improved Quality for the procedure.

Get CD Track Names Manually

Insert an Audio CD

Select an audio CD that you want to add to your iTunes Library. Insert it into the computer's CD drive and close the drive door. Wait for iTunes to populate the CD's track listing; if you don't have an Internet connection, the tracks are given generic names such as Track 01, Track 02, and so on.

Connect to the Internet

You must have an active Internet connection at this point. Kick your teenager off the phone and dial up your modem; or connect your laptop to the local wireless network. Make sure that your connection is active by trying to connect with your browser to a website or two.

Get CD Track Names

Choose Get CD Track Names from the Advanced menu. iTunes makes a fresh attempt to contact the Gracenote database and replace its existing list of generic track names with the correct names from the database.

If you were presented earlier with multiple choices of disc entries, and you picked one whose contents turned out not to be correct, you should be given the same choices again; be sure to pick another disc entry this time around.

Import the CD Tracks

Click Import to copy the music from the CD into your iTunes Library. When you hear the musical chime, eject the CD and switch back to the Library view (click Library in the Source pane) to enjoy your imported music.

Tip

Some CDs simply don't have entries in the Gracenote database. If you can't get track names for your CD no matter what you do, enter all the track names yourself and see [image] Submit CD Track Names to the Gracenote Database to do a good deed for your fellow fans.


Section 11. Add a Music or Video File to Your iTunes Library

11. Add a Music or Video File to Your iTunes Library

Before You Begin | See Also
Run iTunes for the First Time | Import Your Existing Digital Music Collection into iTunes
 | Put Your Home Movies and Downloaded Videos on Your iPod
 | Customize Importing Options
 | Convert Audio Files to Other Formats
 | Examine and Modify Song Information Tags

Not all your music files are found on physical CDs. Chances are, if you've been on the Internet for any length of time, you've received or discovered music files (usually in MP3 format) from time to timewhether the files are of popular songs or of any other nature, such as comedy routines, political speeches, demo songs from a friend, or archived radio broadcasts. Perhaps you're an amateur or professional musician creating music using applications such as Ejay or GarageBand, and you want to add your productions to your iTunes Library so that you can enjoy them with the rest of your music and transfer them to your iPod to take with you. Or perhaps you've just found a lot of music you like using file-sharing services. (But of course, you wouldn't do that.)

Fortunately, adding these files to iTunes is pretty easy, and you can do it one of two ways: by navigating to the file's location or by dragging and dropping. iTunes can import songs in MP3, AAC, AIFF, WAV, or MIDI format. In Windows, it can also import unprotected WMA files, which it automatically converts to AAC format during the importing process. Video files in MPEG-4 or QuickTime format can be imported in this way, too.

Add a Music or Video File to Your iTunes Library

Add a File by Navigating

Choose File, Add File to Library (in Windows) or File, Add to Library (on the Mac). A file picker dialog box appears. Use this picker (which is in the standard form for your operating system) to navigate to the location on the hard disk of the music file you want to import. Select the file and click Open or Choose. (You can also select multiple files at once by holding down Shift, Ctrl, or [image] as you click.) iTunes copies the file into an appropriate place in your iTunes Music folder, filing it into subfolders named according to the embedded info tags (if present). The original file is left untouched on your hard disk.

A reference to the file is now available in your Library, and its info tags are added to the navigation lists (Artist, Album, and Genre), if present. If the file is a video, it's also available by clicking Videos in the Source pane; this action shows you a "thumbnail" preview of the video floating over a reflective black surface along with its embedded information.

Tip

If you prefer, you can have the iTunes Library point directly to the file in the location where you added it, instead of copying it into the iTunes Music folder. To do this, turn off the Copy files to iTunes Music folder when adding to library check box in the Advanced, General section of the iTunes Preferences window. (Choose Edit, Preferences in Windows, or iTunes, Preferences on the Mac.)

Add a Folder Full of Files

Suppose that you like to keep all your MP3 files in a certain folder on your disk; or suppose that you have a folder that resulted from unpacking a ZIP archive of a certain collection of MP3 files, such as a ripped CD album. Instead of picking each file individually to add it to the iTunes Library, you can instead choose the whole folder. iTunes imports all the importable files in that folder and ignores any nonimportable files; it even searches subfolders for files to import, making it a one-step process to add a whole folder-tree full of music and video files.

Note

Adding a large number of files at once to the iTunes Library, as when importing a whole folder tree, can be a time-consuming process. iTunes must duplicate every file and sort all the copies into the iTunes Music folder. You must also be sure to have sufficient hard disk space to hold all the copies of the music you import because you'll end up with two copies of everything.

On the Mac, the process for adding a folder is the same as in Step 1: In the file picker window, simply select the folder name (instead of selecting an individual file within the folder) and click Choose. In Windows, however, choose Add Folder to Library from the File menu; a separate kind of picker appears, showing you the folder tree structure beginning with your Desktop. Open folders in the tree until you see the folder you want; click to select it and then click OK.

Note

iTunes does not create duplicate entries in its database for the same audio or video files. You can drag a file into iTunes as many times as you want, but it doesn't create an additional entry or lose track of the file. This means you can safely and cleanly add a whole folder full of MP3s, even if you've already added some of the individual MP3 files inside it to the iTunes Library. The Date Added field for those files isn't even updated.

If duplicate files do appear in your Library, you can eliminate them using the steps in [image] Eliminate Duplicate Tracks.

Drag a File or Folder into iTunes

Another, more direct way to add a file or folder to iTunes is to simply drag and drop it into iTunes. In the Finder or Windows Explorer, navigate to the file or folder that you want to import; with the iTunes window open, click and drag the item into the song listing pane of iTunes (the main body of the window, below the Browse lists). The + icon on the mouse pointer indicates that the item will be added to iTunes when you release the mouse button. When the mouse is in the iTunes window and the + icon is visible, drop the item into iTunes to add it to the Library.

Tip

You can also drag files or folders to the iTunes icon in the Dock in Mac OS X to add them to the iTunes Library.

Find the File You Just Added

iTunes doesn't automatically scroll to show you the file you just added. If you want to find the file, the easiest way is to type its filename into the Search box while the Library item is selected in the Source pane. As you type, the song listing narrows to show you only the matching songs in the Library.

Another way to locate the newly added song is to scroll horizontally to the Date Added column in the song listing pane (see [image] Customize Which Information Columns Are Displayed if this column is not there) and then click the column heading twice to sort the songs on that column in descending order. The newly added song (or songs) should be at the top of the list.

If the file you added is a video, click Videos in the Source pane to see the video as an icon in a specialized presentation screen without music files getting in your way.

Fill Out the Info Tags

If the song files you imported weren't created using iTunes or a similar program with access to the Gracenote database, chances are that the info tags aren't completely filled out. Without all the info tags properly set, you can't navigate to the song using the Artist and Album lists, as you can with tracks you imported properly from a CD or bought from the iTunes Music Store. Select a song and click in various fields to make changes to its fields. Alternatively, select the song and choose File, Get Info (or right-click the song and choose Get Info from the context menu) and make the changes in the comprehensive info tag editor window.


Section 12. Import Your Existing Digital Music Collection into iTunes

12. Import Your Existing Digital Music Collection into iTunes

Before You Begin | See Also
Run iTunes for the First Time | Add Album Art to Songs
Add a Music or Video File to Your iTunes Library | Put Your Home Movies and Downloaded Videos on Your iPod
 | Examine and Modify Song Information Tags
 | Eliminate Duplicate Tracks
 | Restore Your Music Library Database from a Backup Copy

Let's face it: You probably already have a number of MP3 files on your computer. If you've been using the Internet for a while, you might have hundreds or even thousands of MP3s, either imported from your CD collection using other software or obtained from the Internet. iTunes makes no judgments about where your music comes from; it organizes it all equally, letting you transform your flat listing of music files in a folder somewhere on your computer into the multilevel database that makes iTunes' music navigation so easy.

This task lets you bring your collection of MP3 filesno matter how largeinto iTunes with a full understanding of the consequences of the organizational options that iTunes gives you. First you set iTunes to treat imported files the way you want it to; then you import your music collectionas lengthy a process as that might beas described in [image] Add a Music or Video File to Your iTunes Library.

Import Your Existing Digital Music Collection into iTunes

Open the Preferences Window

Open the iTunes Preferences window. (In Windows, choose Edit, Preferences; on the Mac, choose iTunes, Preferences.) Click the Advanced tab, and then click General.

Choose to Copy Music Files to the iTunes Music Folder

The Copy files to iTunes Music folder when adding to library check box determines exactly what happens when you import a new file or group of files into the iTunes database. If the check box is enabled, iTunes makes a duplicate of each imported file and places it into an appropriate place in the iTunes Music folder, in subfolders based on the Artist and Album info tags. If the check box is disabled, the iTunes database instead points to added music files wherever in the system they happen to be; it does not duplicate them into its own folder.

The default behavior is to allow iTunes to copy newly added files into its managed folder, which keeps all your music files neatly organized in a single location. You might want to turn this feature off if you like keeping certain "one-off" MP3 files in a certain folder outside your iTunes Music folder for quick access in the Finder or Windows Explorer or by other applications but you also like to use iTunes to play those files from time to time.

Enable the option if you want iTunes to keep its own copy of each music file in its own folder, to do with whatever it needs, while leaving your original copy untouched. Disable the option if you don't want iTunes making duplicates of all your imported files, a process that doubles the disk space that your music files need (at least until you get rid of the originals).

Note

If there isn't enough space on the hard disk to create the necessary duplicates, iTunes stops copying and reports the error condition so that you can free up some space before trying again.

Choose to Keep Your iTunes Music Folder Organized

The other relevant option in the Advanced tab of the Preferences window is Keep iTunes Music folder organized. With this option enabled, every change you make to the info tags of a file in the iTunes interface is reflected immediately in the files themselves. For instance, if you change the title of a song, the file is renamed in the background to match (with a prefix reflecting the disc number, if it's part of a CD set, and the track number). If you change the artist name or album name, the folders into which the file is organized are also renamed and the file is moved accordingly. Disable this option if you don't want iTunes messing around with your files' names.

For example, if you want to import all your music into iTunes while leaving the files in their original locations on your hard disk and with their original names, disable the Copy files to iTunes Music folder when adding to library option. If you want iTunes to copy your music files to the iTunes Music folder and add them to appropriate locations in the folder tree depending on the initial state of the Artist and Album info tags in each of the files, but not to update the folders or filenames after they've been imported, enable the Copy files to iTunes Music folder when adding to library option but disable the Keep iTunes Music folder organized option. If, however, you want to allow iTunes to perform all the organizational duties for which it was designed, taking full advantage of all the flexibility of music files with rich info tag data, leave both options enabled; this means you'll always be able to navigate to your appropriately named music files in the Finder or Windows Explorer, just as easily as you can in iTunes.

Note

If you re-enable the Keep iTunes Music folder organized option after you initially disabled it, iTunes must perform a check against all the songs in its Library to make sure that all the filenames are accurate. This process can take a long time, and you can quit it by clicking Stop; but it's a good idea to let it finish making everything neat, so be patient.

Add Your Music Collection to iTunes

When the two important settings are configured to your liking, click OK to close the Preferences window. Now you're ready to bring all your music into iTunes.

If you have several music folders and a lot of time on your hands, you can import each folder individually into iTunes as described in [image] Add a Music or Video File to Your iTunes Library. However, the most fun wayespecially if you enabled both organizational options in Steps 2 and 3is to throw all your files into iTunes at once, even if you have thousands of songs in your collection. To do this, first consolidate your music collection by placing all your folders of MP3s into a single parent folder. Then drag the parent folder into the song listing area of the iTunes window and release the mouse button when you see the + icon on your mouse pointer.

Depending on the speed of your computer and the number of files you have, the length of the ensuing process can be several minutes or more, even up to the better part of an hour. As iTunes copies and sorts your music files, you can watch them being filed away into the appropriate folders within your iTunes Music folder. iTunes will be unresponsive, but using the Finder or Windows Explorer, you can watch your music collection be organized for you while you wait.

Note

If any unprotected WMA files are among your music collection, iTunes pops up a window that notifies you that it will be converting these files to AAC format as it imports them. The AAC files are organized into the appropriate folders, and the original WMA files are left untouched on your hard disk.

Fill Out Missing Info Tags

Now begins a task that will probably take you days, if not weeks or months, to finish to your satisfaction, depending on how obsessively neat you are: editing all the newly imported entries in the iTunes database so that all their info tags are properly filled out. Whether you've chosen to let iTunes update the underlying filenames or not, keeping the info tags correctly updated is important to allowing you to navigate efficiently, set up Smart Playlists based on the info tags, and share the music over the local network or to your iPod in such a way that you can navigate it smoothly. See [image] Examine and Modify Song Information Tags for more information on updating your songs' details, and [image] Add Album Art to Songs to enhance your songs with appropriate album art.


Section 13. Add Album Art to Songs

13. Add Album Art to Songs

Before You Begin | See Also
Import a Music CD into iTunes | Automatically Download Album Art
Add a Music or Video File to Your iTunes Library | Carry and View Digital Photos and Slideshows on an iPod

As convenient and versatile as digital music files are, they can't replace certain things about CDs. There's just something special about being able to pick up a CD case and identify it by the artwork on its cover; a listing of songs in bare text format just doesn't bring with it quite the same cachet, especially when the listing for a Mozart symphony looks just the same as the one for a ska band or stand-up comedian's routine. Furthermore, CD albums tend to come with booklets full of lyric sheets, interviews, cast and crew information, and moresome very extensive and thick. Where is the equivalent of these things in the digital music world?

iTunes can't quite provide the same experience that these features of CDs give you. However, you can add album art in the form of digital image data to the headers of your MP3 or AAC files. A scanned picture fileeven a high-resolution oneis only a few hundred kilobytes (KB) at most, compared to the 3 or 4MB of a complete digital audio file; thus, adding a piece of album art to a song, or even several pictures at once, doesn't materially increase the impact on your disk space. It can, however, greatly enhance your enjoyment of your music by showing you what the album for the song you're listening to looked like.

Notes

Songs you purchase from the iTunes Music Store come with their own high-resolution album art already built in; some albums, usually premium "boxed set" collections, come with digital booklets containing lyrics and other information that would normally appear in a CD's booklet.

When you buy videos from the iTunes Music Store, they play in the same display pane that shows album art or in a separate window, and iTunes selects their thumbnail icons (shown in the Videos view) automatically from the first few seconds of the video.

Add Album Art to Songs

Obtain Album Art Images

The first step is to get one or more images of the album art for a given CD album. If you have a scanner, you might choose to scan the cover of your CD jewel case insert, in addition to some of the pages from the interior of the insert booklet. Consult the documentation for your scanner if you choose to do it this way; save the final picture files with at least 500 pixels of resolution in both width and height, but don't make it much bigger than 1000 pixels square. Save the image file in JPEG format for the best compression/quality balance. Try to keep each picture less than 200KB in size.

If you don't have a scanner, you can usually find acceptable album art images on the Internet. AMG's Allmusic service (http://www.allmusic.com) has comprehensive discographies for almost all major bands, including album art that, although not very high-resolution, will do in a pinch.

Note

Some third-party programs are designed to search the Internet for album art images to add to iTunes; see [image] Automatically Download Album Art for more information.

Web Resource

http://www.allmusic.com

The Allmusic site, run by the All Media Guide (AMG), contains comprehensive discography listings of most well-known bands, including album art that you can use in your imported music files.

Add Album Art by Navigating

Use the Library view and the browse columns to navigate to the music you want to modify. Select a single song, and then choose File, Get Info (or right-click the selected song and choose Get Info from the context menu).

Tip

You can select an entire album, or all of an artist's works, by choosing it from the appropriate browse list. For instance, if you click Phil Collins in the Artist listing at the top of the iTunes window, and leave All selected in the Album listing, you can then choose Get Info to simultaneously edit all the information of all the Phil Collins songs in your Library.

If you select multiple songs and then choose Get Info, there is no Artwork tabinstead, in the Multiple Song Information window that appears, there is a small square to which you can drag the artwork picture file and apply it to all selected files at once.

Click the Artwork tab of the Info dialog box. This pane shows you all the album art that is currently embedded in the selected song. Use the slider in the lower-right corner to adjust the size of the thumbnails of the images. You can view the thumbnails one at a time at maximum size (click the Previous and Next buttons to scroll through the images associated with each song in the list in iTunes), or at any size down to 32 onscreen at once. You can add more than 32 images if you want.

Click the Add button to add another piece of art to the information for the selected song. In the file picker that appears, navigate to the location of the picture you want to add; select it and click Choose or Open. The picture is added to the display pane. Repeat for all the pictures you want to add to this song. (You can't add more than one picture at a time.) Click OK to dismiss the info window.

Tip

You can remove a piece of album art from a song by selecting it in the display pane of the info window and clicking Delete. If you select multiple songs and then view the Multiple Song Information window, you can clear the album art from all selected songs by clicking the artwork in the small square and pressing Delete.

Display the Viewer Pane

Click the Show or Hide Viewer Pane button under the Source pane in the iTunes window. A smaller pane, labeled Selected Song, opens above the button; this Viewer pane shows you any album art that already exists in a selected song, or a gray dashed box with a Drag Album Artwork Here message if there is no album art in the song.

Note

Click the Selected Song heading to switch the Viewer pane to Now Playing if music is playing. This action toggles between views of the album art for the selected song or for the currently playing track (if the track art is different from what's selected).

Drag in Album Art

A quicker way to add album art than the one described in Step 2 is to drag picture files from the Finder or Windows Explorer into the Viewer pane. This works whether you have selected a single song or a group of songs. First make sure the Viewer pane is displayed, using the button fourth from the bottom left; then make sure the Viewer pane is showing the Selected Song. (Click the header to change its mode if it shows Now Playing.) Then you will be able to drag picture files straight into the Viewer pane to apply them to all selected songs.

You can add multiple pictures at once this wayjust select multiple files and drag them all into the Viewer pane with one motion. You can even drag pictures directly from your web browser into the pane, without having to save them to your computer first.

Organize Album Art Images in a Song

When you have added multiple pictures to a song or group of songs, you will probably want to set the order in which that artwork appears. This way, you can be sure that the album cover artwork appears first, and that as you browse the pictures, they appear in the correct sequence. Open the info window again for a song or group of songs, and click the Artwork tab. Adjust the slider until all the pictures are visible at once. Now click and drag the pictures into the order you want them to appear. The first one should go at the upper left, and so on in the normal order you would expect in reading a page from left to right.

View Album Art

Click the small thumbnail image in the Viewer pane to display the full-resolution image in its own window. If there is more than one picture embedded in a song, use the Left and Right arrow buttons to page through the available pictures.

Tip

Drag the vertical divider to widen or narrow the Source pane. As the Source pane grows wider, the Viewer pane gets larger accordingly, keeping a square shape.

If you have an iPod with a color screen, the album art for the current song appears on the Now Playing screen. If you press the Select button several times to switch through the various control modes, you can view the artwork at the full size of the iPod's screen. The iPod keeps showing the album art and does not automatically revert to the regular Now Playing screen until you press Select again.


Section 14. Submit CD Track Names to the Gracenote Database

14. Submit CD Track Names to the Gracenote Database

Before You Begin | See Also
Import a Music CD into iTunes | Examine and Modify Song Information Tags

The reason Apple uses the Gracenote database to provide track names for inserted CDs is that it's the largest public database of track names available. It's the largest because it gets information from the millions of people using software like iTunes every day. Apple could have chosen to provide its own internal music database, with professionally entered informationas Microsoft did in the past for its own CD-playing softwarebut the inevitable result would have been that its information would have been much more limited. Apple chose to go with Gracenote's much greater coverage of all the thousands, if not millions, of CD albums available in the world, because the risk of occasional erroneous information was a small price to pay for the much vaster field of information that is available.

Note

The same philosophy is present in Wikipedia (http://www.wikipedia.org), the online collaborative encyclopedia whose contents are edited daily by everyone who happens to want to add anything. The risk of abuse is more than mitigated by the wealth of accurate and useful information that users provide and the general tendency of people to provide more correct information than bad.

As an iTunes user importing the music from your CD collection for the first time, you can do your part to make sure that the Gracenote database has the most accurate information possible. If you notice errors in the track name data it provides, simply make the necessary corrections and submit the changes back to Gracenote before you import each CD.

To submit CD track information, you have to start with a physical commercial CD, not just a collection of tracks in your Library.

Submit CD Track Names to the Gracenote Database

Insert an Audio CD

Select an audio CD that you want to add to your iTunes Library. Insert it into the computer's CD drive and close the drive door. Wait for iTunes to populate the CD's track listing; if you don't have an Internet connection, the tracks are given generic names, such as Track 01, Track 02, and so on.

Make Necessary Edits to Track Names

Using the info window or the displayed fields in the song listing pane, enter the proper names for the tracks on the CD. The best approach is to select all the songs on the disc, choose File, Get Info (or right-click the song and choose Get Info from the context menu), and make all the changes at once to as many fields as possible. Make sure that the CD's title is correct; if it's part of a multiple-disc set, fill in the Disc Number fields rather than putting an identifier such as [1/3] in the title. If you can, fill in the Composer, Genre, and Year fields, too. (Year should reflect the original release date of the album so that the music on the disc can be accurately pegged to a certain era in musical history.) Click OK when you're done; all the fields are updated to reflect your changes.

Connect to the Internet

If you're not connected to the Internet already, connect now. Dial up your modem or connect to the wireless or wired network, depending on your circumstances.

Submit CD Track Names

Choose Advanced, Submit CD Track Names. iTunes connects to the Gracenote site, checks the available categories, and submits your information. The information submitted uses the CD's track lengths as a key to find the correct database entry; it uses your edited track names as the information to submit. If an entry for your CD is already in the database, your new information will supersede it.

That's all there is to it. The Gracenote staff checks your submission for accuracy and adds it to the database usually within a day or two. Don't expect feedback or a thank-you from Gracenotebut from now on, anyone trying to import the same CD whose information you just submitted will get your more accurate information instead of what was available before.


Section 15. Import a CD with Joined Tracks

15. Import a CD with Joined Tracks

Before You Begin | See Also
Import a Music CD into iTunes | Customize Importing Options

Most CDs are designed so that you can play individual songs out of order, select them at random, mix them in with tracks from other discs, and so on. However, that's not the case with all CDs. Some discsfor example, CDs of live performances (in which audience applause carries over from one track to the next) or spoken-word renditions of popular booksdon't sound very good when their tracks are shuffled around. Also, the technically inevitable "hiccup" that occurs between tracks (particularly on the iPod) can disrupt the flow of these unified streams of audio enjoyment.

iTunes provides a solution for this problem: You can import groups of CD tracks as joined tracks, meaning that several tracks are merged into a single unbroken digital audio file with no "hiccups" or internal breaks of any kind.

Note

You can join tracks only when you are importing them from a CD. If you want to join tracks that are already in your iTunes Library, burn them to an audio CD, and then join and import the tracks. See [image] Create an Audio CD from a Playlist for more information.

Import a CD with Joined Tracks

Insert an Audio CD

Select an audio CD that you want to add to your iTunes Library. Insert it into the computer's CD drive and close the drive door. Wait for iTunes to populate the CD's track listing; if you're connected to the Internet, the correct track names should be downloaded automatically from Gracenote and applied to the tracks.

Select Tracks to Join

In the iTunes song listing, select two or more consecutive tracks on the CD. (Hold down Shift as you click.) Note that the tracks must be listed according to the track numbers (the first column) for the purpose of this task.

Join CD Tracks

Choose Advanced, Join CD Tracks. This command creates what is effectively a single long track from the selected tracks. When you import the CD, only one audio file is created from the joined tracks, taking on the name and other track info of the first track in the selection. (The individual track names and numbers are no longer available, although the imported album retains the original number of total tracks, and nonjoined tracks are not renumbered.) A "bracket" appears next to the joined tracks, indicating their joined status.

Tip

You can create multiple sets of joined tracks within a single CD, if necessary.

To unjoin a set of joined tracks, first select one or more of the joined tracks; then choose Advanced, Unjoin CD Tracks. However, note that this approach applies only to tracks you haven't yet imported; once the tracks are imported as a single joined file, you can't split them up again without painstaking manual editing in a specialized audio program.

Import the CD

Click the Import button to begin importing the CD into your iTunes Library. Examine the resulting songs in your Library when the process is done. You should see only a single long track in place of the set of joined tracks you selected, and their flow will be uninterrupted when you play back the track.


Section 16. Extract a "Secret Track" into the iTunes Library

16. Extract a "Secret Track" into the iTunes Library

Before You Begin | See Also
Import a Music CD into iTunes | Find Music Files from iTunes Entries
Add a Music or Video File to Your iTunes Library | Eliminate Duplicate Tracks

Sometimes the authors of CDs get sneaky on us. Sometimes they like to slip in a "secret" track, right at the end of the disc, after a long period of silence following the end of the final track. This practice is left over from the days of cassette tapes and vinyl LPs, when the tape or record might have several minutes of dead time left over at the end. An unsuspecting listener might hear silence after the end of the last track and, thinking that the tape was over, simply stop the player and rewind the tape. Only the true die-hard fans of the band would listen to the silence all the way to the physical end of the tape or record; these fans would be rewarded for their trouble by the occasional hidden "secret" track stuck in right before the end.

In the age of CDs, this practice made less sense, because any quick perusal of the track lengths would indicate that there was something fishy about a Track 12 that lasted for 14 minutes, especially if the song itself didn't run for more than the usual 3 or 4 minutes. However, some CD authors continue to do this, hiding "secret" tracks in plain sight.

But it's the iTunes age now, and we have control over our music that just wasn't possible in the earlier days. Now we can snip up that final 14-minute track, crop out the useless silence from the middle, and turn the "secret" track into a full-fledged track with its own rightful place in the song listing. We can listen to it without having to go through the preceding "real" track and the intervening silence first. After we've enjoyed the band's little joke, we can move on to organizing our music the "right" way.

Extract a "Secret Track" into the iTunes Library

Find the Song with the Secret Track

Navigate to the song in the Library listing that has the hidden track buried inside it. Select this song by clicking it; then choose File, Show Song File (or right-click the song and choose Show Song File from the context menu). This command opens a Finder or Windows Explorer window showing the selected song file.

Create a Duplicate of the Song File

In Mac OS X, click the song file to select it; then choose File, Duplicate to create an identical copy. In Windows, right-click the file and choose Copy; then right-click in the same window and choose Paste to create a duplicate of the file.

Add the Duplicate File into iTunes

Drag the newly created duplicate into iTunes to add it to the Library as described in [image] Add a Music or Video File to Your iTunes Library. There should now be two identical copies of the same song right next to each other in the Library view.

Name the Duplicate Track

Now it's time to choose a song name for the newly unhidden not-so-secret track. By their nature, these songs aren't normally shown in CD track listings, so you have to choose an appropriate title yourself. Type the new song name using the editable fields in the song listing pane or the info window.

It's also a good idea to choose an appropriate track number for this song. If there are 12 "official" tracks on the disc, and you enter 13 for the track number for the new song, the 12 in the "total" field (after the of) gets blanked out because it's no longer valid. You might want to update all the tracks in the album so that there are 13 total tracks. To do this, select all the tracks in the album (or select the album title in the Album list), choose File, Get Info, and update the "total" field (located after the of in the Track # column).

Adjust the End Time of the Original Track

Select the original track, the one from which you extracted the secret track. Play the track and move the scrub bar to the end of the first segment of audio, which is the end of the "real" track. Click the second line of the display until it reads Elapsed Time. Then write down the time signature it reports one or two seconds after the real track ends.

Move the playhead to the point where the secret track begins. Write down the time signature when this occurs; make sure to pick a time about one second before the track starts so that you don't end up missing the first sounds of the secret track.

Choose File, Get Info to display the info window; then click the Options tab. In this tab, you can customize the effective starting and ending time for individual tracks. That's ideal for your needs here, because what you want to do is snip out the silence in the middle of both the original and new filesand get rid of the irrelevant track of music from each of them. For the original song, set the Stop Time field to the time signature you wrote down for the end of the original track.

Adjust the Start Time of the Secret Track

Click Next to select the duplicate track. (Make sure that you have the right file by switching to the Info tab temporarily.) Set the Start Time field to the time signature you wrote down for the beginning of the hidden track. Click OK.

Now you have two separate tracks, for all intents and purposes, the same as if they had come off the CD that way. True, both tracks still report an erroneously long running time, but if you play either songin iTunes or on the iPodall that plays is the actual music, the part you care about.


Chapter 4. Using the iTunes Music Store

IN THIS CHAPTER:

About Digital Rights Management Technology

Sign Up for the iTunes Music Store

Browse the iTunes Music Store

Purchase a Song, Album, Video, or Audiobook from the iTunes Music Store

Purchase Music Using a Shopping Cart

Check for Purchased Music or Videos

Authorize a Computer to Play Purchased Music

Find More Music by Artists in Your iTunes Library

Publish a Playlist as an iMix

Give Gift Music to Someone Else

Redeem Gift Music, a Gift Certificate, or an iTunes Music Card

Create an iTunes Music Store Allowance

Request Music from the iTunes Music Store

Watch for Newly Added Music Using an RSS Feed

Tell a Friend About an Album in the iTunes Music Store

Create a Web Link to Your Favorite Music for Sale

Now that we're all used to buying our books online from Amazon.com, participating in auctions online on eBay.com, and even getting all our news and entertainment online, it seems silly that in the age of digital music, when song files can be transmitted more easily from computer to computer than albums carried from the record store to our house, we should still be limited to buying physical CDs when we want to add to our record collections.

Well, with the iTunes Music Store, all that has changed. At the time of this writing, the iTunes Music Store has sold more than 1 billion songs to customers on both the Mac and Windows platforms, at a pace that continues to climb daily as more and more people discover iTunes and the selection of music that grows by hundreds of albums every week, in addition to the rapidly expanding selection of video content such as TV shows, music videos, and short films. Priced at a constant 99 cents per track, $9.99 per album, or $1.99 per video, and offering customers the ability to buy just their favorite tracks instead of whole albums, iTunes offers a value that's hard for competitors to undercut and easy for the big record labels to like. With the built-in Digital Rights Management (DRM) technology in protected AAC and MPEG-4 files, customers get the flexibility they need and true ownership of the music they buy, and the labels get the assurance that they're not just giving out freely distributable digital songs at a dollar a pop. After all, the record companies also have to make a profit if digital music is to become a mainstream medium to supplant CDs.

The iTunes Music Store is designed to be as intuitive to use as iTunes is; but that doesn't mean it's completely without its quirks or hidden features. With the tasks in this chapter, you should become fully familiar with how the iTunes Music Store works, how to take advantage of its lesser-known features, and how to get the most bang for your buck as you build your iTunes Library through the fastest-growing legal means of music delivery on Earth.


Section 17. About Digital Rights Management Technology

17. About Digital Rights Management Technology

Before You Begin

About Music and Video Formats

By 1997 or so, the world had accepted MPEG-1 level 3 (MP3) as the de facto standard format for digital audio; it was versatile, ubiquitous, and mostly free. MP3 files, which are as little as 1/12 the size of their CD audio counterparts with almost no noticeable degradation in quality, can be played just about anywhere and by anything, from PDAs to cell phones to car stereos. Best of all, they have no Digital Rights Management (DRM) technology. Or, perhaps (depending on who you ask), that's the worst aspect of MP3 files. MP3s have been the scourge of the commercial music industry in recent years, enabling music enthusiasts to trade songs freely and amass huge collections of commercial music without paying for it. The large record labels demanded a form of MP3-like digital audio that gave users the flexibility they craved and yet allowed copyright holders to protect their property by allowing users to make only a limited number of copies of the files; they got it in the Advanced Audio Coding (AAC) digital music format and MPEG-4, the open and cross-platform video standard of which AAC is a component part.

In the iTunes Music Store, the restrictions placed on the purchaser by the protected AAC and MPEG-4 files it sells are as follows:

  • You can play purchased songs on as many as five different computers, following a one-time Internet-based authorization process that unlocks your digital ID for each of those five computers.

  • You can burn purchased AAC files to regular audio CDs by first putting them in a playlist and then burning a disc from that playlist as described in [image] Create an Audio CD from a Playlist. However, you can burn only seven copies of the same unaltered playlist before iTunes makes you stop. You can burn individual songs to CD an unlimited number of times.

  • iTunes users on the same network can connect to each other to listen to shared music libraries, but they must be authorized on their own computers to listen to shared protected music, and only five different listeners can connect to a single copy of iTunes in a given day.

The proposition of Apple's AAC copy-protection is an acknowledgment that some piracy, or willful breaking of the DRM, is inevitable. No copy-protection scheme is totally effective because any music that can be played through speakers can be re-recorded into an unprotected format (such as MP3) using a simple audio loop-back cable and recording software. However, because each song must be purchased before it can be downloaded, the would-be pirate must spend the money to buy each song and then painstakingly re-record it to the new unprotected format, a process that takes as long as it does every track to play at normal speed. This means that the risk of piracy is a linear one, requiring a commensurate amount of effort and payment by the would-be pirate for each stolen trackand the gamble is that pirates won't consider it worthwhile. Furthermore, people who are otherwise willing to search for free music on file-sharing services (which might be of poor quality) are likely to think $1 per track is a fair price for peace of mind and an assurance of quality. The same philosophy underlies the iTunes Music Store's restriction on being able to burn a single playlist of purchased songs to a CD seven times. Sure, a pirate can then simply re-create the playlist and continue burning bootlegged audio CDs of purchased music. But he can't do it in an automated fashion, without hands-on supervision, re-creating the playlist after every seven copies. This is a small speed bump standing in the way of pirates, but it is a speed bump nonetheless. And it's doing the job, judging by the fact that in three years, iTunes' reputation as a trustworthy provider of well-protected music and video has grown, and industry participation has grown with it.

Sales through the iTunes Music Store have skyrocketed since it was first opened.

[View full size image]

In contrast to the way that some competing DRM systems (such as the one used by Napster's subscription service) work, in iTunes' AAC system, you pay individually for each song at the time you download it, but the song files are yours to keep after you've bought them. Each file is keyed with your ID in the iTunes Music Store; this means that after you unlock a computer you use with your ID, you can freely play all the music files on that computer that you purchased using that ID. If you ever need to unlock your files in the future, all you have to do is authorize your computer using your ID with a simple communication over the network to the iTunes servers. There is no time limit to your ownership of the files or to your ability to authorize.

Note

You can authorize up to five computers to play music you bought, and you can deauthorize any authorized computer later at your discretion. See [image] Authorize a Computer to Play Purchased Music for more information.

In contrast, competing subscription services such as Napster allow you to freely download as many songs as you want, as long as your subscription is current. Each month you must reauthorize your computer through a transaction with the central server to retain access to your files. If your subscription lapses, your files become useless. For some users who prefer to browse with unlimited freedom and who don't mind paying a subscription fee forever, this kind of system might be acceptable. But Apple's bet is that most people prefer to own their music, not rent it.

Authorizing your computer in iTunes to gain access to downloaded AAC and MPEG-4 files.

The relationship between Apple and the labels and between both of them and the customers is a fluid one that continues to change. Apple periodically renegotiates the terms of the deal it has with the labels, sometimes because it wants to adjust the user experience to be more useful to the customer, and sometimes because the labels want to bump up the restrictions. For example, in mid-2004, Apple raised the limit on the number of authorized computers that a customer could have from 3 to 5; at the same time, it reduced the number of playlists you could burn to a CD from 10 to 7. This was part of a negotiation with the labels in which Apple gained more usability for its customers, while giving the labels more assurance against piracy. (Who really needs more than 7 copies of the same CD, anyway?)

DRM restrictions will always rankle some people, and with good reason: Copyright in the digital age is far from an established science. But in the meantime, you would be hard put to find a fairer or more generous purveyor of DRMprotected digital music than Apple and the iTunes Music Store.


Section 18. Sign Up for the iTunes Music Store

18. Sign Up for the iTunes Music Store

Before You Begin | See Also
Run iTunes for the First Time | Purchase a Song, Album, Video, or Audiobook from the iTunes Music Store
About Digital Rights Management Technology | Purchase Music Using a Shopping Cart

As with nearly all online purchasing systems these days, the iTunes Music Store requires a credit card for instant verification of purchases. Furthermore, because the ideal way for the store to work is that you select a song or album on an impulse and buy it with a single click, your credit card information must be saved in an account so that iTunes can access it automatically whenever you make a purchase.

If you're security conscious, this probably sounds riskyand it is, somewhat. With companies that are less than reputable, you would never want to store your complete credit card information invisibly on a central server where someone can access it without your knowledge. However, the inherent risk in such a configuration is diminished when you're dealing with a large company whose reputation is on the line with every customer it interacts with. If Apple were to be the target of accusations that it was ripping off its customers or giving out their credit card information, that would be the endnot only of the iTunes Music Store, but probably of Apple altogether. Apple can't afford to breach customers' trust by treating their sensitive information with anything less than the utmost care. Besides, Apple's method for storing credit cards centrally is no different from the "1-Click" settings you might have used at Amazon.com, a company that has as much to lose as Apple does from a credit-card-related scandal.

The bottom line is that you don't have to worry about something unsavory happening with your credit card as you use the iTunes Music Store. Millions of users have found that the benefits of using the store far outweigh any risks, and you likely will, too.

Sign Up for the iTunes Music Store

Connect to the iTunes Music Store

Make sure that you have a valid Internet connection. As with all tasks related to the iTunes Music Store, you can't connect to the store unless you're able to access the Internet.

Click the Music Store option in iTunes' Source pane. iTunes connects to the Music Store, an online service similar to a web page but contained entirely within the iTunes window. You should see the iTunes Music Store's main page, which includes many sections for navigating to music for purchase in addition to banner advertisements and special offers. In the upper-right corner of the iTunes window is an Account box that currently reads Sign In.

Note

If you connected a new iPod as described in [image] Connect Your iPod for the First Time, the Music Store option in iTunes shows you a welcome screen with some basic instructions for purchasing music and a listing of top downloadable songs. Click Visit the Music Store in the top-right corner to go to the iTunes Music Store's home page.

Click the Sign In Button

You can't buy music without signing in, and you can't sign in until you have an account. Click Sign In to begin the account-creation process.

Create a New Account

In the dialog box that appears, you can enter either an Apple ID (a .Mac email address, such as johndoe@mac.com, is a valid Apple ID if you have one) or an AOL screen name to sign in. If you don't have either a .Mac email address or an AOL screen name, or if you want to create a new iTunes Music Store account for any other reason, click the Create New Account button.

Enter an Account Name and Password

When you click the Create New Account button, iTunes begins a three-step process to set up your Apple ID and user account. First read the Terms of Service agreement and click Agree to proceed.

In the next screen, you set up your Apple IDwhich should be equal to your existing email addressand set a password by entering it twice (in the Password and Verify fields). Be sure to choose a good password. Use a mixture of capital and lowercase letters, numbers, and special symbols. Don't use a word that someone can easily find in the dictionary, or any other sequence of characters that is easy to guess (especially for a computer).

Notes

Apple's convention for creating new user IDs (used for the online Apple Store and .Mac in addition to the iTunes Music Store) is to use your existing valid email address, provided by your Internet service provider (ISP), as your Apple ID name. If you have a choice of working email addresses, you might want to use the shortest email address you have when signing up to avoid excessive typing when you log in.

You should also consider using an established, ISP-neutral address (such as a GMail or Yahoo! account) that you've had for a long time and plan to keep using for the foreseeable future; changing your Apple ID if you change email addresses can be bothersome.

Set a Security Question and Your Birthday

Provide a security questiona question that the iTunes servers can ask you if you forget your passwordthat only you can answer. The security question is a way to identify yourself to the server. For example, a good question would be "What is your favorite food?" or "What is your city of birth?" Type a simple answer that you can provide exactly as you type it here if Apple ever has to ask you the question to verify your identity.

Also specify your birth date, an additional security precaution. Finally, use the check boxes to determine whether you want to receive regular notification emails from Apple regarding newly added music or special offers. Click Continue to move to the final screen.

Enter Credit Card Information

Choose the credit card type you want to use to pay for your music purchases and enter the card number and expiration date. You can also opt to use a PayPal account. If you select the PayPal option, a web link appears instead of the credit card number verification that you can use to validate your PayPal account and link to your iTunes purchases. Click this link and go through the approval process to authenticate your PayPal details.

Key Term

PayPal An online financial broker that makes it easy for two parties to exchange money; found at http://www.paypal.com.

Next, enter your credit card billing details as they are registered with your credit card company. Click Done to save the information and create your Apple ID.

You should be automatically logged in at the end of the process; your Apple ID appears in the Account box in the upper-right corner of the iTunes window. If not, click the Sign In button and provide your Apple ID where prompted to sign in.


Section 19. Browse the iTunes Music Store

19. Browse the iTunes Music Store

Before You Begin | See Also
Sign Up for the iTunes Music Store | Purchase a Song, Album, Video, or Audiobook from the iTunes Music Store
 | Purchase Music Using a Shopping Cart

With or without an iTunes account, you can browse through the more than two million songs and hundreds of videos in the iTunes Music Store and see what it has to offer. However, if you want to purchase music, you have to sign in with a valid Apple ID.

There are a number of ways to search for music and other items in the store. You can go to a favorite genre and see top-selling artists; you can use the featured sections of newly added or popular albums on the main page; or you can go straight to a piece of music or a video that you know you want by searching directly for it by name. You can even browse all the categories of music in a columnar text browser similar to the navigation lists in iTunes itself.

Browse the iTunes Music Store

Sign In to the iTunes Music Store

In the iTunes window, choose Music Store from the Source pane and connect to the store. If you are not already signed in, click the Sign In button in the upper-right corner of the screen and provide your Apple ID (or AOL screen name) and password to sign yourself in.

Browse Featured Sections

In the middle of the Music Store's home page, stacked vertically and scrolling horizontally, are several sections showing newly available music in various categories: New Releases, Exclusives, Staff Favorites, and Just Added. Four to eight albums are shown in each display. The little bubbles in the top center of each display area indicate how many pages of music there are for each category (usually 4, for a total of 16 albums per section). Use the left and right arrows to scroll from page to page (the colored bubble moves to show which page you're currently viewing), and click any displayed album to go to that album's download page.

For the New Releases section, eight albums are shown at once, and there are clickable tabs that let you select from among six different genres of music.

Tip

No matter how far you navigate into the iTunes Music Store, you can see the path from the home page (indicated by a house icon) down to your current location in the bar above the Music Store display pane. Click any of the links in this path to return to that level, or click the house icon to go back to the home page. Use the left and right arrows to the left of the house icon to move back and forth through the history of your navigation throughout the store. No matter where a link takes you, you can always return to the previous page with the Back (left arrow) button.

Browse by Genre

Return to the home page of the Music Store by clicking the house icon in the navigation path. Use the drop-down list on the left side of the page to select a genre to browse. Each genre page has the same layout as the home page, with scrollable sections arranged horizontally so that you can discover featured albums.

Each genre has its own customized page, with sections pertaining to the genre's unique features, such as Women In Blues in the Blues genre, or Sounds For A Rainy Day in the Electronic genre. These sections work the same way as the scrolling horizontal sections on the home page. There are also usually common sections such as New Releases & Exclusives or Just Added in all genres.

Tip

From any of the major genre pages, you can click the names of the featured tracks in sections such as Today's Top Songs or Today's Top Albums. These links take you to the download pages of the songs or albums in question.

Browse an iTunes Essentials Collection

On the left side of the page in any genre screen is a box labeled iTunes Essentials. This is a gateway to one of the iTunes Music Store's most compelling features: dozens of customized collections of music organized by professional staffers at the Music Store, each one designed to give you the best examples of a particular musical style or artist.

There are iTunes Essentials collections in three different groupings: Artist Essentials, which are presentations of particular artists' bodies of work (such as Fats Domino, The Rolling Stones in the '60s, or The Beastie Boys); Genres & History, which presents the best of a given musical style (1930s, Garage Rock, Tango, Mystic Jazz); and My Groove, which groups musical selections into unusual or esoteric presentations that might just happen to be right up your alley (Bay Area, Hanukkah, Kids Nonsense Songs, More Cowbell!). If you're looking for all the music you loved in high school, chances are good that you'll find it gathered together somewhere in the My Groove section.

Key Term

iTunes Essentials Collections of music created by the staff of the iTunes Music Store, using groupings such as the songs' shared theme, genre, artist, or esoteric details such as instrumentation or historic reputation.

Within any iTunes Essentials collection, you'll find three tiers of 25 songs each: The Basics, Next Steps, and Deep Cuts, each one getting progressively deeper into the territory of hard-core fans of the music you've selected. Each tier is accompanied by informative and often irreverently sarcastic commentary thanks to the Music Store's knowledgeable staff. You can purchase individual songs from a tier, or you can buy the whole tier at once. There's also a Complete Set grouping that lets you buy all 75 songs in an iTunes Essentials collection, in case you decide you absolutely have to have all the music the iTunes Music Store staffers have deemed worthy of inclusion in a collection called Indie Rock Love Songs, Urban Cowboy, Car Songs, ormy favoriteGuilty Pleasures. (That's where you'll find songs like "U Can't Touch This" by M.C. Hammer and "Dancing Queen" by ABBA. Don't worrynobody will tell on you.)

Search for Music by Name

If you know the name of the music you want, type it into the Search Music Store box in the upper-right corner of the iTunes window and press Return or Enter. The results that match your search terms are listed in the page that appears. At the top of the result page are sections for Artists, Albums, Videos, Podcasts, and other sections that match your query; click the heading in any of the boxes to see all matching results in that category, or click the names listed in a box to see that specific artist, album, video, or other item. You can also go to the album or artist page for any of the matching songs by clicking the right-arrow icon next to any of the fields on the songs in the result list.

To narrow your search to a specific scope (for example, if you want to see results only when the album name matches your search term, not the artist or song name), choose the scope you want from the horizontal bar that appears below the Music Store's navigation bar. For example, if you searched for U2, you can narrow the search results to just artists named U2 by clicking the Artist bubble on the right side of the bar. If you want to find podcasts about U2, click Podcasts on the left side, and further refine your search using the criteria specific to podcasts (such as Author and Title).

Tip

The Power Search option, available from the home page, lets you search for specific combinations of music, such as tracks with a certain name on a specific album or within a certain genre.

Browse in Column View

One final way to browse the Music Store is to use the columnar Browser view, which organizes music similarly to the way that you navigate your iTunes music in the Library view. Click the Browse button in the upper-right corner of the iTunes window. The screen changes to a much more austere view, lacking ads or unnecessarily attractive presentations, with nothing standing between you and the artists and albums you want.

First choose a Genre from the top-left list and a Subgenre if available; then select an Artist from the next list (which is filtered by the selection you made in the first list or lists). You can double-click an artist name to go to that artist's discography, or you can select a single album from the Album list in the top-right list to see that album's available tracks. Double-click an album name to go to that album's download page.


Section 20. Purchase a Song, Album, Video, or Audiobook from the iTunes Music Store

20. Purchase a Song, Album, Video, or Audiobook from the iTunes Music Store

Before You Begin | See Also
Sign Up for the iTunes Music Store | Purchase Items Using a Shopping Cart
Browse the iTunes Music Store | Check for Purchased Music or Videos

After you've signed in to the iTunes Music Store using your Apple ID or AOL screen name, buying music, audiobooks, or videos from the store is no more complicated than finding the music you want and clicking the appropriate Buy Song or Buy Album button. Purchased music goes straight into your iTunes Library and the special Purchased playlist, where you can play each track as soon as it's finished downloading.

It's important to realize that the music you purchase from the iTunes Music Store is of a lower audio quality than music you buy on CD. This is because, as you learned in [image] About Music and Video Formats, the digital music that Apple sells must be compressedusing a lossy compression procedurebefore it can be made suitable for convenient download over the Internet. Downloading a single song at true CD quality could take as much as 12 times as long as downloading the compressed version.

The AAC-encoded music sold through the iTunes Music Store is compressed using technology that minimizes as much as possible the distortion and loss of quality that inevitably results from compression. For most people's listening needs, this quality is perfectly acceptable. However, if you're an audiophile, if you intend to use the purchased music in a demanding application (such as in an amplified sound system for a dance), or if you want to be sure to get the absolute best quality for your money, it is better to buy the music on CD instead of from the iTunes Music Store, and to import the music using higher-quality AAC settings or the Apple Lossless encoder. (See [image] Import a CD in CD-Quality (Lossless) Format.)

Purchase a Song, Album, Video, or Audiobook from the iTunes Music Store

Sign In to the iTunes Music Store

Choose Music Store from the Source pane and connect to the store. If you are not already signed in, click the Sign In button in the upper-right corner of the window and provide your Apple ID (or AOL screen name) and password to sign yourself in.

Navigate to the Item You Want

As described in [image] Browse the iTunes Music Store, navigate the iTunes Music Store to find music you're interested in buying.

Tip

If you're looking for a video rather than a song, look for links to Videos in your searching or browsing results. For example, artists who have videos have a Videos link under their names on their discography pages, along with the Albums and Biography links. You'll also find Videos sections in the result boxes if you use the Search Music Store box in the upper-right corner of the screen.

Preview a Song or Video

Every album has its own download page, which is divided into two sections with the album information (including cover art) and links to related tracks on the top, and the list of the album's tracks on the bottom. Double-click any track name to hear a 30-second clip of the song, chosen from the middle of the track so that you get as good an idea as possible of the texture of the song (including its chorus). You can also preview videos using the same method. Previewing tracks and videos is always free.

Tip

If you have a slow network connection, the preview clips might not play very wellthey might stutter a lot and stall for rebuffering. To minimize this problem, choose Edit, Preferences (Windows) or iTunes, Preferences (Mac) to display the iTunes Preferences window. Then click the Store tab, and enable the Load complete preview before playing check box.

Notes

Some tracks in an album might have a note saying Album Only instead of a Buy Song button; this means the track is available only if you buy the entire album. This condition might be the result of a licensing agreement in which the label allowed a particularly popular track to be purchased only if the customer bought the entire album it's on; these cases are relatively rare. So are cases in which an album is listed as a Partial Album or has a By Track Only note. These conditions can come about if tracks are particularly short or long and don't fit the $.99/track or $9.99/album price structure well, or if a licensing deal failed to get the rights to certain songs on an album.

Videos require more bandwidth than audio files, so they take longer to download; this means that the previews for videos are designed to download quickly rather than look good. You might find that video previews look choppy or grainy. Don't worrythe final video you purchase will be of much higher quality.

Purchase a Song, Album, or Video

When you decide you want to buy a song, click the Buy Song button at the right end of the song's information row at the bottom of the window. A dialog box confirms that you really want to buy the song; you can suppress this confirmation box for future purchases by enabling the Don't warn me about buying Songs again check box. Similarly, buy an entire album by clicking the Buy Album button in the top of the window and confirming the purchase in the dialog box that appears.

Purchasing videos works the same way, using a Buy Video button for music videos and short films, and Buy Episode or Buy Season buttons for TV shows. Some TV shows are offered with what are known as season passes, which can provide a more inexpensive and hassle-free way to collect a show's episodes than buying each episode piecemeal or the whole season at once. In that case, you purchase a season pass anytime during the season of a show's broadcast, and each new episode of the show is automatically downloaded to your iTunes Library as it is released that week. You might have to force iTunes to check for newly available episodes; see [image] Check for Purchased Music or Videos for more information.

Some groupings of music or videos are known as song collections; these are, for example, the Celebrity Playlists featured on the left side of the iTunes Music Store's home page. Downloading all the listed songs in a collection (using the Buy All Songs button) automatically creates a playlist populated with those purchased songs. You can turn this behavior on and off using the Automatically create playlists when purchasing song collections check box in the Store section of the iTunes Preferences window.

Tip

If you chose to suppress confirmation messages and you want to re-enable them, first click your Apple ID in the Account box, enter your Apple ID and password, and click the View Account button. In the screen that appears, click the Reset Warnings button to reset your account to show you all the routine confirmation messages when you buy music.

Use the Purchased Playlist

The selected song, or the songs in the selected album, begin downloading into your iTunes Library. Click Purchased in the Source pane; this is a special playlist associated with the iTunes Music Store that shows you all the songs and videos you've bought. It's a great way to get immediate access to the music you buy and to keep an eye on just how much money you've spent on the iTunes Music Store. (Look at the Date Added column to see when you purchased each track.) Tracks that are not completely downloaded yet appear in gray type; as each track finishes downloading, the type turns black, and you can double-click it to listen to the track or watch the video.

Tips

If for some reason your download of purchased music is interrupted (your Internet connection goes down, for example, or your computer crashes), you haven't lost your money or your music; see [image] Check for Purchased Music or Videos for how to recover in this situation.

Another way to review your purchases is to view your account information (click your Apple ID in the Account box, enter your ID and password, and click View Account) and then click the Purchase History button.

Adjust Erroneous Information

Many of the albums in the iTunes Music Store have an incorrect date of release set in their info tags; this usually results from the album being encoded from a re-released versionyou will seldom see a classic Elvis Presley or Eagles album listed with the correct year. Having the correct year set for all your music is especially important when you create Smart Playlists based on musical era, as you will see in [image] Create a Smart Playlist.

Fortunately, incorrect info tags are easy enough to correct. Navigate to the purchased tracks or album in the Library view; select them all and choose File, Get Info. Enter the correct release year in the Year field and click OK.

Web Resource

http://www.allmusic.com

Refer to the All Music Guide for accurate album release information.

Tip

Unfortunately, sometimes the only way to buy a certain track in the iTunes Music Store is on a "Greatest Hits" album. You might be a musical stickler who likes to have all tracks marked according to their original albums. You can set the info tags to reflect the track's original album name, release year, and track number, as reported by the All Music Guide; you can even add new album art to make it look as if the track came from the original album. See [image] Add Album Art to Songs for more information about adding album art and arranging it in the proper order.

Write a Customer Review

When you purchase a song, album, video, or other item from the iTunes Music Store, you are given the opportunity to write a review that other customers can read and use in forming their own opinions about what to buy.

Check your email. Within a day or two of purchasing music, you'll receive an electronic invoice from the iTunes Music Store detailing the items you bought. Under each title you'll see a Write a Review link. Click this link to be taken to a special page in iTunes where you can choose a nickname (if you haven't used the reviewing system before) or elect to be anonymous. A screen appears where you can rate the item you bought from one to five stars, enter a title for your review, and type your opinions using up to 6,000 characters. When you're finished writing the review, click Preview to see what it will look like on the rendered page, click Edit to make changes, or click Publish to send the review to the iTunes Music Store.

Tip

You can change your review nickname later by going to the View Account page and clicking Edit Nickname.

The iTunes Music Store staff moderates the reviews, and there are some guidelines (posted on the editing page) for proper style and content. Keep your review to the point and engaging, and omit abusive or offensive language because these elements will keep your review from being posted. Otherwise, have fun with it!

Your review, after being moderated, is posted on the download page for the album, video, TV show, or other item you bought, with more recent reviews appearing first. The rating that you assigned the item is averaged into the overall Average Rating that appears under the item's description and album art, in the Customer Reviews section. That's where you'll see your review after it's been posted for all to read.


Section 21. Purchase Music Using a Shopping Cart

21. Purchase Music Using a Shopping Cart

Before You Begin | See Also
Sign Up for the iTunes Music Store | Check for Purchased Music or Videos
Purchase a Song, Album, Video, or Audiobook from the iTunes Music Store |

Normally, the iTunes Music Store is set up so that a single click of a Buy Song or Buy Album button charges your credit card and immediately downloads your selected music. However, this might not be the best solution for you. If you have a slow dial-up connection, or if you prefer to keep your purchases in a holding area while you decide how and when to purchase them (for example, if you want to keep yourself on a budget but want to keep track of the music you want to get someday), a "shopping cart" might be just the thing you need.

When you use a shopping cart, instead of Buy Song and Buy Album buttons, you'll see Add Song and Add Album buttons; clicking these buttons adds the music to your shopping cart rather than downloading it immediately. You aren't charged for any music in your shopping cart until you decide to download it. You can remove items from the cart or buy individual songs or albums from the cart without paying for everything at once.

Tip

A shopping cart gives you versatility that you wouldn't otherwise have, especially if you use iTunes on more than one computer. As an example, you can browse the Music Store and add music to the shopping cart while you're at work (while you're on break, of course), and then open the shopping cart from your home computer and purchase its contents. Your Apple ID and password keep your shopping cart safe and secure.

Purchase Music Using a Shopping Cart

Sign In to the iTunes Music Store

Choose Music Store from the Source pane in the iTunes window and connect to the store. If you are not already signed in, click the Sign In button in the upper-right corner and provide your Apple ID (or AOL screen name) and password to sign yourself in.

Set iTunes to Purchase Using a Shopping Cart

Choose Edit, Preferences (Windows) or iTunes, Preferences (Mac) to display the Preferences window. Click the Store tab.

Change your shopping mode by selecting the Buy using a Shopping Cart option and click OK. When you change this setting, the Music Store option in the Source pane becomes a first-tier item with both the Purchased playlist and the Shopping Cart option beneath it.

Navigate to the Music You Want

As described in [image] Browse the iTunes Music Store, navigate the iTunes Music Store to find music and videos you're interested in buying.

Add Items to Your Shopping Cart

When you decide you want to add a song to your shopping cart, click the Add Song button. Similarly, add an entire album to the cart by clicking the Add Album button.

View Your Shopping Cart

Choose Shopping Cart from the Source pane (you might have to expand the Music Store option to see it by clicking the triangle icon to the left of the Music Store option). In the Shopping Cart screen, all the tracks and albums you have placed in the cart are listed at the bottom; the top of the screen shows a set of albums suggested by the iTunes Music Store database as being of possible interest to you based on the contents of your cart. You can add any of these albums to the cart by clicking its Add Album button.

Note

If you try adding a song or album that's already in the cart, iTunes gives you an error message explaining that you can't add the same music twice. If you're not using a shopping cart and you try to download music that matches music already in your Library, iTunes gives you a warning asking whether you really want to download the same song again.

Double-click any song or video in the cart to get a 30-second preview clip. For albums in the cart, double-click the album entry or click the triangle icon next to the album's name to see all the tracks in the album.

Purchase Items in Your Shopping Cart

You can purchase any individual album that's in the cart by clicking the Buy button; this process is the same as if you weren't using a shopping cart and clicked the Buy Album button on the album's download page. Similarly, click Buy Song, Buy Video, or Buy Episode to purchase an individual song or video in your shopping cart. If you're feeling wealthy and want to buy everything in your shopping cart at once, use the Buy Now button at the bottom of the screen. Be sure to look at the total price of the cart's contents next to the button before you splurge!

Click the round X icon to the right of the Buy or Buy Song button to remove an item (album, song, or video) from your shopping cart.

Tip

An alternative way to keep a list of items that you might want to purchase later is to make a playlist (see [image] Create a Playlist) called, for example, Wish List; then you can add songs and videos to that playlist by dragging them in from their positions in the Music Store. When you view the playlist, playing an item in it gives you the 30-second preview; also, each item has a Buy Track button that you can use whenever you're ready to do so. When you buy a track in the Wish List playlist, the preview track is replaced by a real song entry. Other benefits of keeping a Wish List like this include being able to publish it as an iMix (see [image] Publish a Playlist as an iMix) or exporting it so that you can send it to your friends and family when your birthday is coming up ( [image] Export a Song List).


Section 22. Check for Purchased Music or Videos

22. Check for Purchased Music or Videos

Before You Begin | See Also
Sign Up for the iTunes Music Store | Back Up Your Music to CD or DVD
Purchase a Song, Album, Video, or Audiobook from the iTunes Music Store |

The iTunes Music Store keeps track of the status of your downloads and makes sure that you get every byte of each song and video you purchase. If a download is interrupted, the store keeps a note of that fact and makes sure that you have the opportunity to download all the tracks to which you're entitled.

Check for Purchased Music or Videos

Sign In to the iTunes Music Store

Choose Music Store from the Source pane in the iTunes window and connect to the store. If you are not already signed in, click the Sign In button in the upper-right corner and provide your Apple ID (or AOL screen name) and password to sign yourself in.

Check for Purchased Items

Choose Advanced, Check for Purchases. iTunes connects to the Music Store and checks the download queue for your account for any incompletely transferred items.

Note

About once per week, iTunes checks for purchased items automatically when you launch it.

Download Interrupted Tracks

If iTunes finds any tracks in the download queue that are still waiting to be retrieved, it begins to download them again automatically. Use the Purchased playlist in the Source pane to see which tracks are in the queue and are now being downloaded. (They're the ones shown in gray type.)


Section 23. Authorize a Computer to Play Purchased Music

23. Authorize a Computer to Play Purchased Music

Before You Begin | See Also
Sign Up for the iTunes Music Store | Listen to Shared Music on the Local Network
Purchase a Song, Album, Video, or Audiobook from the iTunes Music Store |

When you set up an iTunes Music Store account, the computer you use to set it up automatically becomes authorized to play protected AAC music files and MPEG-4 video files that you purchase from the store. You're entitled to authorize up to five computers (Macs or Windows PCs) that can play back any protected files purchased using your account. Authorizing a computer for a given account is a process that involves entering your iTunes Music Store account ID and password when prompted after you attempt to play a protected music or video file. The software that you use to play the file (iTunesor, on the Mac, QuickTime using the Finder) connects to the central iTunes authorization servers and assigns one of the five authorizations to the computer you're currently using. Subsequently, any protected files purchased with that ID can be played on that computer without further interference from the DRM.

Key Terms

Authorize To register a computer over the network so that it can play protected AAC and MPEG-4 files purchased using a particular iTunes account.

Deauthorize To revoke the ability for a computer to play protected AAC files purchased using a particular iTunes account, freeing up one of the available authorizations.

The limit of five authorizations per account is intended to reflect the basic needs of a household, analogous to the everyday usefulness of a physical CD. Imagine a customer who wants to play his purchased music on his primary computer, his laptop, and his computer at work; furthermore, he wants another computer or two in his home so that he can connect to his copy of iTunes over the network and play the music he purchased. That's five total places where one person's purchased music can be played. If the music-permission scheme allowed much more than that, one would wonder whether it's fair to the music publishers for a single purchased copy of the music to be enjoyed by that many people. That's why there's a limit of five authorizations.

You can revoke the authorization of a certain computer in a process known as deauthorization, as you will see in this task, and reassign that authorization to another computer as necessary.

To authorize a computer to use your purchased music, you must have an active Internet connection. If you're not connected to the Internet and your computer has not been authorized to open a protected AAC file, you won't be able to authorize your computer to play the file.

Authorize a Computer to Play Purchased Music

Add a Protected Media File to iTunes

On a computer other than the one where a protected AAC or MPEG-4 file was purchased and downloaded, add a copy of such a protected file to your iTunes Library as described in [image] Add a Music or Video File to Your iTunes Library. This file might be copied to your computer over the network or sent as an email attachment, or it might be a song in a shared iTunes Library to which you connect as described in [image] Listen to Shared Music on the Local Network. Regardless of how you got access to the file, the DRM restrictions on it prohibit you from opening the file without proper authorization.

Attempt to Play the File

Select the protected AAC song or MPEG-4 video and click the Play button. The song doesn't begin playing; instead, a dialog box similar to the Sign In window in the iTunes Music Store appears. The Apple ID for the account used to download the track is already filled in. You must enter the password for the account, proving that you're the person who purchased the music (or someone to whom the purchaser has given access privileges), to proceed.

Sign In to Your iTunes Music Store Account

When you enter your password and click Authorize, iTunes connects to the central authorization server and checks your credentials. It also makes sure that one of the five authorization slots for your account is available; if so, you get a message saying that the current computer has been successfully authorized, and the song begins to play.

From this point forward, you won't need to authorize to play any other protected AAC files on that same computer, provided that those files were all purchased with the same account. iTunes keeps track of whether it has been authorized for a certain Apple ID. If you have a catastrophic failure such that you need to reinstall your operating system or rebuild your computer from scratch, you only have to perform the steps in this task again to reestablish the authorization for your computer. (It doesn't use up another authorization slot to reauthorize a computer that the iTunes servers already know about.) However, you should deauthorize your computer before you sell it or if you need to send it in for service. Deauthorizing prevents potential situations in which a single computer might be assigned multiple, redundant authorizations.

Note

You can have more than one Apple ID authorized on a single computer, such as if two people share a computer but use separate music-buying accounts. Even having a computer mistakenly use two authorization slots is not in itself a problemit just means that one of your five authorization slots is being wasted. Deauthorizing a computer multiple times until it's no longer possible to do so is one way to clear up this problem.

Authorize to Play a Protected File in the Finder (Mac Only)

In Mac OS X, you can play protected AAC or MPEG-4 files in the Finder by previewing them in Column view or by using the Preview pane in the Info window (available by selecting the file and choosing File, Get Info). Because QuickTime, which is built into the Finder, ultimately handles the authorization process, attempting to play a protected AAC file in the Finder on a computer that isn't authorized results in the same dialog box, appearing as in Step 2. Enter your password for the Apple ID and click Authorize to play the protected file and any others purchased with the same account.

Deauthorize a Computer

If you want to revoke the authorization for a computer to play your purchased musicfor example, if you want to authorize an additional computer to play your music, and your five authorization slots are used upyou can do so. On the computer that you want to deauthorize, choose Advanced, Deauthorize Computer from the menu bar in iTunes. You are prompted to enter your account password; type it in and click Deauthorize. iTunes makes the necessary transaction with the Apple servers, and a message tells you that the computer has been successfully deauthorized.

It's a very good idea to deauthorize your computer before you sell it or send it in for service to avoid confusing the server into assigning more than one authorization to your computer. If you suspect that this has happened, view the related documents at the iTunes and Music Store Service and Support (Mac) or Music Store Customer Service (Windows) web links available under the Help menu in the iTunes menu bar.

Note

Deauthorization requires your password as a security measure. You wouldn't want just anybody to be able to come along and revoke your computer's ability to play your own files, would you?

Check Authorizations for Your Account

If you're not sure how many authorizations your account is using, you can check this information using the account information page in the iTunes Music Store. Click your Apple ID in the Account box, enter your Apple ID and password in the dialog box that appears, and click the View Account button. The screen that appears shows you how many computers are authorized to play music for your account. Compare this number to the number of computers you know to be authorized for your music. If there's a discrepancy, contact the iTunes Music Store support staffchoose iTunes Music Store Service and Support (Mac) or Music Store Customer Service (Windows) web links available under the Help menuto have the support staff revoke incorrect authorizations and free up those slots.

Tips

When you reach the limit of five authorized computers for your iTunes Music Store account, a new feature becomes available: a Deauthorize All button in the View Account section. Clicking this button clears all five authorizations for your account, and you don't have to involve the iTunes Music Store staff to do so. All it requires is that you use up all five authorization slots before the button appears.

Previously authorized copies of iTunes might still be able to play purchased music, even though the iTunes Music Store no longer authorizes them. To make sure that each copy of iTunes to which you have access is properly authorized, deauthorize it as described in this task and then reauthorize it by attempting to play a purchased song.


Section 24. Find More Music by Artists in Your iTunes Library

24. Find More Music by Artists in Your iTunes Library

Before You Begin | See Also
Import a Music CD into iTunes | Request Music from the iTunes Music Store
Purchase a Song, Album, Video, or Audiobook from the iTunes Music Store | Watch for Newly Added Music Using an RSS Feed

As you browse your music in the iTunes Library, you'll see small gray right-arrow icons next to song names, artists, and albums in the song listing. These arrows are linksknown as QuickLinksthat take you to matching pages in the iTunes Music Store, allowing you to quickly find more music by any artist in your Library. You can disable these links if you find they clutter up your music-browsing experience.

Another way to find music matching the music you already own is to turn on the MiniStore, a cross-linked banner along the bottom of the iTunes window that shows you items in the main iTunes Music Store that fit in with what you're currently playing.

Tip

On the home page of the iTunes Music Store is a section called Just For You. This listing is based on music you've already purchased and consists of songs, videos, and audio-books that the Music Store thinks you might like. Click the Just For You title to see the feature in a full-size page; each item in its listing has buttons labeled Already Own It and Don't Like It, which you can use to pass judgment on iTunes' suggestions, helping it to refine what sorts of music you would actually like to be offered.

Key Term

QuickLinks Gray "arrow" icons in song info fields in iTunes that lead to similar music in the iTunes Music Store.

Find More Music by Artists in Your iTunes Library

Add Music to Your iTunes Library

First build your iTunes Library by adding CDs to it (see [image] Import a Music CD into iTunes) or by purchasing music from the iTunes Music Store. Every distinct artist name is listed in the Artist list at the top of the iTunes window in Library view; likewise, every distinct album name is shown in its own list under Album.

Show Links to the Music Store

Open the iTunes Preferences window by choosing Edit, Preferences (Windows) or iTunes, Preferences (Mac). Click the General tab. Find the check box labeled Show links to the Music Store. Make sure that this check box is enabled if you want to show the small gray QuickLinks in the iTunes window; then click OK.

Follow Links to Artists, Albums, and Tracks in the iTunes Music Store

As you browse your music in iTunes, notice the gray arrow icons next to every song name, artist, or genre. If you have an active Internet connection, click any of these QuickLink icons to take you to a corresponding page in the iTunes Music Store. Each link is aware of the context formed by the other info tags on the song whose links you follow. For example, clicking the arrow icon on a song name tries to find a song not just with the same name in the Music Store, but also with the same artist and album names; this way you're sure to reach the download page for the album containing the same track whose icon you clicked in case you want to download more tracks from that same album. Clicking the arrow icon on an artist takes you to that artist's discography page.

If the artist or album name you click isn't found in the Music Store database, you're instead shown a list of the closest matches. Notice that within the iTunes Music Store, the same gray arrow icons appear on all listed artists and albumsjust like in your iTunes Library. Use these links to navigate to other work by the same artists within the Music Store.

Tips

iTunes must be able to match the song, artist, and album names exactly with the names in its own database to find useful matches for you. Be sure to spell the artist names exactly as they are in the Music Storeif the store spells it Emerson, Lake & Palmer or "Weird Al" Yankovic, make sure that the quotes and commas and ampersands are in the same places on the songs in your local iTunes Library! Refer to [image] About Organizing Your Music for more tips on organizing your music for maximum efficiency.

If you're a Mac user with Mac OS X Tiger (or later) and use iChat to communicate with your friends, you can set your status to Current iTunes Track. Others who view your status will see the name of your currently playing song, along with a QuickLink icon that leads them to the appropriate Music Store page in their version of iTunes.

Turn On the MiniStore

The MiniStore is an effective way to find new music based on what's already in your Library. In the Library view, click the Show or Hide MiniStore button (fourth from the far right on the bottom of the window) to reveal the MiniStore. If you have not already enabled it, click the Turn on MiniStore button in the MiniStore pane when it appears.

From now on, as long as the MiniStore pane is displayed, it will present suggestions of music based on what is currently selected and playing in iTunes. You can follow the links in the MiniStore pane to buy additional albums, gift the music, read reviews, and much more.

If you want to turn off the MiniStore (and stop iTunes from communicating with the Music Store every time you select a new piece of music), just click the Show or Hide MiniStore button again.


Section 25. Publish a Playlist as an iMix

25. Publish a Playlist as an iMix

Before You Begin | See Also
Import a Music CD into iTunes | Give Gift Music to Someone Else
Purchase a Song, Album, Video, or Audiobook from the iTunes Music Store | Create a Web Link to Your Favorite Music for Sale
Create a Playlist | Rate Your Music in iTunes

One of the nicest things about the interconnected, instant nature of the iTunes Music Store is its collaborative atmosphere. As customers buy music, artists' download pages are automatically updated with information about their most popular songs, the main genre pages are populated with hot links, and feedback to the store's employees is sent with the speed of email. Perhaps most fun of all, though, is a unique feature of the iTunes Music Store that's become wildly popular: iMixes.

Key Term

iMix A playlist of music from the iTunes Music Store that you create in iTunes and then publish to the Music Store's servers to share your musical tastes with the world.

After you publish your iMix to the iTunes Music Store, other customers can find your iMix more or less accidentally by searching for artists and albums with music that's in your iMix. If they like your taste in tunes, they can purchase individual songs from the iMix or buy the entire iMix's song listing at once. These customers can even cast a voteone to five starsrewarding your DJ skills by bumping it to the top of the list of available iMixes for more people to find. More than 300,000 iMixes have been published at the time of this writing, and it's no secret why: It's easy, fun, and free.

Publish the Playlist as an iMix

Add Music to Your iTunes Library

First build your iTunes Library by adding CDs to it (see [image] Import a Music CD into iTunes) or by purchasing music from the iTunes Music Store.

Create a Playlist of Purchased Music

Create a playlist by clicking the Add Playlist button underneath the Source pane. Give the playlist a descriptive name and populate the playlist with songs from your Library, as discussed in detail in [image] Create a Playlist.

Select the Playlist

Click the name of the playlist in the Source pane. A gray right-arrow icon appears next to it, as you've seen throughout the Music Store and your Library to indicate a QuickLink to a location in the Music Store.

Publish the Playlist as an iMix

Click the arrow icon. A dialog box gives you the choice to give the playlist's contents as a gift (see [image] Give Gift Music to Someone Else) or to publish it as an iMix; click Create iMix to proceed.

You are then prompted with a dialog box warning you that publishing an iMix sends information about your music to the iTunes Music Store. Click Create to proceed. If you intend to create multiple iMixes, you can avoid this warning dialog by enabling the Do not show this message again check box first.

iTunes connects to the Music Store (you must have an active Internet connection) and exchanges information with the server's database about the songs in your playlist. Then it presents a screen containing all the songs in your playlist that are in the iTunes Music Store. (Only songs that you bought through the iTunes Music Store show up here; this also means that music from artists not available in the Music Store will not be included in your iMix.) Next to a mocked-up piece of album art made up of the art from various songs in your playlist are text fields where you can enter a title (initially the same as the playlist name) and a description for the iMix. Make these fields as evocative as you canthey're what other Music Store customers will use when searching for interesting iMixes from which to buy music.

Tip

Don't use profanity in your iMix title or description. For one thing, doing so is immature and rude; for another, it can bring the Music Store's wrath down on you for abusing the inherent trust of the collaborative system and can result in the loss of your account.

Click Publish when you're ready to make your iMix public to the world.

Tell Your Friends About Your iMix

After you've successfully published your iMix, you're shown its download page (as any other customer will see it) and a banner along the top that tells you that the iMix will be available for one year, after which iTunes will delete it from the Music Store. There's also a Tell a Friend button; click this button to send an electronic postcard to one or more friends or family members letting them know about your new iMix. Fill in their email addresses (separated by commas), your name, your email address, and an optional message explaining what you're sending them. The message will contain the album art mock-up and a link to your iMix page so that your friends and family can view it in their own copies of iTunes and maybe buy the same songs you have if they like them. Click Send to deliver the message.

Note

An email notification is sent to you after you publish an iMix to confirm that the iMix was successfully published.

View Your iMix

After you leave your iMix download page, there are several ways to get back to it in the future. The easiest is to click the gray right-arrow icon on the playlist name in the Source pane. (This gray arrow appears permanently after you've published a playlist as an iMix.) In the dialog box that appears, click View.

Another way to view your iMix is to click the iMix link on the iTunes Music Store home page. There is a link on the following page labeled Go to my iMixes, which takes you to a list of all the iMixes you have published.

While you're there, browse other users' iMixes. You can give any iMix a star rating (from one to five stars) by selecting the appropriate option button in the top area of the window and clicking Submit, just as any other user can do with your iMix. The cumulative rating for an iMix is noted in the Average Rating heading at the top of the window.

Tip

You can update the contents of an iMix by simply publishing it again. Click the gray arrow icon on the playlist name and then click in the dialog box that appears.

Remove an iMix

To remove an iMix, click your Apple ID in the Account box and authenticate by entering your password when prompted. Then click the View Account button. In the account information screen, click Manage iMixes. This button takes you to a page where you can view all your iMixes and their average user ratings; you can delete individual iMixes from your account by clicking the Remove button. (Your local playlist is not affected if you remove an iMix.) Click Done when you're finished.


Section 26. Give Gift Music to Someone Else

26. Give Gift Music to Someone Else

Before You Begin | See Also
Sign Up for the iTunes Music Store | Redeem Gift Music, a Gift Certificate, or an iTunes Music Card
 | Create an iTunes Music Store Allowance

Once you've started buying music from the iTunes Music Store, it's hard to imagine a more welcome gift than $20 or $50 worth of free downloads. Gift certificates are a built-in part of the Music Store, and if you know anyone who enjoys iTunes as much as you do, there are many worse ideas for a birthday or the holiday season than to send one of these professionally printed, emailed, or home-printed certificates entitling the recipient to a musical shopping spree.

iTunes also supports a feature called gifting, meaning that you can send a specific song, album, video, or other item from the Music Store to anybody who has an email address. Gifting works just like a gift certificate sent through email, except it's more specific and personalizedyou get to pick the exact item to send to the lucky recipient. iTunes makes this process easy with convenient Gift This Music links on every album, video, and TV series in the iTunes Music Store.

This task describes the process for buying a gift certificate. To send specific items from the Music Store as a gift instead, use the Gift This Music links found all over the iTunes Music Store, and click either Gift Album (to send a whole album) or Gift Song (from the track listing within an album). You can gift the same selected music to multiple recipients if you want; just enter each of their email addresses in the Recipient's Email field, and be aware that each email address you specify will be billed as another copy of the music you buy.

Tips

You can also buy prepaid iTunes Music Cards through the online Apple Store, at any Apple retail store, or in supermarket checkout lanes and other places where gift cards are sold (such as Best Buy). Redeem a prepaid gift card by clicking iTunes Music Cards on the iTunes Music Store's home page.

You can gift music using the contents of a playlist. Click the right-arrow icon next to a selected playlist's name (as you did in [image] Publish a Playlist as an iMix), and click Give Playlist in the dialog box that results. The remainder of the process is just like that of gifting an album or song directly from the iTunes Music Store.

Key Term

Gifting Sending a song, album, video, or other item from the iTunes Music Store as a gift to anyone who has an email address, using a link in the Music Store next to the item in question. The music is downloaded and copy-protected using the recipient's iTunes account, not your account.

Give Gift Music to Someone Else

Sign In to the iTunes Music Store

Choose Music Store from the Source pane in the iTunes window and connect to the store. If you are not already signed in, click the Sign In button in the upper-right corner and provide your Apple ID (or AOL screen name) and password to sign yourself in.

Go to the Gift Certificates Section

Click the Gift Certificates link in the Account box on the Music Store's home page. You are given a choice to redeem a certificate that was sent to you or to buy a new one; click Buy Now.

Choose a Delivery Method

A gift certificate can be delivered to the recipient in one of three ways: It can be sent through Email, with a confirmation code included in the message; it can be sent as a professionally printed card mailed through the U.S. Mail; or you can Print it yourself and hand it to the person in an envelope with a nice ribbon on it, or however you like to wrap your gifts. Choose the method that most appeals to you.

Fill In the Recipient's Delivery Information

Depending on the delivery method you chose, you now have to enter some basic information. For emailed certificates, enter your name, the recipient's name, and the recipient's email address (twice, to eliminate the possibility of typos), and select an amount from $10 to $200. Type a message to go with the giftmake sure that the recipient realizes that he must redeem this gift certificate by clicking the link in the message and that it's not just another piece of spam!

A printed gift certificate just requires you to fill in your name and the recipient's name, choose an amount, and fill in a brief personal message. When you buy the gift, the certificate is sent to your printer, and the names and messages are printed as part of the certificate, which you can then fold and package any way you like for gift-giving.

If you chose the U.S. Mail option, your web browser launches and displays a page at the online Apple Store where you can purchase the card for delivery through the mail. The card printed in this way is on nice thick paper, with your name and personal message included on it. You'll have to use the online Apple Store's purchasing and billing system to complete the purchase. There is no extra charge, beyond the face value of the certificate, for a printed and delivered copy.

Purchase the Gift Certificate

Click Continue after filling in all the required information. After confirming your Apple ID and password, the next screen is a confirmation where you can preview your gift certificate and go back if you notice an error. Click Buy when you're satisfied. Your credit card is billed, the same as if you had bought the music yourself in the specified amount. Depending on the delivery method you selected, the certificate is emailed, prepared for physical delivery, or formatted for printing.

Note

If you chose to print the certificate yourself, you're given the opportunity to print it right now or to print it sometime in the future by going to your account information page. (Click your Apple ID in the Account box in the upper-right corner of the iTunes window, enter your password when prompted, and click View Account.) Click Purchase History to view everything you've ever bought through the iTunes Music Store, including the gift certificate you just purchased. Click the gray arrow icon to see the certificate in more detail, and then click Print to print a new copy. Because a gift certificate can only be redeemed once, you can print as many copies of it as necessary.


Section 27. Redeem Gift Music, a Gift Certificate, or an iTunes Music Card

27. Redeem Gift Music, a Gift Certificate, or an iTunes Music Card

Before You Begin | See Also
Sign Up for the iTunes Music Store | Give Gift Music to Someone Else
 | Tell a Friend About an Album in the iTunes Music Store

If you're the lucky recipient of a gift certificate from a user of the iTunes Music Store, you can redeem it using a couple of quick steps. Just go to the iTunes Music Store, click Gift Certificates, and follow the redemption instructions; after this you'll have a bank of credit with which to buy free songs.

You can redeem a prepaid iTunes Music Card, which you might have been given as a gift, in a similar fashion. Just go to the iTunes Music Store home page, click iTunes Music Cards (in the Account box), and enter the 16-digit code on the back of your prepaid card. You're then given store credit in the amount on the face of the card.

Gift Music, because it allows users to send you specific pieces of music or videos, doesn't work quite the same way as gift certificates or prepaid iTunes Music Cards. When you receive a 12-digit redemption code in an email or on a printed sheet, you go to the iTunes Music Store home page and click Redeem (in the Account box). The music that you were gifted is downloaded straight to your iTunes Library.

This task describes the process of redeeming a gift certificate.

Note

If you received a gift certificate or gift music over email, it contains a link that leads you to the proper place in the iTunes Music Store to redeem the certificate's value. Check your Junk Mail or Spam folders to make sure that a gift certificate that someone sent you didn't get dumped in there by mistake!

Redeem Gift Music, a Gift Certificate, or an iTunes Music Card

Sign In to the iTunes Music Store

Choose Music Store from the Source pane in the iTunes window and connect to the store. If you are not already signed in, click the Sign In button in the upper-right corner and provide your Apple ID (or AOL screen name) and password to sign yourself in.

If you don't have an account with the iTunes Music Store yet, now's the time to create onerefer to [image] Sign Up for the iTunes Music Store for more information. (Although you're given the opportunity to create an account in Step 3 of these instructions after you enter the confirmation number, you might as well get the account-creation process out of the way now.)

Go to the Gift Certificates Section

Click the Gift Certificates link in the Account box on the Music Store's home page. You are given a choice to redeem a certificate that was sent to you or to buy a new one; click Redeem.

Enter the Gift Certificate Code or Number

Type in the code number printed on your gift certificate, whether you received it on paper or through email. (This number might be called the Certificate Code or Certificate Number.) It's a combination of letters and numbers 16 characters long. The number is case-insensitive; you don't need to worry about capitalization.

Redeem the Certificate

Click Redeem. If you entered the number correctly, you're given a confirmation dialog box informing you that you're about to credit your account. Click Redeem Gift Certificate to proceed. (If you made a typo, a red warning message asks you to try entering the number again.)

Note

There is no identity authentication encoded into the gift certificate; its value is applied to the account of whoever receives and enters the code.

Buy Music Using Credit

A new box appears next to your Apple ID in the upper-right corner of the iTunes window; this box shows the amount of store credit you have. As you shop and buy music (see [image] Purchase a Song, Album, Video, or Audiobook from the iTunes Music Store), that number (instead of your credit card or PayPal) is debited until you've reduced it to zero, at which point it disappears and you're back to buying music under your own steam. It was fun while it lasted!


Section 28. Create an iTunes Music Store Allowance

28. Create an iTunes Music Store Allowance

Before You Begin | See Also
Sign Up for the iTunes Music Store | Give Gift Music to Someone Else
 | Redeem Gift Music, a Gift Certificate, or an iTunes Music Card

If you're a parent whose kids like to use the iTunes Music Store as much as you do, you might find that you're having to pay more for their music than you do even for your own. This can be especially worrisome if it turns out they're using your credit card to do it.

An allowance is a modified version of a gift certificate (see [image] Give Gift Music to Someone Else) that works on a periodic basis. The idea is that you set up a monthly amount of money to be charged against your own iTunes Music Store account, which is then applied as credit to the account of a recipient (for example, your music-loving son). The recipient of the allowance can buy as much music as the allowance will pay for; each month it's replenished. Best of all, it's legalyou're doing the actual purchasing, and you won't have to face the dilemmas of minors in your household using your credit cards.

Key Term

Allowance A recurring, fixed amount of credit that you make available at the iTunes Music Store for another person, such as your child, to use to download music without having to have his own credit card and paid iTunes account.

Create an iTunes Music Store Allowance

Sign In to the iTunes Music Store

Choose Music Store from the Source pane in the iTunes window and connect to the store. If you are not already signed in, click the Sign In button in the upper-right corner and provide your Apple ID (or AOL screen name) and password to sign yourself in.

Go to the Allowance Section

Click the Allowances link in the Account box on the iTunes Music Store's home page. The resulting screen explains the workings of an allowance and gives you a form to fill out that determines how the allowance is dispensed to its recipient.

Set Up the Allowance Conditions

Fill in your name and the recipient's name. (These names are used in the notification email that's sent to the recipient.) Choose an amount of money to be charged automatically to your iTunes Music Store account. This amount can be anything from $10 to $200 (if you're a particularly generous parent).

Allowances are credited at the beginning of each month. If you're setting up the allowance in the middle of the month, you need to choose how the remainder of the current month should be handled. Do you want to wait until the first of next month before funding the allowance, or do you want to start by fully funding the current month (even though it's partially over already)? Choose the option describing how you want to do it.

If the allowance's recipient already has an Apple ID, choose Use recipient's existing Apple Account, and fill in the Apple ID (twice, for safety) in the next two fields. If the recipient doesn't yet have an account, choose Create an Apple Account for recipient. You'll be prompted to create a new Apple ID for the recipient in the next step.

Note

An Apple ID does not have to be associated with a credit card or any personal information; thus, a minor can legitimately have an Apple ID.

Finally, enter a personal message for the recipient. Your wording of this message is up to youafter all, this might be a new privilege for your kid, or a punishment!

Click Continue when you're ready to proceed. You're prompted to verify your Apple ID; enter your password and click Setup.

Create an Account for the Recipient

If you chose to create a new account for the recipient, you must fill out the next screen to create the new Apple ID. Fill in the recipient's email address, first and last name, and birth date. Choose a password and enter it twice.

(More appropriately, you could have the recipient choose a password and enter it in the two fields provided.) As always, make sure that the password is hard to guessa mixture of uppercase and lowercase letters, numbers, and special symbols.

Click Create when you're done. The recipient's Apple ID is ready to go.

Tip

The owner of an Apple ID can change his password at any time. Go to the account information page. (Click the Apple ID in the Account box in the upper-right corner of the iTunes window. Enter the password associated with that account when prompted, and click View Account.) In the account information page, click Edit Account Info to change your password and update other security information.

Buy the Allowance

The final screen is a confirmation that summarizes the details of the allowance, including all the fields you filled out and options you chose. To make changes, click Back; otherwise, click Buy to begin the allowance. From now on, the recipient will be able to log in to the iTunes Music Store using the account you set up for him and buy music using credit as though he'd received a gift certificate.

You can cancel an allowance at any time by going to your account information page. (Click your Apple ID in the Account box. Enter your password when prompted, and click View Account.) When you cancel an allowance, future payments into the account are stopped, but any remaining balance is still usable until it's gone.


Section 29. Request Music from the iTunes Music Store

29. Request Music from the iTunes Music Store

Before You Begin | See Also
Sign Up for the iTunes Music Store | Watch for Newly Added Music Using an RSS Feed
Browse the iTunes Music Store | Tell a Friend About an Album in the iTunes Music Store

Even though the iTunes Music Store has more than two million songs in its catalog with thousands more being added every week, there's bound to be some music you'd love to buy in crisp clear AAC format but that just doesn't seem to be available in the store, or some great music video you remember from the '80s that you can't find anywhere. Apple expends great effort in finding music not just from the big labels but from small and obscure publishers, too. But there are simply far too many albums being produced every year for Apple to feature all of them (to say nothing of all the albums that have been published throughout music history). Furthermore, some big-name artists are conspicuously absent from the iTunes Music Store; these artists, such as Metallica or the Beatles, might have their own reasons for keeping their music out of the world's largest legal digital music downloading system, but for now there's nothing weor Applecan do but wait for the inevitability of progress to overtake them. (The Rolling Stones, originally missing from the iTunes Library, is now prominently featuredperhaps a positive sign of things to come.)

Note

The Beatles are holdouts from appearing in the iTunes Music Store because of a longstanding legal trademark battle between Apple Computer, Inc. and the Beatles' label, Apple Records. The two firms have clashed numerous times over the years, usually whenever Apple Computer decided to add more sound or music features to the Macintosh platform. Naturally, when Apple became a music publisher with the iTunes Music Store, Apple Records was far from pleased. However, after the most recent round of legal fisticuffs (in which a court ruled in Apple Computer's favor), the word is spreading that Apple Records is finally in the process of remastering the Beatles' library in preparation for release as digital downloads, so keep your fingers crossed.

Nonetheless, the iTunes Music Store staff provides a mechanism for you to send them your requests for music that they simply haven't gotten around to adding yet. If they receive a lot of requests for a certain album or artist, that music is a lot more likely to show up than an album or artist that nobody's interested in. Communicate your interest and help make the iTunes Music Store as complete as it can be!

Request Music from the iTunes Music Store

Search for Music

First, check to make sure that the music you want isn't actually in the store. Type the name of an artist, album, or track into the Search Music Store box and press Return or Enter. If the desired music doesn't exist in the store, the search result page appears empty-handed (possibly with a suggestion of another artist name, if one with a similar spelling to what you typed exists).

Provide iTunes Feedback

On the page resulting from an unsuccessful search, a message reads Request music you can't find; the word Request is a link. Click it to open the iTunes Feedback page at Apple's website. Another, more direct way to get to this page is to choose iTunes, Provide iTunes Feedback (Mac) or Help, Provide iTunes Feedback (Windows).

Enter Your Information

Fill out your name, email address, and as many of the rest of the fields as you wantthey're all optional, but they help the Apple staff prioritize your request. Most importantly, select the appropriate type of request (Song, Artist, Album, and so on) from the Request Type drop-down list.

Request Music You Can't Find

In the Comments box, describe the music you want; just list artist names and albums according to the type of request you've indicated. There's no need to be especially wordy.

Submit Your Request

Click the Send Feedback button. Your request is sent to Apple's support staff. Don't expect to hear anything back from Apple in response to your request; their hands are full. But be satisfied that you've made your request known, and watch the newly added music every Tuesday to see whether your requests have been acted on.


Section 30. Watch for Newly Added Music Using an RSS Feed

30. Watch for Newly Added Music Using an RSS Feed

Before You Begin | See Also
Browse the iTunes Music Store | Tell a Friend About an Album in the iTunes Music Store
Request Music from the iTunes Music Store | Create a Web Link to Your Favorite Music for Sale

The iTunes Music Store is certainly not without its share of obscure, technically esoteric features that the serious power user can enjoy. One of these, which is all but impossible to find within the Music Store interface, is the iTunes Music Store RSS Feed Generator.

RSS (Really Simple Syndication) is a mechanism by which you can "subscribe" to the URL (web address) of a dynamically updated list of pieces of information that you can browse using software usually known as an RSS reader or news reader. Software of this type exists for both Windows and the Mac; the top Windows RSS readers (NewzCrawler, FeedDemon, and NewsGator) sell for about $30 each. For Mac OS X, NetNewsWire and Shrook are good choices, also about $30 each; if you have Mac OS X Tiger (10.4) or later, an RSS reader is built directly into the Safari browser, included as part of the operating system.

Key Term

Really Simple Syndication (RSS) A mechanism for a dynamically updated series (or feed) of items, such as in a blog or "latest news" site, that are delivered to a specialized application for quick and easy perusal.

RSS feeds, as the streams of information provided by an RSS subscription are known, are most popular as alternative methods of reading weblogs (blogs). RSS in combination with the iTunes Music Store means that you get to keep a constant eye on all the new music being added to the store in any of the categories you want to watch.

Web Resources

http://www.newzcrawler.com/

http://www.bradsoft.com/feeddemon/

http://www.newsgator.com/

NewzCrawler, FeedDemon, and NewsGator are three popular RSS readers for Windows.

http://ranchero.com/netnewswire/

http://www.utsire.com/shrook/

NetNewsWire and Shrook are good RSS readers for the Mac, and the Safari Web browser also has RSS-tracking features.

Watch for Newly Added Music Using an RSS Feed

Go to the iTunes RSS Feed Generator

The iTunes Music Store RSS Feed Generator used to be featured as part of the Music Store's home page. Today, the only way to reach it is to enter its ungainly URL directly by typing it into your web browser's Address or Location bar:

http://phobos.apple.com/WebObjects/MZSearch.woa/wa/MRSS/rssGenerator

Select Genres to Watch

The Generator page features a long list of all the genres that are part of the Music Store. Enable and disable check boxes to indicate which genres you're interested in. Use the Check All header at the top left to select all the check boxes at once.

Choose Feed Options

At the top of the page, choose which country's version of the iTunes Music Store you want to follow. (Some content is available only in certain regional markets.) Then pick from several options in the Feed Type drop-down list: New Releases, Just Added, iTunes Top Albums, and so on. Specify a size for the feed (the number of items shown in it) and whether to hide or show explicit content (such as profanity and adult themes). For example, you can create an RSS feed that shows you all the newly added music in the Rock, Pop, and Jazz genres in the USA store, with 50 entries per page and explicit content included. Adjust the options to match your needs.

Generate the RSS Feed

Click the Generate button. The header expands to show you an RSS Feed URL, which is what you need to use when subscribing your RSS reader software to the iTunes feed. Select and copy this URL into memory.

Subscribe to the RSS Feed URL

Using the "subscribe" feature of your RSS reader (which varies depending on the application you use), paste in the RSS feed URL that the Apple website generates. Your reader now keeps track of all the music that matches your specified criteria, and you can watch for interesting music without having to browse the iTunes Music Store directly. Entries in the RSS feed are links that point directly to downloadable music in the store.

If at any point you want to change the characteristics of your iTunes Music Store feed, return to the Generator site (as described in Step 1) and re-create the RSS feed URL. You can subscribe to multiple feeds created at different times and view them according to your tastes. Refer to the documentation of your RSS reader software for further instructions on how to get the most out of the software in tracking music releases this way.

Tip

Another good way to watch for new music by a certain artist is to set up an Artist Alert. From any artist's discography page or album download page, click the Add Artist Alert link. From then on, whenever new music by that artist is added to the store, you will receive an email notifying you of the event. Turn off Artist Alerts in the account information page. (Click your Apple ID in the Account box in the upper-right corner of the iTunes window, enter your password when prompted, and click View Account.)


Section 31. Tell a Friend About an Album in the iTunes Music Store

31. Tell a Friend About an Album in the iTunes Music Store

Before You Begin | See Also
Sign Up for the iTunes Music Store | Publish a Playlist as an iMix
Browse the iTunes Music Store | Give Gift Music to Someone Else

The iTunes Music Store provides numerous ways for you to spread the word about great music to download (and, naturally, to obtain more customers for itself). One of these methods involves sending an "electronic postcard" about a particular album you'd like one or more friends to know aboutperhaps as a hint for a gift idea, perhaps because you think your friend might like the music. It's all up to you.

Tell a Friend About an Album in the iTunes Music Store

Browse the iTunes Music Store

Choose Music Store from the Source pane in the iTunes window; browse the contents of the iTunes Music Store, as described in [image] Browse the iTunes Music Store. For this task, you don't even need to be signed in.

Tell a Friend About an Album

Navigate to the download page for an album or video collection. In the information block at the top of the screen, next to the album art, is a link labeled Tell a friend. Click this link to be taken to the setup page for the electronic card.

Fill In Email Information

You can send the card to a single recipient or multiple recipients. Separate multiple addresses with commas as you enter them in the To Email field.

Fill in your own name and email address (so that the recipient can contact you in return). Additionally, fill in a personal message letting the recipient know why you're sending this card. Make sure that the person knows this isn't just another piece of spam in his incoming mail!

Send the Electronic Card

Click the Send button to deliver the electronic card to the email recipient.


Section 32. Create a Web Link to Your Favorite Music for Sale

32. Create a Web Link to Your Favorite Music for Sale

Before You Begin | See Also
Browse the iTunes Music Store | Watch for Newly Added Music Using an RSS Feed
 | Tell a Friend About an Album in the iTunes Music Store

If you're a little more experienced than the novice computer or Internet user, you might be familiar with how URLs (web addresses) work. This method of passing interesting links back and forth between friends has become fairly commonplace. Even though the iTunes Music Store is not a "website" in the traditional sense (being encapsulated entirely within a standalone application, iTunes), the individual pages within the store have their own Web addresses that you can exchange with your friends.

When you go to an iTunes Music Store URL, your browser handles the incoming data by redirecting it into iTunes, which launches and connects to the Music Store and then switches to the requested page. This way, you can send a standard Web URL to a friend. When she clicks the link, her copy of iTunes pops up and shows her the album or artist you wanted her to see in the first placewith convenient purchasing links built right in.

Create a Web Link to Your Favorite Music for Sale

Browse the iTunes Music Store

Choose Music Store from the Source pane in the iTunes window. Browse the contents of the iTunes Music Store, as described in [image] Browse the iTunes Music Store. For this task, you don't even need to be signed in.

Navigate to the download page for an album. As you move your mouse over lines of text such as the artist name or album title, notice that the text becomes underlined. This indicates that the text is a live link, with a URL you can copy just as in a regular web browser.

Drag a Web Link to the Desktop

Click the highlighted text of an artist or album title and drag. A translucent label shows that the title and URL of the link are being copied. Drag the mouse pointer onto the desktop and release. A web link or shortcut is created, which when opened leads back to the same download page from which you just dragged the link.

Tip

Similarly, you can drag iTunes Music Store links directly from iTunes into other applications, such as into your email program.

Copy an iTunes Music Store URL

You can also use the more traditional copy-and-paste method to juggle URLs from within iTunes. Right-click (or, on the Mac, Control+click) the highlighted text of an artist or album title or on the album art for a given album. Choose Copy iTunes Music Store URL from the context menu to copy the web address of the page to your computer's Clipboard or temporary memory.

Paste the URL into Another Application

In another application, such as an email composition window, select Edit, Paste to insert the URL of the download page into the text. When the email recipient clicks the URL, she'll be taken straight to the page from which you copied the URL.


Chapter 5. Enjoying Your Music and Video in iTunes

IN THIS CHAPTER:

Find and Play Music in iTunes

Customize Smart Shuffle Options

Create a Playlist

Create a Smart Playlist

Rate Your Music in iTunes

Find and Play Videos in iTunes

Subscribe to and Listen to Podcasts

Listen to an Internet Radio Station

Use the iTunes Visualizer

Provide Customized Background Music with Party Shuffle

Auto-Level Song Volumes

Create Crossfades Between Songs

Protect Your Kids from Explicit Content

Now that your iTunes Library is packed full of the music you love, it's time to sit back and enjoy itand explore some of the ways that iTunes takes advantage of the inherent versatility of the digital music medium to let you do more things with your music than you'd ever thought possible.

Finding a favorite album and playing it from beginning to end, as you're accustomed to doing with your CD collection, is a matter of two or three clicks to navigate to the album's location and start playing it. However, that's where the limitations of CDs start to kick inand where iTunes starts to break free of them. Even with an expensive multidisc changer, organizing lists of songs from various physical discs is a laborious and nonintuitive process. But with iTunes, creating a playlist of favorite tunes in a themed mix or carefully engineered progression is as simple as clicking and dragging. Randomizing (or "shuffling") tracks, something you can do in CD players, is something you can do in iTunes, toobut with even more versatility, such as the ability to reorganize automatically shuffled tracks on the fly (in Party Shuffle) or to intuitively select similar songs in sequence.

One thing that no CD-player engineer ever dared to dream, however, is the ability to generate a dynamically updated list of songs selected from your entire Library on the basis of certain specified criteria, such as the genre, release date, or a personal "star" rating that you assign to each track. With Smart Playlists, iTunes gives you this ability, making it not just possible to sift through your music to find exactly the right tunes for the right occasion, but also making it automaticas though you had your own private DJ.

Because of the versatility of software, several more features are available in iTunes to enhance the satisfaction you get from playing your music. You can crossfade songs, having one start playing while the previous one is fading out, like they do on the radio. You can also have iTunes examine all your music with the Sound Check feature, ensuring that each album plays at the same relative volume level. And with the built-in Visualizer, iTunes turns your music enjoyment from a purely auditory pastime into a treat for the eyes, too.

With iTunes' video playback features, you can organize and watch your favorite music videos, TV shows, and home movies with as much ease as playing your digital music. You can even put your videos in playlists, just as you can with music tracks, and assign "star" ratings to your videos to indicate how much you like each one.

iTunes is an ideal application for subscribing and listening to podcasts; it automatically retrieves new episodes of your favorite podcasts as they become available, and you can organize them in iTunes just as you would regular music tracks, in their own special section. iTunes gives you several options for how you want your podcasts to behave, such as indicating how many episodes you want to keep on your computer and for how long. You can even use iTunes' built-in parental controls to ensure that podcasts with explicit contentand content from other unpredictable sourcesdoes not reach your child's iTunes copy.


Section 33. Find and Play Music in iTunes

33. Find and Play Music in iTunes

Before You Begin | See Also
Import a Music CD into iTunes | Customize Smart Shuffle Options
Purchase a Song, Album, Video, or Audiobook from the iTunes Music Store | Create a Playlist
 | Find and Play Music on the iPod

As a "jukebox" application, iTunes' primary function is to play music. Its controls for playing, pausing, and skipping forward and backward through your music are as straightforward as on any comparable piece of software or hardware. Where iTunes differs from just about any other music playback program, to say nothing of a physical rack of CDs, is in navigating through your Library to find the music you want by name and to play it through your computer's speakers.

Using the navigation lists in the Library view, you can select a single album, an artist (and all that artist's albums at once), or a whole genre (and all the artists and albums within it). The songs matching the selections you've made are listed according to the display columns you've highlighted, in a manner that's intended to make the most sense for the way you typically use the program. After you've chosen the music you want, just click Play and enjoy.

Tip

An example of iTunes' intelligent sorting is that if you sort the songs in the listing by Album or Year, the tracks are secondarily sorted within each album in the order of their track number, making it a simple affair to listen to all of an artist's work from earliest release to latest in the artist's intended presentation.

Find and Play Music in iTunes

Select the Library Source

Click Library in the Source pane of the iTunes window. All your songs are shown in the listing area in the main body of the iTunes window.

Choose a Genre, Artist, or Album

If the Genre, Artist, and Album lists at the top of the window are not shown, click the Browse button to display them. These lists work like filters, allowing you to select from any list to limit the songs that iTunes shows you to only the ones matching that selection.

Tip

The Genre list is optional. You can hide or show it in the General pane of the iTunes Preferences window (choose Edit, Preferences in Windows or iTunes, Preferences on the Mac) by toggling the Show genre when browsing check box.

Suppose that you want to listen to some Paul Simon music. In the Artist list, scroll down until you see Paul Simon's name listed. Click his name. Notice that the Album list updates to show you only Paul Simon's albums, and all the tracks in all his albums are displayed in the listing below, hiding all the rest of your music. You can filter the listing further by selecting a single album from the Album list.

Note

In the Artist list (and only in that list), artists whose names begin with The are sorted according to their name without the The; so to find music by The Romantics, look in the R part of the list.

To cancel your selections and return the song listing so that it shows the entire contents of your Library, scroll up to the first entry in a list where you selected an entry (it says All, followed by the number of entries in that list). Alternatively, click the header of the list to remove its filter and select the All option.

Play Music Sequentially

Click the Play button, and iTunes begins playing the first song in the list. Adjust the volume to your liking using the slider next to the Play button. (This slider doesn't affect the system volume, only iTunes' relative volume level.)

Note

When iTunes is playing, the Play button changes to a Pause button. Click it to stop the music but retain your place, so that if you click Play again, iTunes resumes where it left off. However, if you select a different option in the Source pane (such as a playlist), the Play button changes to a Stop button, indicating that if you stop playback and then click Play again, iTunes will play using the currently selected source and not the original selection of music.

As iTunes plays each song, it moves automatically to the next one in the list as displayed. Skip to the next song or back to the previous one using the Forward and Back buttons; click and hold these buttons to fast-forward or rewind within a song.

When iTunes finishes playing a song, it updates the Last Played date/time field for that song and increments its Play Count field. Keep this in mindit'll be important for when you create Smart Playlists!

If you want to start playing in the middle of the song listing, click a song to select it and then click Play to begin playback with that song. Alternatively, double-click the song to play it.

Search for Music by Name

The Search box allows you to find music quickly if you know its title or the name of its artist or album. Simply type whatever you know of the name into the Search box, and with each letter that you type, the song listing is filtered down to only the songs whose name, artist, or album contains what you've typed. If the Browse lists are visible, their contents are also narrowed down as you type, allowing you to navigate within your search results just as you would when viewing the entire Library.

Note

The Search function operates only within the source you've currently selected. For example, choose Library to search all the music in your collection, or choose a playlist to find only the matching songs that are in that playlist.

Helping you further to narrow down your searching, you can use the search context bar that appears below iTunes' toolbar to define the searching scope. On the right side of the bar, click Name to limit the results only to songs whose names match your search text, or click Artist or Album to match only artists or albums. The All option expands the searching scope to all three fields. The left side of the bar lets you search within your Music only; search within your Audiobooks, Podcasts, Videos, or Booklets; or choose All to show all the results no matter what kind of media they are.

Click the X icon in the Search box to cancel the search and return the view of your music to its original, unfiltered state.

Shuffle Your Music

Of course, you can play your music in its originally intended order as it appeared on the CDbut sometimes you're just not in the mood to listen to the tracks in someone else's recommended order. The Shuffle button, in conjunction with judicious use of the Browse lists, gives you plenty of new options for how to hear your music.

With an Artist or Album selectedor even if you're viewing the unfiltered Library with no selectionsclick the Shuffle button underneath the Source pane in the lower-left corner of the window; it lights up blue when you activate Shuffle mode. In this mode, iTunes skips randomly from song to song in the selection. The displayed list of songs is not rearranged accordingly. (The songs are still shown according to the display column you selected.) You won't know which song iTunes will skip to next.

Tip

iTunes automatically scrolls the display to show the currently playing song, indicated with a blue "speaker" icon next to its title. However, if you're scrolled far away from the playing song and want to jump to it without scrolling manually up and down in search of it, choose File, Show Current Song to skip directly to it.

If you're viewing a manually organized playlist (see [image] Create a Playlist), the Shuffle option actually rearranges the displayed songs based on the order in which they'll play. This reordering happens because playlists have a built-in play order, shown in the first column, which is the default column selected to sort the playlist.

Shuffle mode has a number of options that you can customize, such as whether iTunes should skip from album to album rather than from track to track, and whether it should tend to group similar music together. See [image] Customize Smart Shuffle Options for more information.

Repeat Playback of the Current Selection

The Repeat button lets you choose what iTunes should do when it comes to the end of the selection of music. If the button is not selected, iTunes stops playing when it finishes the last song in the list. Click the Repeat button to turn on Repeat mode; in this mode, the selected list of songs starts playing again from the beginning after it finishes. Click the button again to enter Repeat Song mode, indicated with a small 1 on the button's iconthis means iTunes keeps repeating the currently playing song over and over. Click Repeat once more to turn Repeat mode off.

Minimize iTunes to a Floating Window

You can get the iTunes window out of the way while it's playing tunes by clicking the green Zoom button (on the Mac) or by choosing Advanced, Switch to Mini Player (on Windows); this command shrinks iTunes to a small floating controller known as the Mini Player. You can move this player anywhere on the screen that's convenient, play and pause the music, skip from track to track, adjust the volume, and see what song is currently playing.

Tip

If you want, you can have the Mini Player float above everything else on your screen so that it's never hidden. Just select the Keep Mini Player on top of all other windows check box in the Advanced pane of the iTunes Preferences window. (Choose Edit, Preferences in Windows or iTunes, Preferences on the Mac to display the Preferences window.)


Section 34. Customize Smart Shuffle Options

34. Customize Smart Shuffle Options

Before You Begin | See Also
Find and Play Music in iTunes | Provide Customized Background Music with Party Shuffle

Traditionally, "shuffling" your music meant simply playing songs in a random ordersomething any CD player could do, but lacking in any kind of intelligence or intuition as to what kind of music you like to listen to. However, many people prefer listening to sequential tracks in an order that isn't quite the order that the artists intended, yet isn't quite completely random, obeying some subtle rules about one track's relationship to the next that keep the mood or the style of music consistent for several tracks at a time. Although this kind of intelligence is impossible in traditional CD players, iTunes has these abilities built in, using a feature called Smart Shuffle.

Note

The settings described in this task relate to iTunes' ability to pick songs on its own that adhere to your preferences about how they should be grouped. If you want to be able to manually sort and fine-tune a randomly selected list of songs and impose your own creativity on the selection, try the Party Shuffle feature, which is described in [image] Provide Customized Background Music with Party Shuffle.

Customize Smart Shuffle Options

Open the Playback Preferences

Open the iTunes Preferences window. (Choose iTunes, Preferences on the Mac; choose Edit, Preferences in Windows.) Click the Playback tab.

Tune the Smart Shuffle Setting

The Smart Shuffle slider allows you to alter the behavior of iTunes' Shuffle mode. Normally, with the slider set to random (in the middle), iTunes will pick songs using a completely random algorithm, akin to blindly picking a song name out of a hat. However, if you adjust the slider to either the left or the right, iTunes applies some additional intelligence to the songs it picks.

Moving the slider toward the left, the more likely direction, means iTunes will tend to pick sequential songs that come from the same artist or the same album. Slide it all the way left, and iTunes will move song by song through each album by the artist you're on at any given time, and only when it's done with the artist will it move on and pick a different one. Putting the slider somewhere between the far left and the middle means iTunes will pick a few songs at random from a given artist or album and then move on to another artist chosen at random.

If you move the slider to the right, the less likely direction, iTunes will actively avoid picking two songs in a row from the same artist or album. If the slider is all the way to the right, the Smart Shuffle feature will ensure that no two consecutive songs have the artist or album name in common, ensuring a truly eclectic mix of music.

Shuffle by Songs, Albums, or Groupings

In its default configuration, iTunes shuffles your music by songin other words, each song it plays is randomly chosen from your entire Library or the playlist you've selected. The Shuffle option buttons allow you to change this behavior.

Select Albums to tell iTunes to shuffle by album rather than by song. In this mode, iTunes picks an album at random, plays it straight through according to its track listing, and then picks another album when the first album is done.

The Groupings option makes iTunes behave the same way that it does with the Songs or Albums option, only using the Grouping field in your tracks. This field is not normally set by the iTunes Music Store or by the Gracenote database; rather, it's a freeform field without a defined meaning that you can use for whatever purpose you want, ideally to help group certain songs in a manner that's independent of their regular artist and album labels. For example, suppose that you heard a particular set of songs at a party that you really enjoyed. You can gather together the songs from that set by buying them from the iTunes Music Store; but to associate them into a group, you can put a tag such as Jim's Party Set into the Grouping field. Then, when you select the Shuffle: Groupings option button, iTunes treats the songs in that group as a single set, stepping through the grouping until all the tracks in it have been played, before choosing another grouping at random.

See [image] Examine and Modify Song Information Tags for more information about setting info tags such as the Grouping field.

Save Your Settings

Click OK to save your settings and apply your newly selected behavior rules to iTunes' Shuffle mode.


Section 35. Create a Playlist

35. Create a Playlist

Before You Begin | See Also
Import a Music CD into iTunes | Create a Smart Playlist
Purchase a Song, Album, Video, or Audiobook from the iTunes Music Store | Create Crossfades Between Songs
Find and Play Music in iTunes | Create an Audio CD from a Playlist

Although iTunes makes it easy to locate and play any individual song or album, sometimes you'll want to mix and match your music, pulling in one favorite song from here, another one from therepicking the best selections from different albums to make a progression of songs that fits a certain situation or mood. It's one thing to be able to select a single artist and play through all the songs that artist ever produced. It's quite another to compose a selection of your personal favorite 30 songs, a choice collection for working out at the gym, a soothing set of songs to fall asleep to, or your most highly rated rock songs from the 1970s. These kinds of specialized, personalized groupings are known as playlists.

Key Term

Playlist A collection of songs that the user creates in a specific order, usually gathered according to a desired "theme" (such as "Driving Tunes" or "Workout Mix").

You create a playlist by first specifying its name (which you can change later) and then dragging songs one by one from your Library into the playlist. You can rearrange a playlist's contents at any time, remove songs, add more songs as you buy them from the iTunes Music Storewhatever you like. A playlist is never fixed in form and can always be expanded or modified to suit your musical tastes, even while you're playing it.

Adding songs to playlists is like creating aliases or shortcuts to the original itemsit doesn't take up extra space on your disk or create new files. If you change or delete a song in the Library, the song also changes in or disappears from any playlist in which it appears.

Note

When you drag songs from your Library into a playlist, you're not removing them from the Library; you're merely creating a list of references to selected songs. You can always access each song in its original location in the Library. You can add the same song to multiple playlists, for example, or add the same song multiple times to the same playlist. If you delete a song from a playlist, the song isn't removed from iTunes altogetherjust from the playlist.

Create a Playlist

Create a Playlist

To create a new playlist, click the + button underneath the Source pane, at the bottom left of the iTunes window. (Alternatively, choose File, New Playlist.) A new playlist appears in the Source list, bearing the name untitled playlist.

Tips

Delete a playlist by selecting it in the Source pane and pressing Delete or Del. Remember, a playlist contains only references to the songs in it, not the songs themselves. Deleting a playlist or the individual songs in it doesn't affect anything in your Library.

Another way to create a playlist is to first select a group of songs in the Library and then choose File, New Playlist From Selection. A new playlist is created that includes the songs you selected.

Name the Playlist

The name of the new playlist is selected so that you can immediately type a new name, such as Driving Tunes or Hair Band Classics. Press Return or Enter after you type the perfect title for your collection.

Open the Playlist in a New Window

Optionally, you can open the playlist's contents in a separate window; this can be helpful if you want to see both the source and the destination as you drag songs into the playlist. Double-click the music note icon to the left of the playlist name to open the new window with the playlist's contents.

Tips

When you view a playlist in its own window or a separate window, a Burn Disc button appears in the upper-right corner instead of the usual Browse button. (You use this button to burn a CD of the contents of the playlist, as described in [image] Create an Audio CD from a Playlist.) However, this icon doesn't prevent you from browsing a playlist using the navigation lists. Simply choose Edit, Show Browser to enable the lists.

Drag Songs to the Playlist

Click the Library option in the Source pane to view all the songs that are available in iTunes; navigate to each song you want to add to the playlist. Click to select a song (or a group of songs, by holding down Shift or Ctrl/ [image] as you click) and drag the selection to the playlist in the Source pane or into the separate window showing the playlist's contents.

If you drag songs to the playlist's name in the Source pane, each new addition is added to the end of the playlist. If you're using a separate window to build the playlist, you can drag songs directly to the place in the list where you want them to appear.

Rearrange Songs to Taste

Click the playlist in the Source pane to view its contents in the song list area, or switch to the separate window showing the playlist's contents. Click and drag individual songs to different places in the list to manually sort the playlist to your liking. You can also click any of the column headers to sort the playlist on that column; click the column header again to reverse the sort order. Click the first column header, showing the play order numbers, to return the list to your manual sort order.

Now you can play your playlist by clicking the Play button, just as you would in the Library view. You can immediately call up just the right playlist for the occasionto help you relax as you read, to fire you up for an exercise routine, or to burn onto a CD for a long drive (see [image] Create an Audio CD from a Playlist).

Tip

iTunes allows you to group playlists into folders. Create a folder by selecting File, New Folder. You can rename the folder as you would a playlist and then drag existing playlists or Smart Playlists into the folder. If you select a folder and click Play, the contents of all that folder's included playlists are played in order. However, playlist folders do not retain their hierarchical nature when you transfer them to the iPod.


Section 36. Create a Smart Playlist

36. Create a Smart Playlist

Before You Begin | See Also
Import a Music CD into iTunes | Create an Audio CD from a Playlist
Purchase a Song, Album, Video, or Audiobook from the iTunes Music Store | Rate Your Music in iTunes
Find and Play Music in iTunes | Train iTunes to Play Your Favorite Music

iTunes can create two kinds of playlists: standard ones, in which you simply make a new list and manually add songs to it, and Smart Playlists, which are in fact sophisticated saved database queries that automatically select songs that match criteria you specify. Smart Playlists have near-infinite versatility; their configuration possibilities are limited only by your imagination.

Key Term

Smart Playlist A playlist automatically created from user-specified criteria that is updated to reflect new music you add that matches those criteria.

You create a Smart Playlist in a somewhat different manner from a standard playlist. Instead of setting its name and then dragging songs to it manually, you set up the list of criteria at the time you create the playlist and then name the playlist. The list is immediately populated with all the songs that match the criteria you set as soon as you create the Smart Playlist.

Web Resource

http://www.smartplaylists.com/

SmartPlaylists.com is a community site where iTunes fans can exchange tips and experiences for making the most of their Smart Playlists.

Create a Smart Playlist

Create a Smart Playlist

To create a Smart Playlist, hold down the Option key (on Mac) or Shift key (in Windows) and click the + button; its icon changes from a + sign to a sprocket, indicating the automated mechanism underlying Smart Playlists. Alternatively, choose File, New Smart Playlist.

Define Criteria for the Smart Playlist

A Smart Playlist dialog box appears, giving you access to the specifications of the Smart Playlist query. Various check box options are available, such as limiting the list to a certain number of songs. You can add as many organizational criteria as you want by clicking the + button after any shown criterion. You can filter songs using any of the info tags they contain or comparison operators such as contains or starts with for textual entries, is or greater than for numeric entries, or is after or is in the range for date entries.

You can, for instance, create a list composed of all songs in the Rock genre that were made in the years 19661974, whose track number was 1 (call it, say, Classic Rock Album Openers). You can even specify that songs in the playlist must also belong to another playlist, such as a Smart Playlist that contains all music by any of several selected artists (Classic Rock Album Openers by Canadian Bands). You can also achieve great control by limiting the playlist to a certain size or number of songs, and adjust the selected by criterion to any of several schemes, such as highest rating, least often played, or random. The details are up to you.

Notes

By default, new Smart Playlists are created with the Live updating option enabled. This means that as you add new music to your iTunes Library, or change the info tags for songs so that they match the Smart Playlist's criteria, the playlist updates automatically to include those songs. Disable this option if you want the playlist to remain in the state it's in when you first create it, and not to automatically change as you add more music.

Songs shown in Smart Playlists are just references to the songs in your Library, just as they are in regular playlists. However, you can't manually rearrange or remove individual songs from Smart Playlists because they're automatically selected according to the criteria they match.

Smart Playlists are especially useful in conjunction with the My Rating and Play Count fields. For instance, you can create a Smart Playlist that consists only of songs you've rated three stars or higher, or to which you've listened at least five times, or both conditions at once. (See Rate [image] Your Music in iTunes for more information.) As you rate your songs and listen to the ones you like best, a Smart Playlist that you might have set up to include only highly rated or frequently played songs automatically becomes populated with your favorite music.

Name the Smart Playlist

Click OK when you're satisfied with the Smart Playlist's criteria. The playlist is created, with the name automatically set to the contents of the first criterion you set. The name is immediately editable, so you can type a more appropriate name if you want and press Return or Enter.

Edit Smart Playlist Criteria

You can go back and edit the criteria on any Smart Playlist if you want to change its behavior or contents. Select the playlist in the Source pane and choose File, Edit Smart Playlist or right-click the playlist and choose Edit Smart Playlist from the context menu. The same dialog box that you used to define the playlist appears; make whatever changes you like and click OK to save them.

Tip

If you create a randomized Smart Playlist (for example, one that chooses 4GB of music to fit into your iPod nano, as described in [image] Use a Large iTunes Library with a Small iPod), it can be difficult to get iTunes to reshuffle the selection to pick new songs. One way to do it is to temporarily lower the Limit to number to something very small (such as one song), click OK, edit the criteria again, and raise the limit to the full 4GB size.

As you enter text in any of the criterion fields, such as the Artist name, iTunes tries to fill out the field with an existing info tag that matches what you've typed. This can save you time and ensure that you set the field to exactly the spelling of info tags that are already in the database. See [image] Examine and Modify Song Information Tags for more details.


Section 37. Rate Your Music in iTunes

37. Rate Your Music in iTunes

Before You Begin | See Also
Import a Music CD into iTunes | Create a Smart Playlist
Purchase a Song, Album, Video, or Audiobook from the iTunes Music Store | Rate Your Music on the iPod
Find and Play Music in iTunes | Train iTunes to Play Your Favorite Music

iTunes isn't just a passive servant to your commands. It's also a trainable assistant that learns your preferences as you play your music and can serve up your favorites in place of those tracks you'd rather skip. All you have to do, as you play music in iTunes, is to set the My Rating field on your songs to anything between one and five stars, corresponding to your reaction to each track.

For example, the meanings I use to interpret each star rating in my own Library are as follows:

***** | My absolute favorite tracks of allmusically superb and enjoyable in any circumstances.
**** | Music I actively enjoy listening to and would take the time to seek out.
*** | Music to which I have no specific objection and don't mind listening to.
** | Tracks that actively annoy me in some particular way, although they might be from an artist or album that I otherwise enjoy.
* | Tracks I would prefer never to have to listen to, unless I specifically ask for them (for example, to drive an irritating visitor out of my room).

After you've set these ratings on most or all of the tracks in your Library, it's a simple matter to set up a Smart Playlist that selects from your favorite tunes, automatically mixing up a batch of music you're guaranteed to enjoy. For example, my favorite Smart Playlist simply chooses music that I've rated three stars or higher, ensuring that I'll hear only the music I want to hear.

Note

The star rating is held within the iTunes database, not saved as part of the song in its internal info tags. This means that if your iTunes Library database becomes lost or corrupted, your star ratings (along with your Last Played and Date Added fields) are lost. See [image] Back Up Your Music to CD or DVD for ways to keep yourself protected against data loss.

Rate Your Music in iTunes

Play Music in iTunes

Using the Library view or a playlist, play your music as you normally would. As you listen, consider the five-star rating system and how you would categorize the songs you're hearing relative to each other. (You don't have to be playing a song to rate it in this way, but it helps to be hearing it as you consider its rating.)

Set a Rating in the My Rating Column

Select a song by clicking it. In the My Rating column, small dots appear indicating where the five stars would go. Click one of the dots to set that number of stars, or click and drag left and right to adjust the star rating. The rating is set as soon as you click the setting in the song listing.

Note

Refer to [image] Customize Which Information Columns Are Displayed if the My Rating column is not visible.

Set a Rating in the Dock or System Tray

While a song is playing, you can set its rating through another, more direct method: using the System Tray (in Windows) or the Dock (in Mac OS X). In either case, right-click (or Control+click) the iTunes icon to display the context menu; from the My Rating submenu, choose the appropriate number of stars. (Choose None to clear the rating.)

Organize Music by Rating

After you've set ratings on the bulk of the songs in your Library, you can organize your music in a number of ways that are affected by the star ratings. Sort the music in the Library view under the My Rating column, in descending order, to see your favorite songs first. Create a Smart Playlist with a limited number of songs selected by highest rating. In the Party Shuffle playlist ( [image] Provide Customized Background Music with Party Shuffle), select Play higher rated songs more often to "weight" the appearance of songs according to their ratings.


Section 38. Find and Play Videos in iTunes

38. Find and Play Videos in iTunes

Before You Begin | See Also
Purchase a Song, Album, Video, or Audiobook from the iTunes Music Store | Create a Playlist
 | Put Your Home Movies and Downloaded Videos on Your iPod
Find and Play Music in iTunes | Find and Play Videos on the iPod

iTunes was not originally designed with video playback in mind, but its recent versions have added the functionality to browse and enjoy your digital video files with the same ease and convenience with which iTunes handles your digital music. Now that the iTunes Music Store allows you to purchase music videos and TV shows, and now that video podcasts have become widely popular in the citizen-journalist world of blogging, iTunes has embraced video playback as a key feature that's every bit as critical to its success as its traditional digital music functions.

Videos in iTunes are organized in the Videos view, where they're listed as a grid of thumbnail icons chosen by iTunes from within each video's first few seconds. Alternatively, you can browse videos using a list view similar to the regular Library view, allowing you to sort them using all their info tags (most of which are the same as in your digital music, although videos have a few new info tags all their own).

Playing videos in iTunes takes place in the Album Art and Video Viewer pane, which (if visible) appears at the bottom of the Source pane. If you so choose, videos can instead be shown in a separate and larger window, or in full-screen mode (taking over the entire area of your screen). With this range of playback options, iTunes can do things with your videos that your TV never could.

Find and Play Videos in iTunes

Select the Videos Source

Click Videos in the Source pane of the iTunes window. This view consists of a black background with icons representing your videos laid out in a grid, each one with a reflection underneath it and important information (such as its name, artist, and genre) next to it. If you don't have any videos yet, refer to [image] Purchase a Song, Album, Video, or Audiobook from the iTunes Music Store or [image] Put Your Home Movies and Downloaded Videos on Your iPod to add some videos to your iTunes Library.

Browse Videos by Thumbnails

The grid arrangement of the Videos view lets you see at a glance what each video contains. The thumbnail image, which iTunes automatically selects from the first few seconds of each video, tells you what kind of video it is and (in many cases) shows you a title screen that accurately represents the video's contents.

Tip

Many videos, particularly the ones you buy from the iTunes Music Store, have "poster frames" that the content creators set to be an ideal representative image for each video. In the case of videos you create or download from the Internet, a poster frame might not be set, and iTunes chooses one automatically. If you don't like the poster frame that iTunes chooses, you can add your own by taking an appropriate screenshot and using the technique described in [image] Add Album Art to Songs. The first artwork image listed in the Artwork pane of the Get Info dialog box is the poster frame that iTunes uses for the video's thumbnail image.

At the top of the listing pane is a context bar similar to the one you get when you use the Search box to search for music. This video context bar is always present in Videos view, and it allows you to narrow the list of icons that are shown in the grid. For example, choose Movies from the left side of the bar to show only short films you bought from the iTunes Music Store, home movies you created, and videos you downloaded from Internet sources such as Google Video. Choose Music Videos to show only music videos you purchased, or choose Podcasts to show only episodes of video-based podcasts to which you've subscribed. (See [image] Subscribe to and Listen to Podcasts for more information.)

The right side of the context bar is for use in conjunction with the Search box. If you specify a partial name in the Search box, only those videos that match what you've typed are displayed. Choose Artist, Album, or Title to limit the filtered search results to only the field you've chosen; choose All to allow iTunes to match any of the available fields to your search text. (Some kinds of videos contain specialized context fields that appear only when the specific genre selected on the left side contains those fields, such as Show for the TV Shows genre or Author for the Podcasts genre.)

Notes

The "genres" of videos are set permanently in each file's attributes and cannot be altered. The Genre field of a TV show episode is set to TV Shows by the iTunes Music Store. It will still come up under TV Shows even if you change the Genre field to something else (such as Comedy).

Mac users can try the Lostify website (http://home.comcast.net/~lowellstewart/lostify/) for help in updating these "hidden" info tags.

Browse Videos by Genre, Artist, and Album

The visual icon view of the Videos source is not the only way to browse your videos. If you prefer, you can use a list view similar to the one used for your digital music in the other media sources in iTunes. To access this view, click the List View icon at the right side of the context bar. (The Icon View button next to it returns you to the grid layout with the thumbnail icons.)

In the list view, you can organize your videos (indicated here and in the regular Library view with a "video" icon in the Name field) using most of the same columns that are available for your music. Videos have a few additional fields as well, such as Description (usually used for summarizing TV show and podcast episodes) and Show, Episode Number, and Season (used for grouping TV shows according to their release sequences, which don't exactly fit into the "album" and "genre" metaphors of digital music). If you organize this view using the Show column, the episodes of each TV show are listed in their release order, season by season, the way you likely want them to be sorted.

Tip

The order in which you sort your videos in list view carries over to icon view. If you sort your videos based on Year and then switch back to icon view, the icons are sorted on the Year field rather than alphabetically. This behavior does not occur if you use the context bar to filter only on TV Shows or Music Videos; it does occur if you're showing Movies, Podcasts, or All.

The context bar is available in list view and in icon view, and you can use it to specify individual sorting behaviors for your different genres of videos. Additionally, whether you're in list view or icon view, you can click the Browse button to activate the navigation lists, which you can use just like in any other media source to narrow the videos based on their Genre, Artist, or Album fields.

Play a Video in the Viewer Pane

Double-click a video to start playing it, or select it and click Play. The video begins playing in the Viewer pane at the bottom left of the screen. You can control playback using the Play/Pause button and the scrub bar.

If the Viewer pane is not displayed, you will hear the audio of the video playing but won't see anything. Activate the Viewer pane using the Show or Hide Viewer Pane button at the bottom of the Source column. Then you can adjust the size of the pane by clicking and dragging the vertical divider between the Source column and the main iTunes pane; the Viewer pane grows and shrinks to retain a square shape.

As with your digital music, the Viewer pane can show either the currently playing item or the artwork for the item that's selected. While a video is playing, if you select a different video, that video's artwork will appear in the Viewer pane instead of the playing video if the Viewer pane's header shows Selected Song. Click the header to change it to Now Playing to continue viewing the currently playing video.

Play a Video in a Separate Window

The Viewer pane might be too restrictive for viewing your favorite videos. Fortunately, it's not the only viewing method available in iTunes.

Click inside the Viewer pane to open a separate window showing its contents. If a video is currently playing in the Viewer pane, it will continue playing in the separate window, which you can then resize using the grip in the bottom-right corner until it's a size comfortable for viewing.

Note

Remember that if you pause playback of a song or video, select another item in the same listing, and then click Play, iTunes continues playing the original item, not the one you've currently selected. This can lead to confusion when playing videos. For example, if the Viewer pane is showing the Selected Song, you might click the artwork in a selected video to view it in a large separate window, and then click Play, only to hear the audio for a different video begin playing and no visible video appearing anywhere. This happens because the previously selected video is playing, and its video (which should be in the Viewer pane) is being hidden because the Viewer pane is in the wrong mode. To remedy this, close the separate artwork window and click the Viewer pane's header to switch it to Now Playing mode. Then click in the Viewer pane to open the video in a separate window. Close the window and double-click a different video to view it.

Play a Video Full-Screen

When a video is playing in the Viewer pane, you can click the Show Video Full Screen button to switch to full-screen mode, where the playing video takes over the entire screen, turning your computer into a TV so that you can watch your favorite TV shows from a chair across the room or show a TV program or Internet video for all your friends gathered around your computer. Click the mouse to cancel full-screen mode and return the video to the Viewer pane.

If the video is already playing in a separate window, you can't directly switch it to full-screen mode. Instead, close the separate window and then click the Show Video Full Screen button.

Configure the Way All Videos Should Be Played

Switching between these three video playback modes can be tedious and unpredictable unless you know exactly what you're doing. One way to ensure that your videos will behave more consistently is to define your preferred playback mode in the iTunes Preferences window.

Open the iTunes Preferences window. (Choose iTunes, Preferences on the Mac; choose Edit, Preferences in Windows.) Click the Playback tab. At the bottom of the window, choose your preferred playback method from the Play Videos drop-down list. Choose from in the main window (in the Viewer pane), in a separate window, and full screen.

Disable the Play videos check box if you want iTunes to suppress playback of video at all times, and instead to play only the audio portion of a video when you play it.

Click OK. From now on, each new video you play starts in the preferred viewing mode. You can switch to a different mode using the methods described earlier in this task.


Section 39. Subscribe to and Listen to Podcasts

39. Subscribe to and Listen to Podcasts

Before You Begin | See Also
Browse the iTunes Music Store | Protect Your Kids from Explicit Content
Find and Play Music in iTunes | Transfer Your Music and Videos to Your iPod
Find and Play Music on the iPod | Find and Play Music on the iPod
 | Export a Song List

One of the newest and most exciting forms of personal digital media publishing emerging today is podcasting, the practice of recording a stream of audio or video (such as a radio show that you host yourself, or a series of short animated videos) and placing it online for listeners to hear free over the Internet. Podcasts are generally issued in regular episodes, on a schedule such as once per week (although this schedule varies with each publisher). A listener downloads each episode and either listens to it in software such as iTunes or copies it to an iPod to listen on the go (hence the name). More and more podcasts are being produced every day, by everybody from writers of personal weblogs ("bloggers") to the President of the United States, and there's never been an easier way for individual people to make their voices heard.

Since version 4.9, iTunes has incorporated features specifically designed to make subscribing and listening to podcasts just as easy as organizing and playing the rest of your digital music collection. There's an item in the Source list called Podcasts; in this section of iTunes, you'll find ways to seek out podcasts in Apple's Podcast Directory, download new episodes for subscribed podcasts, and play episodes you've already downloaded. You'll also find tools for deleting old episodes, unsubscribing from podcasts that no longer interest you, and configuring the automatic retrieval of new episodes and the transfer of podcasts to your iPod so that you can consume them wherever you go. You can even file a report on a podcast that has offensive content. In this new personal publishing medium, individuals like you have to provide the checks and balances formerly ensured by the record labels and radio stations!

Notes

Make sure you have the most recent version of the software for your iPod; see [image] Update Your iPod's Software for details. Be aware that the iPod 3G and earlier versions and the iPod shuffle do not support podcasts.

Podcasts, by their nature, are free of charge to download and listen. Although the Podcast Directory is technically part of the iTunes Music Store, you need not have an account with the Music Store to subscribe to any podcast listed there.

Interested in creating and publishing your own podcasts? Refer to Chapter 1, "Start Here," for an overview of the procedures and software you need to be familiar with.

Subscribe to and Listen to Podcasts

Find and Preview a Podcast

Click Podcasts in the Source pane to reveal the podcast management section of iTunes. The right side of the window shows all the podcasts to which you've already subscribed, allowing you to browse and play individual episodes, download new episodes, and organize episodes by whether you've listened to them yet.

At the bottom of the window is a link labeled Podcast Directory. Clicking this link takes you to a special section of the iTunes Music Store (see [image] Browse the iTunes Music Store for more information), where Apple-sanctioned podcasts are organized and you can subscribe to any that you choose. Just as in the other sections of the iTunes Music Store, specific categories of podcasts are listed down the left side of the screen, the most popular podcasts are displayed on the right side of the screen, and categories for podcast listings (such as News & Politics, Video Podcasts, Comedy, and Public Broadcasting) are available as icons in the middle of the page. The main side-scrolling list of featured podcasts is called New & Notable, and it's where you can find newly added and highly recommended podcasts.

Tip

You can use the Browse button to browse podcasts in the more austere plain-text view where you can drill down into a specific category of podcasts and subscribe to them directly without visiting their individual presentation pages. If you double-click to preview a podcast in Browse view, you hear either the most recent episode of the podcast or a brief "description" stream that summarizes the podcast's purpose and content.

Browse to any podcast's download page just as you would to any album in the Music Store. Individual episodes of the podcast are listed as tracks in the "album" listing. Because podcasts are free, you can hear any episode in its entirety by double-clicking it or by selecting it and clicking Play.

Subscribe to a Podcast

"Subscribing" to a podcast means adding it to the list in the Podcasts section of iTunes, immediately downloading the most recently released episode of the podcast, and then automatically downloading subsequent episodes as they are released. You can manually download individual episodes of many podcasts without subscribing to the podcast, but in most cases, the easiest procedure is to subscribe and let iTunes grab new episodes of all your subscribed podcasts as their respective authors update them.

Note

If it's available, click the i icon at the right side of the Description column of any listed podcast, either in the Podcast Directory or in your Podcasts listing, to view the detailed description of the podcast and the selected episode in a separate window. This window contains information such as the direct URL of the podcast's subscription feed (if you selected a complete podcast in the Podcasts list or in the Browse view in the Podcast Directory) and synopses of individual episodes.

All podcasts in the Podcast Directory have a Subscribe button in the podcast information block at the top of the listing pane. Click this button to add the podcast to your list in the Podcasts section of iTunes. The most recent episode of the podcast begins downloading; wait for the green "progress" icon in the leftmost column to disappear before playing the episode.

Tip

You can subscribe to podcasts that aren't listed in Apple's Podcast Directory. First, find the address of the podcast on the website where it's published. (Right-click the link to the audio stream and choose Copy Link or Copy Address.) Then, in iTunes, choose Advanced, Subscribe to Podcast, and paste the copied address into the URL box. Click OK to subscribe and download the latest episode.

Play a Podcast Episode

Podcast episodes are listed in your iTunes Library along with your other multimedia content, but they are best organized and played entirely within the Podcasts section. To listen to a subscribed podcast, select Podcasts in the Source pane, and then click to select the podcast you want to hear. Click Play to begin playing the most recent episode.

Note

Podcast episodes can be of any length, from brief five-minute political messages to hours-long radio programs. As with audio-books and many kinds of videos, iTunes remembers where you leave off playing any podcast episode; the next time you play that episode, iTunes resumes where you stopped listening the previous time. The iPod also keeps track of your place and synchronizes it with iTunes, so you can switch between iTunes and the iPod for listening to your podcasts, and you'll never lose your place.

Some podcasts, such as Apple's own iTunes New Music Tuesday podcast, contain several "chapters" that each has its own album art and song information that are reflected in the appropriate places within the iTunes window as you listen. Using the Chapter Selector menu button (next to the status display box at the top of the window), you can choose a chapter by its album art icon and title to skip directly to that chapter. (The Chapter Selector menu button doesn't appear if the podcast episode doesn't have internal chapter marks.)

Note

When you're enjoying a podcast episode in iTunes, the accompanying artwork that appears in the Viewer pane is automatically updated with each chapter. However, if you click the Viewer pane to open the artwork in a separate window, the artwork in that window does not update automatically. On the iPod, the artwork is updated whether you use the Now Playing view or the full-screen album art view.

Tips

Some album art, particularly the album art found on featured songs or albums within the iTunes New Music Tuesday podcast, contains links you can click to go straight to the download page for the song or album that is being advertised. Be sure to use the Show or Hide Viewer Pane button (fourth from the lower left) to display the Album Art and Video Viewer pane, and click the pane's contents to view the album art in a larger, separate window.

The blue dot in the leftmost column indicates a podcast with a new unlistened episode, or (if the podcast listing is expanded) the unlistened episode itself. The dot disappears after you've listened to the podcast's new episodes, helping you keep track of which podcasts you're up to date with. You can restore an episode's unlistened status and blue dot by right-clicking (or Control+clicking) its name and choosing Mark as Unplayed from the context menu that appears.

Download Podcast Episodes

If you want to hear an earlier episode than the most recent one, click the triangle next to the podcast's name to expand it into a listing of all its past episodes, whether you've downloaded them or not. Episodes shown in gray text have not been downloaded; double-click an episode or click the Get button to download it. You'll have to start the episode playing manually after it's finished downloading.

Configure Podcast Updating Settings

Click the Settings button in the lower-right corner of the iTunes window. This opens the Podcasts page of the iTunes Preferences window, where you can configure the way iTunes will behave when new episodes of your subscribed podcasts are released.

First, choose an appropriate interval from the Check for new episodes dropdown list. Every day, the default, is a sensible choice; it ensures that iTunes will find out about new episodes no more than 24 hours after they appear on their Web sites. You can set iTunes to check more frequently (Every hour) or less frequently (Every week), or you can choose Manually to ensure that iTunes doesn't try to detect new episodes automatically at all. (This can be useful if you don't want iTunes dialing your modem to search for new episodes at odd hours of the night.) A readout below the menu tells when the next check will occur, which can help you decide the most appropriate interval.

Tip

If you choose to check for updates Manually, you need to use the Update button in the upper-right corner of the iTunes screen to make iTunes look for new episodes of your subscribed podcasts. You can also use this button to check for updates between your scheduled checks and to reset the time when the next scheduled check will occur.

Next, choose from the When new episodes are available drop-down list what you want iTunes to do when it detects new episodes. The default option is to Download the most recent one; this option ensures that your subscribed podcasts are always ready to listen to whenever they've been updated. Other choices might be more appropriate to your needs. Download all, for example, ensures that you've downloaded every episode in the podcast's history (useful for podcasts that are updated more frequently than the interval you chose in the Check for new episodes list, where otherwise you might miss some episodes). The Do nothing option prevents iTunes from connecting to the Internet when you don't want it to, but it means you have to download new episodes yourself by clicking the Get button on each podcast.

The Keep option menu defines how iTunes handles old episodes. By default, iTunes saves All episodes of all your podcasts, so you can browse them all at your leisure. To save disk space, you can instead choose to have iTunes automatically delete episodes older than the Last 10 episodes or the Most recent episode (or anything in between), or you can choose All unplayed episodes to have iTunes keep episodes only until you've listened to them, after which it deletes them.

Tip

You can exempt a podcast episode, or an entire podcast, from being automatically deleted; right-click (or Control+click) the episode or podcast and choose Do Not Auto Delete from the context menu. You can reverse this setting by choosing Allow Auto Delete on an episode or podcast that you had previously exempted from automatic deletion.

Unsubscribe from a Podcast

At any time, you can unsubscribe from a podcast to stop receiving new episodes of it. Just select the podcast in question from the list in iTunes and click the Unsubscribe button in the lower-right corner of the screen.

When you unsubscribe, all nondownloaded episodes of the podcast are removed from the list, but any episodes you've already downloaded remain in the listing and are still present on your hard disk. This ensures that you can stop following a podcast that no longer interests you but keep the "back issues" for later perusal. A Subscribe button appears next to the podcast's name so that you can resubscribe to it later if you change your mind; or you can select the podcast or individual episodes and press Delete to remove them from your computer entirely and regain disk space.

Note

If you don't listen to any episodes of a subscribed podcast for a month or two, iTunes automatically stops updating it for you, and an ! icon appears next to it in the listing. Click this icon to view a dialog box explaining why iTunes isn't updating the podcast anymore, and giving you the option to resume updating it (click Yes) if you so desire.

Report a Concern with a Podcast

Because podcasting is a personal publishing medium where anyone can say what he or she wants without censorship or "standards and practices" in the way, you might find yourself listening to a podcast that's full of profanity or vulgar material that its listing in the iTunes Podcast Directory didn't warn you about, or it might contain copyrighted material that the publisher doesn't have the right to republish. Apple endeavors to list podcasts with as much accurate information as possible to help you make good decisions about which podcasts to listen to (including the EXPLICIT tag on podcasts that are known to contain potentially offensive material). But because a podcast can change its format or content at the author's whim, it's nearly impossible for Apple to keep up with these changes on its own. That's where you come in.

Select the podcast and episode in question, and then use the Report a Concern link at the lower-left corner of the Podcasts screen in iTunes. (The link might not be active for all podcasts.) This action brings up a form where you can describe in detail what the problem is. From the This podcast menu, choose the reason for your complaint, which can range from simple misclassification of the podcast's category in the Podcast Directory to unexpected offensive content or even improper use of copyrighted material. Provide your email address so that Apple can contact you in response, and click Submit to send your comments to the administrators of the Podcast Directory. Even if you don't get a direct response from Apple, the company does appreciate your help in making sure iTunes' podcasting management system is the best it can be!

Note

Refer to [image] Protect Your Kids from Explicit Content for instructions on kid-proofing iTunes so that explicit content in the iTunes Music Store (including explicit podcasts) is blocked, or so that the entire Podcasts source is hidden from view if necessary.


Section 40. Listen to an Internet Radio Station

40. Listen to an Internet Radio Station

Before You Begin | See Also
Run iTunes for the First Time | Find and Play Music in iTunes

Internet Radio, a mechanism by which "streams" of music are broadcast by amateur DJs over the Internet to anyone who has a client program (such as iTunes), used to be a lot more prevalent than it is now. At the time of iTunes' introduction in 2001, many thousands of Internet Radio channels existed, served out of highspeed corporate networks and college dorm rooms alike. iTunes shipped with the capability to browse to any of these channels and tune in for free. However, only a short time later, the record labels began to crack down on these illicit sources of music; only those channels that could afford to pay the new fees that the labels levied on them (usually by running ads) were able to stay on the air. Today, Internet Radio is only a shadow of what it once wasbut it's still there, serving a die-hard cadre of loyal listeners, and iTunes still supports it the same way it always has. Internet Radio continues to be free and can prove to be a great source of enjoyment and music that you might never otherwise hear.

Listen to an Internet Radio Station

Connect to the Internet

Make sure that you have an active connection to the Internet; you can't connect to an Internet Radio station without being online. Dial your modem or connect your laptop to the wireless network, as necessary.

Select the Radio Source

Click Radio in the Source pane of the iTunes window. The list of available Internet Radio genres appears in the song listing area.

Choose a Genre

Click the triangle next to any of the listed genres to reveal all the available Internet Radio channels within it. Some channels come and go over the course of the day, or from one day to the next. The central server to which iTunes connects gets an up-to-date listing of available channels when you select the Radio source, so each one listed should be available to connect.

The channels are listed by name along with their available bit rate (the speed at which the audio stream is delivered to you) and a description. The higher the bit rate, the better the audio quality is. One caution: Don't choose a channel with a bit rate faster than your Internet connection. For example, a 56K modem connection (56 kilobits per second, or Kbps) won't be able to support a 64Kbps audio stream without the music stuttering and pausing to rebuffer. Choose a channel with a bit rate lower than the speed of your Internet connection (much lower, if you want to do other stuff online while you're listening).

Connect to an Internet Radio Channel

Double-click a listed channel to begin listening to it, or select the channel and click the Play button. iTunes connects to the server and downloads the channel's playlist of upcoming songs; this enables it to report to you the name of each song as the channel plays it, just like satellite radio.

Note

Because Internet Radio channels are streamed, you can't fast-forward, rewind, or pause them. Holding down the Back and Forward buttons has no effect, and skipping forward and backward switches to different channels in the genre list rather than moving among individual songs.

Add an Internet Radio Channel to Your Library

If you like a particular channel and want to be able to return to it easily in the future, you can add it to your Library. Click and drag the channel from the Radio view to the Library option in the Source pane. (The + icon on the mouse pointer indicates that the reference will be added.) After you do this, you can navigate to the channel in the Library view by searching for its name or sorting the lists in a way that enables you to find it easily. (For example, you can search by Kind and then locate the channels listed as MPEG audio stream, or you can sort on the Date Added field and scroll to the top or bottom where the newest entries appear.)

Connect to an Internet Radio Channel by URL

Not every Internet Radio channel in the world is listed in iTunes' navigation system. Many more channels exist on the web, organized onto websites that collect links to popular channels and make them available to listeners if they click on their links. You can connect to any of these channels using this method. Alternatively, you might find or be given the direct URL of a channel. You can connect directly to the channel by selecting Advanced, Open Stream, pasting in the URL of the channel in the Open Stream dialog box that appears, and clicking OK. Connecting to a channel directly in this way automatically adds the channel to your Library.

Web Resource

http://www.live365.com

Live365 is one of the largest and most widely known clearinghouse sites for thousands of freely available Internet Radio channels. The music on freely listenable audio streams is generally paid for by advertising, just like commercial radio. Clicking Play on any featured radio station automatically starts it playing in iTunes. There are even links for purchasing tracks you like through the iTunes Music Store.

Note

If you connect to an Internet Radio channel by clicking a link on a web page, you might notice that a "playlist" file (with an extension such as .m3u or .pls) has been downloaded to your desktop or your default download location. This file is what launches iTunes with the proper channel. After iTunes has connected to the channel, you can delete the playlist file.


Section 41. Use the iTunes Visualizer

41. Use the iTunes Visualizer

Before You Begin | See Also
Find and Play Music in iTunes | Add a Third-Party Visualizer

iTunes certainly didn't pioneer the idea of visualization, but it did help to mature it. The Visualizer, a program within iTunes that shows colorful graphical shapes swimming across the screen that jerk and jiggle and dance in response to the music that's playing, gives your music a whole new dimension in which you can enjoy it.

Key Terms

Visualizer A program within iTunes that displays colorful patterns in a window or the full screen. The Visualizer responds visually to the playing music by creating agitated wave shapes in many different, constantly changing forms. Other visualizers, which act in different ways, can be obtained from third parties and added to iTunes.

Note

The Visualizer that is built into iTunes is based on G-Force by SoundSpectrum. G-Force has continued to develop independently and can be added to iTunes as a third-party visualizer. See [image] Add a Third-Party Visualizer for more information.

It's difficult to describe what the Visualizer doesit's easier just to see it demonstrated. Fortunately, this is no more complex a task than clicking a button.

Use the iTunes Visualizer

Turn On the Visualizer

As you're playing your music (or while it's stopped), click the Visualizer button in the lower-right corner of the iTunes window or choose Visualizer, Turn Visualizer On. The contents of the entire iTunes window are replaced by the swirling, colorful shapes of the Visualizer, shifting and reforming in response to the music.

Note

The Visualizer responds to the waveform of the audio signal while music is playing by creating agitated wave shapes, and it traces out smooth shapes when the music is paused. The amplitude of the wave shapes you see doesn't depend on the volume level of iTunes and won't get more spectacular if you crank the sound up all the way.

Switch to Full-Screen Mode

To get the full psychedelic effect of the Visualizer, you really should run it in Full Screen mode (especially if you have a large monitor). Choose Visualizer, Full Screen, and then turn on the Visualizer. The screen fades out and is replaced by the full-size Visualizer mode. Now you can turn off the lights and let your current playlist carry you away.

When the Full Screen option is enabled in the Visualizer menu, the computer switches to the Full Screen Visualizer mode whenever you invoke it. The Visualizer button in the lower-right corner of the iTunes window shows the Visualizer icon within a "TV screen" to indicate that it's in this mode. Choose Visualizer, Full Screen again to disable Full Screen mode and ensure that turning on the Visualizer won't take over your whole screen.

To exit the Full Screen Visualizer and return to your music listing, press Esc. Alternatively, press Ctrl+F (in Windows) or [image] +F (on the Mac) to switch out of Full Screen mode but keep the Visualizer running within the iTunes window.

Adjust Visualizer Options for Better Performance

The Visualizer is a fairly processor-intensive feature, and the smoothness of its appearance depends a lot on how fast your computer is. If it looks choppy to you, there are a few things you can do to improve it.

First, try choosing Medium or Small from the Visualizer menu. These options shrink the image area of the Visualizer within the iTunes window, reducing the amount of work the computer has to do.

If this doesn't help, or if you don't like the smaller appearance, try reducing the resolution but not the size. Click the Options button in the upper-right corner of the iTunes window. In the dialog box that appears, enable the Faster but rougher display check box. The visual performance of the Visualizer should be greatly enhanced by this option, although the individual shapes look blockier. Also, on the Mac, make sure that the Use OpenGL option is selected if your computer has a video card that's capable of OpenGL instructions.

Tip

The iTunes Visualizer can be a handy way to benchmark your computer's performance. Enable the Display frame rate option to see how many frames per second the Visualizer can draw, reflected in the upper-left corner of the display window. At 50 to 60 frames per secondfaster than the human eye can effectively discernyour computer's pretty muscular indeed.

Use Key Commands with the Visualizer

For experts who really want to tweak their Visualizer experience, numerous keyboard commands are available within the Visualizer. Press ? while the Visualizer is running to see a list of basic key commands; press ? again to see the second page of commands. Among the available commands are R to start a new visual style (or "config") at random, C to show the name of the current config, 0 through 9 to choose from among 10 popular configs, and I to show the current song information and album art. There are also key commands to turn on and off the frame rate display (F) and rate capping at 30 frames per second (T).


Section 42. Provide Customized Background Music with Party Shuffle

42. Provide Customized Background Music with Party Shuffle

Before You Begin | See Also
Import a Music CD into iTunes | Create Crossfades Between Songs
Find and Play Music in iTunes | AutoFill Your iPod Shuffle or iTunes Phone System
 | AirTunes: Connect iTunes to a Stereo with AirPort Express

iTunes and a well-stocked Library are perfect for providing the background music at a party, particularly if you use an AirPort Express base station to broadcast your music wirelessly to your living room's big stereo system. (See [image] AirTunes: Connect iTunes to a Stereo System with AirPort Express.)

However, you don't want to spend time putting together a manual playlist for an hours-long party, or trust the automatic ordering of a Smart Playlist. In fact, you might want to be sure that certain songs show up at a certain time of the evening, or that certain pairs of songs flow into each other when the mood is just right. This need is answered by the Party Shuffle feature, which is like a specialized, dynamic playlist that you can edit on the fly. Party Shuffle takes songs at random from a specified source (for instance, a playlist or a Smart Playlist of your choice), shows you a certain number of upcoming songs and the last few songs it's played, and gives you the opportunity to fine-tune the random upcoming choices at any time by deleting selections, rearranging them, and adding new ones from the Library. You can micromanage the Party Shuffle playlist during the party to make sure that it chooses all the right music, or leave it alone to pick its own random selections. It's up to you to be the perfect host by orchestrating the ideal musical atmosphere.

Note

You can see a maximum of 100 upcoming songs in the Party Shuffle playlist, so that's the extent to which you can engineer the list before the party begins. Party Shuffle is intended to work from automatic random selections as it goes, but it gives you the option to change selections that are soon to be played.

Provide Customized Background Music with Party Shuffle

Select the Party Shuffle Source

Click Party Shuffle in the Source pane of the iTunes window. A random selection of 15 upcoming songs, randomly chosen from your Library, is displayed in the track listing, with a shiny blue selection bar indicating the first song in the list.

Choose a Source Playlist

The first order of business is to pick the Source from which the music is going to come. You might want to pick a Smart Playlist that's designed to filter only the best songs of a certain genre, such as Reggae songs rated three stars or higher. See [image] Create a Smart Playlist for more information on creating such a playlist.

Tip

Click the Refresh button in the upper-right corner of the window to discard the current list of upcoming songs and grab a fresh random lineup of songs from the selected source. Keep clicking until you're fairly satisfied with the list of upcoming tracks.

Choose to Weight Song Selections by Rating

If the Play higher rated songs more often check box is enabled, Party Shuffle gives a higher "weight" to songs with more stars when it's making its random selectionsfor example, a song rated five stars is five times as likely to appear in the list as a song with one star. Disable this check box if you want to give all your songs an equal chance of being heard, regardless of their rating.

Configure Song Display Options

Use the drop-down menus to configure how many recently played and upcoming songs are shown. You can choose to show up to 100 of either one. If you show the maximum number of recently played songs, you can relive the evening after it's over by perusing the list of songs that iTunes played during the course of the party.

Organize Upcoming Songs While Playing

Click Play to begin playing songs from the Party Shuffle list. As the current song plays, you have plenty of time to fine-tune the upcoming music selection. Select a song and press Delete or Del to remove it from the list. (This action doesn't delete it from the Library.) Click and drag songs into a more appropriate order, just as you would in a regular playlist, to make sure that songs flow naturally into each other. Add new songs to the list by selecting the Library option, navigating to the songs in question, and dragging them to the Party Shuffle entry in the Source pane.

Tip

To really impress your guests, be sure to turn on the crossfade effect (see [image] Create Crossfades Between Songs) and the full-screen Visualizer ( [image] Use the iTunes Visualizer).

With these options at your disposal, you can be sure that you'll have the perfect musical backdrop for your event. Just don't get so carried away with it that you forget to serve hors d'oeuvres!


Section 43. Auto-Level Song Volumes

43. Auto-Level Song Volumes

Before You Begin | See Also
Import a Music CD into iTunes | Create Crossfades Between Songs
Find and Play Music in iTunes |

One of the most useful hidden fields in the headers of digital music files is the preamp setting, which is a level of correction to the volume of each songeither amplifying or quieting the audio signal in song files to compensate for the fact that every CD is mastered at a slightly different volume level. With a feature called Sound Check, iTunes evaluates every song in your Library as it's added, finds its most extreme high and low volume levels, and adjusts the preamp setting for each song accordingly. Then, when iTunes plays the song file, the preamp setting is applied to the output volume to ensure that each song plays at approximately the same loudness. Never again will you have to turn up the volume to hear a quiet movement of a Beethoven symphony, only to have your ears blasted out by the Sisters of Mercy immediately afterward.

Auto-Level Song Volumes

Open the Playback Preferences

Open the iTunes Preferences window. (Choose iTunes, Preferences on the Mac; choose Edit, Preferences in Windows.) Click the Playback tab.

Enable Sound Check

If it's not checked already, enable the Sound Check check box. Click OK.

If the Sound Check option had not previously been enabled, iTunes now evaluates all the songs in your Library to determine and apply a preamp setting to each one. This process can take a long timeseveral seconds for each trackbecause iTunes examines every song all the way through for extremes of volume. Be prepared to wait a while before the process is complete.

From now on, whenever you play your music, each track is adjusted to match the volume level of the surrounding songs. As long as the Sound Check feature is enabled, each new song you add to the Library is evaluated for its preamp setting at the time you add it to the Library.

Enable Sound Check on the iPod

You must enable the Sound Check feature on the iPod so that it can realize the same benefits as music played through iTunes. On the iPod, navigate to the Settings menu (press Menu repeatedly until you arrive at the Main Menu, highlight Settings, and press Select), and then scroll to the Sound Check option. Press the Select button to toggle the setting On.

View Individual Song Volume

If you're curious about a song's preamp setting as determined through the Sound Check option, select the song and choose File, Get Info. Click the Summary tab of the resulting song information dialog box. In the block of information in the middle of the window, the Volume field shows how many decibels of correction are applied to the song during playback. The higher the positive number, the quieter the music and the more Sound Check has to turn it up.

Sometimes Sound Check applies an improper volume adjustment to one of your songs. If this happens, don't panic and turn off the whole feature. You can manually adjust the preamp setting for any individual song by choosing File, Get Info, clicking the Options tab, and moving the Volume Adjustment slider to a more appropriate setting.


Section 44. Create Crossfades Between Songs

44. Create Crossfades Between Songs

Before You Begin | See Also
Import a Music CD into iTunes | Auto-Level Song Volumes
Find and Play Music in iTunes |

iTunes gives you access to certain audio effects that greatly enhance the atmosphere and professional sound of your music as you play it from your Library or playlists. One of these features is crossfading. Crossfading eliminates the gap that's sometimes audible between tracks as iTunes reads the new file from the disk. Perhaps most importantly, crossfading simply sounds cool, like something you would hear on the radio.

Key Terms

Crossfading Having one track fade out at its end; the next track begins as the previous one is still fading.

You enable crossfading with a check box and use a slider that determines how long the fade-out effect should last. When it's active, crossfading applies to playback in any music source, including the Library, playlists, or the Party Shuffle playlist.

Note

Crossfading is not available on the iPod, nor does it work with podcasts or videos.

Create Crossfades Between Songs

Open the Playback Preferences

Open the iTunes Preferences window. (Choose iTunes, Preferences on the Mac; choose Edit, Preferences in Windows.) Click the Playback tab.

Enable Crossfading

Enable the Crossfade playback check box. This check box turns on the crossfading feature but leaves the crossfade length set at zero. That way, theoretically no change should be audible if you test the playback now (although in some cases, iTunes loads the upcoming track ahead of time, eliminating the pause between tracks that can sometimes result from slow disk access speeds).

Configure the Length of the Crossfade Effect

Use the Crossfade playback slider to specify a number of seconds for the crossfade effectanything from 0 to 12 seconds. You can experiment with this setting, trying a few different lengths until you see what's right for you. A good starting point is to set the slider to 6 seconds, the middle of the scale, and test it by playing your music and letting one song give way to the next with a smooth fade-out and the next song's overlapping entry.

Eliminate the Gap Between Tracks

Particularly if your computer has slow hard disk access performance, you might notice a brief gap between tracks as iTunes jumps from one song to the next during playback. You can mitigate this behavior using the crossfade feature. Simply move the slider almost all the way to the left. The slider slips into détentes at each full second, so try it at 1 second. This is probably enough to cover up any potential inter-track gaps. If so, try moving the slider back to 0; the crossfade feature is still enabled, so the next track might be loaded ahead of time from the disk, which tends by itself to get rid of the gap.


Section 45. Protect Your Kids from Explicit Content

45. Protect Your Kids from Explicit Content

Before You Begin | See Also
Browse the iTunes Music Store | Create an iTunes Music Store Allowance
Subscribe to and Listen to Podcasts | Share Your Music over the Local Network
 | Secure Your iPod Against Theft

iTunes is becoming a source of mainstream entertainment every bit as widely used as cable TV and the Internetespecially by kids, among whom owning an iPod is one of the great ubiquitous status symbols of our day. Just as with television and Internet access, you as a parent need a way to ensure that your kids aren't being deluged with inappropriate material as they seek for more music, videos, and podcasts with which to fill their ears.

Although no feature implemented in software can completely substitute for the guidance of good parenting, iTunes provides some parental control features that allow you to accomplish these goals without unduly interfering with your child's enjoyment of the world of digital music.

The parental controls in iTunes are locked using an administrator-level account in Windows XP or Mac OS X. Anyone who has access to an administrative account can unlock the parental controls and turn off any restrictions that you set. Be sure that your child does not have an administrator-level account on the computer where she uses iTunes, or the parental controls will not deter her for very long.

Note

Locking the parental controls requires Windows XP or higher. If your child is using Windows 2000, you can lock the parental controls, but your child can unlock them without a password, making it an essentially useless gesture.

Protect Your Kids from Explicit Content

Open the Parental Control Preferences

The parental controls in iTunes operate within the copy of iTunes used by the child you're trying to protect. On your child's computer, open the iTunes Preferences window. (Choose iTunes, Preferences on the Mac; choose Edit, Preferences in Windows.) Click the Parental Control tab (the Parental tab on the Mac).

Disable Problematic Content Sources

The first four check boxes, under the Sources heading, allow you to enable or disable individual items in the iTunes Source list: Podcasts, Radio, Music Store, and shared music coming from other iTunes users' computers on the same network.

Depending on your circumstances, your child's age, and the kinds of content you're comfortable allowing her to see or hear, some of these options might be appropriate to block, whereas others might not. For example, if the only iTunes users in your house are family members whom you trust, it's safe to leave Disable shared music disabled (leaving iTunes capable of connecting to shared music). But if your own copy of iTunes is full of raunchy comedy routines, you might want to enable this check box to prevent shared music from appearing among the sources on your child's copy of iTunes.

Tip

A more elegant way to restrict access to your shared music is to protect it with a password; see [image] Share Your Music over the Local Network for more information.

You can enable or disable the other check boxes as you see fit. For instance, you might choose to allow your child to listen to podcasts and Internet Radio, but not to access the iTunes Music Store. It's up to you.

Restrict Explicit Content in the iTunes Music Store

You might want to give your child access to the iTunes Music Store but not be able to access the material in it that Apple's staff have marked with the EXPLICIT tag. To do this, enable the Restrict explicit content check box next to the Music Store heading. With this option enabled, explicit content won't appear in the Music Store at all.

Lock the Parental Controls

When you're finished configuring the restrictions on your child's copy of iTunes, click the lock icon. iTunes prompts you for an administrator's account name and password. Enter the required name and password and click OK. If the system accepts the password, the parental controls become locked, and they can no longer be altered without knowing the name and password for an administrator's account on that computer.

To make changes to the parental controls, click the lock icon. You are prompted for the name and password for an administrative account. If you enter this information correctly, the lock icon opens, and the options become active and modifiable once again.


Chapter 6. iPod: iTunes to Go

IN THIS CHAPTER:

Transfer Your Music and Videos to Your iPod

Put Your Home Movies and Downloaded Videos on Your iPod

Use a Large iTunes Library with a Small iPod

Autofill Your iPod Shuffle or iTunes Phone

Transfer Your Music to a Mobile Device

Find and Play Music on the iPod

Find and Play Videos on the iPod

Rate Your Music on the iPod

Transfer Only Preferred Music to the iPod

Create an On-The-Go Playlist

Listen to an Audiobook or Podcast at Home and On the Go

About the Care and Feeding of Your iPod

The first iPod was released within a year of iTunes, in November 2001, and it's been a smash hit since day one. It wasn't the first portable digital music player on the marketnot by a long shotand it wasn't even the first high-capacity, hard-drive-based player either. What made the iPod such a runaway success was a combination of its small size, its high capacity, its seamless integration with iTunes, and (perhaps most importantly) its groundbreaking user interface. With the navigation wheel enabling you to scroll quickly through lists of hundreds or thousands of songs, zero-in immediately on the one you want, and dig down into the hierarchical collection of music using the same implicit organizational methods as iTunes used (instead of the arcane files and folders of contemporary players), the iPod truly wasas its original marketing described it"iTunes to go."

The iPod was designed specifically so that the process of synchronizing it with your computer's music collection would be just a matter of plugging it in and waiting for the few seconds necessary for your music to be transferred to the iPod over the high-speed FireWire or USB 2.0 connection. Ideally, under the right conditions, that's all it will involve: Just plug your iPod into its Dock whenever you return to your computer, and not only will its battery always remain fully charged, the music and videos in your iTunes Library will always be synchronized with your iPod so that you can grab it and go, your newly purchased or imported entertainment readily available right in your pocket.

However, there are some complicating factors to keep in mind. Your iPod, for instance, might not have enough capacity to contain all the music in your Library. This is especially true of the budget, ultra-portable iPod shuffle with its comparatively tiny 1 gigabyte (GB) capacity. Video files, because of their large size, need to be managed carefully so that they don't eat up all the space on your iPod. Additionally, synchronizing your music carries with it some complexities regarding special kinds of audio files, such as audiobooks and podcasts, and the handling of unique features such as On-The-Go Playlists that you create on your iPod and sync back into iTunes.

Note

Because every iPod model is of a slightly different thickness, the Dock must be specially fitted with an insert that has the right size slot for your iPod. If you're buying a Dock separately, be sure that it comes with the right snap-on shell for your particular iPod model. (At the time of this writing, the Dock comes with inserts for all currently available iPods.)


Section 46. Transfer Your Music and Videos to Your iPod

46. Transfer Your Music and Videos to Your iPod

Before You Begin | See Also
Connect Your iPod for the First Time | Use a Large iTunes Library with a Small iPod
Import a Music CD into iTunes | Autofill Your iPod Shuffle or iTunes Phone
Purchase a Song, Album, Video, or Audiobook from the iTunes Music Store | Find and Play Music on the iPod

Many iPod owners' first glimpse of iTunes comes when they unpack their new iPods and install iTunes for the first time on their Windows PCs. If this describes you, read [image] Connect Your iPod for the First Time. After you name and register the iPod, you're free to disconnect it or let it sit in the Dock to charge its battery. Your iTunes Library starts out empty, and there's no synchronizing that takes place at the end of that process.

However, iTunes is available as a free download, and it's great for organizing and playing your music with or without an iPod. Perhaps you've been using iTunes already for some time and have accumulated a collection of music, videos, and podcasts. If you've just acquired a new iPod and want to put your existing music and videos on it, you need to synchronize your iPod's contents with those of the iTunes Library.

Key Terms

Synchronize To connect your iPod to your computer so that the iPod is filled with all the music and other media in your iTunes Library, with all the up-to-date info tags and playback history. iTunes is similarly updated to match the information about the iPod's songs.

Modern iPod models (3G and later, including the iPod mini and iPod nano) have a Dock connector on the bottom that contains data transfer connections as well as audio output channels. This Dock connector is the primary method for connecting the iPod to your computer, whether you do so using a USB cable (included with the iPod) or a separately available accessory called the Dock.

Note

1G and 2G iPods connect using a FireWire cable that plugs into the top of the unit; 3G and 4G iPods and the iPod mini are compatible with both FireWire and USB using the Dock connector. The iPod 5G and iPod nano, however, are compatible only with USB, and the connection cablewhether you connect it to the Dock or to the iPodplugs only into a USB port on your computer.

The Dock is a white rectangular pedestal with a slot for the iPod to stand up in. When you put the iPod into the Dock, the iPod's Dock connector engages with the protruding piece inside the Dock's slot and connects the iPod in the same way that the direct cable does, while allowing you to keep the iPod upright (making sure that its back doesn't get scuffed). Newer Dock models even come with an infrared port that allows you to control your iPod with the available Apple Remote. (See [image] Turn Your iPod into a Boom Box with Remote Control.)

The iPod shuffle has a standard USB connector built into its body; you plug this directly into any available USB port on your computer (or the keyboard of your Mac). There's even a small Dock available for the iPod shuffle, if you want it to have its own dedicated place to sit and charge.

Note

When any iPod is connected to the computer, its internal battery is being recharged. It's best to leave your iPod charging at all times when you're not using it; see [image] About the Care and Feeding of Your iPod for more information.

The first thing that happens when you connect your iPod to the computer is that iTunes launches and begins synchronizing your music. (An icon on the iPod's screen warns you not to disconnect it during the process.) New songs and videos you've added to your iTunes Library are copied to the iPod's internal disk. The number of times you've listened to songs on the iPod, and the songs' Last Played dates, are read into iTunes, and your Library is updated accordingly. Finally, when the sync process is complete, the iPod resets itself to show the Main Menu, and iTunes tells you that it's safe to disconnect the iPod at any time.

Note

It's important to be aware that an iPod can only be associated (or "linked") with a single copy of iTunes. If you synchronize your iPod with iTunes running on your home computer, and then you try to connect it to your PC at work, iTunes tells you that the iPod is already linked to a different computer. iTunes then offers to delete the iPod's contents and replace them with those in the current copy of iTunes Library. This feature is obviously meant to inhibit piracy, as it would otherwise be a simple matter to use an iPod to ferry copies of music illegally from one computer to another. However, it's not too hard to imagine legitimate reasons to want to copy music from the iPod to iTunes, such as restoring your music after a crash. See [image] Copy Your Music from the iPod Back to iTunes for more information.

Transfer Your Music and Videos to Your iPod

Connect the iPod

You should synchronize your iPod whenever you've made changes in iTunes that you want to be reflected on the iPod (such as adding more music), or whenever you've spent some time listening to music on the iPod and want the information in iTunes to reflect which songs you've played most recently and how you've rated them on the iPod.

Note

If your iPod is connected to the computer while you make changes to your iTunes Library, the changes are not automatically propagated to the iPod; the sync process occurs only when you plug in the iPod or launch iTunes while the iPod is connected. To ensure that later changes to your iTunes music are synchronized with the iPod, quit iTunes and restart it. A new sync process takes place when iTunes restarts. Alternatively, choose File, Update iPod.

For iPods that have a Dock connector (3G and later models), place the iPod into the Dock's slot until you hear the soft chime indicating that the iPod has awakened and is ready to synchronize. If you don't have a Dock, or if your iPod is a 1G or 2G model, plug the FireWire or USB cable directly into the iPod. If you have an iPod shuffle, plug it directly into an available USB port on your computer.

Wait for Your Data to Transfer

iTunes automatically launches, if it is not already running. The selection in the Source pane in the iTunes window switches to the iPod, which is listed by the name you gave it during the initial setup procedure.

In the music listing pane, all the music on the iPod is shown in one long list, with the text in gray (indicating that it can't be played). iTunes displays a readout showing how much space is available on the iPod and how much is being used. If there is new music in iTunes that isn't on the iPod, or songs whose info tags have changed, that music immediately begins transferring. The "progress" icons to the left of every new or updated song show you

iTunes' progress as the files are transferred. iTunes does not transfer songs that the iPod cannot play. These kinds of files include MIDI files, Internet Radio streams, and movie files that are not in MPEG-4 format, among others. A dialog box warns you that iTunes cannot transfer some of the items; you can opt not to get that same warning again by enabling the check box before dismissing the warning.

Notes

FireWire transfers data at a rate of 400 megabits per second (Mbps); USB 2.0 transfers at 480Mbps (although technical limitations place it realistically at about the same speed as FireWire, or a little less). This means that a single album can be transferred to the iPod in about 10 seconds, and a single song takes a fraction of a second to transfer. A 60-gigabyte (GB) iPod can be completely filled in about half an hour.

Because of its limited speed, you shouldn't use USB 1.1 to fill any iPod other than the iPod shuffle. USB 1.1 transfers data at a rate of only 12Mbps, meaning that a 60GB iPod would take almost 12 hours to fill.

You can cancel the synchronization process by clicking the small round X button that appears in the status display window next to the sync process information. If you cancel, no damage is done to the iPod or iTunes, and you can still view the items that have already been transferred to the iPod. The next time you connect the iPod, a fresh and complete sync process is begun.

Wait for the Sync Process to Complete

Don't unplug the iPod while the sync process is underway; warning messages on the iPod's screen and iTunes' status readout remind you that doing so can cause data loss on either your iPod or your computer. (Remember, the iPod is essentially an external hard drive. Like all hard drives, it must be unmounted properly by its softwarein this case, iTunesbefore it can be disconnected.) When the process is finished, the iPod's Main Menu appears on its screen, and iTunes reports iPod update is complete.

Note

Early iPod models (1G and 2G) show a check mark and an OK to disconnect message when the sync process is complete rather than returning to the Main Menu.

Charge the iPod

Leave your iPod in its Dock, or connected with its cable, to charge its battery. Because of the characteristics of the lithium-polymer battery in the iPod, it's better to recharge the iPod even after short uses than to let the battery run down all the way (as you would with nickel-cadmium batteries). See [image] About the Care and Feeding of Your iPod for more information.

When the iPod is finished charging and its display shows Chargedor any time after the sync process has completedyou can grab it out of its Dock or disconnect its cable and take it on the go again.


Section 47. Put Your Home Movies and Downloaded Videos on Your iPod

47. Put Your Home Movies and Downloaded Videos on Your iPod

Before You Begin | See Also
Connect Your iPod for the First Time | Find and Play Videos on the iPod
Transfer Your Music and Videos to Your iPod |

One of the biggest selling points of the modern iPod is its ability to play videosnot just TV show episodes and music videos that you might purchase for $1.99 each at the iTunes Music Store, but also all the miscellaneous video files that you have filed away on your computer after years of surfing on the Internet. Everybody has a folder full of funny movie files downloaded from this or that site, and the prospect of keeping them on your iPod so that they're always in your pocket and ready to view or show a co-worker at a moment's notice is a powerful draw. Even more so is the possibility of taking all those home movies you've been making with your digital camcorder over the years and putting them on an iPod to carry with you while you travel. Who wouldn't want to have a video of his daughter's first steps or the highlights of his son's Little League season in his pocket as he boards a plane on a business trip?

iTunes requires that your video files be in one of a limited number of QuickTime-compatible formats before you can add them to the Library. (See [image] About Music and Video Formats.) This restriction might mean that you'll have to use one of several third-party programs to convert your files from their current format before iTunes will play them. What's more, the iPod has further format restrictions, requiring that your videos be in MPEG-4 format (using either the AVC or H.264 codec). Fortunately, iTunes provides an internal function that allows you to convert non-MPEG-4 videos that it understands into an iPod-compatible format. As the iPod gains in popularity as a ubiquitous video playback device, more and more video sources will offer content in iPod-compatible formats. However, there will always be exceptions to the broader trends, and it's good to know how to deal with them, as this task describes.

Put Your Home Movies and Downloaded Videos on Your iPod

Convert Video Files to an iTunes-Compatible Format

Suppose that you have a collection of video files on your computer. Some are in Windows Media Video (WMV) format, some are in AVI or MPEG format, some are QuickTime (.mov) files, and still others are Flash (.swf) files. You can add some of thesesuch as the QuickTime filesto iTunes right away, but you must convert otherssuch as the MPEG, AVI, and WMV filesto an iTunes-compatible format first.

Note

Flash files are fundamentally different from other kinds of videos and cannot be directly converted to an iTunes-compatible format. Thus, at this time, it's not possible to put your Flash movies on your iPod. Didn't mean to get your hopes up.

A variety of different third-party software programs are available for both Windows and the Mac that allow you to convert video files from one format to another. Some examples for Windows include the Xilisoft iPod Video Converter (http://www.xilisoft.com/ipod-video-converter.html), the Jesterware iPod Video Suite (http://www.jesterware.co.uk/ipodvs.htm), and the WinAVI Video Converter (http://winavi.com/), all of which are commercial or shareware and cost around $30. A free alternative is the Free iPod Video Converter from http://www.jodix.com/.

On the Mac, the most popular iPod video converter is iSquint, available free at http://www.isquint.org/.

Another possibility, for both Mac and Windows users, is Apple's own QuickTime Pro. For $30, it gives you the ability to convert many kinds of video files to formats that both iTunes and the iPod understand. However, it doesn't operate on WMV files without a plug-in such as the Flip4Mac WMV component, and it doesn't include functions that the Windows programs contain, such as the ability to rip DVD video to an iPod-compatible format. You can purchase QuickTime Pro as a key-based upgrade to your existing QuickTime installation at http://store.apple.com/.

Using whichever of these programs is appropriate for you, convert your video files and home movies to MPEG-4 format. If possible, use the H.264 codec, which is the most efficient and highest-quality codec available in the MPEG-4 framework.

Tip

If at all possible, download your videos in a format that's compatible with the iPod in the first place, avoiding the need to convert them using third-party programs. Many video download sites provide versions of their content in QuickTime or iPod formats. One such site is Google Video, http://video.google.com, which allows you to select Video iPod as the download format for saving the videos it makes available.

Add Video Files to iTunes

Using the method described in [image] Add a Music or Video File to Your iTunes Library, add your video files to iTunes. You can then use the Videos source to view your videos using iTunes as your video player. This does not, however, necessarily mean that you can transfer the videos to your iPod.

Convert Video Files for the iPod

Use the List View button to view your videos in a detailed listing. Scroll right until you see the Kind column. If this column is not visible, enable it as described in [image] Customize Which Information Columns Are Displayed.

The only kinds of video files that you can transfer to the iPod are ones whose Kind is MPEG-4 Video File or Protected MPEG-4 Video File. When you synchronize the iPod, other videos are not transferred to it; they generate a warning message telling you that they cannot be synchronized.

In many cases, iTunes can convert such videos to an iPod-compatible format. To do so, select the video in question and then choose Advanced, Convert Selection for iPod. If iTunes is capable of performing this conversion, a duplicate of the original video appears in iTunes next to the first one, but in the iPod-compatible MPEG-4/H.264 format.

Note

iTunes might fail to convert video files for any of a number of reasons. It might claim that the video is already in the correct format, or it might claim that the video does not allow saving or conversion. If this occurs, try one of the third-party programs described earlier in this task, and be sure to save the file in MPEG-4 format, using either AVC or H.264 as the codec.

Synchronize Your iPod with iTunes

Connect your iPod to your computer using the Dock or included cable as described in [image] Transfer Your Music and Videos to Your iPod. When iTunes has finished exchanging information with the iPodtransferring newly added video files to it and downloading the changes you've made while on the goyou can view the videos you added to iTunes and take them with you wherever you go. See [image] Find and Play Videos on the iPod for more information about playing videos on the go.


Section 48. Use a Large iTunes Library with a Small iPod

48. Use a Large iTunes Library with a Small iPod

Before You Begin | See Also
Connect Your iPod for the First Time | Autofill Your iPod Shuffle or iTunes Phone
Transfer Your Music and Videos to Your iPod | Transfer Only Preferred Music to the iPod
 | Carry and View Your Mac or PC's Digital Photos and Slideshows on an iPod

Your iTunes Library increases in size as you acquire more music, videos, and other media; your iPod, however, is a fixed size and can hold only a certain amount of data. There might come a time, either because your iPod is an older model or because you have a truly vast collection of music and TV shows, that you won't be able to fit all the media you own onto the iPod using the automatic, zero-effort sync process. Perhaps that day is today.

You have several options for dealing with a situation in which your iTunes Library has outgrown your iPod. One is to do it all manuallyinstead of iTunes synchronizing all your music by itself, it shows the iPod as another item in the Source pane to which you can drag choice tracks from the Library, just as though the iPod were a playlist. Another, more versatile method is to choose certain playlists that you want to synchronize. With the clever use of Smart Playlists, you can fill up the iPod with just enough automatically chosen music to suit your tastes.

Additionally, because videos and podcasts are two kinds of media that potentially take up a lot of disk space, iTunes gives you several further options for ensuring that only the items you want to have with you are transferred to the iPod.

Note

This task is intended for owners of iPods with built-in displays. If you have an iPod shuffle, skip to [image] Autofill Your iPod Shuffle or iTunes Phone.

Use a Large iTunes Library with a Small iPod

Connect the iPod

For iPods that have a Dock connector (3G and later models), place the iPod into the Dock's slot until you hear the soft chime that indicates the iPod has awakened and is ready to synchronize. If you don't have a Dock, or if your iPod is a 1G or 2G model, plug in the FireWire or USB cable directly to the iPod.

Open the iPod Preferences

Instead of automatically copying your music, iTunes displays a dialog box warning you that the iPod is too small for your entire Library to fit. Dismiss this message and open the iTunes Preferences window. (Choose iTunes, Preferences on the Mac, or Edit, Preferences in Windows.) Click the iPod tab, and then click the Music subtab.

Choose a Method for Updating Music

There are three option buttons describing the ways that iTunes can synchronize its music with your iPod. If your iPod is too small for your Library, the first optionAutomatically update all songs and playlistsis unavailable. You must pick one of the two remaining options.

If you like having a lot of control over the music on your iPod, choose the third option (Manually manage songs and playlists). With this option selected, the iPod appears as a mounted external hard disk on your computer. Within iTunes, you can drag exactly the music and video you want onto the iPod and remove music and video from the iPod to make room for other media. When it's time to disconnect the iPod and go, you must first eject (or unmount) the iPod from the computer, using your operating system's "eject" command or the Eject button next to the iPod's icon in the Source pane.

Note

When you're in manual mode, the "lock" icon that normally appears in the "Used/Free" readout at the bottom of the iPod's song listing (when you select the iPod in the Source pane) disappears. This indicates that the iPod's contents are no longer "locked" for use only by iTunes' synchronization process. You can alter them at will by dragging files to the iPod's icon.

A more versatile and less painstaking way to fill your iPod is to pick the second option, Automatically update selected playlists only. This option lets you select from among the playlists you've created to define which tracks are transferred to the iPod. Because this list includes Smart Playlists, you can combine some of iTunes' best features to ensure that your iPod is always full of music without the everyday sync process being any more complicated than what's described in [image] Transfer Your Music and Videos to Your iPod.

Select Playlists to Synchronize

Choose the second option. From the list box below it, enable the check boxes for the playlists whose contents you want to transfer to your iPod. Any music that is not in any of the selected playlists is not copied to the iPod, and iTunes deletes any music from the iPod that you don't say should be there, clearing off room for only the selected playlists' music. Remember that the iPod's primary navigation method is the same as the Browse lists of iTunes; the playlists are only logical groupings of tracks that might appear in more than one playlist. Regardless of how many playlists a song appears in, no track is copied to the iPod more than once.

See [image] Transfer Only Preferred Music to the iPod for an example of how to use Smart Playlists to efficiently fill your iPod with choice selections.

Note

Unfortunately, iTunes doesn't show you how much space each playlist takes up, which would allow you to calculate the total space a given selection of playlists consumes. You have to go by trial and error until you've filled up the iPod and no more playlists will fit.

Configure Video Updating Settings

Normally, iTunes synchronizes all your accumulated video files and podcasts with your iPod. Because these files can take up a lot of your iPod's precious disk space, you might want to customize which videos and podcast episodes are copied to the iPod each time you synchronize it: namely, only those videos and podcast episodes that you're likely to want to have with you at all times.

Select the Videos subtab of the iPod Preferences window. This section has three option buttons similar to the ones in the Music subtab: Automatically update all videos, Automatically update selected playlists only, and Do not update videos. The first two options work like their counterparts in the Music subtab; either all the videos in your iTunes Library are placed on the iPod, or only the videos that appear in certain specified playlists. (Remember that playlists can contain videos in addition to music tracks.) The third option, Do not update videos, prevents iTunes from copying any videos to the iPod.

One way to take advantage of this feature is to create a Smart Playlist (see [image] Create a Smart Playlist) that contains only video files that you have not yet viewed (the Play Count is 0), and direct iTunes to update only the video files in that playlist. Another Smart Playlist you could choose to update would contain only the episodes from a specific TV show, or only music videos that you have rated four stars or higher.

Configure Podcast Updating Settings

Click the Podcasts subtab to access the settings for your subscribed podcasts and the way iTunes should synchronize them to the iPod.

By default, iTunes copies all episodes of all your subscribed podcasts to the iPod. However, particularly if you subscribe to numerous long podcasts (such as radio shows), these episodes can use up a lot of disk space on the iPod. You don't necessarily want to have all your podcast episodes available to you at all times; it can be a lot more sensible to have only a dynamically selected subset of your podcasts copied to your iPod at any time.

First, choose whether you want to exclude certain podcasts from being copied to the iPod. If you select the Automatically update selected Podcasts only option, the box below it displaying all your subscribed podcasts becomes activated. Just as with playlists in the Music and Videos subtabs, enable the check boxes next to the podcasts that you want to copy to the iPod.

A third option, below the box with the check boxes, is Manually manage Podcasts. Selecting this option allows you to drag individual podcast episodes (or whole podcasts) to the iPod entry in the Source pane to copy them to the iPod. This option works only if you have selected Manually manage songs and playlists in the Music subtab, which disengages the iPod's automatic sync process and allows you to manage its contents manually.

Finally, you can fine-tune which episodes of your desired podcasts are copied to the iPod each time you synchronize it. By default, All episodes are transferred to the iPod; instead, you might choose Only most recent episode or Only unplayed episodes, both useful options that ensure that the most current content is available on your iPod at all times, and old episodes that you've heard already are removed from the iPod when you synchronize it. For complete manual control, you can choose Only checked episodes; with this option selected, you can use the check boxes next to individual episodes of your podcasts in the Podcasts section of iTunes to specify which episodes you want to transfer to the iPod.

Tip

Remember that just as with regular songs, a podcast episode is marked "played" only when you listen through it all the way to the end. If you don't want a certain episode to keep showing up as "unplayed," but you don't want to listen to it all the way through, right-click (or Control+click) it and choose Mark as Played from the context menu that appears.

Synchronize Using the New Settings

Click OK to save the new settings for your iPod. If you chose to synchronize selected playlists, iTunes begins transferring the music in these playlists over the USB or FireWire connection (or tells you that your selected playlists take up too much space, if you went over the limit).

If you chose to manually update your songs and playlists, the iPod's icon becomes fixed in the Source pane (for as long as it's connected); it's now mounted on your computer as an external hard disk. Select Library and navigate to the music you want to copy to your iPod. You can drag individual tracks, or you can select items from the Genre, Artist, or Album lists and drag them to the iPod's icon. You can also drag playlists from their positions in the Source pane to the iPod's icon also in the Source pane; click the triangle next to the iPod's icon to see the playlists that have already been copied to the iPod. Click the iPod in the Source pane to view its current contents, which now appear in black text just like any other playlist. If you chose to manually manage podcasts, they, too, can be dragged to the iPod's icon.

Select any song or group of songs in the iPod's listing and press Delete or Del to remove them from the iPod. Similarly, you can select and delete playlists from below the iPod's icon if you want to remove them from the iPod. The readout at the bottom of the screen indicates how much space is left on the iPod's internal disk.

Tip

Because no track is copied to the iPod more than once, don't worry if you can't remember whether you already copied a track; just try copying it again. iTunes ignores any tracks that it has already transferred.

When you're ready to disconnect the iPod, be sure to click the Eject icon next to the iPod's name in the Source pane; this action disconnects the iPod as an external hard drive from your computer and prevents data corruption or loss. You can now unplug the iPod or remove it from the Dock.

As you experiment with configuration options, iTunes can become confused about whether the iPod is connected (mounted). If its icon appears in the Source pane and you've configured iTunes to synchronize automatically, try ejecting it by clicking the Eject icon next to the iPod's name or by quitting and restarting iTunes. Make sure that the Enable disk use option is not selected in the Music subtab of the iPod tab in the iTunes Preferences window; that option prevents the iPod from being unmounted after synchronization.


Section 49. Autofill Your iPod Shuffle or iTunes Phone

49. Autofill Your iPod Shuffle or iTunes Phone

Before You Begin | See Also
Connect Your iPod for the First Time | Provide Customized Background Music with Party Shuffle
Import a Music CD into iTunes | Use a Large iTunes Library with a Small iPod
Purchase a Song, Album, Video, or Audiobook from the iTunes Music Store | Transfer Only Preferred Music to the iPod

The Flash-based iPod shuffle, available in 512MB or 1GB varieties, is a much simpler device than the rest of the iPod line. Lacking a display, it gives its owner a lower-cost alternative to the iPods whose high level of portable playback control is offset by their higher prices. With the iPod shuffle, you can't directly select a playlist or artist as you can with a regular iPod; instead, you get the (perhaps dubious) enjoyment of letting the iPod shuffle pick a song at random from the list of only several dozen that its internal Flash disk can hold. That's the value proposition of this member of the iPod family: For a much lower price than a regular iPod, you get a tiny, fun player whose shuffled (random) playback characteristics give it personality. Certainly, when compared to its competition (other Flash players whose tiny screens barely justify their extra cost), the iPod shuffle's price-to-feature-set balance seems like a sensible one.

Even if you can see past the iPod shuffle's limitations and teach yourself to love it for them, it's hard to deny that without a good way to control the music that gets put on the device, the iPod shufflewhose 512MB or 1GB capacity is virtually guaranteed to be much smaller than your iTunes Librarybarely has a chance. Fortunately, iTunes provides just such a feature: Autofill. The Autofill feature is similar to the Party Shuffle playlist (see [image] Provide Customized Background Music with Party Shuffle) in that you configure it by selecting a source (the Library or a selected playlist) and then fill the iPod shuffle by telling iTunes to grab a random selection of songs from that source and matching a few criteria that you define.

Key Terms

Autofill A technique for selecting just enough songs at random from a specified source to fill your iPod shuffle or iTunes phone to capacity. With one button click, you can copy a whole new set of music to the device.

Accompanying the iPod shuffle at the entry level of the iTunes-to-go market are Motorola's iTunes phones, the ROKR and the slim SLVR. Both these phones have a 100-song limit, and thus are filled using the same Autofill mechanism that the iPod shuffle uses. However, because these phones also sport full-color screens, they can navigate music just like an iPod and thus can contain playlists, which the iPod shuffle cannot.

Autofill works in tandem with manual updating of the iPod shuffle; you can fill the device with songs you drag in manually from the Library, or you can Autofill it and then replace songs you don't like with other ones you do (just as you can with the Party Shuffle playlist). In essence, the loss of control over your music that's inherent in the iPod shuffle's lack of a display isn't so much of a loss at all. The control of the flow of your music has merely been moved back into iTunes.

Autofill Your iPod Shuffle or iTunes Phone

Connect the iPod Shuffle or iTunes Phone

Remove the protective cap from the iPod shuffle's USB connector and plug the device into any available USB port on your computer. (On the Mac, a convenient port is on the back or side of the keyboard.) The iPod shuffle appears in the Source pane in the iTunes window, listed by the name you gave it when you first connected it to your computer. (See [image] Connect Your iPod for the First Time.) Click its name to view the iPod shuffle's contents. The light on the iPod shuffle flashes when it's mounted as an external disk. (It's the equivalent of the "Do not disconnect" message on iPods with screens.)

Tip

Use the Keep this iPod in source list option in the iPod pane of the iTunes Preferences window to retain an entry in the Source list for the iPod shuffle. This option lets you drag songs to the iPod's entry and build your playlist even before you connect the iPod shuffle.

If you have an iTunes phone, connect it to the computer using its included cable. The phone appears in the iTunes Source pane; click it to view the songs it contains.

Choose the Source to Autofill From

At the bottom of the screen is a gray bar, specific to the iPod shuffle and iTunes phones, with several buttons and options to help you pick the music with which to fill your device. First, choose a source from the Autofill from drop-down list. This source can be your entire Library, a playlist, or a Smart Playlist of your choice. The source you choose can be especially useful if you want to limit your device's repertoire to only a certain genre, or to songs rated three stars or higher. See [image] Create a Smart Playlist for more information on making useful Smart Playlists.

Choose Autofill Options

The Replace all songs when Autofilling check box determines whether songs you've manually dragged to the iPod shuffle or iTunes phone are replaced when you click the Autofill button to copy a new selection of music to the device. Disable this check box if you want the flexibility of filling the iPod shuffle partway with manually selected songs and then Autofilling the rest. If you leave this option enabled, clicking Autofill deletes all the songs from the iPod shuffle or iTunes phone and replaces them with new random selections.

The Choose songs randomly check box ensures that music is chosen arbitrarily from throughout the selected music source rather than from the top of the list, as it's currently sorted.

Finally, the Choose higher rated songs more often option uses the My Rating field to "weight" selected songs. As is true in the Party Shuffle feature, a song rated with five stars stands a five times better chance of being chosen for Autofill than a song rated with one star.

Downsample High Bit Rate Files Automatically

Open the iTunes Preferences window (choose iTunes, Preferences on the Mac or Edit, Preferences in Windows). On the iPod or Phone tab are several options for the iPod shuffle or iTunes phone, considerably different from the ones available for disk-based iPods. One of these options is Convert higher bitrate songs to 128 kbps AAC. If you enable this option, iTunes saves space on your iPod shuffle or iTunes phone by downsampling songs that are recorded at a bit rate higher than 128 kilobits per second (Kbps)that is, it reencodes them into AAC format at that bit rate. This option does not affect the saved format of these files within your iTunes Library, and 128Kbps AAC files generally sound pretty goodso this might be a good option to turn on. Every little bit of Flash space you can save helps!

Click OK to save your settings and close the Preferences window.

Autofill the iPod Shuffle or iTunes Phone

Back in the iTunes window, click the Autofill button. iTunes selects enough songs from your selected music source to fill the iPod shuffle or iTunes phone completely, and it immediately begins transferring them to the device. The gray dot that appears next to each song number indicates a song that has yet to be synchronized; when a song is being transferred, the dot changes to an icon of two rotating arrows.

Note

The iPod shuffle supports both USB 1.1 (USB full-speed) and USB 2.0 (USB high-speed) ports. If you have the choice, pick a USB 2.0 portit will fill the iPod shuffle or phone 40 times faster.

Rearrange the Device's Contents

When the transfer of songs to the iPod shuffle or iTunes phone is complete, all the songs on the device appear in the listing window. As you can with any playlist, click and drag to rearrange the order of the songs as they appear on the device. On the iPod shuffle, the randomized playbackthe vaunted "shuffle"takes effect only if the slider switch on the back of the device is moved to the "shuffle" position. If it's in the straight-playback position (the middle), playback occurs according to the play order you specify in iTunes by dragging songs into position according to your taste.

Tip

There's no need to wait for iTunes to finish transferring songs to the device before you start rearranging them. Even while iTunes and the device are synchronizing, you can reorder or delete songs, and your changes are immediately reflected on the device.

Select a song and press Delete or Del to remove it from the iPod shuffle or iTunes phone; switch to the Library source in iTunes and drag songs from it to the device to fill in the gaps created by your deletions. If you disabled the Replace all songs when Autofilling option, you can simply click Autofill again to pick enough randomly selected songs to fill the rest of the device, leaving the existing songs alone.

As soon as the data transfer is finished and iTunes displays iPod update is complete, you can unplug the iPod shuffle or iTunes phone from your computer. If you had selected Enable disk use in the Preferences window, you must eject (unmount) the device first by clicking the Eject icon next to the device's name in the Source pane; otherwise, you risk data loss or corruption.

Tip

On iTunes phones, you can create playlists by clicking the + button in the lower-left corner of the song listing pane. You can then populate the playlist by dragging songs into it and change the playlist's name by clicking it.


Section 50. Transfer Your Music to a Mobile Device

50. Transfer Your Music to a Mobile Device

Before You Begin | See Also
Import a Music CD into iTunes | Autofill Your iPod Shuffle or iTunes Phone
Transfer Your Music and Videos to Your iPod | Transfer and View Contacts
 | Transfer and View Calendar Events

Note

This task is intended for owners of PDAs such as Palm or Pocket PC devices or Microsoft Smartphones. If you have an iTunes phone such as a Motorola ROKR or SLVR, iTunes supports it natively and fills the phone with music in the same way that it does the iPod shuffle. See [image] Autofill Your iPod Shuffle or iTunes Phone for more information.

After you've filled your iTunes Library with music from your CDs, you'll want a way to carry the music with you. Although Apple wants everyone to buy an iPod for that task, not everyone has jumped on board that bandwagon yet. In particular, people who already own Portable Digital Assistantsdevices that can be powered by Palm OS or be of the Microsoft Pocket PC persuasionmight be reluctant to add yet another geek toy to their utility belts just to listen to music. Although the iPod has PDA-like functionalitysuch as the ability to view contacts, calendar items, and text notes and to take voice notes using third-party add-on softwarethat doesn't make it a PDA. In this day and age, when your PDA might also be your cell phone and your digital camera, it seems sensible to want to use it to play your iTunes music, too.

Copying your iTunes music to your Palm PDA, Pocket PC, or Microsoft Smartphone is not a function that's built into iTunesyou must purchase and install third-party software for this. You also cannot transfer copy-protected AAC songs (purchased from the iTunes Music Store) to the device; to play copy-protected AAC songs, you need an iPod. Playing unprotected AAC files is often not supported on devices that don't have special software, and you'll have to restrict yourself to MP3s (or uncompressed formats such as WAV). With these caveats, however, loading iTunes music onto your PDA can be as seamless a process as it is with an iPod.

Transfer Your Music to a Mobile Device

Purchase and Install Required Software for Your Device

The first step is to determine what kind of device you have and, by extension, what software you must acquire before you can sync your music with it. This decision also, naturally, depends on what kind of computer you have.

In Windows: PocketMac produces a utility called ppcTunes, which integrates into Microsoft ActiveSync and lets you pick your iTunes music by playlist. It can (optionally) convert your MP3 files to higher-compression WMA format as you sync it to save space. ppcTunes is available for $9.95 at http://www.pocketmac.net/products/ppctunes/. (If you have a Palm PDA, unfortunately, it does not appear that syncing your iTunes music with it is currently possible from Windows.)

On the Mac: Whether you have a Palm OS or Pocket PC handheld device, the best software for the job is The Missing Sync by Mark/Space, Inc. This software enhances your Mac's ability to synchronize not just your iTunes music, but all the rest of your computer's relevant information to your PDA, whether it's a Palm, Pocket PC, or even a T-Mobile Sidekick ("hiptop"). If you have a Pocket PC device, the Missing Sync is the only way to sync it with your Mac. If you have a Palm PDA, the Missing Sync actually does a better job than the official Palm Desktop software integrated with iSync. The Missing Sync sells for $39.95 at http://www.missingsync.com.

Note

Most PDAs don't have enough built-in storage space to carry more than a few songs at once. Even with an expansion card, you'll have no more than 512MB or 1GB of space, the same as an iPod shuffle.

Purchase and download the appropriate software for your platform and PDA type, and install it according to the procedures outlined in its included documentation. Be sure to read the instructions carefully. The various kinds of sync software differ from each other significantly, and they're changing rapidly as the needs of consumers develop. What you see might be nothing like what's described in this book.

ppcTunes: Select a Playlist to Synchronize

On Windows, run the ppcTunes program. (It should be available in the All Programs menu after you install it.) Register the program using the serial number you received when you purchased it. When you see the small two-button ppcTunes window, click Options.

Select a single playlist to copy to your Pocket PC device. ppcTunes will copy as many songs from this playlist as will fit on the device when you sync it.

Tip

Enable the Use storage card if present option to indicate that the transferred music should go to the expansion card rather than the device's internal memory. This option usually enables you to put much more music on the device.

Enable Sync on Pocket PC connect if you want ppcTunes to sync the selected playlist each time you connect the device to your iTunes computer.

ppcTunes: Convert Music to WMA on the Fly

To save as much space as possible (at the expense of some audio quality), enable the Convert MP3s to WMAs (smaller files) check box. This option reencodes the selected songs during transfer, resulting in files about half the size of the original MP3s. This option doesn't change the original songs in iTunes.

Click OK and quit ppcTunes.

Sync Your Device

Connect your Pocket PC or Palm device to your computer using its regular USB cable and press the Sync button on the cradle or cable if necessary. If you're using a Pocket PC with Windows, ppcTunes launches during the normal sync process and copies your selected playlist's songs to the device. After you disconnect the device, you can use the mobile version of Windows Media Player on the device to play your transferred songs.

The Missing Sync: Drag Music Files to the Expansion Card

On the Mac, with the Pocket PC or Palm device connected, look in the Source pane in the iTunes window; you should see a new item labeled Missing Sync (or a similar label that indicates your device's brand). This item is a representation of your device's storage medium. You can now load songs onto the device by dragging them from the Library view to the Missing Sync item, just as though it were an iPod mounted in manual mode. After you disconnect the device, you can play your transferred songs using Windows Media Player (on Pocket PC devices) or any available Palm music-player application, such as Pocket Tunes (available from http://www.pocket-tunes.com/).


Section 51. Find and Play Music on the iPod

51. Find and Play Music on the iPod

Before You Begin | See Also
Rate Your Music in iTunes | Find and Play Videos on the iPod
Transfer Your Music and Videos to Your iPod | Transfer Only Preferred Music to the iPod
 | Create an On-The-Go Playlist

After your iPod is full of music, it's finally time to get down to what you really bought it for: listening to it wherever you go.

The iPod interface is designed to be a physical manifestation of iTunes' controls and navigation system. It doesn't work exactly the same waycontrols such as sliders for volume control and mouse navigation just aren't possible on a device that's the size and shape of the iPod. Instead, the iPod's navigation wheel takes the place of your mouse's control of iTunes' scrollbars and volume slider, and the Select button in the center of the wheel takes the place of the mouse button. The Play/Pause button works the same as in iTunes, as do the Forward and Back buttons. The remaining button, Menu, takes care of navigating back up through the menu system after you've drilled down to a particular screen.

With these control mappings in mind, think about how you would navigate iTunes itself: You would play music either by selecting a playlist and clicking Play, or by navigating through the Browse lists to find the music you wanted and then double-clicking a song or pressing Play. The way you would navigate in iTunes tells you the way to navigate the iPod to get to the same selection of music.

Find and Play Music on the iPod

Start at the Main Menu

First make sure that the Hold switch (on the top of the unit) is not engaged; if the iPod's screen is blank, press any button to wake up the iPod from sleep. It's possible that what appears on the display is a deeply buried menu such as Songs or Settings, or the Now Playing screen. To return to the Main Menu, press the Menu button several times until you see the top-level options (Music, Extras, Settings, and so on) and the iPod can't back up any further.

Shuffle Songs

The easiest way to start your iPod playing, and perhaps the one you'll use most often, is Shuffle Songs. This option, with a single touch of the Select button, makes a single huge playlist out of all the songs on the iPod, shuffles them into a random order, and then begins playing them.

Tip

If you don't like a song that comes up in Shuffle Songs mode, just press the Forward button to skip to the next one. Remember that the Last Played count is incremented at the end of the song, so unless you listen to a song all the way through, iTunes won't count it as having been listened to.

After the iPod has been playing music for several seconds, it switches to the Now Playing screen. This screen shows you the name of the current song and its artist and album information. It also shows the progress bar indicating how far through the song it's played and (if present) the song's album art. Press Menu to return to the Main Menu, where the Now Playing option is an extra entry at the bottom of the list. If you don't do anything for a few seconds, the iPod reverts to the Now Playing screen.

Note

To display album art on your iPod, you must enable the Display album artwork on your iPod check box on the Music subtab on the iPod tab of the iTunes Preferences window.

If you switch the iPod's display to show the album art at full size, it does not automatically switch back to the Now Playing screen after a few seconds, as it does on other control screens. This means you can set up the iPod in its Dock to show the album art of the music it's playing at all times, and only return to the Now Playing screen by pressing Select when you want to navigate the music again.

Play a Playlist

To play a playlist, start at the Main Menu, as in Step 1. Then select the Music option and press Select. Roll the wheel to highlight the Playlists option in the Music menu; press Select again. All your iTunes playlists are shown in the next screen.

Tip

While a song is playing and the Now Playing screen is showing, you can control the iPod's sound volume by rolling the navigation wheel back and forth.

Roll the wheel to move the cursor to the playlist you want to play. To begin playing the playlist from the beginning, press the Play/Pause button, not the Select button. Alternatively, press Select to open the playlist so that you can browse its contents. If you want to start the playlist at a specific song, press Select to browse the playlist, scroll using the wheel until you highlight the song you want, and then press Select one final time. (Alternatively, press Play/Pause.)

Choose Settings from the Main Menu and turn on Shuffle (by toggling the Shuffle option to Songs or Albums mode, which proceeds through random selections of songs or whole randomly selected albums, respectively) to make the iPod skip randomly to another song in the selected category (artist, album, genre, playlist, and so on) after it finishes playing any song.

Play an Entire Genre, Artist, or Album

Press Menu repeatedly to return to the Main Menu. Select the Music option again, as you did in Step 3. This time, choose an option such as Artists, Albums, or Genres. When you select one of these options, all the entries within that category are selected. For example, all the albums represented by the music copied to your iPod from your iTunes Library are listed alphabetically in the Albums menu.

Scroll to select an album name, and then press Play/Pause to play that album from the beginning. Alternatively, open the album by pressing Select, scroll to a specific song you want to hear, and press Select or Play/Pause. The album plays, starting with the selected song.

You can play the entire contents of any category by selecting that category name and pressing Play/Pause. For example, if you navigate into the Artists menu and scroll to highlight the Eagles, pressing Play/Pause plays all the Eagles' songs in all their albums from beginning to end, just as they're sorted in iTunes according to the inherent cascading sort behaviors defined by the songs' info tags.

Tip

The iPod's navigation wheel features acceleration, a term that describes faster perceived motion of the cursor in response to fast or sustained motion of the input device. In other words, in the case of the iPod, the longer you continuously rotate the wheel, the faster it scrolls through the options on the screen. If you have hundreds or thousands of songs or albums on your iPod, this feature makes it possible to zero in on a particular entry in the alphabetical list without having to roll and roll the wheel for minutes on end. Learning to control the wheel's acceleration takes a little bit of practice, but before long, it comes naturally.

Play a Specific Song

To play a specific song that you know by name, start at the Main Menu. (Press Menu repeatedly until the iPod can back up no further.) Navigate into Music once more, and then into the Songs submenu. All the songs on the iPod are listed in alphabetical order here. Scroll through them using the wheel, taking advantage of the wheel's acceleration to zoom in on the song you want. Press Select or Play/Pause to begin playing that song. When the song is over, the iPod proceeds to the next song in the list.

If you know the album where a song is located, you can navigate to it by selecting Music, Albums and then the album name, and then choosing the song from the list of tracks on the album. You can also select Music, Artists, and then the artist name, followed by the album name and the song; or select Music, Genre, the genre you want, the artist name, and then the album name and song. Navigating the iPod menus gives you the same flexibility for finding your music that you have in iTunes. Whether you want to find a song by delving deep into its organizational structures or by zooming right to it by name, you can use whatever method is easiest.

Tip

To scan through a playing song to a particular point, first go to the Now Playing screen (either by navigating to it from the Main Menu or by simply waiting a few seconds for the iPod to switch to it automatically); then press Select to switch to scan mode. Use the wheel to move the playhead back and forth through the song. When you stop moving the playhead, the iPod resumes normal playback at the point where you put the playhead.

Play a Podcast Episode

Select Music and then Podcasts. Each of the podcasts to which you're subscribed appears in the listing. Just as in iTunes, a podcast that has one or more unlistened-to episodes has a blue dot next to its name.

Select a podcast's name and press Play to begin playing the most recent episode. If you press Select instead, the iPod shows you the list of all available episodes in the podcast, with blue dots indicating which ones you haven't heard yet. Select one and press Play or Select to play it. The iPod keeps track of your place in the episode; if you leave the episode and play other songs or videos and then return to the podcast episode, the iPod picks up where you left off. When the episode is done, you are returned to the list of episodes. The blue dot disappears as soon as you start listening to the episode.

As you play the podcast episode, the included artwork updates automatically with each internal chapter, whether you're viewing the artwork at full size or using the Now Playing screen.

Note

If you play a video podcast by navigating to the Podcasts menu through the Music menu system, the podcast episode plays in an audio-only modethe poster frame for the episode appears as the album art, and only the audio of the episode is played. If you press Select repeatedly, you see the contents of the Description field for the episode, which is not available if you view the episode as a video. (See [image] Find and Play Videos on the iPod.)


Section 52. Find and Play Videos on the iPod

52. Find and Play Videos on the iPod

Before You Begin | See Also
Rate Your Music in iTunes | Transfer Only Preferred Music to the iPod
Transfer Your Music and Videos to Your iPod | Create an On-The-Go Playlist
Find and Play Music on the iPod |

Video playback on the iPod works much like music playback; all the basic mechanismssuch as the menu navigation and the wheel-based volume and position controlsare the same. However, because videos on the iPod are intended to be played on an individual basis and don't automatically continue from one to the next in sequence, features such as shuffling and playing labeled blocks of videos in order don't exist, except for videos listed in playlists in the Video Playlists menu.

Each kind of video that iTunes and the iPod support behaves slightly differently. Some videos, such as TV shows and video podcasts, support automatic bookmarking and remember their place when you stop playing them and come back to them later; others, like music videos, do not. All types of videos, however, use the same high-quality video codecs and the iPod's bright, rich screen, making it possible to enjoy your favorite TV shows and home movies even on a screen that fits in your pocket.

Note

You can turn on automatic bookmarking for any video file by looking it up in iTunes, selecting File, Get Info, clicking the Options tab, and then selecting the Remember playback position check box.

Find and Play Videos on the iPod

Start at the Main Menu

First make sure that the Hold switch (on the top of the iPod) is not engaged; if the iPod's screen is blank, press any button to wake up the iPod from sleep. It's possible that what appears on the display is a deeply buried menu such as Songs or Settings, or the Now Playing screen. To return to the Main Menu, press the Menu button several times until you see the top-level options (Music, Extras, Settings, and so on) and the iPod can't back up any further.

Play a Specific Video

Choose Videos and then one of the categories of regular videos in the next menu: Movies, Music Videos, or TV Shows. Each of these selections has its own methods for grouping items within it. TV Shows, for example, lists each show by name, and you can then select a season and an episode from the show in question. Music Videos groups its contents by artist. In Movies, you select a movie by name from a flat listing with no additional organizational levels.

Press Play or Select when you have found the specific video you want to watch. The video begins playing; if it's a TV show episode, it picks up where you had last left off watching it. You can pause and resume the playback using the Play/Pause button, adjust the volume by rotating the wheel, or press Select to see the scrub bar overlaid on the video, which you can then use to navigate to a specific point in the video. When the video finishes playing, it returns you to the listing from which you selected it.

Play a Video Playlist

Choose Videos and then Video Playlists. All the playlists that are synchronized to the iPod, whether they contain videos or not, are listed here. Choose a playlist and press Play. The playlist begins playing, and each item leads into the next just as in a regular music playlist.

You can set up special playlists in iTunes full of videos that you want to be played in sequence, and then access the playlists through the Video Playlists menu on the iPod.

Play a Video Podcast Episode

Choose Videos and then Video Podcasts. Only those podcasts to which you've subscribed that are identified as video podcasts are listed in this menu. Other than that, the entries in the podcasts list behave just like regular podcasts, with blue dots indicating podcasts with unwatched episodes or indicating the unwatched episodes themselves when you select a podcast and press Select. Choose a podcast and press Play to see the most recent episode, or press Select to choose an episode manually. The blue dot disappears after you start watching an episode.


Section 53. Rate Your Music on the iPod

53. Rate Your Music on the iPod

Before You Begin | See Also
Transfer Your Music and Videos to Your iPod | Rate Your Music in iTunes
Find and Play Music on the iPod | Transfer Only Preferred Music to the iPod
 | Train iTunes to Play Your Favorite Music

It's important to let iTunes know what music you like and what music you'd rather avoid. You saw how to set star ratings on your songs in iTunes in [image] Rate Your Music in iTunes. You can do the same thing on the iPod, setting star ratings on each song as you listen to it. When you synchronize the iPod with your iTunes Library, the star ratings you set on the iPod are incorporated back into the info tags of your songs in iTunes. Any Smart Playlists you might have defined using the My Rating field are updated to reflect your new settings. By diligently tagging each song you play with an appropriate rating, you enable iTunes and the iPod to present music you'll like, improving your listening experience the more you use these features.

Note

Star ratings cannot be set for videos on the iPod.

Rate Your Music on the iPod

Play Music on the iPod

As described in [image] Find and Play Music on the iPod, navigate to any playlist or other music source on the iPod and start playing the music with the Play/Pause or Select button.

Switch to Rating Mode

While a song is playing and after you've decided how many stars it's worth (from one to five, with five being the best), press the Select button three times. The first press puts the iPod into scan mode, which lets you skip immediately to an arbitrary point in the song by rotating the wheel, and the second press shows the album art at full size. The third press, however, puts the iPod into rating mode, where the song's star rating (if set) is shown below the track, artist, and album names.

Set a Rating

Use the wheel to set the number of stars you want to assign the song. If you've already set a rating, the wheel adjusts the number of stars up or down. Otherwise, it begins at the default of zero stars and increases the number of stars as you rotate the wheel clockwise.

Press the Select button to set the star rating, or just wait a few seconds to let the iPod automatically go back to the ordinary Now Playing screen that shows the progress through the song. The rating is set.

Repeat this process for every unrated song that the iPod plays for you.

Note

The iPod saves information about the songs it has played (such as the star rating you've set and the Last Played field) on its internal disk as it plays. However, it only writes this information to the disk after every set of about five songs. (The iPod has 32 megabytes (MB) of internal RAM, or temporary memory, which it fills with about five songs at a time to avoid accessing the disk too frequently.) If you play a lot of music and rate a lot of songs, and then the iPod runs out of battery power and shuts down before you have a chance to synchronize it with iTunes, you might lose that information and be unable to synchronize it into your iTunes Library. Always be sure to sync your iPod after every use!

Synchronize Your iPod with iTunes

Connect your iPod to your computer using the Dock or included cable as described in [image] Transfer Your Music and Videos to Your iPod. When iTunes has finished exchanging information with the iPodtransferring newly added music to it and downloading the changes you've made while on the goyou can view the songs you listened to on the iPod using the Recently Played Smart Playlist or by sorting the Library using the Last Played column. The ratings you set on these songs on the iPod should be reflected in your iTunes window.


Section 54. Transfer Only Preferred Music to the iPod

54. Transfer Only Preferred Music to the iPod

Before You Begin | See Also
Use a Large iTunes Library with a Small iPod | Rate Your Music in iTunes
Create a Smart Playlist | Rate Your Music on the iPod

Now that you know how to use a few of iTunes' more intricate featuresSmart Playlists, the My Rating field, and iPod synchronization by playlistyou can put them all together to help you use even a small-capacity iPod to its fullest potential. By using a Smart Playlist defined on the basis of the star ratings you've set on all the music in your Library, you can fill the iPod to bursting with music that's defined automatically to be culled from among your favorite tunes, ensuring that although you might not have every piece of music you own in your pocket at all times, at least you'll always have the good stuff.

Transfer Only Preferred Music to the iPod

Connect the iPod

Connect the iPod to your computer using the Dock or the included cable, as described in [image] Transfer Your Music and Videos to Your iPod. Wait for the synchronization process to complete.

Determine Your iPod's Actual Capacity

With the iPod selected in the Source pane of the iTunes window, use the capacity readout at the bottom of the song listing area to tell you what your iPod's practical disk capacity is. Add up the Used and Free numbers to get this figure. Don't just use the capacity printed on the back of your iPodthis latter number can be an inaccurate reflection of the actual formatted capacity of the iPod's disk. For instance, if you have a 30GB iPod, the actual capacity is about 27.9GB, or 28,559MB. (1GB is equal to 1024MB.)

Create a Smart Playlist to Fill Your iPod

Create the Smart Playlist as described in [image] Create a Smart Playlist. Specify criteria according to your taste. You might want to choose only music rated three stars or higher, opt for music from another Smart Playlist that contains only certain genres, or allow the playlist to include music from your entire Library. The important part is the Limit to option.

Enable the Limit to check box. Then, using the text input field and dropdown menu, specify the capacity of your iPod in megabytes (MB) rather than gigabytes (GB). This approach allows you to define a playlist that's just a little bit less than the capacity of your iPod, which allows for some leeway in case you want to add a couple of other playlists. For example, if you have a 30GB iPod (whose physical capacity is 27.9GB or 28,559MB), set up your Smart Playlist to be limited to 28,000MB to ensure that there's extra space for other playlists of cool songs you want to make sure are always available on the iPodas well as for any photos, videos, or podcasts you want to synchronize. (Adjust these numbers according to your tastes and needs.)

Tip

You can avoid putting songs on the iPod that you've deemed unworthy of listening by disabling the check boxes next to their names in the iTunes Library and then using one of two methods to exclude them. The first way is by enabling the Only update checked songs option in the iTunes Preferences window, on the Music page of the iPod tab. When you're defining a Smart Playlist as in this step, the second way to avoid songs you don't like is to enable the Match only checked songs check box in the Smart Playlist's definition. See [image] Eliminate Duplicate Tracks for a further application of this technique.

Finally, choose an appropriate policy from the selected by drop-down menu. You might choose to select songs with the highest rating, or that are the most often played or the least recently played. If you choose random, you get a broad cross-section of the music defined by the Smart Playlist's other criteria.

If you're selecting music by the random method and you want to get a different randomized selection of music, first lower the Smart Playlist's size to almost nothing (enter 1 in the text input field) and save the Smart Playlist. Then edit it again to return it to its former size. This approach forces iTunes to rebuild the playlist from new random selections.

Click OK to save the Smart Playlist. Give it a name such as Fill My iPod.

Open the iPod Preferences

Open the iTunes Preferences window. (Choose iTunes, Preferences on the Mac, or Edit, Preferences in Windows.) Click the iPod tab, and click the Music subtab.

Select the Newly Created Playlist

In the box that appears under the second synchronization option (Automatically update selected playlists only), select the Smart Playlist you created in Step 3 (Fill My iPod in this example) as one of the playlists to synchronize to your iPod. You can select other playlists, too, as long as their contents overlap the new Smart Playlist's; any songs they contain that aren't in the Fill My iPod playlist will take up additional space on the iPod, and you'll have to adjust your playlist's settings accordingly.

Fill Your iPod with Preferred Music

Click OK to save the settings. iTunes synchronizes with your iPod, transferring onto it all the music that you defined in the Smart Playlist. If you calculated the size of the Smart Playlist correctly, it should fill the iPod almost to its full capacity with music selected on the basis of your criteria. If you went over the limit, iTunes tells you so in an error dialog box. If that case, edit the Smart Playlist and lower its Limit size slightly. Then repeat Steps 4 and 5.

As you use the iPod, you can still navigate your music using the Artists, Albums, Genres, and other grouping options. The iPod just won't have all the songs that are in your iTunes Libraryit will be missing songs that didn't match your criteria (for example, by not having a high enough rating). Thus, you can select and play an entire album straight through on the iPod without having to listen to the songs you don't likethey won't be on the iPod in the first place!


Section 55. Create an On-The-Go Playlist

55. Create an On-The-Go Playlist

Before You Begin | See Also
Find and Play Music on the iPod | Create a Playlist

The iPod is primarily designed as a device whose content is loaded onto it in a one-way direction from iTunes, where you do all your music organization. You make all your changes in iTunes and then sync them to the iPod, where you don't do much but passively enjoy the music. Aside from setting star ratings and having the iPod report Last Played dates back to iTunes, there doesn't seem to be much you can do with the iPod that's then reflected back into iTunes the way iTunes' information is loaded onto the iPod.

That, however, is true only if you don't know about On-The-Go playlists. This feature, well-hidden in the iPod interface, is a useful way to organize music as you listen to it on the road. If you decide you want to make a manual grouping of certain songs while you're thinking about it, no matter where you are, you can do so on the iPod instead of waiting until you're back at your computer with iTunes. The playlists you create on the iPod using this feature are then synchronized back into iTunes when you return the iPod to its Dock.

Create an On-The-Go Playlist

Navigate to Music on the iPod

As described in [image] Find and Play Music on the iPod, navigate through the music on your iPod using the various subcategories of the Music menu. Drill down through Artists, Albums, Genres, Songs, or other options to reach the music you want to organize into a playlist.

Add Songs to the On-The-Go Playlist

Use the wheel to scroll to each appropriate item you want to add to a newly created playlist. This can be a single song, a whole album, an entire artist's work, or any other listed item in any of the navigation listings. Place the highlight over the item using the wheel, and then press and hold the Select button. After about a second, the highlight blinks a few times; this means that the item has been added to a new On-The-Go playlist. Repeat this process by navigating to further songs or other items; hold down the Select button to add each one to the new playlist. The songs appear in the playlist in the sequence that you add them.

Note

You can create new playlists using the On-The-Go mechanism, but you can't sort them manually or rename them. To do this, you must synchronize the iPod with your computer and then edit the playlists in iTunes. See Step 6.

You cannot add videos to an On-The-Go playlist.

View or Play the On-The-Go Playlist

At any time, you can go back to view the songs you've added to the On-The-Go playlist. To do this, first return to the Main Menu. (Press Menu several times until iPod appears at the top of the screen.) Then choose Music and then Playlists. Scroll to the bottom of the Playlists screen. The option at the bottom is On-The-Go. Highlight this option and press Select.

All the songs that you added in Steps 1 and 2 are listed in order on this screen. If you added groups of songs, such as entire albums, the songs in those groups are added in the order they're listed in the iPod's navigation lists.

Press Play/Pause to play the contents of the On-The-Go playlist as it stands.

Save the New Playlist

If you want to close off an On-The-Go playlist that you've been building and begin creating a new one from scratch, you can do so by saving the first playlist. Scroll to the bottom of the On-The-Go playlist screen. Two options are available: Clear Playlist and Save Playlist. Choose Save Playlist and press Select. On the next screen, you can either choose Save Playlist or Cancel; choose Save Playlist.

The On-The-Go playlist is saved as a new playlist with the name New Playlist 1. The new playlist appears right above the original On-The-Go playlist in the Playlists screen. The original On-The-Go playlist's contents are cleared.

You can now go back to your music and add more songs to the original On-The-Go playlist. If you save this new playlist, its name becomes New Playlist 2, and so on.

Clear the Playlist

To clear the contents of the current On-The-Go playlist without saving it, choose Clear Playlist from the On-The-Go playlist screen. Choose Clear Playlist in the confirmation screen. The accumulated songs are removed from the list, and you can start over from scratch.

Synchronize Your iPod with iTunes

When you connect your iPod to your computer using the Dock or cabletransferring newly added music to it and downloading the changes you've made while on the goyou'll notice that one or more new playlists have been added to the Source pane in the iTunes window: On-The-Go 1, On-The-Go 2, and so on. The numbers in these playlists correspond to the numbers of the On-The-Go playlists that you created on the iPod; for instance, New Playlist 1 on the iPod becomes On-The-Go 1 in iTunes. Even if you did not save the current On-The-Go playlist on the iPod, its contents are copied into a new playlist in iTunes with a number reflecting what number it would have been given if you had saved it.

During the sync process, the newly renamed On-The-Go # playlists are copied back to the iPod, the iPod's New Playlist # entries are removed, and the active On-The-Go playlist is cleared.

You can now rename the On-The-Go # playlists within iTunes, rearrange the songs in them, and delete the ones you don't want. (See [image] Create a Playlist for more.) The next time you sync your iPod, the changes are transferred back to it to match the newly edited playlists in iTunes.


Section 56. Listen to an Audiobook or Podcast at Home and On the Go

56. Listen to an Audiobook or Podcast at Home and On the Go

Before You Begin

Purchase a Song, Album, Video, or Audiobook from the iTunes Music Store

Find and Play Music in iTunes

Find and Play Music on the iPod

An audiobook is the modern equivalent of the book-on-tape: a special kind of digital music file that supports features such as automatic bookmarking (the ability to keep track of where you last left off listening) and internal chapter markers. This is pretty important, considering that audiobookswhich comprise an entire spoken-word version of a full-length book encoded into a single digital audio fileare often several hours in length. (Leo Tolstoy's War and Peace is almost 61 hours long in audiobook form!) You aren't going to be able to listen to an entire audiobook all in one sitting, and you don't want to have to seek your way back to the point where you last stopped it every time you want to resume. You might even want to pause the audiobook in iTunes, resume listening to it on the iPod, and then switch back to iTunes for the remainderand you particularly don't want to have to try to find your place in the file while you're jogging or driving.

Notes

Audiobooks might come from the iTunes Music Store or through Audible (http://www.audible.com), a service that sells audiobooks in a manner similar to the iTunes Music Store. If you have an Audible account, audiobooks that you purchase from Audible can be played in iTunes. Click the Set button next to Use iTunes for Internet Music Playback in the General subtab of the Advanced tab in the iTunes Preferences window to ensure that iTunes can accept Audible's streamed content.

Automatic bookmarking is also supported by certain kinds of videos, such as TV shows. Any song or video can have automatic bookmarking turned on by enabling the Remember playback position check box in the Options tab of the Get Info dialog box.

Podcasts work in much the same way as audiobooks. Podcast episodes support automatic bookmarking, keeping your place as you move from iPod to iTunes and back. Many podcasts also have internal chapter markers, with accompanying artwork that changes with each chapter.

With iTunes and the iPod, it's easy to keep your place in an audiobook or podcast episodein fact, it's automatic. Every time you stop playing the file, iTunes saves your place. When you want to start "reading" again, just select the file and press Play, and iTunes picks up right where you left off. The same goes for the iPodit remembers where you stopped playback the last time (even if that was in iTunes) and resumes at that point. Synchronizing the iPod with iTunes ensures that the stopping point is always preserved regardless of where you want to pick up the audiobook again, whether at home or on the go.

Tip

Owners of 4G and later iPods have the option to play back audiobooks at any of three different speeds: Normal, Slower, or Faster. Choose one of these settings from the Audiobooks submenu of the Settings menu (under the Main Menu screen). The pitch of the speaker's voice is adjusted so that it remains the same as at the normal speed; but the quality of the speech is also somewhat distorted in the process.

Listen to an Audiobook or Podcast at Home and On the Go

Listen to an Audiobook or Podcast in iTunes

Navigate to the location of an audiobook that you purchased from the iTunes Music Store or from Audible. These audiobooks can be anything from novels or nonfiction texts to radio shows, political speeches, or magazine articles, and you can find them most easily by navigating to the Audiobooks option in the Genre list.

Alternatively, select a podcast from the Podcasts source and click Play to begin listening to the most recent episode, or click the triangle to find and play an earlier episode.

Play the audiobook or podcast as you would any other song or music file. Just double-click its name or select it and click Play. Listen for as long as you like, and then stop playback by clicking Pause, by playing another song, or by quitting iTunes.

Note

An audiobook works the same way if you first start listening to it on the iPod. Just press Play/Pause or skip to another song, and your place is saved.

Return to the Point Where You Left Off

The next time you want to return to the audiobook or podcast, simply select it and play it again. Instead of starting over at the beginning, iTunes remembers where you last stopped and resumes playback at that exact point.

Tip

To give yourself some context and a refresher about where you were in the audio stream, click and hold the Back button for several seconds to rewind the track. You can also drag the playhead all the way to the left in the scrub bar to start the audiobook or episode from the beginning.

Listen to an Audiobook or Podcast on the iPod

Synchronize your iTunes Library with your iPod as discussed in [image] Transfer Your Music and Videos to Your iPod. On the iPod, an audiobook behaves just like any other audio track: You can navigate to it by its artist (usually the author, but sometimes the person narrating the book) or by the title (found in the Songs listing). The album name is usually set to the same text as the book's title. Podcasts, on the other hand, are organized under the Podcasts submenu under Music.

Play the audiobook or podcast episode by selecting it and pressing Select or Play/Pause. Listen for as long as you like. When you want to stop, press Play/Pause again.

Skip Between Chapters on the iPod

On the iPod, you can skip between internal chapter marks within the audiobook or podcast track. While the track is playing, press the Select button to change to scrub mode; the chapter marks are visible in the scrub bar. You can scrub manually to a specific point as you can with a regular track, or you can use the Forward and Back buttons to move directly to a chapter break point.

Synchronize Your iPod with iTunes

Connect your iPod to your computer using the Dock or included cable, as described in [image] Transfer Your Music and Videos to Your iPod. During this process, the point at which you last stopped listening to the track is synchronized with iTunes and saved as part of the information about the audio file.

Note

If you listened to the audiobook or podcast on the iPod and in iTunes, the stopping point that "wins" is the one that occurred more recently.

Return to the Point Where You Left Off

Play the audiobook or podcast episode in iTunes. The audio track resumes where you left off listening on the iPod, just as though you'd done so in iTunes.

When you reach the end of the audio track, the next time you play it, it starts at the beginning.


Section 57. About the Care and Feeding of Your iPod

57. About the Care and Feeding of Your iPod

Before You Begin

Just jump right in!

The iPod is arguably the most desirable piece of consumer electronics in the world today; millions of people own one, and millions more pine for one. People who would never otherwise have considered buying an Apple product are discovering that there's simply no arguing with the iPod's ease of use, quality of production, or the ineffable "cool factor" of those white headphone cords and the device's iconic shape.

Yet reality sometimes doesn't mirror the fantasy created by the hype. The iPod is a piece of technology that has electronic and mechanical components just like any computer accessory; likewise, it's prone to failures and degradation over time. Apple even engineered the iPod with several assumptions in mind, namely that people's music collections would grow fast enough to obligate them to buy new and larger iPods within a few years. This assumption permitted the Apple engineers to make design decisions that some people find controversial, such as making the battery nonreplaceable and using that great-looking (but scratch-prone) stainless-steel rear cover. The idea is that you'll want a bigger iPod before your battery becomes unusable or your iPod's back cover becomes too scratched up.

These observations perhaps betray a cynical outlook toward Apple's motives in designing the iPod, and more recent generations of the iPod show improvements in the technology that indicate that there's no malice aforethought in Apple's design decisions. The iPod is consistently rated very high in consumer reports that rank its initial quality and support. Apple provides service that often goes above and beyond what the basic warranty would seem to guarantee, such as replacing iPods in-store with brand new units with no questions asked. Some original-generation iPods that were sold in the fall of 2001 are still going strong. Yet there's always the possibility of units that degrade faster than you think they ought to do, and it's hard under those circumstances to keep from wondering whatif anythingyou did wrong.

If you've spent hundreds of dollars on an iPod, you're going to want to make sure you get your money's worthyou'll still look cool if you carry around an iPod that doesn't work, but obviously looks aren't everything. You want to ensure that your iPod will last as long as your interest in digital music does, even if that means keeping it in action for years and years, outliving Apple's own predictions for how long it should survive.

The following set of tips should help ensure that your iPod remains in top working order for a long time.

  • Keep the iPod's battery charged to its maximum capacity at all times. The iPod uses a lithium-polymer or lithium-ion (Li-ion) battery that has somewhat different characteristics from the nickel-cadmium (NiCd) batteries that you might be accustomed to in older camera or laptop devices. Whereas NiCd batteries last longest if you discharge them completely (running them down to the point where they're completely out of juice) before recharging them, lithium-polymer and lithium-ion batteries (such as those used in the iPod) last longer if you keep them topped up as much as possible. These are known as shallow discharge characteristics, as opposed to the deep discharge characteristics of nickel-cadmium batteries.

Key Terms

Deep discharge Battery characteristic in which optimum longevity and performance result from discharging the battery completely before recharging it.

Shallow discharge Battery characteristic in which optimum longevity and performance result from keeping the battery's charge "topped up" at all times and preventing the charge from running down all the way.

Don't allow the iPod's charge to dip below 50% if you can help it. Whenever the iPod is not in use, keep it in its Dock or connected to a power source such as a computer or the external power supply. If you use the iPod in the car, try to use a power adapter that connects the iPod to the car's cigarette lighter or power outlet, thus ensuring that the batteries aren't being drained during normal use.

Use additional common-sense precautions such as making sure that the iPod isn't playing music endlessly when you leave it unattended. (Use the Hold switch to ensure that the iPod doesn't wake up and start playing music in response to a jostle while it's in your backpack.) Make sure that the backlight isn't on all the time. (The backlight can use a lot of power.) The same is true of any operations that cause frequent hard drive access, such as skipping songs randomly or playing the Music Quiz game. (See [image] Play iPod Games.)

Web Resource

http://www.ipodbatteryfaq.com

The iPod Battery FAQ (Frequently Asked Questions list) is an excellent source of answers to any questions you might have about how to improve your iPod's battery life. The site also has links to resources that will help you replace a dead battery for a small cost, as well as news on class-action lawsuits that Apple has settled with owners of older iPods with defective batteries.

  • Purchase an AppleCare extended warranty for your iPod. You get 90 days of free tech support and a year of free service with your iPod purchase, but those months go by fast. For an extra $59, you can extend both service and support coverage to two years from the purchase date. This coverage protects not just your iPod, but any accessories that come with itthe headphones or earbuds, the Dock, the battery, and so on. You can pick up the AppleCare plan anytime within the iPod's first complimentary year of service coverage. With the service coverage in effect, if anything goes wrong with your iPoda battery that runs down too fast, a headphone jack or Dock connector that becomes loose, an LCD screen that flickers, or even a back cover that doesn't quite fit rightjust bring it in to any Apple Store, and you'll walk out the door with a brand-new unit. You can also call the AppleCare number to set up an exchange through the mail. The extended warranty is quite a bargainespecially considering that any replacement unit you get comes with its own fresh year of coverage. Taking advantage of these warranty options means that the only reason you ever have to buy a new iPod is if your music collection outgrows it.

    Web Resource

    http://store.apple.com

    Visit the online Apple Store at this URL or go into any Apple retail store to buy an AppleCare plan.

  • Invest in some protective gear for your iPod. It might be tempting to keep your iPod loose in your shirt pocket or hold it in your hand so that everyone can see it, but that's just asking for trouble. Microscopic dust can wreak havoc on the iPod's polished back surface, and before you know it, it'll be scuffed and ugly. Prevent this problem by keeping the iPod in its faux-suede sleeve at all times or by getting a good belt clip or carrying pouch that has a soft backing surface without any protruding edges or creases that can trap dust. Apple also sells "iPod socks" through the online Apple Store or retail locations. These little multicolored fabric sleeves might look silly, but they get the job done: They keep the back from getting scuffed and also cushion the iPod in case of a fall.

    If your iPod's back cover becomes scuffed or scratched, all is not lost. See [image] Turn a Scratched iPod into a Brushed Metal iPod for an idea that might help make it look nice again.

iPod socks come in a variety of colors. Don't laughthey work!

Previous Page
Next Page


Chapter 7. Sharing Your Music with Others

IN THIS CHAPTER:

Create an Audio CD from a Playlist

Customize CD Burning Options

Create an MP3 CD

Print a CD Jewel Case Insert with Album Art

Create an MP3 CD from Purchased AAC Music

Export a Song List

Share Your Music over the Local Network

Listen to Shared Music on the Local Network

AirTunes: Connect iTunes to a Stereo System with AirPort Express

The iPod isn't the only way to take your iTunes music with you away from your computerit's just the most personal. iTunes was originally released into a world in which the most popular legitimate way to enjoy digital music was to create "mix" CDs of the music you owned, which you could then share with your friends by playing the CDs at parties or in the car. Today, the digital music industry has evolved in some significant ways, as have the number of ways to let your friends and family enjoy your music; but the ability to burn custom CDs remains as fundamental a part of iTunes as ever. It's even attained its own supporting features, such as the ability to print attractive custom CD jewel-case inserts based on the album art in your music, or to create MP3 CDs that contain hundreds of songs instead of just a couple dozen, and that play in any of the popular car stereo units or home DVD players that read MP3 discs.

In the age of the wireless home network, Apple has enhanced iTunes to take advantage of emerging technology to give you even more music-sharing options. The modern home has more than one computer in it, which implies more than one copy of iTunes under the same roof. These copies of iTunes can "see" each other on the network and play each other's music, just as your daughter might borrow your CDs to play in her room. With AirTunes technology as part of the AirPort Express wireless base station, you can even hook up your computer to the big A/V system in the denno wires neededand play your iTunes music over the best speaker system in the house. This technology is built into iTunes, just waiting for you to discover its potential.


Section 58. Create an Audio CD from a Playlist

58. Create an Audio CD from a Playlist

Before You Begin | See Also
Import a Music CD into iTunes | Customize CD Burning Options
Purchase a Song, Album, Video, or Audiobook from the iTunes Music Store | Print a CD Jewel Case Insert with Album Art
Create a Playlist |

"Rip, Mix, Burn," exhorted Apple's ad when iTunes was released. The whole idea of digital music management is that you can take the music you already own, import it into your computer, organize it according to your own likes and dislikes, and then make your own "mix" CDs of your favorite music arranged just the way you want it.

iTunes makes creating your own mix CDs nearly as simple as importing the music in the first place. Simply create a playlist containing the music you want to burn onto a CD; then insert a blank writable CD into the CD-ROM drive, and let iTunes do the rest. The tracks are burned to the CD in their native audio format (CDDA) in the order you specify. You can then play the CD in your car, on your portable stereo, at a dance, or wherever your fancy strikes.

Key Term

Compact Disc Digital Audio (CDDA) The standard specification for mastering compact discs, which includes a specific format for the uncompressed audio data in each track.

Create an Audio CD from a Playlist

Create a Suitable Playlist

The first step in creating a custom mix CD is to make a playlist containing the songs you want on the disc. As discussed in [image] Create a Playlist, navigate into the Library and drag songs from it into the playlist, keeping in mind that typical CD-R discs can hold up to either 71 or 74 minutes of music. Don't make the playlist any longer than this! Use the statistics shown at the bottom of the iTunes window to determine how many minutes your playlist will last. (Don't pay attention to the number of megabytes (MB) that is reported for the playlist; the files become much larger when they're written in uncompressed CDDA format on the disc. The important thing for this task is the total time number.)

Tips

iTunes can burn playlists that are longer than what will fit on a single CD, if you have multiple blank CDs to use. See Step 5 for details.

Hold down Ctrl or [image] while clicking a check box next to a song name to enable or disable all the check boxes in the current listing.

To skip burning certain songs in the playlist, disable the check boxes next to those songs in the list.

Click the Burn Disc Button

When you're viewing the playlist, the Browse button in the top-right corner of the iTunes window becomes a Burn Disc button; click it to begin the creation of the new disc.

Tip

If you have previously configured iTunes to create MP3 CDs or data CDs/DVDs (see [image] Create an MP3 CD), you need to change it back to the original setting of burning audio CDs. Open the iTunes Preferences window, click the Advanced tab, and then click the Burning subtab to reach these settings. See [image] Customize CD Burning Options for more information.

Insert a Disc

In its display pane at the top of the window, iTunes prompts you to insert a blank disc and tells you the total burned capacity and playing time of the selected playlist. (This can differ from the reported length of the playlist at the bottom of the iTunes window if you disabled any of the songs' check boxes.) If your computer has a CD tray, it is automatically ejected so that you can insert the blank disc. Otherwise, insert the disc into the drive slot until the drive pulls it in.

When you insert the disc, iTunes recognizes the blank media and automatically changes the message in the display oval to a prompt telling you to click the Burn Disc button again (it is now throbbing gently) to begin burning the playlist to the disc.

If you don't click Burn Disc within about 10 seconds, iTunes cancels the operation and ejects the disc.

Tip

You can also insert the CD before you click the Burn Disc button the first time, or even before launching iTunes. If you do this, the operating system prompts you for how to handle the inserted disc, using a dialog box with several options. In Windows, choose Create a CD (using iTunes); on the Mac, choose Open iTunes. This action causes iTunes to open and to pop up a dialog box explaining how to select or create a playlist and then burn the disc.

Burn the CD

Click the Burn Disc button the second time to begin the burn process. When the process is complete, the CD appears in the Source pane in the iTunes window to show the tracks you've just burned.

You can now eject the disc from your computer. Its contents are written as standard uncompressed CDDA audio, which means that any CD player can play the CDeven old ones from the '80s.

Burn a Long Playlist to Multiple CDs

When you insert the blank disc (as in Step 3), iTunes checks its capacity and compares it to the length of the playlist you're trying to burn. If the playlist contains too much music to fit on the disc, iTunes asks whether you want to burn the entire playlist to multiple CDs or cancel the burn process so that you can trim the playlist to fit on a single disc.

Note

If iTunes can't burn certain tracks in the playlist to a disc (for example, if they're video files or items from the iTunes Music Store that have been barred from being burned by users), it pops up a dialog box giving you information on all tracks that have problems. Click OK to proceed without burning the problematic tracks.

If you choose to burn the playlist to multiple discs, iTunes burns as many tracks as will fit onto the first disc and then prompts you to insert another blank disc to continue. This process continues until iTunes has burned all the tracks in the playlist onto discs. Be sure to label the discs appropriately so that you don't forget their sequence!

Note

iTunes will remember the track names of the burned discs if you insert them again into your computer, but other CD players don't have that ability. It's easy to lose track of what's on your mix CDs, especially if you burned a long playlist onto several discs. See [image] Print a CD Jewel Case Insert with Album Art for a way to ensure that these burned CDs don't become unlabeled mystery discs floating uselessly around the house.


Section 59. Customize CD Burning Options

59. Customize CD Burning Options

Before You Begin | See Also
Create an Audio CD from a Playlist | Create an MP3 CD
 | Customize Importing Options
 | Back Up Your Music to CD or DVD

One of the biggest challenges that Apple has faced in bringing iTunes to Windows is supporting all the different kinds of CD burners (drives capable of writing data to optical discs such as CD-R, CD-RW, and DVD-R) found in Windows PCs. Apple's Macintosh computers have traditionally used drives from known manufacturers with drivers written in-house and built into the operating system; thus, it has been easy for Apple to design iTunes to support the drives used by Macs. But in taking iTunes to Windows, Apple has had to develop support for dozens more drive manufacturers and models than it has ever used. This support is good but not perfect; Apple can't test every possible hardware configuration to ensure that it will work with your particular PC. You might find that your computer can produce only audio CDs that have frequent errors or that can't be read at all.

Key Terms

Burner A CD or DVD drive that is capable of creating written, or burned, discs as well as reading them. Most modern computers are sold with CD burners, and many of these drives can burn DVDs, too.

CD-R Writable compact disc. You can burn a CD-R once; after that, you can't change its contents. A CD-R or CD-RW can hold 650 or 700MB of data, depending on the format.

CD-RW Rewritable compact disc. You can burn a CD-RW multiple times, usually up to a few dozen.

DVD-R Writable digital versatile disc. A DVD can hold 4.7 gigabytes (GB) of data and generally costs significantly more than a writable CD. Data on a DVD is heavily compressed, making the format much more complex than that of a CD. You can write to some DVD formats, such as DVD+RW and DVD-RW, more than once. "Dual-layer" discs cost more and can store twice as much data.

This task describes some ways to adjust your disc-burning settings in ways that might help the quality of your burned discs. It also discusses some settings that you can adjust to control the structure of the discs you create and how they sound when played.

Customize CD Burning Options

Open the Burning Preferences

Open the iTunes Preferences window. (Choose iTunes, Preferences on the Mac or Edit, Preferences in Windows.) Click the Advanced tab, and then click the Burning subtab to display the options for burning discs.

Choose an Appropriate Burning Speed

First, verify that iTunes recognizes your burner. Following the CD Burner entry should be the name and model of your CD/DVD drive. If you instead see a message such as Burner or software not found, either you don't have a burner or iTunes doesn't recognize the one you have. The good news is that you're probably not alone; you can sign in at the iTunes Discussions boards (available from http://www.apple.com/support/itunes/ or by choosing Help, iTunes and Music Store Service and Support or Help, Music Store Customer Service from the menu) and post a question regarding your burning hardware. Chances are that someone else uses the same hardware and might have tips for you.

Web Resource

http://www.apple.com/support/itunes/windows/cddiagnostics/

The iTunes for Windows CD Diagnostics site provides a way to gather technical information about your CD drive and submit it to Apple, along with your contact information so that the company can get back to you with an answer.

If iTunes recognizes your burner but you're having trouble creating CDs that sound good, you might benefit from choosing a slower burn speed. By default, the Preferred Speed option is set to Maximum Possible. Normally iTunes slows down the burn process automatically if it detects errors, but sometimes this process doesn't work properly. Choose a slower speed, if necessary, from the drop-down menu. (1x is the slowest, burning the disc at the same speed as it would be played.)

Note

Disc-burning errors can be caused by poor-quality media. In fact, the first step in diagnosing a burning problem should often be to try a more reputable brand of CD-R discs than the one you might be using.

Choose a Disc Format

The default Disc Format setting, Audio CD, lets iTunes create standard audio CDs with the music burned in uncompressed CDDA format just like an album you would buy off the shelf. Other options include MP3 CD (see [image] Create an MP3 CD) or Data CD or DVD (see [image] Back Up Your Music to CD or DVD). An MP3 CD lets you put much more music on a single disc than an audio CD, but the player must be able to read MP3 CDs. Not all CD players do.

Specify the Gap Between Tracks

The Audio CD option has a couple of settings you can adjust. By default, the Gap Between Songs is set to 2 seconds. You can change this to anything from no gap at all (none) to 5 seconds, if you prefer the way a longer pause sounds. Choose none if you want to burn a copy of a live performance where the gap between tracks would be distracting and interrupt the flow of applause from one track to the next.

Enable the Use Sound Check check box to make the audio output on the disc adhere to the automatic leveling discussed in [image] Auto-Level Song Volumes. If you don't enable this box, iTunes burns all tracks on the disc at the original levels of the CDs they came from, which might lead to variable volume levels from track to track on a mix CD. However, if you enable the check box and you're burning a copy of a single CD (such as a comedy routine or live performance), iTunes might auto-level the individual tracks differently, which can be just as distracting.

Burn Discs Using the New Settings

Click OK to save the new burn settings. iTunes will create the next disc you burn, whether an audio CD, an MP3 CD, or a CD or DVD backup disc, according to the settings you defined here.


Section 60. Create an MP3 CD

60. Create an MP3 CD

Before You Begin | See Also
Create an Audio CD from a Playlist | Create an MP3 CD from Purchased AAC Music
Customize CD Burning Options | Back Up Your Music to CD or DVD

These days, the mix CD is starting to fall from favor as the preeminent way to create discs of your digital music. Without an inherent way to identify the track names or artists, and with the capacity to hold only about 75 minutes of music when you use uncompressed CDDA audio format, you're stuck with burning dozens of discs if you want enough to keep you entertained on a long road trip.

The answer has come in the form of the MP3 CD, which is a standard data compact disc whose contentsinstead of a couple of dozen uncompressed CDDA filesare hundreds of much smaller MP3 files, which sound almost as good. Whereas the music on a standard audio CD lasts only a little more than an hour, an MP3 CD can hold up to 12 hours of music. What's more, the MP3 files retain all their info tags, such as each track's song name, artist, album, and genre, which can be read and displayed during normal playback by devices that can read MP3 CDs. More and more car audio systems entering the market today support MP3 CDs, and just about all commercial DVD players do as wellit's become a ubiquitous technology. Fortunately, iTunes makes it just as easy to create MP3 CDs as it does to burn standard audio discs.

Key Term

MP3 CD A compact disc filled with MP3 files instead of the traditional uncompressed CDDA tracks. An MP3 CD can contain as much as 12 times the music of a standard CD but requires a specialized player to play it.

Notes

The music on an MP3 CD will sound just as good as any mix CD you create from songs in iTunes because those songs are compressed to begin with; uncompressing them to burn them to a disc doesn't increase their sound quality in comparison to how they sounded on the original source discs. Fortunately, it's difficult to tell the difference unless you're a real hard-core audiophile.

iTunes does not convert tracks to MP3 format on the fly as it burns, so you can create an MP3 CD only from tracks that are already in MP3 format. If you plan to burn a lot of MP3 CDs, consider importing your CDs' music in MP3 format instead of in AAC format (which you can't burn directly to an MP3 CD). See [image] Customize Importing Options for details or [image] Create an MP3 CD from Purchased AAC Music for instructions on how to create an MP3 CD using existing music in formats other than MP3.

Create an MP3 CD

Configure iTunes to Create MP3 CDs

Before you can burn an MP3 disc, you must set up iTunes' Preferences to do so as the default burning behavior. As described in [image] Customize CD Burning Options, set the Disc Format option on the Burning subtab of the Advanced tab of the iTunes Preferences window to MP3 CD. Click OK. Each disc you create from now on will be an MP3 CD, until you go back into the Preferences window and change the Disc Format back to Audio CD.

Create a Suitable Playlist

Make a playlist containing the songs you want on the disc. As discussed in [image] Create a Playlist, navigate into the Library and drag songs from it into the playlist, keeping in mind that typical CD-R discs can hold up to 650 or 700MB of music data (depending on the type of disc; the disc packaging will note the exact capacity). Use the statistics shown at the bottom of the iTunes window to determine how large (in megabytes) your playlist will be. (For MP3 CDs, the total file size of the playlist is a more important consideration than the playback duration, which you used in [image] Create an Audio CD from a Playlist.)

Note

If you create a playlist that's larger than the capacity of the disc, iTunes presents a warning at the time you burn the disc, telling you that it will burn only a portion of the playlist. You can choose to burn as much of the playlist as will fit on a single disc or cancel the operation so that you can reduce the playlist's size yourself. iTunes won't burn a playlist to multiple MP3 CDs because Apple figures that 12 hours of listening time should be enough for any playlist you've constructed.

The playlist name becomes the volume name for the burned disc. Be sure to use a short, simple name (15 characters or less) that doesn't contain special characters, because the standard ISO 9660 CD-ROM format that iTunes creates doesn't support long or complex volume names.

To skip burning certain songs in the playlist, disable the check boxes next to the song names in the list.

Note

An MP3 CD can contain only MP3 files, so tracks in the playlist that are not in MP3 format become grayed out and their check boxes are disabled during the burn.

Click the Burn Disc Button

When you're viewing the playlist, the Browse button in the top-right corner of the iTunes window becomes a Burn Disc button; click it to begin the creation of the new disc.

Insert a Disc

In the display pane at the top of the window, iTunes prompts you to insert a blank disc and tells you the total burned capacity and playing time of the selected playlist. (This can differ from the reported length of the playlist at the bottom of the iTunes window if you disabled any of the songs' check boxes.) If your computer has a CD tray, it is automatically ejected so that you can insert the disc. Otherwise, insert the disc into the drive slot until the drive pulls it in.

Note

You can use a burnable DVD (DVD-R, DVD-RW, DVD+RW) disc instead of a CD in this task to create a data disc with up to 4.7GB of music files on it; however, be aware that hardly any players on the market will be able to read it. (It won't play in a car stereo, even if your car player supports MP3 CDs.) You can only use an MP3 DVD in computers. DVDs are great for backup purposes, however. See [image] Back Up Your Music to CD or DVD for more information.

When you insert the disc, iTunes recognizes the blank media and automatically changes the message in the display oval to a prompt telling you to click the Burn Disc button again (it is now throbbing gently) to begin burning the playlist to the disc.

Note

If iTunes can't burn one or more tracks in the playlist to a disc (for example, if they're video files or items from the iTunes Music Store that have been barred from being burned by users), it pops up a dialog box giving you information on all tracks that have problems. Click OK to proceed without burning the problematic tracks.

If you don't click Burn Disc within about 10 seconds, iTunes cancels the operation and ejects the disc.

Burn the MP3 CD

Click the Burn Disc button for the second time to begin the burn process. When the process is complete, the MP3 CD appears in the Source pane in the iTunes window to show the tracks you've just burned.

Eject the disc from your computer. It's formatted as a data CD-ROM (with a volume name equal to the name of the playlist) that you can mount in any PC or Mac and play in any CD player that is capable of reading MP3 CDs.


Section 61. Print a CD Jewel Case Insert with Album Art

61. Print a CD Jewel Case Insert with Album Art

Before You Begin | See Also
Add Album Art to Songs | Export a Song List
Create an Audio CD from a Playlist |

After you've burned a custom mix audio CD or MP3 CD, what do you do with it? Do you get out a sheet of paper, or pull out the generic insert in the CD's jewel case, and painstakingly write down each of the track names along with the artist names and track lengths so that you don't forget what's on the disc? Do you scrawl the track names on the CD's surface with a permanent marker? Or do you throw it unmarked into a pile with dozens of other anonymous burned CDs, its contents to remain forever a mystery unless you stick it back in the computer to see what's on it?

We might like to think we're organized enough to keep track of all our burned music, but the fact is that as CD media becomes cheaper, and computers and burners become faster, there's less and less pressure on us to treat the process of burning music discs with delicacy and respect. CDs become disposable items, and we're unlikely to take the time to make sure that they'll last and their contents will stay known.

That's the benefit of iTunes' ability to print custom jewel cases from the playlists you used to create the custom music CDs. After you burn a disc, simply choose File, Print to have iTunes automatically print an attractive, professional-looking paper insert you can cut out, fold in half, and stick into the jewel case along with the CD so that it looks like something you spent real money on. This insert contains not only the list of tracks on the disc, but (optionally) an attractive mosaic made up of the album art from each track. You can also print track lists in other formats, such as complete tabular listings on full-size sheets of paper or tracks grouped by album.

Print a CD Jewel Case Insert with Album Art

Burn an Audio or MP3 CD

As discussed in [image] Create an Audio CD from a Playlist and [image] Create an MP3 CD, create a playlist and burn a CD or MP3 CD from it. Remove the CD from the drive.

Note

If you deselected some of the songs in the playlist to exempt them from being burned, they'll also be left out of the track listing printed on the jewel case insert. For best results, be sure to print the insert at the same time you burn the disc to ensure that the contents of the disc and the printed track listing are the same.

Choose a Type of Listing to Print

While you're still viewing the same playlist from which you burned the CD, choose File, Print. This command brings up the Print dialog box, where you choose what kind of track listing to print. You have three options: CD jewel case insert, which is the right size and shape to be folded in half and slipped into a standard CD jewel case, and can be printed with mosaic art composed automatically from the album art in the playlist's songs; Song listing, which prints the list of the playlist's songs and certain predefined info fields in one of several predefined tabular formats on a standard-sized sheet of paper; or Album listing, which prints a list of each album represented in the playlist, along with the included tracks from each album.

Feel free to experiment with the options in Song listing or Album listing, which can be just as useful as the CD jewel case insert option but contain fewer possible configurations. For this example, select CD jewel case insert.

Select a Theme

iTunes can print several styles of jewel case inserts, selectable using the Theme drop-down list. There are four color styles (Text only, Mosaic, White mosaic, and Single cover) and four black-and-white styles (Text only, Mosaic, Single side, and Large playlist). First note whether your printer is capable of printing color. If it is, use a full-color theme; otherwise, use one of the black-and-white themes.

Note

Whether the track listing is printed in black on a light background or white on a dark background depends on how light or dark the selected album art or the composed mosaic of album art is. If the art turns out dark, the track listing is printed in white on a dimmed version of the album art; if it's lighter than medium tone, the background is washed out and the text is printed in black over it.

Use the preview pane on the right side of the Print dialog box to get an idea of what the finished product will look like:

  • The Text only theme prints only a simple text listing of the songs on a solid-color background. The playlist name is printed on the outward-facing leaf, and the track names are listed on the inward-facing leaf.

  • Mosaic gathers all the distinct pieces of album art from all the tracks in the playlist and chooses a square number (1, 4, 9, 16, or 25, whichever is highest without exceeding the number of songs in the playlist) of these pictures at random. It then arranges the pictures into a square and uses them both for the outward-facing leaf of the insert and (in a dimmed form) for the background of the leaf on which the track names are printed.

  • The White mosaic mode is similar to Mosaic, except that the inward-facing leaf features the track names printed in black on a white background, which can be easier to read. The arrangement of album art on the cover also shows thin white lines between each of the rows of pictures.

  • Single cover works like Mosaic, except that instead of a random selection of album art composed into a square mosaic, only a single piece of cover art at full sizethe art from the currently selected songis used. For this mode, select a song in the playlist that you just burned before choosing the Print option.

  • Single side is a black-and-white print mode that creates a single sheet that fits in a jewel case without any folding. This minimalist entry is suitable when you need to put a track listing into the CD case but don't need outward-facing album art, or when you want the playlist's contents to be displayed on the CD case's cover.

  • Large playlist is a good choice for printing the contents of very long playlists. It creates a track listing using a small font that spans both the front and back side of the folded insert.

Print the CD Insert or Listing

Click Print when you're satisfied with the layout of the jewel case insert (or, if you chose one of the other layout options, the track listing).

Depending on your operating system, you'll next see the default print options for your system. Click Preview to see a full-size preview of the printed project before you send it to the printer. If you want (and if your printer supports it), take the opportunity to load heavy-duty or glossy paper or otherwise set up your printer to produce a printout that will stand the test of time.

When you're satisfied, click Print to begin printing.

Cut Out the CD Insert

The jewel case insert is printed in the middle of the sheet of paper, with registration lines in each corner indicating where you must cut the sheet to fit a jewel case correctly. Lay a ruler or straightedge along these registration marks and cut along the edge using a razor knife. (Place another sheet under the printout to prevent marring you desk's surface with the knife.) Because the artwork is printed in "full bleed" mode, with the color spilling past the cut line, the finished cutout piece should look quite professional.

Fold the sheet in half, with the printed surfaces facing outward, and insert it into the CD jewel case with the track listing facing in. Make sure to mark your CD (using a permanent marker) with the name of the playlist as indicated on the outside of the insert. Now you hardly have any excuse for losing track of what's on your burned discs!


Section 62. Create an MP3 CD from Purchased AAC Music

62. Create an MP3 CD from Purchased AAC Music

Before You Begin | See Also
Purchase a Song, Album, Video, or Audiobook from the iTunes Music Store | Customize Importing Options
Create an MP3 CD | Back Up Your Music to CD or DVD

This task's subject is a touchy one. Apple intends for you to build your music library using the unprotected AAC format to import your CDs, and using the protected AAC format to purchase music from the iTunes Music Store. Yet with the proliferation of in-dash and portable CD players that read the MP3 CD format but don't read AAC files, it's hard to ignore the fact that the music you buy through iTunes won't play in them. You own the music rightfully; why, then, shouldn't you be able to create CDs that let you play your own legitimately purchased music with the convenience that your MP3 CD player affords you? Apple's recommendation that you buy an iPod to play your AAC music is small consolation when your choice is between using your iPod with a clunky tape adapter or FM transmitter in the car, or burning a nice crisp MP3 CD with a professional-looking jewel case insert to play in your cutting-edge in-dash MP3 CD player.

It should be fairly clear that Apple would be foolish to allow users to create unprotected MP3 CDs directly from purchased AAC music; such a feature would essentially be an invitation to piracy. All a user would have to do would be to burn one of these data discs, and he would have an instant selection of high-quality MP3 files ready to transmit over the file-sharing networks. The record labels would never have signed on with iTunes if it had contained such a feature.

Yet you can create regular music CDs (using songs in uncompressed CDDA format) from your purchased AAC music. Why is that?

Well, the difference is that burning an uncompressed music CD creates unprotected music at a much slower pace than converting AAC files directly to MP3 would. A would-be pirate has to burn the music CD, reimport the dozen or so songs from it, and repeat the process 12 times just to get the same number of freely copy-able songs he would have if he'd been able to directly create an MP3 CD with one click. This inconvenience, Apple has gambled, is a sufficient barrier to piracy to make the iTunes Music Store a viable business proposition while remaining friendly to law-abiding users like yourself.

But you still want to be able to burn those purchased songs to an MP3 CD that you can play in the car.

This task describes how to accomplish that goal. However, use it with caution; remember that you're treading the ragged edge of what's allowable under the "Terms of Sale" of the iTunes Music Store to which you agreed. These terms read in part, "Any burning or exporting capabilities are solely an accommodation to you and shall not constitute a grant or waiver (or other limitation or implication) of any rights of the copyright owners of any content, sound recording, underlying musical composition or artwork embodied in any Product." In other words, it was hard enough for Apple to get the labels to agree to let you burn even regular audio CDs. Don't abuse their trust by using these instructions to create unprotected music for anyone's use but your own. If you do, remember that it's not just your iTunes Music Store account that's at stakeit's the still-uncertain future of the legal music download industry. Help keep it viable by following the rules!

In this task, you'll convert your purchased AAC files to unprotected MP3 files by first burning them to uncompressed audio CDs in CDDA format and then reimporting them into iTunes in MP3 format. Then you can burn the MP3 CDs freely, as described in [image] Create an MP3 CD. For this task, you'll need enough blank writable CD discs to hold all the AAC files you want to convert, written in uncompressed CDDA format with approximately 20 tracks to each disc, which you'll eventually discard. It's a wasteful process, but it's the only way to do it.

Note

If you have protected WMA files that you purchased from online music stores other than iTunes, and you want to convert them to an unprotected format such as MP3 so that you can import them into iTunes or create MP3 CDs, you will use a procedure similar to what's outlined in this task, only using the application you used to download or organize the WMA files, such as MusicMatch or Windows Media Player. Use that program to burn the WMA files to audio CDs, and then import the WMA files from the CD into iTunes using the MP3 format as described here.

Web Resource

http://www.apple.com/support/itunes/legal/policies.html

The iTunes Music Store's "Terms of Sale" are available at this direct URLas well as by clicking the Terms and Conditions button in your account information page at the iTunes Music Store.

Create an MP3 CD from Purchased AAC Music

Create a Playlist Containing Music to Burn

Make a playlist containing the protected AAC songs you want to put on the disc. As discussed in [image] Create a Playlist, navigate to the Library and drag songs from it into the playlist. Make the playlist as long as you want, up to a maximum of about 12 hours of total play length (as indicated by the readout at the bottom of the iTunes window). If the playlist contains more than about 75 minutes of music, iTunes allows you to burn the playlist across multiple discs. Be sure you have enough blank CD media to contain all the playlist's music in uncompressed CDDA format!

You can determine which of your tracks are in which format by displaying the Kind column in the track listing. See [image] Customize Which Information Columns Are Displayed for more information.

Note

You don't need to go through this burning process for songs in any format other than Protected AAC. If your songs are in regular (unprotected) AAC format or another format without DRM restrictions, see [image] Convert Audio Files to Other Formats for instructions on converting them to MP3 format within iTunes.

Burn Audio CDs from the Playlist

Be sure iTunes is set up to burn audio CDs. To check this, open the iTunes Preferences window (choose iTunes, Preferences on the Mac or Edit, Preferences in Windows) and click the Advanced tab and then the Burning subtab. Set the Disc Format option to Audio CD and click OK.

With the playlist selected, click the Burn button; insert a writable CD when prompted, and click Burn again to begin burning the playlist to the disc in uncompressed CDDA audio format. Insert more discs when prompted until you've burned the entire playlist to CDs.

Configure iTunes to Import in MP3 Format

The next step is to import the music back into iTunes, this time as unprotected MP3 files. Open the iTunes Preferences window again. Click the Advanced tab, and then click the Importing subtab. Set the Import Using option to MP3 Encoder. From the Setting drop-down menu, choose an audio quality level for the imported files; the default, High Quality (160 kbps), is generally sufficient, although you might want to choose a different quality level depending on your needs. Use the Custom setting to enable certain options such as Variable Bit Rate (VBR) recording. Click OK.

Import the Audio CDs

One by one, insert the audio CDs that you just burned and import them by clicking the Import CD button. (See [image] Import a Music CD into iTunes.) iTunes should fill in the track names automatically, because it remembers each disc that it burned by its unique combination of track lengths. Make sure that you import the CDs in the correct order in which you burned them; doing so makes the next step easier.

The newly imported songs are added to your Library in parallel with the protected AAC versions of the same songs that already exist.

Re-Create the Playlist Using MP3 Files

Create a new playlist containing the MP3 files that you just imported. An easy way to do this is as follows: In the Library view, scroll horizontally to the Date Added column and sort on that column by clicking its header. Click it again if necessary to sort the tracks in ascending order (earliest to latest). Scroll to the bottom of the song listing. Locate the selection of songs you just imported. The block of newly imported songs should be easily identifiable as all having been added within the last half-hour or so. Select all these songs by clicking the first one in the list (the earliest one you imported), scrolling to the end of the list, and holding down Shift as you click the last song in the listing.

Next, choose File, New Playlist From Selection. A new playlist appears in the Source pane, with the name untitled playlist. This name is selected so that you can type a new one. Enter a simple and short name for the new playlist. The name you type will become the volume name for the new MP3 CD you'll create. Press Return or Enter.

Burn an MP3 CD from the Playlist

Select the newly created playlist and verify that its contents are the way you want themall MP3 files (identified in the Kind column as MPEG audio file), not missing any songs you want, and arranged in the right order. If they're not, move songs around until they're sorted in the order you want them.

Open the iTunes Preferences window again. Click the Advanced tab and then the Burning subtab. Set the Disc Format option to MP3 CD, and click OK.

Now burn the MP3 CD by clicking the Burn Disc button. Insert a disc when prompted. The playlist is burned to the disc in unprotected MP3 format, suitable for playing in your car's MP3 CD unit or your portable disc playerany device that reads MP3 CDs. Just don't tell anybody where you heard how to do this....

Note

If the playlist is too long to fit on a single MP3 CD, iTunes offers to burn only the portion of the playlist that will fit or to allow you to cancel the operation and trim down the playlist yourself before burning it again. Make sure that the playlist doesn't exceed the 650 or 700MB that your disc will hold.


Section 63. Export a Song List

63. Export a Song List

Before You Begin | See Also
Create a Playlist | Create an Audio CD from a Playlist
 | Share Your Music over the Local Network
 | Back up Your Music to CD or DVD

You can use iTunes to save a list of songs in a portable text format. The reasons for doing this might not be immediately clear, but if the need ever does arise, you'll be thankful for the ability. One example might be that someone wants to know what songs you're burning onto a CD for a mutual friend's birthday party. Exporting the song list to a plain text file is a great way to make this information available without having to copy down every track name manually. No doubt you can imagine many other circumstances in which you would be quite glad not to have to recite track names over the phone or scribble them down on a piece of paper.

One particularly useful technique is to export the list of your podcast subscriptions using the standardized OPML format. Doing so allows you to back up your subscription list along with your other important information. If your computer suffers a catastrophic failure, you can always retrieve your subscribed podcasts by reimporting the exported OPML file. You can even transfer your subscriptions to another podcast-organizing program that understands RSS and OPML technology, or you can move your subscriptions from another program to iTunes using the same method.

Key Term

OPML A standardized text format based on XML that's designed for describing a list of subscribed RSS feeds, such as the URLs and descriptions of your favorite subscribed podcasts.

Export a Song List

Choose the Playlist to Export

Choose a playlist, a CD, the Library, your subscribed podcasts, or any other aggregation of music from the Source pane in the iTunes window. Organize the song listing in the way you want it to be exported. Sort the songs on the column of your choice, or drag the entries manually into the order you want them in.

Export the Song List

Choose File, Export Song List. This command brings up the Save dialog box.

Navigate to the location on the disk where you want to save the output file (the format of the navigator depends on your operating system) and specify a filename. This name is initially set to match the name of the playlist or the music source you selected in Step 1, but you can type a new name to replace it.

Choose an Output Format

You can export the song list in Plain Text or XML format. On the Mac, you can additionally use Unicode Text format, which is useful for song names written in non-Western character sets (such as Japanese, Russian, or Hebrew). For podcasts, you can also pick the OPML format, which is good for transferring a list of subscriptions to another program that reads RSS feeds, or for archiving your list of subscriptions for safekeeping. Choose the format that's appropriate to your needs.

Save the Song List File

Click Save. The exported song list is saved to your selected location in the format of your choice. If you saved in Plain Text mode, the contents are tabular, with cells representing every info tag in every file in the listing, each separated by tab characters. If you saved in XML format, all the fields are delineated in standard XML data containers, which you can import using any database application that can read XML format.

A podcast subscription listing that's saved in OPML format can be reimported into iTunes by using the File, Import command (or by dragging the file into the song listing pane). This restores your subscriptions, although you have to manually download earlier episodes as though you had just subscribed for the first time to each podcast.

Note

Saving a song listing in XML format is a good way to back up your song information. Another, more comprehensive, method is to choose File, Export Library. This command saves the contents of your entire iTunes Library database (not the music itself!) in XML format, in much the same way that this task describes. Be sure to save your Library.xml file in a safe placeyou might need it! See [image] Restore Your Music Library Database from a Backup Copy for more information.


Section 64. Share Your Music over the Local Network

64. Share Your Music over the Local Network

Before You Begin | See Also
Run iTunes for the First Time | Authorize a Computer to Play Purchased Music
 | Listen to Shared Music on the Local Network
 | AirTunes: Connect iTunes to a Stereo System with AirPort Express

iTunes isn't just a single person's private jukebox; it's designed to give digital music the same versatility within a household as physical CDs have done, within the reasonable limits imposed by Digital Rights Management. This means that just as you might have a big organizer of CDs in your den that anyone in the family can borrow from and take into his own room to enjoy, iTunes lets you connect to another computer on the same home network and browse that computer's iTunes music collection. In a household with three or four members, each with his own computer, the music that's stored on one computer can be easily broadcast to any other computer and enjoyed on demand. In the same way, one computer's music collection on a corporate LAN can be enjoyed by anyone else on the network who has a copy of iTunes.

Note

Listening to someone else's purchased AAC music requires that your computer be authorized to play that person's music. Because each person has his own iTunes Music Store account and five authorizations to deploy, that person can log in to and authorize every other computer in the house to access his own music. See [image] Authorize a Computer to Play Purchased Music for details.

You first must set up each computer to share its music. This task describes how to enable music sharing, as well as how to restrict your sharing to certain playlists and to protect it with a password in case you don't want others snooping around in your music collection.

Share Your Music over the Local Network

Configure iTunes to Share Your Music

Open the iTunes Preferences window. (Choose Edit, Preferences in Windows or iTunes, Preferences on the Mac.) Click the Sharing tab.

Enable the Share my music check box to turn on music sharing for this particular computer.

Choose to Share the Entire Library or Selected Playlists

You can share your entire Library and all its playlists with other iTunes users on the local network (within your household or corporate LAN), or you can choose instead to limit your music sharing to certain playlists. Choose the option that best suits your needs.

If you choose to share only selected playlists, use the check boxes in the list box under the radio buttons to define which playlists you want to share.

Note

If you're running a personal firewall on your computer, you might have to "poke a hole" (create an exception rule) in the firewall to allow iTunes music-sharing traffic to get through. Define the rule to allow traffic on TCP port 3689. (In Mac OS X, a predefined rule is available in the system firewall for this port; select the Firewall tab on the Sharing pane in the System Preferences window and enable the check box for iTunes Music Sharing.) If you want to selectively restrict access to your shared music, consider setting a password, as explained in Step 4.

Specify a Shared Library Name

When others connect to your shared iTunes music, your music list appears in their Source panes under a name that you specify. By default, this name is set to John's Music, where John is your own name as set in your operating system's user account system. You can change this to something more evocative if you likeHouse Music Server, for example, or BriTunes.

Require a Password for Shared Access

Perhaps you don't want your inquisitive siblings rummaging around in your music collection, but you don't mind if your mom or dad accesses your music. (Or, perhaps, the opposite is the case.) You can protect your shared music with a password; all users on the network will see your shared music in their Source panes, but they won't be able to connect or browse your music without entering a valid password.

Enable the Require password check box and type the password you want to use. The password is hidden as you enter it, so be sure to enter it correctly. Give this password to only those people you want to be able to access your shared music.

Begin Sharing Music

Click OK to start sharing your music. At any time after this, you can return to the Sharing tab of the Preferences window to view the Status readout, which reports how many users are currently connected to your iTunes Library. If anyone is connected and listening to your music, you'll get a warning message if you try to quit iTunes, letting you know that you'll be interrupting these other users' musical enjoyment. You'll have to confirm that you really want to quit regardless of who's using your iTunes music at the moment.

Note

iTunes has a restriction that limits the number of new connections to your shared music to five within a given 24-hour period. If more than five users try to connect to your iTunes Library, the additional users are told that the connection was refused. This restriction was recently imposed as a result of contract renegotiations between Apple and the labels, the positive upshot of which was that you get five authorization spots to use instead of the original three.


Section 65. Listen to Shared Music on the Local Network

65. Listen to Shared Music on the Local Network

Before You Begin | See Also
Run iTunes for the First Time | Authorize a Computer to Play Purchased Music
Share Your Music over the Local Network | AirTunes: Connect iTunes to a Stereo System with AirPort Express

If someone else in your household, with his computer connected to the house network, has iTunes installed and set up to share music (see [image] Share Your Music over the Local Network), you can connect to that shared music library using your own copy of iTunes and stream his music to your computer just as though it were stored on your local machine. This arrangement enables music stored on any computer within a household or corporate network to be essentially "borrowed" and played on other computers under the same roof, just as a physical CD can be borrowed and played.

Note

Listening to someone else's purchased AAC music requires that your computer be authorized to play that person's music. Because each person has his own iTunes Music Store account and five authorizations to deploy, that person can log in and authorize another computer in the house to access his own music. See [image] Authorize a Computer to Play Purchased Music for details.

iTunes is not a file-sharing application. When you listen to shared music over the network, you're merely streaming the music from the remote iTunes, which means your computer is relaying the music data directly from the remote system to your speakers, not copying the other person's music files to your hard disk. You can listen to other people's iTunes music only if their copies of iTunes are running.

Listen to Shared Music on the Local Network

Configure iTunes to Look for Shared Music

Open the iTunes Preferences window. (Choose Edit, Preferences in Windows or iTunes, Preferences on the Mac.) Click the Sharing tab.

Enable the Look for shared music check box to cause your copy of iTunes to start watching the network for other copies of iTunes.

Note

iTunes uses a technology called Bonjour, Apple's implementation of an open-source protocol called ZeroConf, to discover services on the local network such as shared iTunes music. Bonjour is built into many other applications in Mac OS X, but it isn't in widespread use on Windows. Nonetheless, music sharing can flawlessly take place between Windows and Mac versions of iTunes on the same network.

Let iTunes Discover Shared Music on the Network

Click OK to close the Preferences window and begin seeking other sources of music on the network. Watch the Source pane. Within a couple of seconds, you should see the names of other users' shared iTunes libraries appearing beneath the Music Store entry and any connected iPods or mounted CDs that are physically available to your computer.

Note

If you're running a personal firewall on your computer, you might have to "poke a hole" (create an exception rule) in the firewall to allow iTunes music-sharing traffic to get through. Define the rule to allow traffic on TCP port 3689. (In Mac OS X, a predefined rule is available in the system firewall for this port. Select the Firewall tab on the Sharing pane in the System Preferences window, and enable the check box for iTunes Music Sharing.) This change must be made on all computers that want to participate in iTunes music sharingthe remote user's computer as well as your own.

If only one other person who is currently running iTunes is present on the network, that person's shared music appears by name directly in the Source pane; if more than one other person is present, the multiple sources are grouped under the Shared Music heading. Click the triangle next to this option's icon to expand the category and see all the shared music libraries inside it.

Connect to a Shared Music Library

Click once on a shared music library to select it. Immediately, iTunes attempts to connect to it and begins downloading information about the music tracks and playlists that are available.

If the shared music library is protected by a password, you're prompted to enter that password to gain access to the selected music source. If you don't enter the password correctly, you're returned to the main Library view.

Note

You can recognize password-protected shared music collections by the "lock" icon that appears next to their names under the Shared Music heading in the Source pane.

When all the information about the shared music library is downloaded (which should take no more than a few seconds), an expansion triangle appears to the left of the shared music library's name, and an Eject icon appears to its right. This second icon is used to disconnect you from the shared music library. Disconnecting is a good idea when you're done listening to a remote shared music library because it prevents unnecessary network traffic while you're not using iTunes.

Browse and Play Shared Music

If you select the entire shared music library, you can browse the whole thing just as though it were on your local computer. The Browse lists (Genre, Artist, and Album) work the same as in your own Library view. Navigate to an artist or album you want to hear and double-click to start playing the music.

You can also view the remote user's shared playlists. Click the expansion triangle to the left of the shared library's name; all the playlists on the remote user's computer are listed under the name of the shared library. Select a playlist to view it, and click Play to start playing it.

Note

Because you can't burn a remote playlist to a CD, the button in the upper-right corner of the iTunes windowwhich normally is a Burn Disc button when you're viewing a playlistis a Browse button in this case. Remember that you can use the Browser view on playlists even in your local copy of iTunesjust select Edit, Show Browser.

Authorize to Play Protected Music

You can freely listen to any music in the remote user's librarywith the exception of protected AAC files purchased from the iTunes Music Store. Your computer must be authorized for the remote user's iTunes Music Store account before her purchased music can play on your computer.

Select and attempt to play a protected file by double-clicking its name or by clicking the Play button. A dialog box pops up that challenges you for the iTunes Music Store account password matching the account that was used to buy the music. Unless the remote user has shared her password with you, you essentially have two options: either cancel the attempt and don't try to listen to any more of the person's purchased songs, or get the person to come into your room and authorize your computer by typing her password and clicking Authorize. When the iTunes Music Store account for that song has been validated (by connecting to the central iTunes Music Store server), you're free to play any other music that was bought using that same account.

Tip

Remember that only five authorization spots are available for a given iTunes Music Store account. If the other person has to regain the authorization she's given to you, she must deauthorize your computer as described in [image] Authorize a Computer to Play Purchased Music. Afterward, you will no longer be able to play her purchased music files.


Section 66. AirTunes: Connect iTunes to a Stereo System with AirPort Express

66. AirTunes: Connect iTunes to a Stereo System with AirPort Express

Before You Begin | See Also
Import a Music CD into iTunes | Share Your Music over the Local Network
Purchase a Song, Album, Video, or Audiobook from the iTunes Music Store | Listen to Shared Music on the Local Network

It's all well and good to play your music using iTunes on your computer; but there's still something missing, something that's keeping your digital music separate from the CDs in your main collection: a good set of amplified speakers and a way to get your music to them. Chances are that the speakers hooked up to your computer aren't the best audio reproduction system in your household, and without a way to play your computer's music through your main A/V system, it's just not quite the same experience. Fortunately, Apple has that base covered, too.

Note

Apple sells a bookshelf stereo system called the iPod Hi-Fi, which for $349 lets you create room-filling sound from your iPod rather than from iTunes as described in this task. See [image] Turn Your iPod into a Boom Box with Remote Control for more information about the iPod Hi-Fi and some exploration of similar alternative solutions.

Available for Mac or PC (just like everything else in the Apple digital music product line), AirPort Express is a device that lets you connect your computer running iTunes to any set of speakers elsewhere in the house and play your music through those remote speakers. iTunes does it all without wires, because AirPort Express is actually a wireless base stationa device variously known throughout the industry as a wireless access point, an 802.11 base station, a Wi-Fi hub, or any of several other such names. AirPort Express is a small, wireless access point in the shape and size of a small AC adapter that plugs directly into a wall outlet and allows all the computers in your house to connect over the airwaves, without wires or cables. The device also has an audio out port. This port, and the software in the base station that controls it (known as AirTunes), is a combined analog and digital (optical) audio port that can connect to any stereo system, high-end or low-end. The upshot is that AirPort Express provides the last link in the chain between the digital music stored on your computer and the good stereo system where you're accustomed to playing your music.

The software in AirPort Express is designed so that you can add its wireless hub capabilities to those of an existing wireless network that you might already have set up in your house, or to act as its own standalone base station. To set up AirPort Express, you simply plug it into the wall and turn it on, optionally connecting an Ethernet cable to it, and run a setup assistant utility on another computer (Mac or PC). This utility lets you set up the AirPort Express unit by assigning it a name and connecting it to your existing wireless network, if you have one, or configuring its TCP/IP settings to act as its own wireless router. Finally, when AirPort Express is all set up, its light turns green and a new menu appears in your iTunes windowa drop-down list from which you choose the set of speakers you want to use for your music output. Just pick one and start playing! The music is streamed from your computer to AirPort Express in uncompressed digital format, and then to your stereo system. Particularly if you have an optical audio input port on your stereo system, the sound quality is just as good as on your own computer, without signal loss from the transmission.

Key Terms

AirPort Express One of Apple's brand of wireless Internet connectivity devices, a wireless base station that provides not just wireless (802.11g) connectivity but also an audio connection between iTunes and a stereo and set of speakers to which it's connected.

Wireless base station A networking device that enables you to share a broadband connection within a household by allowing computers with wireless capabilities to connect to it and share its Internet link.

AirTunes A feature of AirPort Express that broadcasts the capability to route music to a set of externally connected speakers from any copy of iTunes that is running on the network; any of these iTunes computers can choose the AirTunes-managed speakers and play music through them wirelessly.

Ethernet A physical connection to a LAN is done using Ethernet, a low-level communication protocol that involves cables that end in RJ-45 jacks, which resemble large phone jacks. All modern Macs and PCs have an Ethernet port, which runs at 10, 100, or (on top-end models) 1000 megabits (Mb) per second.

AirPort Express is available from Apple for $129.

AirTunes: Connect iTunes to a Stereo System with AirPort Express

Install and Set Up the AirPort Express Base Station

Unpack your new AirPort Express base station and plug it into the wall. You can use either the standard wall prongs (which allow you to plug the unit directly into an outlet as you would an AC adapter), or you can snap it out and replace it with the longer power cord that comes with the unit to gain better placement options.

If you don't already have a wireless network in place, you must connect the AirPort Express unit to your broadband router using an Ethernet cable.

The light on the AirPort Express unit begins flashing orange. It's now ready to be configured.

On any computer on the local network (Mac or PC), install the included AirPort Express software; this includes a utility called AirPort Setup Assistant. Run this program. It walks you through the several steps of the setup process, allowing you to make several choices along the way:

  • Do you want to set up a new AirPort base station, or configure an existing one? First-time users should specify that they want to set up a new base station.

  • Do you want to join the AirPort Express unit to an existing wireless network as a plain client (like any computer), or do you want to use AirPort Express' own wireless base station capabilities to extend the main base station's wireless range? Either option lets you use AirTunes to connect stereo speakers, but extending the network's wireless range by adding AirPort Express' range can mean a somewhat more complex setup procedure (depending on your main base station's configuration).

  • What name do you want to assign to the new AirPort Express unit? This name is also the name associated with AirTunes, so you should pick a name that describes the speaker system to which the Airport Express unit will be connected, such as Living Room Stereo.

Refer to the manual that comes with AirPort Express for further details on the setup process. When you're done with the configuration, click Update on the final screen of the setup utility to reset the AirPort Express unit. When the unit becomes available again (in about 30 seconds), its light turns green, and you can use it to stream your iTunes music to your stereo.

Connect the AirPort Express to Your Stereo System

Using a separately purchased mini-optical audio cable or any standard analog 1/8-inch stereo cable, connect the AirPort Express unit to an audio input port on your stereo system. Optical input is certainly the best choice if you have it because there's no possibility of signal loss between the AirPort Express unit and the stereo. An analog connector should work fine in a pinch or if you don't have an optical input jack on your stereo system.

Choose the AirTunes Speakers for iTunes Output

On any computer on the network that has iTunes installed, look in the lower-right corner of the iTunes window. Next to the Equalizer and Visualizer control buttons is a new drop-down menu with a speaker icon. By default, the menu is set to Computer, which means that your iTunes music is played through your computer's own speakers. However, if you open the menu, it should contain the name of the AirPort Express unit you just set up, which in this example is Living Room Stereo. Select this new option.

Play Music over the Remote Speakers

Now when you play your iTunes music, the audio stream no longer plays through your computer's speakers; instead, it is broadcast over the wireless network to the AirPort Express base station. The base station then routes the music straight into the audio input port of the stereo system.

Make sure that your stereo is set to the input channel to which you connected the AirPort Express audio cable, and turn up the volume. Your iTunes music should be playing now, bigger and louder and richer than it ever sounded through your computer's speakers.

Notes

Some stereo receiver/amplifier models must be set to accept a specific kind of optical input, such as one of multiple coaxial connections. Refer to your stereo system's instruction manual to configure it properly to receive the audio signal on the connected port.

Also, some stereo receiver/amplifier models exhibit a problem when synchronizing with the digital audio stream. If the stereo receiver is set to negotiate the digital audio codec automatically when a new audio stream begins, it can result in the first second or so of each track being dropped. (AirPort Express sends no signal until a new song begins, so the stereo must renegotiate the connection at the beginning of each song.) If possible, disable automatic negotiation on your stereo, and set it to listen for a PCM stream.

Use a Second Computer to Relay Music to the AirTunes Speakers

AirPort Express doesn't come with a remote control, but that's because iTunes is intended to be the only remote it needs. This arrangement is especially useful if you have a public computer sitting in your den or living room. You can use this computer to control AirTunes playback even if the music you're playing is stored on an entirely different computer on the network.

First set up the computer with the large store of music so that it shares its music library (as discussed in [image] Share Your Music over the Local Network). On the public computer near the AirTunes speakers, connect to the first computer's music library, as described in [image] Listen to Shared Music on the Local Network. Finally, on the public computer, choose Living Room Stereo as the iTunes output option. Now you can listen to the music streamed wirelessly from the main music storage computer, and broadcast it back out again to your stereo speakers through AirTunes. How cool is that?


Chapter 8. Maintaining Your Music Library

IN THIS CHAPTER:

About Organizing Your Music

Repair a Missing Song Entry

Reimport a Music CD for Improved Quality

Customize Importing Options

Import a CD in CD-Quality (Lossless) Format

Convert Audio Files to Other Formats

Consolidate Your Music Library

Find Your Music Files from iTunes Entries

Examine and Modify Song Information Tags

Eliminate Duplicate Tracks

iTunes' main advantage, what gave it the edge over existing MP3 player applications at the time it was released, is its database-oriented navigation system. With songs listed not by their filenames and folders, but navigated using the embedded info tags that group them into albums and artists so that users can browse them more like physical CDs on your shelf, iTunes quickly pointed the way toward a richer world of data organized by its inherent criteria rather than by outdated, generic computing metaphors.

The features of iTunes are designed to let your music become organized naturally as you import or acquire it. The info tags are automatically applied to songs as you import them from CDs, and they're already embedded into each song that you purchase through the iTunes Music Store. Yet this process isn't foolproof. It's possible for songs to get into your iTunes Library without having their proper info tags set. It's possible that, over time, through the trivialities of everyday computing life, your files might become accidentally moved or lost, or iTunes might simply lose track of them through something as simple as a wayward click or drag in the file system. In an ideal world, iTunes' song database can't become corrupted on its own. But what kind of an ideal world is it where hard drives crash, Internet connectivity is intermittent, and an inquisitive little brother might rummage through your computer and rename files while you're not looking?

This chapter presents a few procedures that will help you keep your iTunes Library in tip-top shape, organizing your music according to the best practices available for maximum efficiency in finding what you want. You'll see how to consolidate scattered files into your organized iTunes Music folder, how to fix broken song entries in the iTunes Library, and how to reimport a CD if there are encoding errors in the tracks you imported previously. These more advanced topics are intended to help you keep control of your digital music collection even in the face of a decidedly unideal computing world that's determined to make things difficult for you.


Section 67. About Organizing Your Music

67. About Organizing Your Music

Before You Begin | See Also
Import a Music CD into iTunes | Examine and Modify Song Information Tags
Add a Music or Video File to Your iTunes Library |

iTunes works just fine if you never touch any of the info tags yourself. You can import CDs while trusting to the information provided by the Gracenote CDDB query (as described in [image] Import a Music CD into iTunes). You can purchase music from the iTunes Music Store and locate it in your Library even if the artist name is spelled slightly differently from the way it's spelled in other songs by the same artist. You can import compilation CDs, in which each track is by a different artist, and let each artist be listed in the Artist column separatelyeven to the point where your list of artists contains unwieldy composite entries like David Ogden Stiers, Mel Gibson, and Chorus or A. Caroldi, A. Alvarosi, Virginio Bianchi, E. Schiani, and A. Gerbi, as can happen when you import Broadway soundtracks or classical music CDs. Or you can leave the entire disc's Artist field labeled, simply but unhelpfully, as Various Artists. Chances are you'll still be able to find the music you want, one way or another. If not by artist name, for example, you can always find an album by name in the Album list. These inefficiencies in the original info tags might not bother you at all; after all, there's always another way to find what you want in iTunes, as you saw in [image] Find and Play Music.

You might want to keep a few techniques in mind, though, beyond the ones covered by the tasks in this chapter, to help you keep your iTunes Library humming smoothly and efficiently. You can choose to ignore this advice, as you wishbut if you're bitten by the organization bug, as iTunes tends to inspire in people, you'll want to use these techniques to ensure that not just you can find all your music easily, but so can anyone else browsing your music, such as a remote iTunes user sharing your Library (as explained in [image] Listen to Shared Music on the Local Network). Remember, what iTunes promotes is the legitimacy of the digital music medium. It wouldn't do to let people see your digital music collection in more disarray than your commercial CD collection!

Coalesce Artist Names

How is it spelled: Emerson, Lake, and Palmer? Emerson Lake & Palmer? ELP? Particularly if you have tracks by the band that you acquired as MP3 files over the Internet from various sources, you might have this Artist field set to any of a seemingly limitless variety of spellings of the band name. Browse through the Artist list, and you'll find that, in effect, the same band is listed several different times, each associated with only a small subset of the total tracks by that artist that you own.

Perhaps this doesn't bother you. But it should. What if a remote iTunes user thinks he's navigated into your vast collection of Emerson, Lake, & Palmer music, only to discover that a few tracks are missingnot realizing that they're actually listed under ELP? What if you forget how all the songs are labeled, and you go out and buy new copies of certain songs, not realizing that you already have them? It's common courtesy, to yourself and others (to say nothing of to Emerson, Lake, & Palmer) to organize all their music under the same band name so that it's all listed in the proper order, with a uniform level of respect for every song.

The Artist fields that differ so subtly from each other are set in the individual songs' info tags. iTunes automatically and instantly displays all variations in the Artist list as collected from the songs themselves, and the larger grouping structures (such as Artist and Album) don't exist independently of the song files. That makes it easier to keep things straight. All you have to do is fix a single song that has an aberrant spelling, and that spelling disappears from the listing, with the song snapping back into line with all the others by the same artist. An even better and more direct way to coalesce multiple spellings of an artist's name is to select all the songs by that artistwhether they're spelled correctly or notand edit them all at once to set their Artist fields to the same value.

Selecting multiple artist entries with spelling variations.

Choose multiple artist entries from the Artist list by holding down the Ctrl key (in Windows) or the [image] key (on the Mac) as you click each one. The song listing area shows all the songs matching any of the selected artists. Don't click individual song entries to adjust them; instead, with the multiple artist groupings selected, choose File, Get Info. Click Yes in the dialog box that appears, confirming that you're sure you want to edit the information for multiple items.

In the Info window that appears, type the correct spelling of the artist name into the Artist field. iTunes fills in matching names from its database for you as you type. Keep typing the name with the exact spelling, punctuation, and capitalization you want to use for all the selected songs until the correct text string is shown in the text box. Don't change any of the other fields unless you want all of them to have the same value as well. (The Genre field is a good example of where this can be useful.) Click OK to commit the changes and set all the selected songs to the same artist name.

Notice that the number of artists listed in the Artist list has been reduced. If you had four different spellings for Emerson, Lake, & Palmer in the tracks in your iTunes database when you started, the Artist list now shows a number reduced by three. Now there's only one artist to select to get access to all your music by that same group.

Tip

iTunes can recognize that some letters are merely variations on others. For instance, if an artist name in a certain song differs from the artist name in other songs only by capitalization, there won't be two separate artist listings in the Artist column. Similarly, vowels are grouped into single character families regardless of accents or diacriticals; this means that as far as iTunes is concerned, Bjork is the same thing as Björk. The completist in you, if he's really assertive, might compel you to fix these discrepancies even if they don't cause superfluous listingsjust select the artist by clicking the entry in the Artist list, edit the info tags for all matching songs, and set the Artist field to the spelling you want to set for all the songs.

Reduce Genre Variations

Another area where it pays to reduce the needless complexity of your iTunes Library is the Genre column. There is no universally accepted standard format for the way genres are described; one set of songs might be listed as Hip-Hop, another as Hip-Hop/Rap, and another as rap,hip-hop,urban, depending entirely on who set the info tags in the songs in your Library. If you're navigating your music by Genre, there's no way to know in advance which heading the music you want will be under. The best policy is to coalesce your genre variations into single, more all-encompassing categories.

From the Genre list, select an entry that you want to merge with another, more general entry. For instance, suppose that you have two albums under Alternative Rock and 15 under Alternative. You want to change the two wayward albums to fall in with the larger grouping so that you can find all of them reliably in normal navigation, with a minimum of guesswork and blind hunting. Select Alternative Rock; then choose File, Get Info. Adjust the Genre field to read Alternative. (You can select it from the drop-down menu or type until iTunes fills in the matching name for you.) When you click OK, all the affected songs are updated, and the superfluous Alternative Rock Genre entry disappears, with the albums and artists that were inside it now folded into the more general Alternative listing. Now you stand a much better chance of finding the music you're looking for simply by picking the genre that looks most appropriate.

Organize Compilation Albums

What good is an album in which every track is by a different artist, especially if there are lots of different artists shown on each track, such as in an album of Broadway show tunes where each track's Artist field contains a list of all the vocalists who performed on it? It might be entirely correct to have all these independent listings set in the individual songs, but it wreaks havoc on your Artist list. Before you know it, the list is full of long, unreadable entries that are all but useless for navigating to the albums from which the songs originate.

An album with tracks by different artists, just aching to be marked as a Compilation album.

[View full size image]

This is where the Compilation field comes into play. In iTunes, if you enable a special check box info tag called Part of a compilation, the song or album is organized in a different and much more useful way than normal songs or albums. Specifically, the entire album is found under a single Artist listing called Compilations, and all the individual and needlessly complex artist name entries are kept out of the Artist list. Similarly, the song files on the disk are organized into folders that are named for the album in which they appear, inside a folder called Compilations. This arrangement is much more efficient, whether you're navigating in iTunes or in the Finder or Windows Explorer, than digging into confusingly labeled folder trees named for long and complex artist names, only to find a single track inside each onethe only track matching that specific artist name. Compilations bring some sanity to albums where your only hope used to be to leave the tracks' Artist fields set to Various Artists, which isn't very helpful.

Navigate to an album whose tracks are all by different artists. (Use the Album listing to find it by name.) Select the album name from the list and then choose File, Get Info to modify all the tracks in that album at once. Select the Part of a compilation check box and click OK. The songs are updated; you shouldn't notice much change in iTunes, except that the number of individual artists in the Artist list has been reduced by the number of different artists on the album. Now you can adjust each of the Artist fields, putting as much information into each one as you want, and your music navigation won't be made any more complicated no matter how much unique information you add.

Note

For the Compilations grouping to be shown, be sure that the Group compilations when browsing check box is selected in the General tab of the iTunes Preferences window. (Choose iTunes, Preferences on the Mac and Edit, Preferences in Windows to display the Preferences window.) If this option isn't enabled, songs in compilation albums are organized into a Compilations folder in the file system, but all the individual artists show up in the iTunes Artist list. Similarly, on the iPod, navigate into the Settings menu and turn the Compilations setting to On.

Set Accurate Track and Disc Numbers

When you're browsing music in the Library view, it's often most useful to sort the songs based on the Album column. Doing so ensures not only that tracks are grouped together by the proper albums they come from, but also that they're secondarily sorted according to their track numbers within the albums. With this organization, you can easily play an album all the way through by simply selecting it from the Album list and clicking Play; the tracks play in their original album order.

This behavior is true, however, only if the Track Number field is properly set in each of the songs. This field can take one of two forms: a single number, or a two-part number that also includes the total number of tracks on the disc (such as 7 of 12). To ensure that the tracks are sorted properly, and to be able to set up Smart Playlists and other kinds of groupings based on the appropriate contents of these fields, it's important that each track has both its individual track number and the total number of tracks on the album set properly.

Select an album from the Album list. View the Track # column in the song listing area. If any of the tracks vary from the two-part 7 of 12 format, update them by setting the info tags. The best way to do this is to edit all the tags of the relevant tracks at once.

Choose File, Get Info. In the Track Number fields, set the second number (and only the second number) to the total number of songs on the album. Click OK to set this value in all the tracks. Then select each song individually for which the track number isn't filled in. Choose File, Get Info again and enter the appropriate track number for each song.

Multidisc sets are also handled best by iTunes when they have the appropriate info tags set. In this case, it's the Disc Number field. Suppose that you have a six-disc set of songs by a favorite band. In the ideal case, all you would have to do when playing this collection would be to select the single entry representing the entire six-disc collection from the Album list and click Play to play the whole thing from the beginning of the first disc to the end of the sixth. However, this usually isn't possible with discs imported using the basic information in the Gracenote database because the user-contributed information downloaded from there usually applies a superfluous suffix (such as [1/6]) to the album name for each disc instead of properly using the Disc Number fields. You can fix that, in what should be a familiar procedure by now.

First make sure that the individual disc number is set properly in each of the tracks. To do this, select an individual entry in the Album list representing a single disc in the set; choose File, Get Info, and set the first part of the Disc Number field pair to the appropriate number of the disc in the set. Click OK to save the changes to all the tracks on the disc. Repeat this step for all the discs in the set.

Multiple discs from a single set, exhibiting superfluous variations in the Album list.

Next, select all the different album entries representing the components of the three-disc set, holding down Ctrl (in Windows) or [image] (on the Mac) as you click each one. Choose File, Get Info. First set the Album field to an appropriate name for the entire collection, without suffixes indicating the number of discs. Then fill in the second part of the Disc Number field pair, indicating the number of discs in the set (in this example, 6). Click OK to save this information. Notice that the entries in the Album list collapse together into a single neat entry. Selecting this single entry shows you all the tracks from beginning to end within the collection, spanning all six discs in order. That's the way this kind of music was meant to work!

Note

Certain kinds of media files, such as podcasts and videos purchased through the iTunes Music Store, are organized and automatically sorted by info tag fields that are not editable (such as Season and Episode #). Their category names often correspond to the Genre setting (such as TV Shows or Movies), but changing the Genre field does not affect the way they're listed in iTunes. This is one drawback to the usability of these kinds of files in iTunes. The fields might be made editable if enough users express a need for it. In the meantime, Mac users can use Lostify (http://home.comcast.net/~lowellstewart/lostify/) to modify these fields.

Work with Classical Music

There's one type of music that iTunes simply handles poorly: classical music. iTunes just isn't designed for that genre. iTunes was developed with the modern organizational structure of popular music in mind: albums by individual artists containing a dozen or so songs each. This led to an obvious hierarchical structure for your Library, with tracks grouped beneath albums, which are then grouped into artists and then genres. Yet when you think about the way classical music is structured, it could hardly be any more different.

First of all, in classical music, the composer is far more important than the performer, which is usually defined as a certain symphony orchestra led by a certain conductor or featuring certain soloists. iTunes provides a Composer field, but it's not available as one of the Browse lists. The situation just gets worse from there.

The concept of an "album" didn't exist in classical times, and instead of a dozen songs grouped into an album by a specific artist, the closest thing to it was a "work" (a symphony, concerto, or suite) consisting of only a few comparatively long pieces (or movements). These "works" were sometimes standalone bodies of music, but as often as not they were thought of as being part of a longer and ongoing lifelong body of work by the composer, or as entries in a series of themed works for a certain patron or sponsor. To make matters still worse, these bodies of work are usually listed only by long, esoteric strings of numbers and identifiers, such as Beethoven's String Quartet no. 9 in C op.59 "Rasumovsky" no. 3. Just imagine how that would look on an iPod!

Web Resource

http://alanlittle.org/weblog/ClassicalID3.html

Alan Little discusses the ramifications of organizing classical music in the modern digital music paradigm.

Unfortunately, there's no good solution for this situation. iTunes and the iPod just aren't built for classical music. You can listen to digital versions of your classical music collection in iTunes just fineit's just finding the music that's a problem. You can use the Search bar to find music by a certain composer, or you can navigate the Album list to find the name of a work by its commonly known name (such as Holst's The Planets). But for music without the benefit of an easily readable and concise work title by which to find it, there's not a lot of recourse.

One possibility is to decide on an easily identifiable name for a given body of workif one doesn't exist in common discourse, make one up if you have toand assign that name to the Album field for the music. Don't adhere too closely to whatever name was assigned to the CD on which the music was publishedmore often than not, classical music CDs contain more than one work, often by different composers entirely. Instead, set your own name for the work, such as Beethoven's Ninth Symphony. It might not be very satisfying to classical music purists to see it listed in this way, but at least you'll be able to find it.

You can use the Grouping field as another method for organizing your classical music works. Although it isn't used in any of the Browse lists and is not exposed in any of iTunes' standard navigation methods, groupings can be used to gather the tracks of a classical work together even if their other fields are set to unhelpful values. For example, set the Grouping fields of all the tracks of a work to a well-known name, such as Beethoven's Ninth Symphony; repeat the process for each of your classical works. Then you can create Smart Playlists based on the contents of the Grouping field and use the Shuffle setting (in the Playback section of the iTunes Preferences window) to cause iTunes to skip from one set of tracks with the same Grouping value to another, rather than from song to song or from album to album.

Note

You can put the full, correctly formatted work title in the Comments field of the tracks on the album. If iTunes is updated in the future to better handle classical music, you can reorganize these tracks with the syntactically proper titles in front of you for easy reference.


Section 68. Repair a Missing Song Entry

68. Repair a Missing Song Entry

Before You Begin | See Also
Find and Play Music | Convert Audio Files to Other Formats
 | Find Your Music Files from iTunes Entries
 | Eliminate Duplicate Tracks

Because iTunes is designed as a database of music whose contents are really just pointers to the audio files on your hard disk, it has many advantages over pure "front-end" applications (such as WinAmp) that play music files directlyand some disadvantages as well. One of the disadvantages is that if an audio file to which iTunes maintains a reference disappearsfor any of myriad reasons that this might happeniTunes won't know where to find it. The reference in the library becomes a broken pointer; it's still in the database, but it doesn't point to a valid file anymore.

Key Terms

Broken pointer A song entry in the iTunes database that points to a file that no longer exists or has been moved to another location so that iTunes can't find it. Broken pointers are marked with an ! icon.

Note

The danger of broken pointers is much less on the Mac than it is on Windows. On the Mac, iTunes can keep track of files by their Unique File ID numbers, which locate them no matter where they are on the disk. In Windows, the Unique File ID doesn't exist, and iTunes can track a file only by its path. If you move a file on the Mac, iTunes can still find it; but in Windows, if the file system path is no longer correct for a file, iTunes can't play it.

This task describes how to fix a broken pointer, as well as how to fix a condition in which a broken pointer is mistakenly directed toward the wrong audio file.

Repair a Missing Song Entry

Attempt to Play a Missing Song

A broken pointer in the iTunes Library is marked with an ! icon next to its name in the leftmost column. This icon might not show up until you try to play the song. However, iTunes periodically checks its internal database for consistency and displays the icon on any song whose corresponding audio file it can't find on the disk where it expects it to be.

Select the song and try to play it by double-clicking it or by clicking Play. iTunes pops up a dialog box telling you that it can't find the original file; it asks whether you want to repair the broken pointer by locating the file. Click Yes.

Navigate to Find the Original Song File

A file navigation window appears, in the style native to your operating system. Navigate your disk until you find the original file to which your iTunes song entry pointed.

Depending on what happened to the file, you might have to use different methods to locate it. First check the place where the file should be (in the appropriate folder inside the iTunes Music folder, for example) by navigating into subfolders until you see whether the file is in the folder it's supposed to occupy. Perhaps the filename has become corrupted. If the file is not there, try searching your entire disk for any part of the filename or song name you can remember. (The Spotlight feature in Mac OS X Tiger, or indexing tools for Windows such as Google desktop, can find lost music files when any of the embedded info tags as well as the filename match your search query.)

Re-Establish the Database Link to the File

Select the original song file and click Choose or Open. If the file was deleted and you had to download a fresh copy, select that new file instead.

iTunes re-establishes the link in the database to the file you selected. Depending on your configuration, the file might be moved or copied automatically into your iTunes Music folder and placed in the subfolder corresponding to the settings in the song's info tags. See [image] Import Your Existing Digital Music Collection into iTunes for more information about configuring iTunes' behavior regarding the iTunes Music folder.

Note

If the song file to which you choose to reattach the database entry doesn't have all the info tags filled out (for example, if it's a newly downloaded replacement copy), iTunes fills out all the missing tags from its own database entry. This is an excellent reason to make sure that all your info tags are as completely filled out as possible!

Repair a Misdirected Song File Pointer

Mistakes happen. They particularly have a way of happening in the wake of other mistakes, or when you're trying to repair the damage from a previous problem. One common thing that can happen is that you might accidentally re-establish the database link to the wrong music fileone that already exists in the iTunes Library. What happens in this case is that you end up with two entries in iTunes for the same file, with identical copies of all the same info tags (except for Date Added, Last Played, Play Count, and My Rating), and no database link to the original file for which you were trying to repair the entry.

One way to fix this is to import the file back into iTunes (see [image] Add a Music or Video File to Your iTunes Library) and delete one of the redundant copies of the entry in iTunes, making sure to tell iTunes not to move the deleted file into the Trash. However, this solution is messy, and external data for your reimported song file such as the Date Added and Last Played stamps and the My Rating field is lost.

To re-establish the link cleanly and preserve all the unique song file information, do the following:

  • Show the song file for the redundant iTunes entry (see [image] Find Your Music Files from iTunes Entries).

  • Move the misdirected file indicated by iTunes to a place where iTunes can't find it; in Windows, this means moving it to any other folder (such as your Desktop) or renaming it. On the Mac, you must move it to a different volume (your iDisk, a network drive, or an external hard disksuch as your iPod if you have it configured as an external drive) to defeat the Unique File ID.

  • In iTunes, select the copy of the song with the incorrect My Rating, Last Played, Play Count, and Date Added fields, and try to play it. iTunes won't be able to find the song file, and it offers to let you locate it. Navigate to the correct original file (not the one you just renamed or moved to another volume), as described in Step 2, and select it to reestablish the database entry. The song entry in iTunes regains its original info tags, imported from the file, and appears back in the proper place in the song listing.

  • In the Finder or Windows Explorer, move the misdirected file back into its original location. Play it in iTunes to be sure that its link is correctly established. You should now be up and running with both song files.


Section 69. Reimport a Music CD for Improved Quality

69. Reimport a Music CD for Improved Quality

Before You Begin | See Also
Import a Music CD into iTunes | Customize Importing Options
 | Import a CD in CD-Quality (Lossless) Format

Some CD drives are better than others. If you're the not-so-lucky owner of a drive that has poor mechanicals or second-rate driver software, this condition is usually apparent in that the tracks you've imported from your music CDs are full of little clicks and pops that sound like dust on a vinyl record. Unfortunately, it has nothing to do with the cleanliness of the discit simply means that the drive or its driver software might not be capable of importing music cleanly at the selected data rate.

Note

This task shows how to reimport an audio CD to reduce the clicks and pops resulting from a fragile CD drive. If your CD is actually physically damaged, there's nothing iTunes can do to reconstruct the damaged datait's lost for good, and importing the track will inevitably result in skips and errors. Look for a copy of the bad track in the iTunes Music Store instead$1 for a single track is certainly cheaper than buying the whole disc again. Of course, if the disc is just smudged, scratched, or dirty, you can buy a cleaning kit that can restore the disc to working condition before you import it again.

The good news is that you can reimport the CD using more sedate settings that are more likely to result in good sound quality. iTunes will replace your existing tracks with the newly imported ones, leaving all the info tags unchanged. Even the Date Added, Last Played, Play Count, and My Rating fields will remain untouched. If you import a bunch of CDs using an old computer with an inferior drive, and then you move to a new computer with a better drive, you can reimport your music files without losing the preference data you've been building up all this time. (See [image] Back Up Your Music to CD or DVD and related tasks for information on migrating your music collection from one computer to another.)

Reimport a Music CD for Improved Quality

Insert the Music CD

With iTunes up and running and your connection to the Internet active, insert the CD you want to reimport into the CD drive. Wait for the track names to download from the Gracenote database.

Edit Track Names to Match Existing Entries

Double-click the CD in the Source pane to open it in another window; in the Library view, navigate to the album and view its tracks. You must update all the track names in the CD so that they exactly match the info tags of the existing iTunes entriesSong Name, Artist, and Album. If these track name elements don't match exactly, the newly imported tracks will be added alongside the old ones instead of replacing them. Use the two windows side by side so that you can copy and paste info tag data from the iTunes Library entries into the CD tracks.

Turn On Error Correction

Open the iTunes Preferences window. (Choose Edit, Preferences in Windows or iTunes, Preferences on the Mac.) Click the Advanced tab, and then click the Importing subtab.

If you're reimporting the songs using the same drive you used previously, you might get better results by turning on error correction. Enable the Use error correction when reading Audio CDs check box. Music that you import from CDs from now on might be of better quality, but it will take longer to import. Click OK.

Import the CD Tracks

Click the Import CD button in the upper-right corner of the CD window. iTunes notifies you in a dialog box that some of the tracks on the CD are already in iTunes, and asks if you want to replace them. Click Replace Existing.

The CD tracks are imported and placed into the iTunes Library in place of the older versions. Play the tracks to verify that the new ones are free of the clicks and pops in the old versions.

If the newly imported music still has problems, it could be that you should replace your drive with a newer model. You can purchase a replacement optical drive inexpensively ($50 or less), and you'll probably get more capabilities and speed to boot. It's certainly a more cost-effective solution than buying all your music again from the iTunes Music Store.

Note

There can be numerous causes for a CD drive importing music badly, including outdated drivers, insufficient memory, or spyware or viruses interfering with the drive's operation. If you reimport your music and it still has quality problems, you might want to investigate your computer's general healthor have a professional repair service do soto make sure it isn't harboring gremlins.


Section 70. Customize Importing Options

70. Customize Importing Options

Before You Begin | See Also
Import a Music CD into iTunes | Import a CD in CD-Quality (Lossless) Format
 | Convert Audio Files to Other Formats

Apple suggests that you use the AAC format in its default bit rate settings to import your music CDs into iTunes. Because this is probably the format with the best balance of features and performance for most people's listening habits, iTunes is configured by default to use this format. However, you can use any of several other file formats to create your new digital music filesmost likely MP3, to take advantage of the ubiquity of MP3 CD playersbut also with the option of several high-quality lossless formats for those who prize audio quality over disk space frugality.

The importing options you can set in iTunes also determine the default destination format for when you convert audio files from other formats, as shown in [image] Convert Audio Files to Other Formats.

Customize Importing Options

Open the Importing Preferences

Open the iTunes Preferences window. (Choose Edit, Preferences in Windows or iTunes, Preferences on the Mac.) Click the Advanced tab, and then click the Importing subtab.

Choose an Encoding Format and Bit Rate

From the Import Using drop-down list, choose an audio file format (an "encoder"). You might choose the MP3 Encoder to create MP3 files you can burn onto a data CD that will play in the car or on a portable MP3 CD player. (See [image] Create an MP3 CD.) You might select the AIFF or WAV Encoder option to create uncompressed audio streams converted directly from the raw CDDA data, without file-size reduction, for use in high-quality sound editing. Or you might opt for the Apple Lossless Encoder, which creates files about half the size of the original CDDA music, but with the same dynamic range and clarity (worthwhile if you're a hard-core audiophile).

Note

The iPod shuffle doesn't support the Apple Lossless or AIFF formats.

From the Setting drop-down menu, choose one of the available bit rates. The MP3 Encoder option, for example, has three different encoding quality settings from which you can choose. Most of the other formats have only a default Automatic setting and some Custom options you can tweak if you're an expert.

Tip

If you're importing a spoken-word album (such as an audiobook or a comedy show), the default AAC Encoder option has a setting called Spoken Podcast that is specially tuned for exactly that kind of audio stream, with voice filtering technology that ensures high-fidelity voice reproduction with a minimal file size footprint. This setting is particularly helpful if you're using iTunes to encode a podcast that you're creating; be sure, however, to switch back to High Quality (128 kbps) if you want to import regular music CDs again!

Specify Custom Encoding Options

Choose the Custom option from the Setting menu. This option is most useful if you've selected the MP3 Encoder option from the Import Using menu; the Custom setting opens a secondary dialog box that allows you to adjust many of the parameters of the MP3 encoding policy. For instance, you can enable Variable Bit Rate (VBR) encoding, a popular technique that saves file size by reducing the bit rate in regions of the song that don't require as much sound resolution. You can also adjust the sample rate and number of channels, as you can with other encoding formats. Other options, such as Smart Encoding Adjustments and Filter Frequencies Below 10 Hz, are likely to be useful to experts only.

If necessary, click the Use Default Settings button to return to the default behaviors for the encoding format. Then click OK to return to the Importing Preferences window.

Turn On Error Correction

Back in the Importing Preferences window, enable the Use error correction when reading Audio CDs check box to ensure that imported CD music is subjected to several levels of checking as it's being copied and encoded. This option slows down the importing process, but on a fast computer such as a Pentium IV or a Power Mac G5 (or a PC or Mac using the Intel Core chip), you likely won't even notice.

Click OK when you're done adjusting the settings. When you import CD music in the future, the music will be saved according to these settings.


Section 71. Import a CD in CD-Quality (Lossless) Format

71. Import a CD in CD-Quality (Lossless) Format

Before You Begin | See Also
Import a Music CD into iTunes | Convert Audio Files to Other Formats
Customize Importing Options | Use Your iPod as an External Hard Disk

People use iTunes and the iPod for the most amazing things these days. The makers of the Lord of the Rings movies, for example, used iPods to transfer in-progress audio and video clips to each other for editing and approval. (You'll see how to make use of your iPod's external hard drive function in [image] Use Your iPod as an External Hard Disk.)

It's easy to imagine that, in this capacity, it was important for the filmmakers to keep their audio clips in as pristine a format as possible to ensure that they could edit and send the clips from studio to studio without any degradation in audio quality. This is why lossless audio formats such as AIFF, WAV, and the most recently developed one, Apple Lossless, exist. These formats create audio files that are much larger than compressed MP3 or AAC files, but these uncompromised, CD-quality audio streams don't suffer from quality loss as they're imported and exported from one format to another.

If your needs are such that you have to have a particular CD added to your iTunes Library in pristine CD-quality format rather than the space-saving compressed formats that iTunes customarily uses, you can choose one of these lossless formats for your importing duties. Your iPod won't be able to hold as much music in these formats, but it will sound a lot better.

Note

The iPod shuffle doesn't support the Apple Lossless or AIFF formats.

Import a CD in CD-Quality (Lossless) Format

Configure iTunes to Import in a Lossless Format

Open the iTunes Preferences window. (Choose Edit, Preferences in Windows or iTunes, Preferences on the Mac.) Click the Advanced tab, and then click the Importing subtab.

Choose a lossless format from the Import Using drop-down menu. Choose AIFF Encoder or WAV Encoder for cross-platform, uncompressed files that are no smaller than the raw CDDA files on the music CD. (AIFF is more Macoriented, and WAV is more of a Windows standard.) Alternatively, choose Apple Lossless Encoder for lossless music files that are about 50% smaller than the raw CDDA data. These results are still about six times as large as compressed MP3 or AAC files, but this format definitely helps save space.

Click OK to use these new settings for future CD imports.

Insert the Audio CD

Insert the CD that you want to import into the CD drive. Wait for the track names to download from the Gracenote database.

Make Necessary Edits to Track Names

Double-check the track name information downloaded from the Gracenote database against the track listing on the insert in your CD's jewel case. Make any necessary corrections to the track names.

Import the CD Tracks

Click the Import CD button. iTunes imports the CD tracks and saves them to files in the chosen lossless format. These files are represented in iTunes in the same way as any other song files. The only way to tell the difference is by looking at the contents of the Kind field. (See [image] Customize Which Information Columns Are Displayed if the Kind column is not visible.)

Locate the Uncompressed Audio Tracks

You might want to use the imported AIFF or WAV files in an external audio-editing program. To do this, you must locate the original files on your hard disk. Select one of the imported song files and choose File, Show Song File to open a Finder or Windows Explorer window showing the original file in its location on the disk. Then you can open the audio file in your favorite sound-editing software.


Section 72. Convert Audio Files to Other Formats

72. Convert Audio Files to Other Formats

Before You Begin | See Also
Customize Importing Options | Import a CD in CD-Quality (Lossless) Format

You can use iTunes to convert audio files from one format to another. For instance, you might have an AIFF file you created in an audio-editing program (such as GarageBand on the Mac) that you want to convert to MP3 or AAC format so that you can transfer it easily over the Internet and share with your friends. Because it's fairly likely that you ultimately want to have a listenable version of the track in your iTunes Library and iPod, iTunes does the conversion right within the Library. First you import the source file, and then you convert it to the destination format (which is the same as the format you've selected for importing songs from music CDs, as shown in [image] Customize Importing Options). Both the source and destination files are available in the iTunes Library, and you can then locate the original files with a single command for further external use.

Convert Audio Files to Other Formats

Set the Default Importing Encoder to the Destination Format

iTunes can convert song files to your preferred destination format with a single command. However, before it can do this, you must define what your preferred format is. The format for file conversions is the same as the format you select for importing songs from music CDs.

Open the iTunes Preferences window. (Choose Edit, Preferences in Windows or iTunes, Preferences on the Mac.) Click the Advanced tab, and then click the Importing subtab. Choose the desired destination format from the Import Using drop-down menu and use the Setting menu to specify any further encoding settings (as described in [image] Customize Importing Options). Click OK when you've finished setting the default encoding format.

Import the Source Files into iTunes

Locate the audio file that you want to convert. This file can be in any of the formats that iTunes understands: MP3, AAC, AIFF, WAV, Apple Lossless, unprotected WMA (on Windows), or MPEG audio formats that predate MP3. You can even convert synthesized MIDI songs to your chosen sampled format using this method.

Add the file (or files, if you have more than one file to convert) into the iTunes Library as described in [image] Add a Music or Video File to Your iTunes Library.

Select the Song Files You Want to Convert

Navigate to the newly imported files using the Browse lists or by sorting on the Date Added column. Click to select a single song file, or select multiple files by holding down Shift (or Ctrl or [image]) as you click them.

Convert Selected Files to the Destination Format

From the Advanced menu (or the context menu that appears when you right-click the selected songs), choose Convert Selection to MP3. (Instead of MP3, the menu option reflects the destination format you chose in Step 1.) iTunes converts all the selected files to the chosen destination format. The converted song files are shown in the iTunes Library under each of the songs from which they were converted.

Tip

During the conversion process, a new item appears in the Source list: Converting Songs. If you select this source, you'll see a list of all the songs you've selected for conversion as well as animated icons showing which ones are in progress and which ones are complete.

Locate the Converted Audio Files

Select any of the converted song entries in iTunes and choose File, Show Song File. A Finder or Windows Explorer window opens to show you the location on the hard disk of the newly created file in your chosen destination format. You can now copy this file to a more useful location. (Don't delete it from the folder it's in, or it'll become a broken pointer in iTunes; instead, delete the song entry from iTunes and choose to have it move the corresponding file to the Trash.)


Section 73. Consolidate Your Music Library

73. Consolidate Your Music Library

Before You Begin | See Also
Run iTunes for the First Time | Find Your Music Files from iTunes Entries
Import Your Existing Digital Music Collection into iTunes | Eliminate Duplicate Tracks

Consolidating your iTunes Library is a one-way operation that lets you clean up your hard disk after you've been using iTunes for a while and have added music files to it that might reside in various places all over your computer's hard disk. When you choose this option, iTunes finds all the music files that have been added to the Library without being moved or copied to the iTunes Music folder, and it copies them to appropriate locations in that folder on the basis of their info tags. After you've consolidated your Library, you can recover disk space by deleting the original copies of your music files outside the iTunes Library. In the future, you can be assured that your iTunes Music folder contains all the music files in your collection (provided that you enable the Copy files to iTunes Music folder when adding to library option in the Preferences window).

Consolidate Your Music Library

Consolidate Your Music Library

Choose Advanced, Consolidate Library. A warning dialog box appears, asking whether you're sure you want to proceed, because this is a one-way operation that you can't undo. Click Consolidate to continue.

iTunes begins copying all the stray files into your iTunes Music folder. This process can take several minutes. When it's done, every song entry in your iTunes Library corresponds to a file that's properly organized in your iTunes Music folder according to its Artist and Album info tags.

The next two steps illustrate a couple of configuration options that can help you keep your iTunes Music folder consolidated in the future.

Choose to Keep Your iTunes Music Folder Organized

Open the iTunes Preferences window. (Choose Edit, Preferences in Windows, or iTunes, Preferences on the Mac.) Click the Advanced tab, and then click the General subtab.

Enable the Keep iTunes Music folder organized check box. With this option enabled, every change that you make to the info tags of a file in iTunes' interface is reflected immediately in the filesiTunes renames and moves the files to match their hierarchy within iTunes. Turn off this option if you don't want iTunes messing around with your files' names.

Note

If you re-enable the Keep iTunes Music folder organized option after you had disabled it, iTunes must perform a check against all the songs in its Library to make sure that all the filenames are accurate. This process can take a long time, and you can interrupt it by clicking Stop. However, it's a good idea to let iTunes finish making everything neat, so be patient.

Choose to Copy Future Imported Files to the iTunes Music Folder

The Copy files to iTunes Music folder when adding to library check box determines exactly what happens when you import a new file or group of files into iTunes' database. If the check box is enabled, iTunes makes a duplicate of each imported file and places it into an appropriate place in the iTunes Music folder, in subfolders based on the Artist and Album info tags. If this option is not enabled, the iTunes database instead points to added music files wherever in the system they happen to be.

If you enable this option, you won't have to run a Consolidate Library process again in the future because all the music you add to iTunes will automatically be copied into your iTunes Music folder.

Click OK to commit your configuration changes.

Delete Superfluous Music Files

After the consolidation is complete, use the Finder or Windows Explorer to locate the original music files that were duplicated into the iTunes Music folder, and throw away these superfluous originals. Deleting the originals lets you recover the (perhaps significant) disk space they consume.


Section 74. Find Your Music Files from iTunes Entries

74. Find Your Music Files from iTunes Entries

Before You Begin | See Also
Find and Play Music | Repair a Missing Song Entry
 | Convert Audio Files to Other Formats
 | Consolidate Your Music Library

iTunes acts as an intermediary between you and the bare music files that make up your digital music collection. Its internal database structure translates the files with their austere names and folder paths into an easily navigable continuum of music, interlinked by Artist, Album, Genre, and other info tags. You can accomplish most operations involving your music by simply dragging song entries out of the iTunes song listing into other applications, particularly on the Mac where applications such as iMovie are designed to interoperate with iTunes.

However, this arrangement doesn't mean you'll never have to find the original raw music files in their organized folders. You might want to attach an MP3 or AAC file to an email message, for example. Or you might have to upload a song file to your website. These operations require you to find your way to the original music files to which the iTunes database entries refer.

Find Your Music Files from iTunes Entries

Navigate to the Music You Want to Find

Using the Browse lists or the Search bar in the Library viewor any playlist or other music source in the Source panenavigate to find an individual music file that you want to locate on your hard disk.

Select a Song File to Find

Click to select the song file you want to locate.

Note

You can't use this method to locate multiple files on the disk at once. If more than one song entry is selected, the Show Song File menu option is disabled.

Reveal the Song File on the Hard Disk

Choose File, Show Song File (or right-click the song title and choose Show Song File from the context menu). A Finder or Windows Explorer window appears, showing you the selected file in its location on the hard disk. You can copy this file to any more useful location, such as your desktop, for use with other audio-editing applications.

Note

Copydon't movethe file from its location on the disk, particularly if you use Windows. See [image] Repair a Missing Song Entry for more information on the possible consequences of moving a file and how to recover from it.

Allow iTunes to Keep Your iTunes Music Folder Organized

Note the path to the file's location. If you have enabled the Keep iTunes Music folder organized option in the Advanced pane of the iTunes Preferences window (open the window by choosing Edit, Preferences in Windows or iTunes, Preferences on the Mac), you can be sure that you'll always be able to find the file. Navigate first into your iTunes Music folder (inside the Music folder on the Mac, or in the My Music folder in Windows, and then inside iTunes, where the Music Library database file is kept). Then go into the folder named for the artist of the song as set in its info tags. Open the folder corresponding to the album that the song is on; inside that folder is the song file.

If the Keep iTunes Music folder organized check box is not enabled, you'll have to use the steps described in this task to find your music files because there will be no predictable way to locate them as there is when the option is enabled.

Tip

If you have Mac OS X Tiger or an indexing system such as Google Desktop on Windows, you can quickly locate music files using their info tags with a Spotlight or Google search on your computer's disk. This approach is still not as elegant as using iTunes' folder hierarchy, but it will do in a pinch.


Section 75. Examine and Modify Song Information Tags

75. Examine and Modify Song Information Tags

Before You Begin | See Also
Find and Play Music | Import a Music CD into iTunes
 | Submit CD Track Names to the Gracenote Database

Song information tags, or info tags (also known as ID3 tags for MP3 files), are the heart and soul of iTunes. They're what give it the ability to organize your music in a richer and more meaningful way than simply by scrolling through folders looking for particular filenames. The info tags formulate the basis for the database queries that underlie every listing of song files, whether you're viewing an album or artist listing, a playlist, a Smart Playlist, or even just the Browse lists in the Library view.

As discussed in detail in [image] About Organizing Your Music, keeping your songs' info tags organized properly is a big part of what makes iTunes enjoyable to use. The more neatly you have your info tags specified in all your files, the easier it is to navigate iTunes and quickly and easily find the music you want to listen to.

iTunes provides several ways to edit your songs' info tags. You can modify certain textual info fields in place within the iTunes song listing. Other tags, however, must be edited using the Info window, which shows you all possible info tags that you can set. The Info window can also be used to modify the info tags of large groups of song files all at once. Finally, iTunes gives you the ability to update the version and internal format of the ID3 tags in certain selected MP3 files, which corrects for limitations on field length and encoding format that can cause problems in MP3 files that are encoded with older software.

Note

You can set info tags for any files in the iTunes Library, whether audio or video. However, only certain file formats (specifically, MP3, AAC, and Apple Lossless) have the structural ability to store the info tag information inside the files themselves, in the headers (textual data at the beginning of a binary data file). Even these formats don't store the Date Added, Last Played, or My Rating fields, or certain other information such as preamp settings. For these tags and all other formats, the info tags are stored exclusively in the iTunes Library database, and the information is lost if the iTunes Library becomes unusable. See [image] Restore Your Music Library Database from a Backup Copy for more details on precautions you can take to protect your Library's info tags.

Examine and Modify Song Information Tags

Navigate to the Music You Want to Modify

Using the Browse lists or the Search bar in the Library viewor any playlist or other music source in the Source panenavigate iTunes to find an individual music file whose info tags you want to modify.

Modify Info Tags in Place

For certain textual info tags, such as Song Name, Artist, Album, Genre, and Composer, you can edit the tags by clicking them in the song listing area and typing the new text (and then pressing Return or Enter). This is the most straightforward way to modify the info tags that most directly affect navigation. (The contents of the Genre, Artist, and Album lists depend on querying for every unique member of each of those fields in the entire Library.) When you make changes to these info tags in a song entry, the changes are immediately reflected in the navigation lists.

Modify All Info Tags in the Info Window

With a song file selected, choose File, Get Info. This command brings up the Info window. Click the Info tab to show all the settable info tags for the file. Modify any of these fields that you like, but be sure you're putting in accurate information.

As you type in the Artist, Album, Composer, or Genre fields, iTunes makes suggestions by automatically filling out the remainder of the field with any matching values it can find from the database. As soon as you see the name filled in that you want to use, press Tab to move to the next field. Otherwise, keep typing until you've set the field the way you want it.

Tip

If you've typed a name exactly the way you want it, but iTunes has still suggested more to the name by adding more letters, press Backspace or Delete to remove the superfluous letters before moving to the next field.

Click OK when you're done setting fields, or click Previous or Next to move backward or forward through the song listing and edit the tags for other files.

Modify Information for Multiple Items

You don't have to edit info tags one song at a time. It can be a lot more efficientparticularly if you want to make a change that affects all the tracks in a given album or by a certain artistto select all the relevant tracks and then edit their info tags all at once.

Select multiple tracks whose tags you want to edit by holding down Shift as you click (for contiguous selections), or Ctrl or [image] (for noncontiguous selections). You can also select all the tracks in an album by selecting the album from the Album list, or all the tracks by an artist by selecting the name from the Artist list. Then, as before, choose File, Get Info.

The Info window that appears is slightly different from the way it appears when you're editing just one file. In this version of the window, there's a check box next to every field that indicates whether the field has been modified while the window has been open. The check box is enabled if you make a change to any of the fields. Disable the check box on any field to prevent that field from being modified on all the selected tracks.

If a field has a value set in it, it means that all the tracks in the selection are already set to the same value. Blank fields indicate that some of the tracks in the selection have different values for that field. Unless you're sure that you want to set all selected tracks to that same value, don't enter a value into a blank field!

Click OK to apply your changes to all the selected songs.

Convert ID3 Tags to a More Modern Format

Sometimes an MP3 file that was recorded many years ago or with very old software might present difficulties when you try to set its info tags. A song name greater than 32 characters might become truncated, for example, no matter how many times you set it. This usually happens because the encoding software wrote info tags using an old version of the ID3 tag standard, which specified smaller limits on info tag lengths or text-encoding capabilities than is possible with modern info tags in newly encoded files.

Tip

You can find out what ID3 tag version is used in any MP3 file by selecting it and choosing File, Get Info. On the Summary tab, the ID3 Tag information field reports the song's tag version.

Select an MP3 file whose info tags are giving you problems. Choose Advanced, Convert ID3 Tags from the main menu (or right-click the song and choose Convert ID3 Tags from the context menu). A dialog box appears, giving you several options for converting the ID3 tags. Choose a version number (the higher the better) from the ID3 tag version drop-down menu to upgrade the ID3 tags to a more modern format. (You might have to convert the tags to a version number smaller than the highest one available under certain circumstances, such as if you want to open the files in an application that doesn't support the most recent tag version.)

If the song's info tags contain non-Western characters that appear in the song listing area as question marks or unreadable symbols, select the Translate text characters check box and choose a conversion operation from the three options presented: ASCII to ISO Latin-1 or its reverse operation, or the reversal of an incorrect Unicode text encoding.

Click OK to convert the info tags. You should now be able to set the fields to values with arbitrary lengths or character sets.


Section 76. Eliminate Duplicate Tracks

76. Eliminate Duplicate Tracks

Before You Begin | See Also
Import a Music CD into iTunes | Repair a Missing Song Entry
Import Your Existing Digital Music Collection into iTunes | Reimport a Music CD for Improved Quality

A common issue that complicates the practice of keeping your iTunes Library cleanly organized is that it's very easy to accumulate duplicate songs in the Library. From iTunes' perspective, a duplicate song occurs any time two or more songs share the same song name and artist. This usually results from the same song by the same artist appearing on more than one album that you've imported into iTunes (a common pitfall of having compilation or "Greatest Hits" albums in your Library).

Normally this duplication doesn't cause serious problems. But having multiple copies of a single song in your Library makes it more likely that the song will come up in randomized (shuffled) playback, whether in iTunes or on the iPod, and it means that your Play Count field is inaccurate because it is split across two or more entries in the database. Also, naturally, duplicates of song files take up precious disk space. It's generally best to avoid having duplicate songs in your Library. You don't have to delete them, though; just disabling the check box on a duplicate song means you can exclude it from Smart Playlists or iPod synchronization, and you will generally listen to only the copy whose check box is enabled.

Eliminate Duplicate Tracks

Choose a Music Source to View

Select the Library view or any playlist from the Source pane. Only the songs within the selected music source are analyzed for duplicates.

Show Duplicate Songs

Choose Edit, Show Duplicate Songs. The song listing changes to omit all songs that don't exist in matched pairs; the only listed songs are those with duplicates within the selected music source, where both the song name and the artist name are identical. For easiest viewing, sort the songs on the Song Name column.

Delete or Disable Duplicate Songs

You can eliminate duplicate songs by deleting one of the copies from your iTunes Library. However, this approach means that you end up with incomplete albums. A better way to filter your music, perhaps, is to simply disable a duplicate song by disabling the check box next to one of the songs. (You might find it more sensible to disable the song that's part of a compilation rather than the one that's on an original album.)

Tip

Be careful to eliminate the duplicates only if you're sure they're really duplicates! In many cases, two different songs might have the same title and artist but be completely different recordings of the same song (such as a live and a studio version). You probably don't want to delete one of them in such a case. Be sure to preview each track by playing it briefly before you do anything rash.

Now that your duplicate songs are disabled, you can edit a Smart Playlist that you listen to a lot to ensure that songs where the check box is disabled are not included in the playlist. Do this by selecting the Match only checked songs check box in the Smart Playlist's definition dialog box. (Select the Smart Playlist and choose File, Edit Smart Playlist.) Similarly, in the iPod tab of the iTunes Preferences window (choose Edit, Preferences in Windows or iTunes, Preferences on the Mac while the iPod is connected), enable the Only update checked songs check box. This option prevents disabled songs from being transferred to the iPod and taking up space unnecessarily. It also prevents your Play Count numbers from being spread across two or more identical song files.

Show All Songs

When you're done examining the duplicate songs in your library or other music source, click the Show All Songs button at the bottom of the song listing area or choose Edit, Show All Songs. This command returns you to the normal viewing and navigation mode.


Chapter 9. Making the Most of iTunes

IN THIS CHAPTER:

Customize Which Information Columns Are Displayed

Control iTunes from the Dock, Dashboard, or System Tray

Train iTunes to Play Your Favorite Music

Adjust the Global Equalizer

Adjust Equalizer Settings for Individual Songs

Add a Third-Party Visualizer

Automatically Download Album Art

It's the little extra features that make iTunes more than a simple music playerfeatures designed not just to emulate the music-playing experience you would get from your CDs, but to enhance it in new ways never possible before the advent of digital music. By skillfully using the info tags, you can sift through your music to arrange it for playback just the way you want it. Taking advantage of iTunes' integration into both Windows and Mac OS X, you can control the playback and rating of your music from locations such as the System Tray and the Dock without going anywhere near iTunes itself. The result of weaving your computing in with your music enjoyment leads to a jukebox application that "learns" how to serve up music according to your tastes.

To complete the picture, iTunes lets you micromanage the finer points of playback of individual songs, selecting equalizer settings to enhance each one for its own musical profile. You can even install third-party Visualizer add-in software to create just the right visual atmosphere to go with the auditory treat in which your dedication to your music results, and to automatically download album art to add to your music without manual interaction.


Section 77. Customize Which Information Columns Are Displayed

77. Customize Which Information Columns Are Displayed

Before You Begin | See Also
Run iTunes for the First Time | Examine and Modify Song Information Tags
Find and Play Music |

iTunes displays your music in a tabular format, with every informational field associated with each song listed in its appropriate column. Just as with the file-navigation methods you're used to in your computer's operating system (Details view in Windows, or List view on the Mac), iTunes gives you complete control over which information columns are displayed, the order in which they're shown, and which ones are used to sort your listings of songs. These preferences are stored independently for each musical grouping listed in the Source paneeach playlist, CD, iPod, and navigational view is preserved independently so you can be sure that when you select a music source, its contents are displayed just the way you want it for that particular selection of music.

Customize Which Information Columns Are Displayed

Add or Remove Information Columns

While viewing any music source (the Library view, for example, or a playlist), choose Edit, View Options. This command brings up a palette with an array of check boxes, one for each possible information column. Select the columns you want to see and deselect the ones you don't. Click OK when you're done.

Tip

Another, more direct way to turn columns on and off is to right-click (or Control+click) the header bar in the song listing area. The pop-up context menu shows all the column names, with check marks next to the ones that are displayed. Select a column name to toggle it on or off. Newly activated columns appear in the position where you clicked the mouse to summon the menu.

Change the Order of the Displayed Columns

Click and hold the header of a column you want to move to a different location. Drag the column left or right to insert it between a different pair of columns. You can relocate any column except for the Song Name and the first unlabeled track-order column that appears in playlist views.

Resize Columns

You can manually change the width of any column. Position your mouse pointer in the header bar, over the vertical dividing line between any two columns. Click and drag left or right. The column to the left of the mouse pointer grows or shrinks accordingly; all the columns to the right shift left or right to follow it and are not resized.

Note

You can make a column narrower than the text of the items within it. If you do, longer items are shown with an ellipsis (...). If you then edit their contents in place, the editable text is shown in its entirety, overlapping other columns while you type. You cannot, however, make a column narrower than the text of its name in the header bar.

Auto Size Columns

iTunes can automatically size a column to be just wide enough to contain the longest entry in it and no wider. Right-click (or Control+click) the header of the column you want to resize and choose Auto Size Column from the context menu. The selected column is immediately resized to optimally fit its contents.

Choose Auto Size All Columns from the same context menu to perform this operation on all displayed columns in a view at once. This gives you the maximum amount of complete, readable information in the smallest possible space.

Sort by Selected Columns

Click the header of any column to sort the displayed songs based on that column. The triangle to the right of the column's name indicates whether the sort order is ascending or descending. For instance, a text column (such as Album) is sorted alphabetically AZ if the triangle is pointing up, and it's sorted in ZA order if the triangle is pointing down. Numeric columns such as Track # and Time work the same way with numeric sorting.

When you sort some columns, other appropriate columns are consulted for secondary sorting order. For example, if you sort on the Album column, the songs within an album are sorted according to Track # and separated by Disc #. If you sort on the Artist column, songs are secondarily sorted by Album and then by Track #.


Section 78. Control iTunes from the Dock, Dashboard, or System Tray

78. Control iTunes from the Dock, Dashboard, or System Tray

Before You Begin

Find and Play Music

Rate Your Music

After you've got your music playing and set to a playlist that you can groove along with as you use your computer for other tasks, you don't necessarily want iTunes to be sitting there taking up space on your screen. It's taking care of the background musicyou don't need to control it all the time. So you can hide iTunes, minimize it, or switch to the Mini Player view to get it out of the way. Still, there will come those times when you want to skip a song you don't particularly like, assign a rating to a song you've never heard before, or just identify the song that's playing. You don't have to pull up the full-size iTunes window to do this; you can access iTunes' basic playback controls, the rating system, and the title and other information on the playing song in a menu available from the System Tray (in Windows) or the Dock (in Mac OS X). In Mac OS X Tiger or later, there's even a Dashboard widget that you can summon with a keystroke to get access to iTunes' basic controls for a quick volume adjustment or to skip to the next song.

Control iTunes from the Dock, Dashboard, or System Tray

Windows Only: Enable iTunes in the System Tray

If you're a Windows user, open the iTunes Preferences window. (Choose Edit, Preferences.) Click the Advanced tab, and then click the General subtab. Enable the Show iTunes icon in system tray check box to display the iTunes control icon in the System Tray, which is the box within the Taskbar in the lower-right corner of your Windows screen. Double-click this icon to quickly launch iTunes as well as to control it while it's playing.

Tip

The Minimize iTunes window to system tray option, when enabled, means that when you click the Minimize button in the iTunes window, it disappears entirely from the screen and doesn't take up a slot in your taskbar. Instead, double-click the iTunes icon in the System Tray to return the window to full size.

Play Music in iTunes

For both the Mac and Windows versions of iTunes, using the Library view or a playlist, play your music as you normally would.

The illustrations for this task show the Mini Player, which is a space-saving minimalist version of iTunes that shows only the necessary controls and status readouts and can be shrunk horizontally until it takes up only a minimum of space so you can stick it in an out-of-the-way area of your screen. To switch to the Mini Player in Windows, right-click the iTunes icon in the System Tray and select Switch to Mini Player. Select Switch to iTunes Window from the same menu to change it back. On the Mac, click the green Zoom button in the top-left corner to change modes.

Tip

If you want to ensure that it's always available for you to control your music, you can choose to have the Mini Player float on top of all other windows . To do this, open the iTunes Preferences window, click the Advanced tab, and click the General subtab. Enable the Keep Mini Player on top of all other windows check box.

View Song Information from the System Tray or Dock

While a song is playing, right-click (or Control+click) the iTunes icon in the Dock (on the Mac) or the System Tray (in Windows). A context menu appears with a number of different control options for iTunes, as well as a readout of the song's title, artist, and album name. These items are grayed out because they are informational items rather than controls.

Control Playback from the System Tray or Dock

The context menu has Play (or Pause), Next Song, and Previous Song controls that correspond to the playback control buttons in iTunes. Using these controls, you can skip from song to song or pause the music without having to restore the entire iTunes window.

You can also use the Repeat Off, Repeat All, or Repeat One options to choose the Repeat mode. Click the Shuffle option to turn randomized playback on and off.

Rate a Song from the System Tray or Dock

From the context menu, open the My Rating submenu and choose a star rating for the currently playing song. Choose None to clear the rating. The rating you choose is immediately saved into the iTunes database.

Mac Only: Control iTunes Using the Dashboard Widget

If you have Mac OS X 10.4 (Tiger) or later, there's another quick way to control iTunes playback: the Dashboard. Activate the iTunes Dashboard widget as you do any other widget: Press the configured Dashboard hot key (F12 by default), or click the Dashboard icon in the Dock. Open the widget bar by clicking the circled + icon in the lower-left corner, and drag the iTunes widget from the bar to any position on the screen. This iTunes widget shows the currently playing song name and presents controls for playing and pausing, skipping forward or back, controlling the volume (drag the circular ring left or right), scrubbing to a particular location in the song, or toggling the Shuffle or Repeat mode. You can even change to a different playlist by clicking the i icon to flip the widget around and access the controls on its back.


Section 79. Train iTunes to Play Your Favorite Music

79. Train iTunes to Play Your Favorite Music

Before You Begin | See Also
Create a Smart Playlist | Customize Shuffle Options
Rate Your Music | Transfer Only Preferred Music to the iPod
Rate Your Music on the iPod |

You can combine the iTunes features you've learned throughout this book to give you intricate control over your music. Although it's certainly possible to micromanage your playlists to play exactly the music you want to hear, sometimes it's the element of surprise that makes listening to music in iTunes so much funjust letting iTunes pick out a song you haven't heard in years, or that you didn't even realize you had. Simply playing songs at random, in Shuffle mode, can be fun, too. But you don't want iTunes serving up bad songs with the good ones. This task shows you how, with the dutiful use of star ratings and Smart Playlists and your natural listening habits recorded by iTunes over a long period of time, you can train iTunes to serve you songs that surprise you and that are guaranteed to be the kind of stuff you want to hear.

Train iTunes to Play Your Favorite Music

Rate Your Music

As described in [image] Rate Your Music and [image] Rate Your Music on the iPod, assign a star rating to each song in your iTunes Library as you listen to it. Be sure to sync your iPod with iTunes on your computer after each time you play and rate music on the iPod to ensure that the ratings are accurately reflected in the iTunes Library.

Create a Smart Playlist for Highly Rated Music

Create a Smart Playlist. (See [image] Create a Smart Playlist for details.) Define the playlist's criteria to include the requirement that matched songs have a rating of three stars or higher. (You can adjust this threshold according to your taste.) Name this playlist, for example, Top Rated.

Listen to Music over a Long Period

Play music from the iTunes Library or on your iPod, using whatever playlists or music sources you like, for a period of weeks or months. Skip songs you don't want to hear. When you listen to a favorite song, be sure to allow it to play all the way through to the end so that its Last Played date stamp and Play Count field are recorded properly. Sync your iPod with your computer after each time you play music on the iPod to ensure that these fields are accurately reflected in the iTunes Library.

Over time, you'll see that your favorite songs are also usually your most frequently played ones, as you can verify by sorting the songs in your Library using the Play Count column.

Create a Smart Playlist for Frequently Played Music

Create a Smart Playlist that's defined as matching only a certain number of your most frequently played songs. Do this by specifying as the only criterion that the playlist should be limited to a specified number of songs (say, 500however large you want your pool of "favorite songs" to be) and selected by most often played. Name this playlist, for example, Most Often Played.

Tip

You can use or modify the model Smart Playlists that come with iTunes (which include My Top Rated and Top 25 Most Played) for Steps 2 and 4 of this task.

Create a Smart Playlist Matching Highly Rated or Popular Music

Create a third and final Smart Playlist called Favorite Music. This playlist should have two criteria: songs that are in the playlist Top Rated or songs that are in the playlist Most Often Played. (Make sure that the Match any of the following conditions option is selected at the top of the Smart Playlist definition.)

Use Party Shuffle to Play Your Favorite Music

You can now play music from the Favorite Music playlist, with Shuffle mode enabled (click the second button from the left under the Source pane), to be regaled with unexpected songs pulled from either your Top Rated playlist (matching songs you rated highly) or your Most Often Played playlist (matching songs you voluntarily play a lot). The surprise inherent in this method might suit you fine, or you can use Party Shuffle mode (see [image] Provide Customized Background Music with Party Shuffle) to choose a customizable list of songs from the Favorite Music playlist at random. Just remember: The more you listen to your music, the better the Favorite Music playlist will reflect your tastes.


Section 80. Adjust the Global Equalizer

80. Adjust the Global Equalizer

See Also

Configure Your iPod for Your Headphones or Speakers

AirTunes: Connect iTunes to a Stereo with AirPort Express

Adjust Equalizer Settings for Individual Songs

iTunes includes a "graphic equalizer" controller that lets you adjust the volume levels of different regions of frequency response to compensate for the specific strengths and deficiencies of your speaker system. If you have a set of large, powered speakers with a subwoofer connected to your computer, for instance, you'll want to boost medium-frequency ranges and let the amplifier handle the deep bass. If you have only a small set of speakers, you might want to boost the bass response relative to the medium and high ranges to compensate for the speakers' lack of low-range power. If you're using AirTunes to broadcast your music wirelessly to an external amp and A/V system, you'll want to disable iTunes' frequency modifications entirely and let the amp do the work.

Different styles of music require different adjustments to the output frequency ranges as well. For instance, you'll want to amplify certain medium ranges to strengthen vocal tracks, or suppress the middle in favor of the extreme high and low ranges for rock or Latin music. However, genre-specific equalizer presets are best addressed in [image] Adjust Equalizer Settings for Individual Songs. This task instead describes how to configure iTunes in general for your speaker setup.

Tip

While music is playing, click the circled right-arrow icon in the status pane at the top center of the iTunes window to switch it to an animated "graphic equalizer" display instead of the scrub bar and song information.

Adjust the Global Equalizer

Open the Equalizer Palette

Click the Equalizer button in the lower-right corner of the iTunes window (the graphic with three vertical sliders). This action brings up the Equalizer palette, a floating window with many sliders, each representing a narrow frequency range and shown in order from the lowest pitch (at left) to the highest pitch (at right). You can manually move these sliders to control sound output in various ranges, or you can choose a preset (a predefined set of frequency-range volume adjustments) from the drop-down menu.

Tip

The On check box in the Equalizer palette controls whether the equalizer settings are consulted at all as music is sent to the speakers. Disable this check box to send unmodulated, flat signals to the output channel. Use the Preamp slider to adjust the overall signal level across all frequency ranges if necessary.

Select a Predefined Equalizer Preset

Choose an appropriate preset matching your speaker setup from the dropdown menu. Presets that are designed to address specific kinds of output configurations are Bass Booster, Bass Reducer, Deep, Flat, Loudness, Small Speakers, Treble Booster, Treble Reducer, and Vocal Booster. All other presets are designed for specific styles of music and shouldn't be set in the global equalizer unless you plan to listen to only a particular kind of music for a while and then restore the Equalizer to its original settings.

Note

Equalizer adjustments are applied in real time to the music that's playing, so you can select different presets while music is playing and immediately hear the effects.

Define a Custom Equalizer Preset

Drag any of the sliders up and down to make custom adjustments to the equalizer profile. The drop-down menu's selection changes to Manual as soon as you make manual changes. Experiment to find out what parts of the music are affected by which sliders. For instance, vocals are at their strongest between 500Hz and 4KHz, and percussion is muddled unless the very highest frequency ranges (816KHz) are appropriately boosted.

When you have the sliders placed where you want them and the music sounds right, choose Make Preset from the drop-down menu. Enter a name for the new preset in the window that pops up. Click OK. From now on, you can find your custom preset by name in the list so that you can easily switch to it.

Note

Custom equalizer presets are not synchronized with the iPod.

Customize the List of Presets

Choose Edit List from the drop-down menu. A window appears that lets you rename or do away entirely with presets you don't want anymore. Select a preset from the list and click Rename or Delete to alter the list's contents accordingly. Click Done when you're finished. Your changes are now reflected in the drop-down menu in the Equalizer palette, as well as in the Equalizer field for individual songs, as you'll see in [image] Adjust Equalizer Settings for Individual Songs.

Note

If any songs are set individually to use presets that you rename or delete here, iTunes pops up a dialog box to confirm that the songs' presets will be reassigned or cleared accordingly. See [image] Adjust Equalizer Settings for Individual Songs for more information.

Adjust the Sound Enhancer

One final effect you can use to polish your music's sound is the Sound Enhancer, an algorithm applied to all iTunes' output whose impact on your music can be increased or lessened. Open the iTunes Preferences window. (Choose iTunes, Preferences on the Mac, or Edit, Preferences in Windows.) Click the Playback tab. Enable the Sound Enhancer check box and tweak the slider to adjust the effect's intensity, which works by clarifying and sharpening the waveforms in the digital audio file to make the music sound more three-dimensional and immersive. This effect is applied in real time. Play music while you adjust the setting so that you can tell how it affects your music and where your taste indicates you should put the slider.


Section 81. Adjust Equalizer Settings for Individual Songs

81. Adjust Equalizer Settings for Individual Songs

Before You Begin | See Also
Customize Which Information Columns Are Displayed | Configure Your iPod for Your Headphones or Speakers
Adjust the Global Equalizer |

You can apply the Equalizer presets discussed in [image] Adjust the Global Equalizer to individual songs. When you play a song with an Equalizer preset defined, that preset is used for output instead of whatever global equalizer setting is currently in effect. This feature is indispensable if you have a lot of music from different genres that require different amplification characteristics. Just set Equalizer settings for any tracks whose output balance you want to ensure is adjusted by a certain profile. As you play each such track, iTunes switches automatically to that profile for its duration, and then switches back to the global preset it had been using before.

Note

Standard equalizer settings (those default settings that come with iTunes) that you apply to individual songs are correctly applied when you play the songs on an iPod. However, custom equalizer presets (presets you have created) are not propagated to the iPod and have no effect on music you play on the iPod.

Adjust Equalizer Settings for Individual Songs

Display the Equalizer Column

In the music source or display mode of your choice (such as the Library view or a playlist), display the Equalizer column as described in [image] Customize Which Information Columns Are Displayed. Scroll horizontally to that column's location or drag it to a position where it's visible.

Define Equalizer Presets for Individual Songs

Click the small up/down arrow icon in the Equalizer field of any of the song entries in the listing to reveal the drop-down menu full of available presets, the same as you see in the global Equalizer palette. Choose a preset that's appropriate to the song's genre or style from the list: Rock, Electronic, Jazz, Dance, Acoustic, Classical, Spoken Wordwhatever best fits the track in question.

Define Equalizer Presets in the Info Window

You can also define a song's Equalizer preset without displaying the Equalizer column. Select the song and choose File, Get Info. On the Options tab, choose the appropriate preset from the Equalizer Preset drop-down list.

If you select several songs at once and choose Get Info, the Equalizer Preset menu is one of the configurable settings that you can apply to all selected songs at once.


Section 82. Add a Third-Party Visualizer

82. Add a Third-Party Visualizer

Before You Begin

Use the iTunes Visualizer

iTunes comes with a visualizer whose shifting shapes present such an ever-changing array of eye candy that you might never get tired of it. However, millions of people out there are using iTunes now, and their tastes in eye candy vary. Many third-party shareware software developers have created visualizers of their own that are packaged as plug-ins, or small encapsulated pieces of software that you can easily add to iTunes to enhance its capabilities.

This task shows how you can add a third-party visualizer to iTunes using as an example G-Force by Andy O'Meara, the visualizer on which the default iTunes Visualizer was based, and which has developed many of its own distinctive behaviors and features over the years. Many iTunes users prefer G-Force's vaster array of unique and surprising effects over iTunes' more subdued ones.

Web Resources

http://www.soundspectrum.com/

Home of G-Force, the most popular third-party visualizer plug-in for iTunes and other music players.

http://www.apple.com/downloads/macosx/ipod_itunes

The Apple Downloads site has links to many third-party visualizers, as well as other useful iTunes plug-ins. Note that not all software featured at this site is available for both Mac and Windows.

Add a Third-Party Visualizer

Download the Third-Party Visualizer

Visit the site from which you can obtain the visualizer (SoundSpectrum in this case, at http://www.soundspectrum.com). Download the visualizer, which is available as a free trial version and as a registered version with more features for a small fee. Download the installer package that's appropriate for your system.

Install the Plug-In

Follow the instructions in the downloaded folder or disk image to install the plug-in. In the case of G-Force, double-click the extracted .exe or .pkg file to run the installer program.

Note

You must quit iTunes before running the installer for the plug-in.

Select the Third-Party Visualizer

Launch iTunes. In the Visualizer menu, you should now see a G-Force option along with the iTunes Visualizer option. Choose G-Force to switch to the newly installed visualizer.

Adjust Visualizer Options

Activate the visualizer by choosing Visualizer, Turn Visualizer On or by clicking the Visualizer button in the lower-right corner of the iTunes window. (See [image] Use the iTunes Visualizer.) Let it play according to its own internal scripts and heuristics. You'll probably find it entertaining enough to leave it to its own devices.

Like the iTunes Visualizer, G-Force has a number of options you can select to customize its behavior. Some visualizers allow you to use the Options button in the upper-right corner of the iTunes window to access their controls, but GForce's options and help system are available only by pressing the H key. This command reveals a wealth of scripting and real-time control commands that are far beyond the scope of this book. Refer to the visualizer's own documentation for more information on how to use these controls.


Section 83. Automatically Download Album Art

83. Automatically Download Album Art

Before You Begin | See Also
Add Album Art to Songs | Add a Third-Party Visualizer

As you learned in [image] Add Album Art to Songs, iTunes lets you add imagessuch as scanned pictures from CD coversto all your audio files so that you can look at the original album art from their CDs, whether you're using iTunes or an iPod with a color screen. As you might know, music that you purchase from the iTunes Music Store already has the appropriate album art built into the music files. However, what iTunes does not provide is the ability to automatically search the Internet and fetch album art for music that you import from CDs. Appropriate album art for any of your CDs can be found at Amazon.com, Google, and many other sites, ready to be downloaded and added manually to your songs. But wouldn't it be nice if you could skip that step entirely and add album art with nothing more than a click or two?

This is a job for the third-party software development community. Many small applications exist that have been written for iTunes on both Windows and the Mac, intended to support exactly this feature. Reading in the artists and albums from your iTunes Library and searching likely locations on the web for appropriate album art, you can then embed into your songs with a single click.

One good site to check for such programs is VersionTracker (http://www.versiontracker.com), which searches shareware and freeware for both Windows and the Mac. A search using terms such as itunes album art turns up many well-reviewed programs for both platforms. This task will focus on CoverScout for the Mac and iArt for Windows, both of which are shareware programs whose full features you can unlock for a nominal fee.

Automatically Download Album Art

Download an Appropriate Album Art Finder Program

If you're a Windows user, go to http://www.ipodsoft.com/index.php?/software/iart to find the download page for the iArt program. iArt is shareware and costs $10 for registration, without which only a limited number of album cover retrievals is possible.

Mac users might like CoverScout, which you can find at http://www.wuffwuffware.com/products/CoverScout.html. This program is shareware, with an $8 registration fee. (Without this registration, you can search for album art for only the first 10 albums in your iTunes Library.)

Install the Program

After the program is downloaded to your computer, follow the included instructions for installing it.

CoverScout, like most Mac applications, comes packaged in a disk image. Install the program by dragging the CoverScout icon from the disk image window to your Applications folder.

iArt, like other Windows-based album art finder programs, requires that you install the .NET framework, available as a free download from Microsoft. (iArt's installer program automatically downloads and installs .NET for you.)

Search for Album Art

Both applications discussed here work in much the same way. When you run the album art finder program, it searches your iTunes Library for a listing of artists and albums that don't already have album art. Select one of these album entries that doesn't have art in the tracks already. (CoverScout uses an ! icon to show tracks and albums that don't have artwork, and iArt automatically moves through albums one by one that so you can either save the album art it locates or skip the album).

Use the program's built-in facility to search selected sites for appropriate album art. Both CoverScout and iArt allow you to search Amazon.com, Google, and the iTunes Music Store. In CoverScout, use the buttons in the toolbar to choose a source to browse for album art, and then click Get Artwork to perform the search. In iArt, select the Automatic Internet Art Retriever option, choose a searching source from the drop-down menu, and then click Next to begin searching the selected source for art for each album in turn.

Add Album Art to Selected Tracks

If the program finds album art, it's a matter of a single click to add it to the selected tracks. In CoverScout, use the Set button in the toolbar to apply the images to the selected album; in iArt, use the Save Result Next button to apply the image and move on to the next album.

As you continue using CoverScout, you can refresh the list of albums to show only those entries that haven't yet had artwork applied, repeating the process until you've finished adding artwork to all the albums in your collection. iArt continues processing your albums until you've added album art to all your albums or you've skipped them using the Skip Album button.


Chapter 10. iPod Extras

IN THIS CHAPTER:

Carry and View Your Mac or PC's Digital Photos and Slideshows on an iPod

Download Photos from Your Camera Directly to Your iPod

Display Your Photos on a TV

Display Your Videos on a TV

Use Your iPod as an External Hard Disk

Play iPod Games

Customize the iPod's Main Menu

Transfer and View Contacts

Transfer and View Calendar Events

Synchronize Contacts and Calendar Items Using iTunes or iSync (Mac Only)

Transfer and View Text Notes

Use Your iPod as a Stopwatch

There's nothing much stopping the iPod from being a whole lot more than just a music player. It's got gigabytes of internal data storage and a large, high-contrast color screen; it synchronizes with your computer through an easy-to-use Dock or cable; and it's small enough to fit unobtrusively on your belt. All these characteristics fit the description of any of the popular, full-function Portable Digital Assistants (PDAs) on the market today.

The iPod doesn't have an on-board method for feeding data into it (such as a keyboard or a stylus and touch-sensitive screen). It doesn't have a built-in camera or cell phone. But other than that, it's perfectly serviceable as a PDA, for some of the most popular reasons that you would carry one: viewing photos, carrying your address book full of people's contact information with you, reading text documents, and even playing games. The iPod also makes a dandy portable hard disk that you can use to back up important files from your computer. After you've been in a predicament in which your iPod came to the rescue by providing you an important phone number or resurrecting a backup copy of a critical file, you'll never think of it as a simple "music player" againand you might never have to carry a traditional PDA as long as you have your iPod.

Note

All the tasks in this chapter require the use of the iPod's screen and thus do not apply to the iPod shuffleexcept for [image] Use Your iPod as an External Hard Disk, which describes external hard disk use for both standard iPods and the iPod shuffle.


Section 84. Carry and View Your Mac or PC's Digital Photos and Slideshows on an iPod

84. Carry and View Your Mac or PC's Digital Photos and Slideshows on an iPod

Before You Begin | See Also
Transfer Your Music, Videos, and Podcasts to Your iPod | Display Your Photos on a TV
 | Download Photos from Your Camera Directly to Your iPod
 | Temporarily Store Digital Photos on Your iPod's Disk

The video-capable iPod 5G and the iPod nano (as well as the color version of the iPod 4G, also known as the iPod photo) are equipped with a 65,536-color screen that turns these devices into much more than simple music players. The color screen is ideal for showing off digital photographs, which fit with ease onto the capacious hard disk or flash memory along with your music. When you load these photos onto the iPod, you have access to a variety of methods for viewing them, such as slideshows with musical accompaniment and slick digital transition effects.

To use these features, you must have an iPod with a color screen (iPod 5G, iPod nano, or iPod photo), and a collection of digital photographs archived in one of the following applications:

  • iPhoto (on the Mac)

  • Adobe Album (in Windows)

  • Adobe Photoshop Elements (in Windows)

If you don't have one of these applications, you can also sync photos that are gathered into a single specific folder. Another way to get your photos onto your iPod is to download them to it directly from your camera, using the iPod Camera Connector. See [image] Download Photos from Your Camera Directly to Your iPod for more information.

Note

The iPod can sync and display photos in JPEG, BMP, GIF, TIFF, or PNG format.

After you load your photos onto the iPod, you can browse them visually by selecting the Photos item from the Main Menu and then selecting from the albums or collections that are synchronized from your photo collection. You can even start a slideshow of a selected collection of photos using background music from any of the playlists that are already on your iPod.

Carry and View Your Mac or PC's Digital Photos and Slideshows on an iPod

Prepare Your Photo Library

Using your favorite digital photo organizer application (iPhoto, Adobe Album, or Adobe Photoshop Elements), set up photo "albums" (think of them as photo playlists) to group your photos into appropriately named, themed collections.

Tips

If you're using iPhoto, create slideshows from your albums and set them to music from your iTunes Library. Your iPod can use this music setting automatically when displaying its own slideshows.

Try to limit your photo albums to fewer than about 200 photos. Larger photo albums tend to display more slowly on the iPod.

If you don't have one of these applications, place all the photos you want to sync to your iPod into a single folder somewhere on your computer's disk, such as your My Pictures folder. You can use subfolders within this folder to create the equivalent of the "albums" that the supported applications use.

Connect Your iPod

Connect your iPod to your computer using the Dock or cable. Wait for it to finish synchronizing its information. Don't disconnect the iPod.

Open the iPod Preferences

Choose iTunes, Preferences (on the Mac) or Edit, Preferences (in Windows) to open the Preferences window. Click the iPod tab, and then click the Photos tab within the window. You will see all the photo-syncing configuration options.

Choose the Photo Source

Enable the Synchronize photos from check box and choose the application where your photos are stored from the drop-down menu. If your photos are stored in a folder on your hard disk, choose that option and navigate to the folder's location in the navigation dialog box that appears. Select the folder by clicking Choose or Open.

Select Photo Albums or Collections to Synchronize

When you select your photo source, the box below the Copy selected albums only option becomes populated with the names of the albums you've created. If you have enough room on the iPod, you can choose to sync all the photos in your collection by selecting Copy all photos and albums. If you want to save some room on your iPod for music and videos, choose the Copy selected albums only option and enable the check boxes next to each album that you want to copy to the iPod.

Tip

The Preferences window says this as well, but it bears repeating: You can drag photo albums into the order you want them copied onto the iPod. This is important because iTunes copies selected albums in the displayed order onto the iPod until the iPod is full, without checking first to see whether it has enough space for all the selected photos. If the iPod fills up, some selected albums' contents might not be copied completely or at all. Putting the albums in a specified order can help ensure that certain photos make it to the iPod.

If you have lots of room to spare on the iPod and want to carry fullresolution versions of your photos on its disk (for example, to transfer them to another computer), enable the Include full-resolution photos check box. This option puts the large photo files into a folder called Photos on the iPod. See [image] Use Your iPod as an External Hard Disk to access this folder and the photos inside it.

Sync Your Photos

Click OK when you're done configuring the photo sync options. iTunes begins copying photos out of your organizer application, shrinking them ("optimizing" them) to a size appropriate for the iPod's screen and TV output, and transferring them to the iPod's disk. Depending on the size of your photo collection and the speed of your computer, this process can take 20 minutes to an hour or more. iTunes shows you a status bar indicating its progress.

When the sync process is complete and iTunes indicates it's safe to do so, disconnect your iPod.

Note

Steps 36 are relevant only for the first time you set up photo syncing. Each subsequent time you sync your iPod with iTunes, any new photos in your Photo Library or selected albums are copied to the iPod. You can click the Skip button to stop photos from being transferred, but they'll be sent anew to the iPod the next time you sync.

View Photos on the iPod

Choose Photos from the iPod's Main Menu. The subsequent menu lists all the photo albums you selected to transfer, including an option (second from the top) called Photo Library that contains every photo in your entire photoorganizing application (if you chose to transfer the whole thing). Select this option or one of the albums listed below it and press Select.

The contents of the selected group of photos are shown in a contact sheet (a set of small thumbnail images in a grid, 30 to a screen). Rotate the track wheel to move the yellow selection rectangle to a photo you want to see, and then press Select to view it at the full size of the iPod's screen. Press Forward or Back (or rotate the wheel) to move manually through the collection of photos, or press Menu once to return to the contact sheet.

Key Terms

Contact sheet A grid of small thumbnail images representing a group of photos, such as in the Photos section of the iPod, where you can browse your photos 30 to a screen.

Play a Photo Slideshow

Press the Select button while viewing a photo full-screen, or press Play while a photo album is selected in the Photos menu. A slideshow begins using the selected photo album and default presentation settings. Press the Select button to pause and resume the slideshow, or press Forward and Back to skip through the photos at your own speed.

Configure Slideshow Timing

Press Menu repeatedly until you arrive at the Photos menu. Then choose Slideshow Settings to view the presentation options for your slideshows. These options include whether the photos in the grouping should be shuffled (randomized), whether the slideshow should repeat after it's done, and what kinds of digital effects can be used in transitions from one photo to the next. You can also define the timing between slides, as well as the background music to be played.

To set the time between slides, choose Time Per Slide, and, in the subsequent screen, choose a number of seconds from 2 to 20 that you want each photo to remain on the screen. You can also choose Manual to specify that the slides won't advance unless you press the Forward button. Press Select to make your choice.

Configure Slideshow Music

To play music during your slideshow, return to the Slideshow Settings menu and choose Music. You can pick a playlist to use in the background of each slideshow. (The iPod begins to play the selected playlist at the beginning of the slideshow. If you're shuffling your music, a different song comes up each time you start the slideshow.) Alternatively, if you used iPhoto to organize your photos before you transferred them to the iPod, choose From iPhoto from the Slideshow Music screen to allow your slideshow settings in iPhoto to dictate the background music for the iPod, or choose Off to play no music at all.

Configure Slideshow Transitions

The iPod can perform any of 11 different digital transition effects in your slideshows, many of which are familiar to users of Mac OS X, such as the Cube (across or down), Page flip, and Swirl effects, as well as more traditional effects such as Wipe (across, down, or from center) or Push (across or down). You select these transitions by navigating to the Slideshow Settings menu and choosing Transitions.

You can select one of these 11 transition styles for all the slide changes in the entire slideshow, or you can select Random to have the iPod use a different transition style between every pair of photos. To have the photos switch immediately from one to the next without any transition effects, choose None.

The next time you start a slideshow, the iPod will use these newly defined settings for slide timing, background music, and transition effects.


Section 85. Download Photos from Your Camera Directly to Your iPod

85. Download Photos from Your Camera Directly to Your iPod

Before You Begin | See Also
Carry and View Your Mac or PC's Digital Photos and Slideshows on an iPod | Temporarily Store Digital Photos on Your iPod's Disk

Suppose that you're on vacation. You've been taking photos like there's no tomorrow, and your digital camera's memory card is filling up fast. You're only three days into a two-week road trip. What do you do? Buy more memory cards? Pack a laptop and download all the photos to it every time you fill up the card? If you have an iPod 5G or an iPod photo, there's no need: For $29, you can get the iPod Camera Connector, a little white adapter from Apple that lets you empty your camera directly into the iPod whenever the camera gets full. The iPod stores the photos in their full resolution from the camera and uses the same internal format as the camera's memory card so that you can download the photos from the iPod into your computer when you get home. Meanwhile, while you're on the road, you can use the iPod to review each day's batch of photos, on its own color screen or on a TV. (See [image] Display Your Photos on a TV.)

Notes

If you have an iPod photo, you must have at least version 1.1 of the iPod photo software to use the iPod Camera Connector. Visit http://www.apple.com/ipod/download/ to download the latest updater, and see [image] Update Your iPod's Software for instructions.

The iPod Camera Connector does not work with the iPod nano or with any iPod that has a monochrome screen.

The iPod Camera Connector has the drawback of using up your iPod's battery power very quickly. It's a good idea to keep the iPod near a source of recharging power (the AC adapter or a computer to which you can attach the iPod using the Dock or cable) if you plan to use the Camera Connector a lot.

Web Resource

http://www.apple.com/ipod/compatibility/cameraconnector.html/

This site contains troubleshooting information that helps you determine whether your digital camera model will work with the iPod Camera Connector.

Download Photos from Your Camera Directly to Your iPod

Take Digital Photos

Take pictures using your digital camera. Fill up the internal memory card, being aware of how much capacity it has and how much free space is available on your iPod. Remember that you can't delete music or photos from the iPod without a computer to connect it to, so you can't adjust how much space is available while you're away from home. Be sure to leave plenty of space on your iPod for all your photos!

Tip

Be sure to carry the camera's USB connection cable with you. The iPod Camera Connector has a standard USB port to connect to the camera, the same as on a computer, but different models of cameras use different kinds of USB cables with their own styles of connector on the camera end. You won't be likely to find a compatible spare in an emergency, and without one, you won't be able to download your photos.

Connect the iPod Camera Connector to the iPod Photo and Camera

Plug the iPod Camera Connector into the iPod's Dock connector (the logo on the connector facing front). The iPod immediately switches to an Import screen that says there's nothing to import.

Plug the camera's USB cable into the camera and into the other end of the iPod Camera Connector. The camera should go into its natural "importing" mode, the same as when you connect it to your computer. The iPod, meanwhile, reports how many photos there are to import along with their collective size.

Import Photos

On the iPod's Import screen, highlight Import and press Select. The photos are transferred from the camera to the iPod, each one displayed as a thumbnail icon as it is copied to the iPod's disk. This process takes several minutes, especially if your camera's card is full. The transfer rate, you will notice, is considerably slower than the usual rate at which your photos download to your computer from your camera.

Tip

At any time during import, you can select Stop and Save to interrupt the process and preserve all the photos transferred so far, or you can select Cancel to delete everything transferred up to this point.

Erase the Camera's Storage Card

At the end of the import process, you're given the option to erase the transferred photos from the camera's memory card; highlight Erase Card and press Select to do this. If you don't want to erase the photos from the camera's memory card, select Done instead.

View or Delete Imported Photos

The photos you imported are available from a screen called Photo Import, found on the Photos screen above your Photo Library and albums. Inside this screen is the option to import more photos (if you select this option, return to Step 2) or to view an album called Roll #1. (The album's name is followed by the number of pictures in that album.) When you select this album, you're shown statistics about it, such as the number of photos in it and the date it was imported. If you select Browse from this screen, you will view the album as you would any other, as described in [image] Carry and View Your Mac or PC's Digital Photos and Slideshows on an iPod.

The statistics screen also has a Delete option. You can use this option to delete the entire album from your iPod. This can be useful if you're using the iPod 5G's large screen for quick proofing of photos on the road and you don't want to permanently take up space on the iPod's disk with photos that you will eventually import directly from the camera to your computer, or if you don't like any of the shots in the album.

As you import more "rolls of film" from your camera, each roll or album is added to the list: Roll #2, Roll #3, and so on.

Import Photos from the iPod to Your Computer

When you finally get home from your trek, you'll want to move the fullresolution photos from the iPod into your favorite photo organizer application (iPhoto for Mac users, or Adobe Album or Adobe Photoshop Elements for Windowsalthough any software that imports photos from a digital camera will work). After you've loaded photos onto the iPod from your camera, the iPod acts like a digital camera when it's connected to your computer. Your photo software will think it's another camera and download the photos from it accordingly.

Connect the iPod to the computer using the Dock or cable. After the iPod syncs with iTunes, launch your photo organizer application and import the photos as you normally do from your camera. Be sure to erase the "camera's" contents (using the photo organizer's mechanism for doing so) when you're done transferring! Doing so ensures that your iPod's disk regains its free space.

Notes

You might have to set up the iPod as an external hard disk for the photo software to recognize it as a camera-like device. See [image] Use Your iPod as an External Hard Disk for more information, and remember to unmount the iPod from your computer when you're done transferring photos.

If you can't get your photo software to download the photos automatically, set up the iPod as a hard disk and navigate into its DCIM folder to copy the photos manually from it to your computer.


Section 86. Display Your Photos on a TV

86. Display Your Photos on a TV

Before You Begin | See Also
Carry and View Your Mac or PC's Digital Photos and Slideshows on an iPod | Download Photos from Your Camera Directly to Your iPod
 | Display Your Videos on a TV

Running a slideshow on your iPod is a fun way to pass the timeon your own. Unfortunately, with only headphones to deliver the musical accompaniment and only a two-inch screen to show your photographic genius, who else can share it with you?

The answer is in the iPod's ability to direct its photo slideshows to the composite A/V jack on the top of the unit or to the S-Video jack on the back of the iPod Dockand from there to a TV set. This output option lets everyone in the whole room enjoy your photos at full TV resolution (a far cry from the dozen megapixels of your digital camera, but still far better than the iPod's screen), as well as your selected background music. Equipped with the appropriate cable, your iPod becomes a presentation device suitable for showing off anything from your vacation memories to a business demonstration.

Note

To connect your iPod 5G, iPod nano, or iPod photo to the TV, you need either a composite A/V cable (available from Apple for $19) or the Universal iPod Dock ($39) and a standard S-Video cable. S-Video provides much better video quality than composite video does. Make sure that you use Apple's own composite A/V cable; other kinds of composite A/V cables won't work.

Display Your Photos on a TV

Sync Your Photos with Your iPod

As described in [image] Carry and View Your Mac or PC's Digital Photos and Slideshows on an iPod, load your photos onto the iPod. Be sure to set up a separate album containing the photos you want to display in your slideshow.

Specify TV Signal Format

From the iPod's Main Menu, choose Photos, and then choose Slideshow Settings. At the bottom of the menu, highlight the TV Signal option and press Select to toggle between NTSC format (appropriate for North America or Japan) and PAL format (appropriate for Europe or Australia).

Note

The settings that you choose for TV Signal and TV Out in this menu are also reflected in the analogous TV Signal and TV Out options in the Video Settings menu. (See [image] Display Your Videos on a TV.)

Specify TV Output Mode

The TV Out option has three settings: Off, On, and Ask. When set to Off, any slideshow that you start is played back on the iPod's screen, with its sound directed to the headphones. If the TV Out option is set to On, the audio and video are directed to the connection to the TV, and the iPod's screen instead shows control information for the slideshow, letting you use the iPod as a sort of remote control for the TV presentation.

If you set the option to Ask, the iPod presents you with a choice at the time you start a slideshow, asking whether to play it in the iPod's screen or on the connected TV. This option is appropriate if you like to alternate between showing slideshows on the TV and on the iPod's screen, and you want to choose which one is appropriate each time you start a slideshow.

Note

Set other slideshow options as described in [image] Carry and View Your Mac or PC's Digital Photos and Slideshows on an iPod.

Connect Your iPod to the TV

Connect the composite A/V cable to the iPod's output jack; connect the other end of the cable to the TV's composite audio and video input jacks. Alternatively, if you have the iPod Dock and an S-Video cable, connect the cable to the Dock and to the TV's S-Video input jack, and place the iPod into the Dock.

Switch your TV's input to the channel that receives the signal from the composite or S-Video jacks that you used to connect the iPod.

Begin the Slideshow

From the Photos screen, highlight the photo album you want to use for the slideshow and press Play. Depending on whether you set TV Out to On or Ask in Step 3, you might be presented with a screen asking whether to turn TV output on or off. Choose TV On.

Tip

A useful accessory for presenting photos from your iPod on a TV is the Apple Remote, available for $29 at any Apple Store. This simple remote duplicates the basic buttons on the iPod (Back, Forward, Play/Pause, Menu, and the volume controls) and communicates with the iPod through the infrared receiver on the Dock. Because the Apple Remote requires a Dock to receive its signal, Apple also sells an AV Connection Kit ($99), which includes a Dock, the Remote, and a composite video cable.

Control the Slideshow from the iPod

The slideshow begins playing on the TV. On the iPod, instead of seeing the slideshow itself, you see an informational screen displaying the current photo, the previous and next photos in the sequence, the number of the current photo in the slideshow, and a readout indicating how much longer the iPod will show the current photo. Use the Forward and Back buttons to advance or retreat through the photos, and press Play to pause and resume playback.

When the slideshow is done, press Menu to exit to the upper menus, and disconnect the cables. Switch your TV back to its original input channel to resume normal television viewing.


Section 87. Display Your Videos on a TV

87. Display Your Videos on a TV

Before You Begin | See Also
Find and Play Videos on the iPod | Download Photos from Your Camera Directly to Your iPod
 | Display Your Photos on a TV

When you've got your iPod with you, it doesn't just mean you've got your entire music collection in your pocketit also means your favorite TV shows, music videos, and home movies are also traveling with you to be called up at any time. The iPod's 2.5-inch screen might be just large enough for you to enjoy on your own, during a train commute or a transcontinental flight. But when you reach your destination and you want to share your videos with your friends and family, you don't want to make them crowd around the iPod and don headphones. You need to show your videos on a full-size television set.

Fortunately, just as with photo slideshows, the iPod can direct its video output to any TV with composite audio/video or S-Video jacks. You can simply hook up the iPod directly to the TV and control your videos using the iPod's buttons, or you can couple it with accessories such as the Universal iPod Dock and the Apple Remote to turn the iPod into a more permanent fixture in your audio-video rig. With all your favorite TV shows and home movies stored in the iPod and ready to be called up at the touch of a button, you'll give TiVo a run for its money!

Note

To connect your iPod 5G to the TV, you need either a composite A/V cable (available from Apple for $19) or the Universal iPod Dock ($39) and a standard S-Video cable. SVideo provides much better video quality than composite video does. Make sure that you use Apple's own composite A/V cable; other kinds of composite A/V cables won't work or might have to be hooked up contrary to their connector colors.

Display Your Videos on a TV

Sync Your Videos with Your iPod

As described in [image] Transfer Your Music, Videos, and Podcasts to Your iPod, load your videos onto the iPod.

Specify TV Signal Format

From the iPod's Main Menu, choose Videos, and then choose Video Settings. In the subsequent menu, highlight TV Signal and press Select to toggle between NTSC format (appropriate for North America or Japan) and PAL format (appropriate for Europe or Australia).

Note

The settings you choose for TV Signal and TV Out in this menu are also reflected in the analogous TV Signal and TV Out options in the Slideshow Settings menu. (See [image] Display Your Photos on a TV.)

Specify TV Output Mode

The TV Out option has three settings: Off, On, and Ask. When set to Off, any video you start is played back on the iPod's screen, with its sound directed to the headphones. If the TV Out option is set to On, the audio and video are directed to the connection to the TV, and the iPod's screen instead shows control information for the video (similar to a music track), letting you use the iPod as a sort of remote control for the TV presentation.

If you set the TV Out option to Ask, the iPod presents you with a choice at the time you start a video, asking whether to play it in the iPod's screen or on the connected TV. This option is appropriate if you like to alternate between showing videos on the TV and on the iPod's screen, and you want to choose which one is appropriate each time you start a video.

Specify Widescreen or Full-Frame Mode

The Widescreen option takes effect only for videos that are encoded in a wider aspect ratio than the native 4:3 of the iPod's screen, such as the common 640x352 pixel size of many widescreen movies. This setting allows you to choose whether the video signal from the iPod is cropped on the sides so that it fills the TV screen vertically, in what's often known as "Pan-and-Scan" or "Full-Frame" mode (Off), or if it is padded on the top and bottom with black so that the whole width of the video is shown on the TV, in "letterbox" or "widescreen" format (On).

Note

Switching the Widescreen mode while a video is playing does not affect the way it's presented. If you change the Widescreen setting, you must stop and restart the video before the new format is applied.

Connect Your iPod to the TV

Connect the composite A/V cable to the iPod's output jack; connect the other end of the cable to the TV's composite audio and video input jacks. Alternatively, if you have the iPod Dock and an S-Video cable, connect the cable to the Dock and the TV's S-Video input jack, and place the iPod into the Dock.

Switch your TV's input to the channel that receives the signal from the composite or S-Video jacks that you used to connect the iPod.

Play a Video

From the Videos screen, navigate into the video category you want (as described in [image] Find and Play Videos on the iPod). Highlight a video by name and press Play. Depending on whether you set TV Out to On or Ask in Step 3, you might be presented with a screen asking whether to turn TV output on or off. Choose TV On.

Tip

A useful accessory for presenting videos from your iPod on a TV is the Apple Remote, available for $29 at any Apple Store. This simple remote duplicates the basic buttons on the iPod (Back, Forward, Play/Pause, Menu, and the volume controls) and communicates with the iPod through the infrared receiver on the Dock. Because the Apple Remote requires a Dock to receive its signal, Apple also sells an AV Connection Kit ($99), which includes a Dock, the Remote, and a composite video cable.

Control the Video from the iPod

The TV show, video, short film, video podcast, or home movie begins playing on the TV. On the iPod, instead of seeing the video, you see an informational screen similar to a music track, showing you the track and album or season name and a scrub bar that shows you the progress through the video. Use the track wheel to adjust the volume, or press Select to access the scrub bar and then use the wheel to skip to a different point within the track. (The volume and scrub bar controls appear on the TV screen as well as on the iPod.) Press Play to pause and resume playback. The Back, Forward, and Menu buttons return you to the menu.

Note

The video pauses and the TV display goes blank when you navigate to a different screen on the iPod.

When the video is done, the iPod returns to the menu. Simply disconnect the cables and switch the TV back to its original input channel.


Section 88. Use Your iPod as an External Hard Disk

88. Use Your iPod as an External Hard Disk

Before You Begin | See Also
Transfer Your Music, Videos, and Podcasts to Your iPod | Download Photos from Your Camera Directly to Your iPod
 | Transfer and View Contacts
 | Transfer and View Text Notes

Ever since the first iPod's introduction in 2001, even those few people who were unimpressed with it as a music player immediately saw its usefulness in a more general sense: as an external hard disk drive. When you connect an iPod to the computer over FireWire or USB 2.0, it serves as 5 to 60 gigabytes (GB) of portable storage spaceenough to hold anything from a collection of movie clips or business documents to a complete operating system installation that can be used to boot a series of computers in a lab. Today, as always, the owner of an iPod can use part of it to store and play back iTunes music and videos, and fill the rest with whatever files she wants to carry with her in her travels.

Many of the iPod's extra features (text notes, contact information, synchronized full-resolution photos, and so on) take advantage of its secondary guise as an external hard disk. Although you can't access the music files on an iPod without special software (see [image] Copy Your Music from the iPod Back to iTunes), special folders on the iPod's disk are used for certain specialized kinds of information that you place there manually or that software puts there. Whether you have a full-sized hard-disk-based iPod or the "keychain USB drive" iPod shuffle, this task explains how to unlock this side of your music player's personality.

Use Your iPod as an External Hard Disk

Connect Your iPod

Connect your iPod to your computer using the Dock or cable. Wait for it to finish synchronizing its information.

Open the iPod Preferences

Choose iTunes, Preferences on the Mac or Edit, Preferences in Windows to open the Preferences window. Click the iPod tab, and then (for all iPods except the iPod shuffle) click the Music tab from the subtabs within the window, if it's not already selected. This action displays the iPod's general configuration options.

Note

If you're using a version of iTunes before 4.8, click the General tab within the window to access the iPod's general configuration options, as described here.

Enable Disk Mode

Select the Enable disk use check box.

Notes

If you enable the Manually manage songs and playlists sync mode (see [image] Use a Large iTunes Library with a Small iPod), the iPod is automatically put into disk mode and must be manually unmounted before you disconnect it. Also, if you switch back to one of the two automatic sync modes (synchronizing all your music, or synchronizing only specified playlists), you must manually disable the Enable disk use option to make the iPod unmount automatically after synchronizing with iTunes.

You might want to prevent iTunes from launching automatically every time you connect your iPod, particularly if you've enabled disk use. Disable the Open iTunes when this iPod is attached check box to accomplish this.

If you're using an iPod shuffle, use the slider below the Enable disk use check box to define how much of the 512MB or 1GB of disk space should be used for music, and how much for data. (Other iPod models automatically use all available space that's not used for data to sync music.) If there's already music filling your iPod shuffle and you reduce the amount of space available for music, you'll be asked whether iTunes should remove enough music from the end of the playlist to make room for the specified amount of data.

Click OK. The iPod becomes enabled as an external disk and appears mounted on your computer among the other disks.

Use the iPod as an External Disk

Copy files to and from the iPod as an external disk, as you would to and from any other disk. For instance, you can keep a copy of your résumé on your iPod shuffle, or a folder full of favorite pictures on your iPod mini (even if that iPod model can't display the pictures). Simply connect the iPod to another computer to access those files.

Note

If the other computer has iTunes installed on it, it might launch and ask you whether you want to delete all the music from your iPod and sync it with that computer instead. Click No to prevent this from happening.

Unmount the iPod's Disk to Disconnect

From now on, the iPod does not automatically unmount from the computer when it's done synchronizing with iTunes, as it did before. Now, before you disconnect the iPod from the computer, you must unmount it as you would any externally connected disk. If you don't unmount the iPod, you risk data loss or corruption.

In Windows, right-click the Unplug or Eject Hardware icon in the System Tray, open the window showing connected devices, select the iPod, and click Stop. On the Mac, drag the iPod's icon to the Trash (which becomes an Eject icon). Alternatively, click the Eject icon next to the iPod's name in the Finder's sidebar, or right-click in Windows or Control+click on the Mac the iPod's name and select Eject "iPod name" to unmount it. When the Do not Disconnect icon disappears from the iPod's screen, it's safe to unplug your iPod.

Note

Like many of our most useful technologies, iPods can be used for good and for evil. An unscrupulous iPod owner might use the device to steal digital data from someone else's computer. Consider a display computer in a store with a copy of Microsoft Office, or a PC in a workplace that has sensitive business files stored on it. A visitor with an iPod and a USB cable can mount it, copy the files to it, and leave before you know what happened.

If you're interested in defending your computer against "pod slurping" (as this unsavory activity is known), you can do so with simple practices such as setting a password on your screensaver and making sure it kicks in after only a few minutes of idle time.


Section 89. Play iPod Games

89. Play iPod Games

Before You Begin | See Also
Find and Play Music on the iPod | Customize the iPod's Main Menu
 | Enhance Your iPod's Battery Capacity

Nobody will ever mistake the iPod for a Sony PSP or a Nintendo DS, and it won't take the place of one of those devices; but Apple has not left us high and dry when it comes to frivolous ways we can pass the time when we're accompanied by nothing but our iPods. Listening to music is great, and arguably nothing does it better than the iPodexcept that music without something visual to focus on isn't all that effective as a way to keep entertained. If you don't have a color iPod for browsing pictures, you've already watched all the videos on your iPod 5G, or you don't want to spend your time paging through your contacts or text notes, you can always turn to the array of simple video games packaged with the iPod.

All these games are designed to work with the iPod's interface. They work using the rotary wheel and the middle button, just like some of the best classic games from the days of joysticks and sub-8-bit graphics. Some of the games (such as Music Quiz) specifically take advantage of the iPod's nature as a music organizer and database storing everything in your iTunes Library.

Note

In the Brick and Parachute games, you must press the Select button to begin playing. For all games except Music Quiz, it's possible to have your iPod playing music in the background as you while away the time.

Play iPod Games

Navigate to the Games Menu

From the Main Menu, select Extras, and then choose Games. You'll see the selection of four standard iPod games: Brick, Music Quiz, Parachute, and Solitaire. Play any of these games by scrolling to it and pressing Select. End a game by pressing Menu to return to the Games screen.

Play the Brick Game

Brick, originally the only game on the iPod and available only through a hidden, secret command, is a variation on the old Breakout arcade game programmed in 1976 by none other than Apple cofounder Steve Wozniak. The concept is simple: Use the wheel to move the paddle at the bottom of the screen back and forth to deflect the bouncing "ball" back up to the top of the screen, where it strikes a wall of bricks and breaks each one it touches, earning you points. You lose a "life" if the ball gets past your paddle. Keep the ball moving as long as you can, and break all the bricks to advance to the next level, where the ball moves faster, the paddle is smaller, and the brick wall is thicker.

Tip

On iPod 1G and 2G models, access the Brick game by navigating into the About screen (in the Settings menu) and holding down the Select button for several seconds.

Play the Music Quiz Game

Music Quiz is a game unique to the iPod in which you're presented with five song titles in a list. The iPod plays a randomly selected clip of music (about 10 seconds long) from the middle of a song whose title is somewhere in the list. You must identify the song as quickly as possible, highlight the correct title, and press Select. You earn points for each correct answer, and you score higher the faster you respond. (You can use the Play/Pause button to pause the game at any time.)

Note

Because the iPod must access its disk to select five new random titles for each round, the Music Quiz game is one of the most disk-intensive activities possible on the iPodand one of the fastest ways to run down the battery.

Play the Parachute Game

Parachute lets you engage your itchy trigger finger by putting you behind a defender's gun while helicopters drop paratroopers on you. Aim the gun using the track wheel, and fire using the Select button. Shooting a paratrooper before he reaches the safety of the ground is worth one point, and shooting a helicopter is worth two points. Each shot you take costs you one point, though, so simply filling the air with lead won't get you anywhere.

Play the Solitaire Game

Solitaire is mostly a game of patience. You use the track wheel to browse back and forth through the displayed cards, and you press Select to draw cards from the deck or pick up cards to move them from one pile to another. The game allows you to draw only three cards at a time (rather than a single card), meaning that it's easy to find yourself in an unsolvable game; if you do, just press Menu and re-enter the game to reset the cards.

Note

The iPod 3G, iPod mini, and monochrome iPod 4G have all the same games as are present on the iPod 5G and iPod nano. They're just a bit less flashy in their graphics.


Section 90. Customize the iPod's Main Menu

90. Customize the iPod's Main Menu

Before You Begin | See Also
Transfer Your Music, Videos, and Podcasts to Your iPod | Record Voice Notes
Find and Play Music on the iPod |

You'll spend a fair amount of time at your iPod's Main Menu. This screen gives you top-level access to your music, videos, photos, extra features, settings, and quick commands such as Shuffle Songs, as well as (when music is playing) the Now Playing screen. This arrangement of options is designed to give you the maximum amount of useful control over your music and data, while fitting all the options on a single screen so that you don't have to scroll to see all of them.

As you use the iPod, however, you might find that the default options on the Main Menu are insufficient for your needs. You might want top-level access to your Playlists, for example, or your Contacts, or you might never use the Shuffle Songs command and want to get rid of it. Thoughtfully enough, Apple allows you to turn on and off any of the individual options within the Music or Extras screens, allowing you to place them on the Main Menu or remove them accordingly. Some of these options (such as Voice Memos) are available only if you configure them in this way. Just about the only thing you can't remove from the Main Menu is the Settings screen, where the Main Menu configuration screen is found.

Customize the iPod's Main Menu

Open the Main Menu Settings

From the Main Menu, select Settings, and then choose Main Menu. This command opens a list of all the iPod commands that you can place on the Main Menu, grouped by the names of the options under which they are normally found. All are marked Off, except for the ones that currently appear on the Main Menu, which are marked On.

Toggle Options On and Off

Highlight any command and press Select to toggle that command on or off.

Tip

Remember that the iPod's screen holds only nine lines of text. You can't toggle the Settings option on or off, and the Now Playing option isn't visible unless you're playing music. Thus, if you enable more than the default seven optional items, you're forced to scroll up and down on the Main Menu to see all the available options.

Return to the Main Menu

Press Menu twice to return to the Main Menu and view your newly customized menu screen.

Revert to the Main Menu's Default Configuration

If you decide that you don't like your customized Main Menu layout, return to the Settings screen, select Main Menu (as described in Step 1), and choose Reset Main Menu from the bottom of the list. Choose Reset in the subsequent confirmation screen. This action returns the iPod's Main Menu to the way it appeared when you first bought your iPod.


Section 91. Transfer and View Contacts

91. Transfer and View Contacts

Before You Begin | See Also
Use Your iPod as an External Hard Disk | Transfer and View Calendar Events
 | Synchronize Contacts and Calendar Items Using iTunes or iSync (Mac Only)

If you have an iPod, you don't need to rely on your "little black book" full of addresses and phone numbers or even your cell phone or PDA. Whether you're using Windows or a Mac, you can transfer any "card" of contact information (as stored in the industry-standard vCard format, used by popular data-organizing software such as Palm Desktop, Microsoft Outlook or Entourage, Eudora, or the Mac OS X Address Book) directly to the iPod and view it on its screen.

This task describes how to load contacts into the iPod manually, using the Contacts folder on the iPod's hard disk. If you have a Mac, you can use the method described in this task, but you might find it far more efficient to use iTunes' built-in contact synchronization or iSync, as described in [image] Synchronize Contacts and Calendar Items Using iTunes or iSync (Mac Only).

Transfer and View Contacts

Enable the iPod as an External Hard Disk

As described in [image] Use Your iPod as an External Hard Disk, enable your iPod's external hard disk mode and attach it to your computer.

Navigate to the iPod's Contacts Folder

Open the iPod's hard disk in a Windows Explorer or Finder window. In the top level of the disk is a folder called Contacts. Open this folder and keep the window open on your screen so that you can drag items into it.

Locate Contacts to Transfer

Open your data-organizing application where your contacts are stored. View the Address Book or Contacts section (if applicable), where all your contacts are listed.

Drag Contacts to the iPod's Contacts Folder

Most data-organizing applications let you drag contacts directly from the application window (in other words, the Outlook or Address Book window) into a folder in a Finder or Windows Explorer window. Drag individual contacts, or select multiple contacts and drag all of them at once. The contacts are copied in vCard (.vcf) format into the Contacts folder.

If your application doesn't let you drag contacts directly to the folder, select the contacts and export them (the command is usually File, Export) to .vcf files, saved in the iPod's Contacts folder.

Unmount and Disconnect the iPod

When you're done copying contacts to the iPod, unmount or eject the iPod as described in [image] Use Your iPod as an External Hard Disk. Then disconnect your iPod from the computer.

View Contacts on the iPod

From the iPod's Main Menu, select Extras and then Contacts. Your contacts are listed alphabetically according to their names (first, then last). Use the track wheel to scroll to the desired contact and press Select. All the information stored in the vCard for that person is displayed on the screen. Scroll using the wheel to see all the information.

You can neither alter nor add to any of the contact information stored on the iPod, nor can you transfer contact information directly from the iPod to any other device such as a cell phone (although you can copy them off of the iPod onto another computer). However, simply being able to look up a phone number or address while on the go can be a lifesaver.

Configure Sorting Options

You can configure two aspects of contacts on the iPod: the order in which they're alphabetized in the Contacts screen, and the format in which their names are displayed.

From the Main Menu, choose Settings and then Contacts. Highlight the setting you want to change (Sort or Display), and press the Select button to toggle between the First Last and Last First name formats.


Section 92. Transfer and View Calendar Events

92. Transfer and View Calendar Events

Before You Begin | See Also
Use Your iPod as an External Hard Disk | Transfer and View Contacts
 | Synchronize Contacts and Calendar Items Using iTunes or iSync (Mac Only)

Just as you can with your contacts' addresses and phone numbers, you can carry your important calendar dates along with you on your iPod, reducing the need for yet another book in your pocket or PDA on your belt. Whether you're using Windows or a Mac, you can transfer any "calendar" file (as stored in the industry-standard iCalendar or vCal formats used by popular data-organizing software such as Palm Desktop, Microsoft Outlook or Entourage, Eudora, or iCal in Mac OS X) directly to the iPod and view it on its screen. The iPod can even beep or emit a silent alarm when your calendar events come due.

This task describes how to load calendars onto the iPod manually, using the Calendars folder on the iPod's hard disk. If you have a Mac, you can use the method described in this task, but you might find it more efficient to use iTunes' built-in calendar synchronization or iSync as described in [image] Synchronize Contacts and Calendar Items Using iTunes or iSync (Mac Only).

Note

You can transfer to-do lists, a common feature of most popular calendaring software, to the iPod only if you have a Mac and use iTunes or iSync to manage the transfer.

Transfer and View Calendar Events

Enable the iPod as an External Hard Disk

As described in [image] Use Your iPod as an External Hard Disk, enable your iPod's external hard disk mode and attach the iPod to your computer.

Navigate to the iPod's Calendars Folder

Open the iPod's hard disk in a Windows Explorer or Finder window. In the top level of the disk is a folder called Calendars. Open this folder and keep the window open on your screen so that you can drag items into it.

Export Calendar Files to Transfer

Open your data-organizing application (such as Outlook) where your calendar events are stored. View the Calendar section (if applicable), where your calendars and events are listed.

Using the application's Export function (usually located in the File menu), select and export the calendar (or calendars) you want to transfer to your iPod. The output files should be in iCalendar (.ics) or vCal (.vcs) format. You can save them in any temporary location (such as on your desktop) or directly into the iPod's Calendars folder.

Drag Calendar Files to the iPod's Calendars Folder

If you saved the exported files to a temporary location, locate the files on your computer's hard disk (using a Windows Explorer or Finder window) and drag the files into the Calendars folder on the iPod. Wait for the files to be copied to the iPod's disk.

Unmount and Disconnect the iPod

When you're done copying calendar files to the iPod, unmount or eject the iPod as described in [image] Use Your iPod as an External Hard Disk and then disconnect the iPod from the computer.

View Calendar Events on the iPod

From the iPod's Main Menu, select Extras; then choose Calendars. All your named calendars are listed alphabetically, following an item at the top called All, which aggregates all the events from all your calendar files and presents them in a single unified view.

Use the track wheel to scroll to the desired calendar, and press Select. The iPod displays a calendar view of the current month, with a flag in each date where an event is registered. Use the track wheel to highlight a date, and press Select to view the details of that date's events.

Tip

If you continue rotating the wheel in the calendar view, it switches to the next month.

Configure Alarm Notifications

The iPod is set by default to emit a beeping alarm and display an event's details on its screen when a calendar item that is configured with an alarm setting comes due. You can suppress this beep or turn off alarm notifications entirely by using the last item on the Calendars screen: Alarms. Highlight this item and press Select to toggle between Off, Beep, and Silent modes.


Section 93. Synchronize Contacts and Calendar Items Using iTunes or iSync (Mac Only)

93. Synchronize Contacts and Calendar Items Using iTunes or iSync (Mac Only)

Before You Begin | See Also
Find and Play Music on the iPod | Transfer and View Contacts
 | Transfer and View Calendar Events
 | Transfer and View Text Notes

If your computer is a Mac running Mac OS X 10.4 ("Tiger"), synchronizing your contacts and calendars is a feature built right into iTunes 4.8 and later. In the iPod Preferences window, you'll find Contacts and Calendars tabs that enable automatic synchronizing of all or selected contacts from your Address Book and calendar events from iCal. If you use Tiger, any time you connect the iPod to your computer, iTunes copies all your vital information to the iPodnot just transferring it to the device in one direction, but making sure that any changes or deletions you make in your Address Book or iCal data are reflected accurately on the iPod.

If, however, you have a Mac but don't have Mac OS X Tiger yet, you can still automatically update your contacts and calendars automatically. It just involves using a small utility built into Mac OS X Panther called iSync, which exists to keep your information synchronized to your various handheld devices (such as the iPod) and your other computers using .Mac. You can configure iSync to launch and sync your data every time you connect the iPod to your computer, or you can choose to launch it manually to sync whenever you want.

This task covers both the iTunes method (preferred) and the iSync method of syncing your data. It applies only to Mac users with Mac OS X 10.2.8 or later, iSync 1.1 or later, and iCal 1.0.1 or later. If you have a Windows PC, or if your Mac's software is not updated to at least these versions, refer to [image] Transfer and View Contacts and [image] Transfer and View Calendar Events to transfer this information to your iPod.

Note

You can synchronize to-do lists (as used in iCal and other calendaring software) with your iPod only by using the procedures in this task. To-do lists are copied automatically as part of the Synchronize all calendars option. Manually synchronizing your calendars does not transfer to-do lists.

Before Mac OS X 10.4 Tiger, iSync was used more extensively to sync your contact and calendar data through .Mac to keep your computers in sync, as well as to sync the information on your peripheral devices such as PDAs and iPods. Now, iSync is used exclusively for synchronizing PDAs and cell phones. If you have recently upgraded to Tiger, you might want to disable the existing iPod syncing in iSync and enable it in iTunes because the iTunes approach is a much neater method that doesn't cause two different applications to fire up when you plug in the iPod. If you try to set up iSync in Tiger with a new iPod configuration, it won't let youit tells you that iPod syncing takes place in iTunes instead.

Synchronize Contacts and Calendar Items Using iTunes or iSync (Mac Only)

Connect Your iPod

Connect your iPod to your computer using the Dock or cable. Wait for it to finish synchronizing its music with iTunes.

Tiger: Open the iPod Preferences

If you're running Mac OS X Tiger and iTunes 4.8 or higher, choose iTunes, Preferences and click the iPod tab. Note that the Contacts and Calendars subtabs are available along with the Music subtab.

If you're not using Tiger or iTunes 4.8, skip to Step 4.

Tiger: Synchronize Contacts and Calendars

On each of the Contacts and Calendars subtabs, select the check box to enable syncing of that body of information: Synchronize Address Book contacts and Synchronize iCal calendars.

Below the main check box on each of these subtabs are radio buttons allowing you to choose between synchronizing all your contacts or calendars, or synchronizing only selected contact groups or named calendars. Choose the appropriate option for your needs. If you choose to synchronize only selected groups or calendars, use the check boxes to specify which groups and calendars to send to the iPod.

Click OK. iTunes copies your contacts and calendars to the iPod and will synchronize any changed information the next time you connect the iPod to the computer. You're now done with this task; the rest of the steps are not relevant to users of Mac OS X Tiger.

Pre-Tiger: Open iSync

If you're not using Tiger or iTunes 4.8 on your Mac, navigate into the Applications folder and double-click iSync to launch it.

Pre-Tiger: Add the iPod as a Synchronized Device

From the Devices menu at the top of the screen, choose Add Device. iSync detects the iPod and reports its name and connection method. Double-click the iPod to add it to iSync's list of synchronized devices.

Pre-Tiger: Configure What Information to Synchronize

Click the iPod's icon in iSync to open its configuration panel, if it's not already open. There are check boxes indicating whether iSync should synchronize your Address Book contacts (and which groups to synchronize), your iCal calendars and to-do lists, or both sets of information. Disable the appropriate check boxes if you don't want to synchronize certain data.

Pre-Tiger: Choose Whether to Sync Automatically When Connected

Another selected check box is Automatically synchronize when iPod is connected. With this option enabled, iSync launches and synchronizes your contacts and calendars with your iPod whenever you plug your iPod into your computer. If you're already synchronizing your music with iTunes automatically and you enable this option, both iTunes and iSync will launch at the same time when you connect the iPod, fighting for your attention. You might want to disable this check box if you want iTunes to get priority. If you do, however, you must manually launch iSync and click the Sync Now button whenever you want to sync your information. Otherwise, enable the check box, and both applications will launch and sync at the same time.

Tip

If you want to make sure that your information is synchronized every time you connect the iPod, leave the Automatically synchronize when iPod is connected check box enabled and disable the Open iTunes when attached check box on the Music subtab of the iPod pane in the iTunes Preferences window. You'll need to launch iTunes manually to sync your music, or choose File, Update iPod.

Pre-Tiger: Sync Information with the iPod

Click Sync Now. iSync transfers all new and changed information to the iPod. When it's done synchronizing, you can safely disconnect the iPod and view the contacts and calendars as described in [image] Transfer and View Contacts and [image] Transfer and View Calendar Events.


Section 94. Transfer and View Text Notes

94. Transfer and View Text Notes

Before You Begin | See Also
Use Your iPod as an External Hard Disk | Transfer and View Contacts
 | Transfer and View Calendar Events

You might not be able to jot down notes on it as you listen to your favorite music, but the iPod does allow you to read any text files you place in the special Notes folder on its disk. These text files can be anything from brief shopping lists or workout regimens to whole articles you downloaded from the web. The only restriction is that you must save them in plain text (.txt) format.

Transfer and View Text Notes

Enable the iPod as an External Hard Disk

As described in [image] Use Your iPod as an External Hard Disk, enable your iPod's external hard disk mode and connect the iPod to your computer.

Navigate to the iPod's Notes Folder

Open the iPod's hard disk in a Windows Explorer or Finder window. In the top level of the disk is a folder called Notes. Open this folder and keep the window open on your screen so that you can drag items into it.

Save Text Files to Transfer

If the text files that you want to transfer to the iPod are not already in plain text format, you must export them to this format using their native applications (such as Microsoft Word). Using the application's Export or Save As function (usually located in the File menu), export each file you want to transfer to your iPod. The output files must be in plain text (.txt) format. You can save the files in any temporary location (such as your desktop) or directly into the iPod's Notes folder.

Drag Text Files to the iPod's Notes Folder

If you saved the exported files to a temporary location, locate the exported files on your computer's hard disk and drag them into the Notes folder on the iPod. Wait for the files to be copied to the iPod's disk.

Unmount and Disconnect the iPod

When you're done copying text files to the iPod, unmount or eject it as described in [image] Use Your iPod as an External Hard Disk, and disconnect the iPod from the computer.

View Text Notes on the iPod

From the iPod's Main Menu, select Extras, and then choose Notes. Your text files are listed alphabetically by their filenames. Highlight a file and press Select to read it. Then use the track wheel to scroll through the file's contents.


Section 95. Use Your iPod as a Stopwatch

95. Use Your iPod as a Stopwatch

Before You Begin | See Also
Configure the iPod's Backlight | Listen to FM Radio
 | Secure Your iPod Against Theft

Considering the vast ecosystem of iPod accessories being created by Apple and third-party companies these days, allowing you to turn your iPod into everything from an FM radio or voice recorder to a flashlight or laser pointer, it's hardly any wonder that a stopwatch would be one of the functions that would eventually find its way into the iPod's software.

Note

The stopwatch function is available only on the iPod 5G and iPod nano.

Using the built-in stopwatch feature is quite straightforward, but it has some behaviors that might not be obvious at first glanceand some features that you won't find on any real physical stopwatch.

Use Your iPod as a Stopwatch

Navigate to the Stopwatch Function

From the iPod's Main Menu, select Extras, and then choose Stopwatch. The screen that appears has only one itemTimerthat leads to the full-screen stopwatch timer function. (The Stopwatch menu contains entries for all your saved sessions after you've created them.)

Start the Timer

In the graphical timer screen, make sure the Start button is selected, and then press Select to begin the timer counting up from zero. The stopwatch counts in increments of hundredths of seconds. It can count up to 99 hours before rolling over.

Note

If a time is shown on the screen from a previous session, use the track wheel to select Clear (the button on the right when you first view the timer screen), and press Select to zero out the numbers.

Mark Lap Times

While the timer is counting, you have two options (which you can select using the track wheel): Pause and Lap. The Pause button is what you use to finish timing the action or to resume timing after a break. The Lap button saves the accumulated time in a "Lap #" line, labeled for the number of the lap you're on, and resets the timer for the next lap. You can track an arbitrary number of subsequent laps this way, saving each lap time and resetting the timer for the next lap.

Save the Session

When you're done timing the action and all its component laps, highlight Pause and press Select. Then highlight and select Done. You return to the Stopwatch menu, which now has a new item in the list: a session entry labeled with the time when you began timing the action.

Each time you use the stopwatch and leave the timer screen by selecting Done, a new session entry is added to the Stopwatch menu's list of entries.

To leave the timer session without saving it, press Menu.

View Saved Sessions

Highlight a saved session in the list and press Select. A textual readout of the details of the session appears, showing you the date and time when the session was begun, as well as information such as the total time, the longest and shortest lap times, and so on. Using this information and storing old timer sessions, you can keep track of a friend's marathon training over weeks, accurately tracking her improvement in average lap times and fastest lapsor time how long it takes for the pizza guy to get to your house and how his speed varies with the size of your tip.

Press Menu to return to the Stopwatch menu.

Delete a Session

The Stopwatch menu can become quite full and cluttered with old session entries if you keep using the timer. Fortunately, you can delete entries that you no longer care about.

While viewing the information in a saved session (as in Step 5), press Select again. The iPod switches to a Delete Session screen, which offers you the option to Cancel (and return to the session information screen) or Delete to remove the session from the menu permanently.


Key Terms

Don't let unfamiliar terms discourage you from learning all you can about the iPod and iTunes. If you don't completely understand what one of these words means, flip to the indicated page, read the full definition there, and find techniques related to that term.

Advanced Audio Coding (AAC)

A digital audio format co-developed by Apple as part of the MPEG-4 definition; AAC has better quality than MP3, as well as optional built-in DRM. Page 10

AirPort Express

One of Apple's brand of wireless Internet connectivity devices, a wireless base station that provides not just wireless (802.11g) connectivity but also an audio connection between iTunes and a stereo and set of speakers to which it's connected. 288

AirTunes

A feature of AirPort Express that broadcasts the capability to route music to a set of externally connected speakers from any copy of iTunes running on the network; any of these iTunes computers can choose the AirTunes-managed speakers and play music through them wirelessly. 288

allowance

A recurring, fixed amount of credit that you make available at the iTunes Music Store for another person, such as your child, to be able to use to download music without having to have his own credit card and paid iTunes account. 143

audiobook

The digital equivalent of the spoken-word tape. It's a special kind of digital audio file that plays for a long time as its content (the text of a book or speech) is read. The file includes additional technology such that, if you pause listening to the audio stream, iTunes remembers where you left off and picks up again at that point when you resume listening. This technology even works if you move from iTunes to iPod as you listen to the audiobook. 72

authorize

Register a computer over the network to be able to play protected AAC and MPEG-4 files purchased using a particular iTunes account. 126

autofill

A technique for selecting just enough songs at random from a specified source to fill your iPod shuffle or iTunes phone to capacity. With one button click, you can copy a whole new set of music to the device. 221

bit rate

The number of bits per second consumed by an audio stream; the bit rate can be constant or variable; if constant, the bit rate can be used to calculate how much disk space a song file will take up. 67

bookmarking

Not an official term; refers to iTunes' ability to keep track of where you left off listening to a podcast or audiobook, or stopped watching a TV show; iTunes starts there again when you view the item again, whether in iTunes or on the iPod. Bookmarking can be enabled or disabled on a per-file basis in the Options pane of the Info window, using the Remember playback position check box. 72

broken pointer

A song entry in the iTunes database that points to a file that no longer exists or has been moved to another location so that iTunes can't find it. Broken pointers are marked with a ! icon. 300

burn

To create a music CD using a writable disc (CD-R, CD-RW, or writable DVD). Page 4

burner

A CD or DVD drive capable of creating written, or burned, discs as well as reading them. Most modern computers are sold with CD burners, and many come with DVD burners as well. 261

CD-R

Writable compact disc. A CD-R can be burned once, and after that its contents cannot be changed. A CD-R or CD-RW can hold 650 or 700 megabytes of data, depending on the format. 261

CD-RW

Rewritable compact disc. A CD-RW can be burned multiple times, usually up to a few dozen times. 261

Compact Disc Digital Audio (CDDA)

The standard specification for mastering compact discs, which includes a specific format for the uncompressed audio data in each track. 258

compression

Fitting more music into a fewer number of bytes by discarding unimportant musical data or indexing repeated patterns. 65

contact sheet

A grid of small thumbnail images representing a group of photos, such as in the Photos section of the iPod, where you can browse your photos 30 to a screen. 355

crossfading

Having one track fade out at its end; the next track begins as the previous one is still fading. 199

deauthorize

Revoke the ability for a computer to play protected AAC files purchased using a particular iTunes account, freeing up one of the available authorizations. 126

deep discharge

Battery characteristics where optimum longevity and performance result from discharging the battery completely before recharging it. 251

Digital Rights Management (DRM)

Software algorithms that provide "copy protection" for digital music, usually enforced with digital "keys." 15

DVD-R

Writable digital versatile disc. A DVD can hold 4.7 gigabytes of data and generally costs significantly more than a writable CD. Data on a DVD is heavily compressed, making the format much more complex than that of a CD. Some DVD formats, such as DVD+RW and DVD-RW, can be written to more than once. "Dual-layer" discs cost more and can store twice as much data. 261

ethernet

A physical connection to a LAN is done using Ethernet, a low-level communication protocol that involves cables that end in RJ-45 jacks, which resemble large phone jacks. All modern Macs have an Ethernet port, which runs at 10, 100, or (on top-end models) 1000 megabits per second. 288


Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Y] [Z]


SYMBOL

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Y] [Z]

1G (first-generation iPod) 2nd
2G (second-generation iPod) 2nd
3G (third-generation iPod)
4G (fourth-generation iPod)
5G (fifth-generation iPod)


A

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Y] [Z]

AAC (Advanced Audio Coding) file format 2nd 3rd
authorizing computers to play
default iTunes formats
DRM
iTunes Music Store 2nd
MP3 CDs, burning
sharing music over local networks
AAC Encoder option (Importing preferences)
account registration (iTunes Music Store)
Apple ID
credit cards
PayPal
security
Add MP3 and AAC Files check box (iTunes)
Add WMA Files check box (iTunes)
Advanced menu (iTunes)
Convert Selection for iPod option
Convert Selection to... option
Switch to Mini Player command
Advanced pane (iTunes)
Join CD Track Names option
Keep Mini Player on top of all other windows check box
Submit CD Track Names option
Unjoin CD Tracks option
Advanced preferences (iTunes Preferences window)
Consolidate Library option
Convert ID3 Tags option
Copy files to iTunes Music folder when adding to library check box
Keep iTunes Music folder organized check box 2nd
Keep Mini Player on top of all other windows check box
Minimize iTunes window to system tray option
Show iTunes icon in system tray check box
AIFF (Audio Interchange File Format)
AIFF Encoder option (Importing preferences)
AirPort Express 2nd
AirTunes
alarm notifications (iPod)
Album listing option (iTunes Print dialog)
Album lists (iTunes)
Album Only designations (iTunes Music Store)
albums
art
adding to/removing from songs in iTunes
downloading automatically
iPod, displaying in
organizing
printing CD jewel cases
viewing
web resources 2nd
browsing video by (iTunes Videos view)
iTunes Library, organizing in
classical music
compilation albums
track/disc numbers
playing music by (iPod)
release date information
Albums option (iTunes Shuffle option)
All Music Guide website
allowances (iTunes Music Store)
accounts, creating
conditions, configuring
purchasing
Always On option (Backlight Timer menu)
Apple IDs
iTunes Music Store accounts
multiple iTunes Music Store authorizations
passwords, changing
Apple Lossless Encoder option (Importing preferences) 2nd
Apple Lossless file format 2nd 3rd
Apple Remote
displaying iPod video on TV
photos, displaying on TV
AppleCare extended warranty (iPod)
Art Finder software
Artist Alerts (iTunes Music Store)
Artist lists (iTunes)
artists
browsing video by (iTunes Videos view)
iTunes Library, organizing in
playing music by (iPod)
artwork
albums
adding to/removing from songs in iTunes
downloading automatically
iPod, displaying in
organizing
printing CD jewel cases
viewing
web resources 2nd
podcast episodes
audio files, format conversions
audiobooks 2nd
bookmarking
iPod
listening on
playback speeds
playing where you left off
iTunes
listening in
playing where you left off
skipping between chapters
authorizing
computers to play purchased iTunes Music Store music
downloads (iTunes Music Store)
auto-leveling song volume (iTunes) 2nd
Autofill from drop-down list (iTunes)
autofilling
iPod Shuffle
Autofill option selection
downsampling high bit rate files
source selection
iTunes phones (Motorola)
Automatically choose songs for my iPod check box (iPod Shuffle)
Automatically create playlists when purchasing song collections check box (iTunes Preferences window)
Automatically synchronize when iPod is connected option (iPod preferences)
Automatically update songs on my iPod check box (iPod)
AVI (Audio/Video Interleave) file format


B

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Y] [Z]

Back and Forward buttons
iPod 2nd
iTunes
backlight (iPod)
backups (video)
bandwidth, video downloads
base stations (wireless)
battery (iPod)
charging 2nd
deep discharges
shallow discharge
web resources
Beatles, The, iTunes Music Store
bit rates (music files)
booklets
bookmarking
Brick (iPod games)
broken pointers, organizing iTunes Library
Browse list feature (iTunes)
Browse view (iTunes) 2nd
browsing
iTunes Music Store
Column view
featured sections
genre
iTunes Essentials collections
video
playlists
iTunes playlists
shared music libraries
podcasts in iTunes
video in Videos view (iTunes)
Burn Disc button (iTunes) 2nd
burning
CDs
customizing iTunes options
mix CDs
MP3 CDs 2nd
data discs (DVDs)
Burning preferences (iTunes Preferences window)
Disc Format setting
Gap Between Songs setting
MP3 CD option
Preferred Speed option
Use Sound Check check box
Buy using a Shopping Cart option (iTunes Preferences window)
buying
iTunes Music Cards
iTunes Music Store media
AAC file format
Album Only designations
allowances
browsing
Buy Album button
Buy Episode button
Buy Season button
Buy Song button
Buy Video button
By Track Only designations
checking for purchases
Don't warn me about buying Songs again check box
downloading interrupted tracks
gift certificates
iTunes Music Cards
Partial Album designations
previewing
purchase history, viewing
Purchased playlist (iTunes Library)
re-enabling confirmation messages
shopping cart
song collections
Wish Lists
ByTrack Only designations (iTunes Music Store)


C

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Y] [Z]

calendar events, iPod
synchronizing with
transferring to
cameras (digital), downloading photos to iPod
deleting photos
erasing camera storage cards
USB connections
viewing photos
web resources
capacity (iPod), determining
CD-Rs
CD-RWs
CDDA (Compact Disc Digital Audio) file format
CDDB (CD Database), CD track names
downloading
submitting
CDs
burning
customizing iTunes options
mix CDs
MP3 CDs 2nd
copying
importing
CD-quality (Lossless) format
encoding format/bit rate selection
error correction
improving quality of
joined tracks
secret tracks
troubleshooting
jewel case inserts, printing
background color
listing selection
previewing
theme selection
ripping
track names
downloading to iTunes
editing
entering manually into iTunes
retrieving information on
submitting to Gracenote/CDDB
Chapter Selector menu (iTunes Podcasts view)
Check for new episodes drop-down list (Podcasts page)
Check for Purchases option (iTunes)
children, iTunes parental control
Choose higher rated songs more often check box (Autofill drop-down list)
Choose songs randomly check box (Autofill drop-down list)
classical music, organizing in iTunes Library
Column view, browsing iTunes Music Store by
comparison chart (iPod)
compilation albums, organizing in iTunes Library
Compilation field (iTunes Library)
Composer field (iTunes Library)
compression (music files)
confirmation messages (iTunes Music Store)
Consolidate Library option (Advanced preferences)
contacts, iPod
sorting in
synchronizing with 2nd
transferring to
viewing in
contrast (iPod screen), adjusting
Convert higher bitrate songs to 128 kbps AAC option (iTunes Preferences window)
Convert ID3 Tags option (Advanced preferences)
Convert MP3s to WMAs (smaller files) check box (ppcTunes)
Convert Selection for iPod option (iTunes Advanced window)
Convert Selection to... option (iTunes Advanced menu)
converting iPod from Windows format to Mac format
Copy all photos and albums option (Photo preferences)
Copy files to iTunes Music folder when adding to library check box (Advanced preferences) 2nd 3rd
Copy selected albums only option (Photo preferences)
copy-protected files
DRM
MP3 CDs, burning 2nd
importing CDs to iTunes
playlists, creating
recreating playlists with MP3 files
web resources
sharing music over local networks
copying CDs [See burning CDs.]
Create New Account button (iTunes Music Store)
credit cards, iTunes Music Store account registration
crossfade effects (iTunes) 2nd
Current iTunes Track status (iChat)
Customer Reviews section (iTunes Music Store)


D

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Y] [Z]

Dashboard Widget (Mac), iTunes playback control
data discs (DVD), burning
Date & Time Settings menu (iPod)
Date Added column (Source pane)
deauthorizing computers from playing purchased iTunes Music Store music 2nd
deep discharges (iPod battery)
deleting
duplicate songs from iTunes Library
iTunes playlists
playlists from iPod
podcasts
songs from
iPod
iPod Shuffle
iTunes phone (Motorola)
Stopwatch sessions (iPod)
descriptions (podcasts), viewing in iTunes
digital music
AAC file format 2nd
Apple Lossless file format
development of
info tags
iTunes file format support
MP3 file format
WMA file format 2nd
digital video technology, development of
Disc Format setting (Burning preferences)
Disc Number field (iTunes Library)
Do Not Disconnect icon (iPod) 2nd
Do nothing option (When new episodes are available drop-down list)
Dock (iPod)
charging iPod
connectors
iTunes playback control
rating songs in iTunes
troubleshooting connections
viewing song information in iTunes
Don't warn me about buying Songs again check box (iTunes Music Store)
Download all option (When new episodes are available drop-down list)
Download the most recent one option (When new episodes are available drop-down list)
downloading
CD track names, iTunes
interrupted tracks
iTunes
music
iTunes Music Store [See individual entry.]
Napster
photos
from camera to iPod
from iPod to computer
podcast episodes
video
iTunes Music Store
iTunes-compatible file formats
dragging/dropping
album art to songs in iTunes
files/folders to iTunes
songs to iTunes playlists
DRM (Digital Rights Management)
MP3s
music files
duplicate songs, removing from iTunes Library
DVD-Rs
DVDs, burning data discs


E

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Y] [Z]

Edit menu (iTunes), Show Duplicate Songs option
email
addresses, creating Apple IDs
iMix notifications
Enable disk use check box (iPod General preferences)
episodes (podcasts)
artwork
deleting
downloading
playing 2nd 3rd
selecting
unlistened episodes
update settings, configuring
updating subscriptions
video, playing in iPod
EQ (Equalizer) menu (iPod)
Equalizer (iTunes)
accessing
adjusting
individual songs, adjusting for
presets
error correction
Ethernet
explicit content, iTunes parental control
Export Song List command (iTunes)
Extras menu (iPod)


F

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Y] [Z]

fast-forwarding music in iTunes
feature comparison chart (iPod)
featured sections (iTunes Music Store)
file compression, MP3 CDs
File menu (iTunes)
Show Current Song command
Show Song File option
File, Add to Library command (iTunes)
finding
music files from iTunes entries
songs/videos in iTunes
firewalls, sharing music over local networks 2nd
FireWire, iPod
connections 2nd
iTunes synchronization 2nd
support for
Flash file format 2nd
folders
iTunes, adding files via
playlists, grouping into
Forward and Back buttons
iPod 2nd
iTunes
frame rates (video)
Full Screen mode (iTunes Visualizer)
full-frame mode, watching iPod video on TV


G

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Y] [Z]

Games menu (iPod)
Gap Between Songs setting (Burning preferences)
GarageBand, podcasts
General preferences (iTunes Preferences window)
Group compilations when browsing check box
iPod
Enable disk use check box
Manually manage songs and playlists sync mode
Genre field (Videos view)
Genre lists (iTunes)
genres
browsing
iTunes Music Store by
video by (iTunes Videos view)
iTunes Library, organizing in
playing music by (iPod)
videos, changing
gift certificates
iTunes Music Store, purchasing from
printing
purchasing media via
redeeming
Gift This Music links (iTunes Music Store)
giftcards [See iTunes Music Cards.]
gifting media (iTunes Music Store)
Give Playlist links (iTunes Music Store)
Gracenote, CD track names
downloading
submitting
Group compilations when browsing check box (General preferences)
grouping iTunes playlists into folders
Groupings option (iTunes Shuffle option)


H

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Y] [Z]

hard disks, iPod as
calendar events, transferring to
contacts, iPod
sorting in
transferring to
iPod Shuffle
pod slurping
security
unmounting to disconnect
headphone/speaker configurations (iPod)
equalizer presets
volume limits
hidden tracks (CDs), importing to iTunes
high bit rate files, downsampling (iPod Shuffle/iTunes phone)
Hold switch (iPod)
house icon (iTune Music Store)


I

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Y] [Z]

iChat, Current iTunes Track status
Icon View button (Videos view)
ID3 info tag conversions
iMixes
playlists, publishing as
rating
removing
telling friends about
updating
viewing
Import Songs options (iTunes)
importing
music to iTunes
CDs
CDs with joined tracks
CDs with secret tracks
collections
default file formats
video, iTunes Library
Importing preferences (iTunes Preferences window)
AAC Encoder option
AIFF Encoder option
Apple Lossless Encoder option 2nd
audio file format conversions
custom encoding options
MP3 Encoder option
Use error correction when reading Audio CDs check box 2nd
WAV Encoder option
Include full-resolution photos check box (Photo preferences)
info tags
adding information to 2nd
digital music
editing 2nd 3rd 4th
EXPLICIT tags (iTunes Music Store)
ID3 tag conversions
MP3 file format
Info window (iTunes), Remember playback position check box
information columns (iTunes)
adding/removing
autosizing
reordering
resizing
sorting songs by
inserts (CDs), printing
background color
listing selection
previewing
theme selection
installing
iTunes
installation folder/volume, choosing
Read Before You Install iTunes file
Software License Agreement
Windows option
QuickTime
intelligent sorting (iTunes), example of
Internet Radio stations
adding channels to iTunes Library
listening to
playlists
URL connections
web resources
interrupted tracks (iTunes Music Store), downloading
iPod
actual capacity, determining
album art, displaying
albums, playing music by
AppleCare extended warranty
artists, playing music by
audiobooks
Back and Forward buttons 2nd
backlight
battery
charging
deep discharges
shallow discharge
web resources
calendar events
alarm notifications
synchronizing
transferring to
viewing in
changing modes via Select mode
charging
connections, troubleshooting
contacts
sorting in
synchronizing
transferring to
viewing in
Contrast menu
control mappings
Date & Time Settings menu
deleting songs/playlists
development of
disconnecting from computer
Do Not Disconnect icon 2nd
Dock connectors
Docks
EQ (Equalizer) menu
external hard disk
alarm notifications
iPod Shuffle
pod slurping
security
sorting contacts in iPod
transferring calendar events to
transferring contacts to iPod
unmounting to disconnect
viewing calendar events in iPod
viewing contacts in iPod
Extras menu
feature comparison chart
FireWire
connections 2nd
support for
first time connections
Forward and Back buttons
games
genres, playing music by
headphone/speaker configurations
equalizer presets
volume limits
Hold switch
initial connection process
iPod update is complete messages
iTunes Library, synchronizing with
cancelling
Dock connectors 2nd
Docks
FireWire cable 2nd
iTunes association limits
making changes during
process completion
transferring data
unsupported file formats
USB
iTunes synchronization 2nd 3rd
languages, choosing
Mac OS X
Main menu
accessing from Now Playing screen
customizing
Menu button
menus, navigating
music file formats, acceptance of
naming 2nd
navigating 2nd
navigation wheel 2nd
Now Playing screen
album art 2nd
Main menu, accessing from
OK to disconnect messages
older features, availability of
older model support
On-The-Go playlists
Photo Library
photos
displaying on TV
downloading from camera to iPod
downloading from iPod to computer
synchronizing to
Photos menu
platform conversions
Play/Pause button 2nd
playlists
available disc space, calculating
playing
shuffling
podcasts
listening to
playing episodes
playing video podcasts
playing where you left off
protective gear
Rating mode
rating music
registering
resetting
scan mode
scanning through songs
screen
adjusting contrast
comparisons
scrolling within songs/videos
Select button 2nd
selecting
Settings menu
Backlight Timer menu
Contrast menu
Date & Time Settings menu
EQ (Equalizer menu)
Shuffle Songs mode 2nd
sleep mode
Smart Playlists, creating for
specific songs, playing
Stopwatch option
text notes, transferring to/viewing in
Title Bar Clock, turning on/off
to-do-list synchronization
transferring only preferred music to
troubleshooting
U2 Special Edition iPod
updating
Automatically update all songs and playlists option (itunes preferences window)
Automatically update selected playlists only option (itunes preferences window)
Automatically update songs on my iPod check box
Do not disconnect icon
Dock connectors
FireWire cable
iPod update is complete message
iTunes synchronization
Manually manage songs and playlists option (itunes preferences window) 2nd
podcasts
video
USB 2.0 connections 2nd
video
converting files to
displaying on TV
playing playlists
playing podcast episodes
playing specific videos
synchronizing with
Videos menu
volume
adjusting
controlling
limits
Windows format, converting to Mac format
iPod mini
iPod nano
iPod preferences (iTunes Preferences window)
Automatically synchronize when iPod is connected option
Automatically update all songs and playlists option
Automatically update selected playlists only option
Manually manage songs and playlists option 2nd
podcasts
video
iPod Radio Remote
iPod Shuffle
autofilling
deleting songs
external hard disks
interface, navigating
iTunes connections
rearranging song order
Source list (iTunes), retaining entry in
updating
USB
connectors
support
iPod update is complete messages 2nd
iPod Updater
platform conversions
Windows formatted iPod, converting to Mac format
iTunes
Add MP3 and AAC Files check box
Add WMA Files check box
Advanced pane
Convert Selection for iPod option
Convert Selection to... option
Join CD Track Names option
Submit CD Track Names option
Unjoin CD Tracks option
AirPort Express
AirTunes
album art
adding to/removing from songs
downloading automatically
web resources
audio file format conversions
audiobooks 2nd
Autofill from drop-down list
Back and Forward buttons
booklet media type
Browse list feature
Browse view 2nd
Burn Disc button 2nd
CDs
burning 2nd
importing from 2nd
check boxes, enabling/disabling
Check for Purchases option
components of
crossfade effects
development of
digital music 2nd
downloading 2nd
DVDs burning, data discs
Edit menu, Show Duplicate Songs option
enabling via System Tray
Equalizer
accessing
adjusting
adjusting for individual songs
presets
Export Song List command
fast-forwarding music
File menu, Show song File option
finding original music files from iTunes entries
first time operation of
Flash files, compatibility of
importing music
CD-quality (Lossless) format
encoding format/bit rate selection
error correction
existing music files to
info tags
Info window, Remember playback position check box
information columns
adding/removing
autosizing
reordering
resizing
sorting songs by
initial setup process
installing
installation folder/volume, choosing
Read Before You Install iTunes file
Software License Agreement
Windows options
interface, navigating
Internet Radio
adding channels to iTunes Library
listening to
playlists
URL connections
web resources
iPod preferences
Automatically synchronize when iPod is connected option
General preferences, Enable disk use check box
General preferences, Manually manage songs and playlists sync mode
iPod Shuffle connections
iPod synchronization 2nd 3rd
iTunes Music folder, renaming files/folders in
iTunes phone connections
Keep Mini Player on top of all other windows check box
launching
Library view 2nd
Mac OS X
main window controls
Mini-Player 2nd
minimizing
mobile device synchronization
music
format conversions
importing CDs 2nd 3rd
pausing
playing 2nd
rating 2nd
rewinding
Music Folder
Music Store view
My Rating column
New Music Tuesdays notification
organizing music by rating
Palm PDA synchronization
parental controls
Party Shuffle
crossfade effect
organizing upcoming songs while playing
Play higher rated songs more often check box
Refresh button
song display options, configuring
source playlist, choosing
training iTunes to play favorite music
Visualizer
pausing music 2nd
Play/Pause button
playback control
Playlist view
playlists
browsing in
creating
deleting
dragging songs to
grouping into folders
naming
opening
playing
rearranging in
shuffling in
Smart Playlists 2nd
Pocket PC synchronization
Podcast Directory
podcasts
browsing
deleting older episodes
downloading episodes
episode artwork
exempting episodes from deletion
finding
listening to
playing episodes
playing where you left off
selecting episodes
subscribing to
unlistened episodes
unsubscribing from
update settings, configuring
updating subscriptions
viewing descriptions
Podcasts view
Chapter Selector menu
Podcast Directory link
Report a Concern link
preamp setting
Preferences window
Advanced preferences 2nd 3rd 4th
Automatically create playlists when purchasing song collections check box
Burning preferences 2nd
Buy using a Shopping Cart option
Convert higher bitrate songs to 128 kbps AAC option
Copy files to iTunes Music folder when adding to library check box 2nd
Crossfade playback check box
General preferences, Group compilations when browsing check box
Import Songs options
Importing preferences
iPod preferences
iPod Shuffle
iTunes Phone
Keep iTunes Music folder organized check box
Only update checked songs option
Parental Control tab
Photo preferences
Playback tab
Podcasts page
Sharing preferences
Show links to the Music Store check box
Sound Check option
Print dialog
scrub bar
Search bar
Search box
cancelling searches
searching music by name
search context bar
Shared Music view
Show Current Song command
Shuffle option
Smart Playlists
iPod, creating for
Limit to check box
Match only checked songs check box
video
Smart Shuffle
Smartphone (Microsoft) synchronization
Software License Agreement
song information, viewing
song lists, exporting
output format selection
playlist selection
restoring podcast subscriptions
saving
sorting, intelligent sorting example
Sound Enhancer
Source pane 2nd 3rd
stereo connections
Switch to Mini Player command (Windows)
Terms and Conditions, copy-protected files
training to play favorite music
Party Shuffle
rating music
Smart Playlists
updates
video
adding to
converting to iPod
converting to iTunes-compatible file formats
file format requirements
movies
music videos
pausing
play preferences, setting
TV shows
Videos view
accessing
browsing videos by genre/artist/album
browsing videos by thumbnails
Genre field
Icon View button
List View icon
searches
video context bar
Viewer pane
displaying 2nd
playing videos full-screen
playing videos in
Show Video Full Screen button
sizing
viewing song information via system tray/Dock
visualizers
Full Screen mode
key commands
optimizing
Party Shuffle
third-party visualizers
web resources
web resources
Zoom button (Mac)
iTunes Essentials collections, browsing iTunes Music Store by
iTunes Library
adding files
by dragging/dropping
by folder
by navigating
duplicate files
Compilation field
Composer field
consolidating
crossfade effects
Disc Number field
duplicate songs, removing
finding music by iTunes Library artists in iTunes Music Store
importing music, troubleshooting
info tags, editing 2nd
Internet Radio channels, adding to
music, importing
navigating
organizing
artist names
broken pointers
classical music
compilation albums
genres
missing song entries
podcasts
track/disc numbers
video
playlists
QuickLinks
reimporting CDs for improved quality
Show or Hide MiniStore button
Source Pane, Purchased playlist
synchronizing with iPod
cancelling
Dock connectors
Docks
FireWire cable 2nd
iTunes association limits
making changes during
process completion
transferring data
unsupported file formats
USB
Track Number field
video, importing
iTunes MiniStore
iTunes Music Cards
delivery methods
purchasing
purchasing media via
redeeming
iTunes Music folder
hierarchical structure of
No, I'll change the file and folder names myself option
organizing 2nd
renaming files/folders
Yes, keep my iTunes Music folder organized option
iTunes Music Store
AAC file restrictions
account registration
Apple ID
credit cards
PayPal
security
allowances
Artist Alerts
authorizing computers to play purchased music
authorizing downloads
Beatles, The
browsing
buying media from
AAC file format
Album Only designations
Buy Album button
Buy Episode button
Buy Season button
Buy Song button
Buy Video button
By Track Only designations
checking for purchases
Don't warn me about buying Songs again check box
downloading interrupted tracks
gift certificates
iTunes Music Cards
Partial Album designations
previewing
Purchased playlist (iTunes library)
re-enabling confirmation messages
shopping cart
song collections
viewing purchase history
Wish Lists
connecting to
Create New Account button
Customer Reviews section
deauthorizing computers to play purchased music 2nd
downloading video, bandwidth
EXPLICIT info tags
featured sections
file ownership
finding music by artists in iTunes Library
gift certificates
Gift This Music links
gifting media
Give Playlist links
house icon
iMixes
publishing playlists as
rating
removing
telling friends about
updating
viewing
iTunes MiniStore
Just For You section
MPEG-4 file restrictions
navigating
new music updates, viewing via RSS feeds
New Releases section
Podcast Directory
profitability of
Purchase History button
QuickLinks 2nd
Redeem option
requesting music
RSS Feed Generator
searches
narrowing scope of
Power Search option
titles
video
season passes
store credit box
Submit a Podcast page
Tell a Friend link
Terms of Service agreement
unlocking music files
URL, copying/pasting
web links
Write a Review link
iTunes phones (Motorola)
autofilling
deleting songs
iTunes connections
playlists
rearranging song order


J

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Y] [Z]

jewel case inserts (CDs), printing
background color
listing selection
previewing
theme selection
joined track CDs, importing to iTunes
Just For You section (iTunes Music Store)


K

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Y] [Z]

Keep iTunes Music folder organized check box (Advanced preferences) 2nd 3rd
Keep Mini Player on top of all other windows check box (iTunes Advanced preferences) 2nd
Keep option (When new episodes are available drop-down list)
kids, iTunes parental control
Kind column (Source pane)


L

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Y] [Z]

Large playlist theme option (iTunes Print dialog)
legality of CD copying
Library (iTunes) [See iTunes Library]
Library view (iTunes) 2nd
Limit to check box (Smart Playlists)
List View icon (Videos view), sorting video
local networks, sharing music
AAC files 2nd
browsing playlists
connection restrictions
finding shared music
firewalls 2nd
library connections
listening to
naming shared libraries
passwords 2nd
playlist selection
Look for shared music check box (Sharing preferences)
lossless compression (music files)
Lossless file format (Apple) 2nd
lossy compression (music files), MP3 file format


M

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Y] [Z]

m4v (MPEG-4 Video) file format
Mac
iPod, converting Windows format to
iTunes
File, Add to Library command
mobile device synchronization
playback control from Dashboard Widget
playback control from Dock
rating songs via Dock
viewing song information via Dock
Zoom button
mini-player (iTunes)
Parental tab (iTunes)
Mac OS X
iPod, platform conversions
iTunes
downloading
installing
updates
Main menu (iPod)
accessing from Now Playing screen
customizing
manual updates (podcasts)
Manually manage songs and playlists sync mode (iPod General preferences)
manually updating iPod 2nd
Match only checked songs check box (Smart Playlists)
Menu button (iPod)
MIDI (Musical Instrument Digital Interface) file format
mini (iPod)
Mini Player (iTunes) 2nd
Minimize iTunes window to system tray option (iTunes Advanced preferences)
MiniStore (iTunes) 2nd [See also iTunes Music Store]
Missing Sync iTunes/mobile device synchronization software (Mark/Space, Inc.)
mix CDs
burn options, customizing
MP3 CDs, burning 2nd
playlists, creating from
mixes
mobile devices, iTunes synchronization
monochrome screens (iPod), adjusting contrast
Mosaic theme option (iTunes Print dialog)
movies
MP3 (MPEG-1 Audio Layer 3) file format
CDs
burning 2nd
copying from
DRM
info tags 2nd
iTunes
designations in
importing collections to
lossy compression
piracy, iTunes Music Store
MP3 Encoder option (Importing preferences)
MPEG file format
MPEG-4 file format
authorizing computers to play
iTunes Music Store restrictions
music
audiobooks
digital music
AAC file format 2nd
Apple Lossless file format
development of
info tags
iTunes file format support
MP3 file format
WMA file format 2nd
downloading, interrupted tracks
duplicate songs removing from iTunes Library
explicit content, iTunes parental control
file formats
AAC 2nd
AIFF
Apple Lossless
bit rates
CD-quality (Lossless) format
CDDA
compression
conversions 2nd
DRM support
MIDI
MP3
WAV
WMA
gifting
high bit rate files, downsampling (iPod Shuffle/iTunes phone)
importing
CD-quality (Lossless) format 2nd
CDs 2nd
default file formats
encoding format/bit rate selection
error correction
existing music files to iTunes
iTunes Library
joined tracks
secret tracks 2nd
info tags
adding information to 2nd
editing
Internet Radio
iPod
deleting from
playing in
rating in
scanning through songs
scrolling with songs
slideshows
transferring preferred music only
updating in
iPod Shuffle
autofilling
updating in
iTunes
adding album art
adding files to
fast-forwarding in
finding original music files from iTunes entries
finding songs via Search box
importing CDs 2nd
importing existing music files to
importing joined tracks
importing MP3 collections to iTunes
importing secret tracks
organizing in by rating
parental controls
pausing in 2nd 3rd
playing in 2nd
rating in
repeating in
rewinding in
shuffling in
sorting information columns
training iTunes to play favorite music
viewing song information
iTunes Library
importing to 2nd
organizing in
iTunes Music Store
authorizing/deauthorizing computers to play
buying from
file ownership
new updates, viewing via RSS feeds
rating in
unlocking files
iTunes phones (Motorola), autofilling
local networks, sharing over
AAC files 2nd
browsing playlists
connection restrictions
finding shared music
firewalls 2nd
library connections
listening to
naming shared libraries
passwords 2nd
playlist selection
MP3
burning purchased music
importing collections to iTunes
Party Shuffle, rating in
podcasts
release date information
System Tray/Dock, rating in
Music Folder (iTunes)
Music Quiz (iPod games)
Music Store (iTunes)
AAC file restrictions
account registration
allowances
Artist Alerts
authorizing computers to play purchased music
authorizing downloads
Beatles, The
browsing
buying media from
AAC file format
Album Only designations
Buy Album button
Buy Episode button
Buy Season button
Buy Song button
Buy Video button
By Track Only designations
checking for purchases
Don't warn me about buying Songs again check box
downloading interrupted tracks
gift certificates
iTunes Music Cards
Partial Album designations
previewing
Purchased playlist (iTunes library)
re-enabling confirmation messages
shopping cart
song collections
viewing purchase history
Wish Lists
connecting to
Create New Account button
Customer Reviews section
deauthorizing computers to play purchased music 2nd
downloading video, bandwidth
EXPLICIT info tags
featured sections
file ownership
finding music by artists in iTunes Library
gift certificates
Gift This Music links
gifting media
Give Playlist links
house icon
iMixes
iTunes MiniStore
Just For You section
MPEG-4 file restrictions
navigating
new music updates, viewing via RSS feeds
New Releases section
Podcast Directory
profitability of
Purchase History button
QuickLinks 2nd
Redeem option
requesting music
RSS Feed Generator
searches
season passes
store credit box
Submit a Podcast page
Tell a Friend link
Terms of Service agreement
unlocking music files
URL, copying/pasting
web links
Write a Review link
Music Store view (iTunes) 2nd
music videos
My Rating column (iTunes)


N

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Y] [Z]

naming
CD tracks in iTunes
entering names manually
Gracenote/CDDB
iPod
iTunes playlists
playlists (iTunes)
nano (iPod)
Napster
navigating
iPod
interface
menus
iPod Radio Remote interface
iPod Shuffle interface
iTunes
adding album art to songs
adding files via
interface
iTunes interface
iTunes Library
iTunes Music Store
navigation lists (iTunes)
navigation wheel (iPod)
acceleration
volume, adjusting
networks (local), sharing music
AAC files 2nd
browsing playlists
connection restrictions
finding shared music
firewalls 2nd
library connections
listening to
naming shared libraries
passwords 2nd
playlist selection
New Music Tuesdays notification (iTunes)
New Releases section (iTunes Music Store)
No, I'll change the file and folder names myself option (iTunes Music folder)
notes, transferring to/viewing in iPod
Now Playing screen (iPod)
album art 2nd
Main menu, accessing from


O

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Y] [Z]

OK to disconnect messages (iPod)
On-The-Go playlists (iPod)
Only update checked songs option (iTunes Preferences window)
orchestra music, organizing in iTunes Library
organizing
album art
iTunes Library, broken pointers
iTunes Music folder
music
compilation albums
iTunes Music folder
orchestra music in iTunes Library
track/disc numbers


P

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Y] [Z]

Palm PDA, iTunes synchronization
Parachute (iPod games)
parental controls (iTunes)
Partial Album designations (iTunes Music Store)
Party Shuffle (iTunes)
crossfade effect
organizing upcoming songs while playing
Play higher rated songs more often check box
Refresh button
song display options, configuring
source playlist, choosing
training iTunes to play favorite music
Visualizer
passwords
Apple IDs, changing in
iTunes Music Store accounts
music sharing over local networks
sharing music over local networks
Pause button (iPod) [See Play/Pause button.]
pausing music/video in iTunes 2nd 3rd
PayPal, iTunes Music Store account registration
photo albums (iPod/photo synchronization)
Photo Library (iPod)
Photo preferences (iTunes Preferences window)
photos
displaying on TV
Apple Remote
iPod connections
slideshows
TV output mode, specifying
TV signal format, specifying
iPod
downloading from camera to
downloading to computer from
synchronizing with
viewing in
Photos menu (iPod)
piracy, iTunes Music Store
pixels (video)
platform conversions (iPods)
Play higher rated songs more often check box (Party Shuffle)
Play/Pause button
iPod 2nd
iTunes
Playback tab (iTunes Preferences window)
Crossfade playback check box
Sound Check option
playback technology (video), development of
Playlist view (iTunes)
playlists
browsing, shared music libraries
crossfade effects
data discs (DVDs), burning
gifting
iMixes, publishing as
Internet Radio stations
iPod
calculating disc space
deleting from
playing on
shuffling in
iTunes
browsing in
creating in
deleting from
dragging songs to
grouping into folders
naming in
opening
playing
rearranging in
Smart Playlists
iTunes phones (Motorola), creating in
iTunes/mobile device synchronization, ppcTunes
Large playlist them option (itunes Print dialog)
mix CDs, creating
MP3 CDs, burning 2nd
On-The-Go (iPod)
Party Shuffle, choosing source playlists
Purchased (iTunes Library)
sharing music over local networks
shuffling in (iTunes)
Smart Playlists
creating 2nd
editing
Limit to check box
Match only checked songs check box
naming
training iTunes to play favorite music
video
web resources
song collection playlists, automatically creating
song lists, exporting
video (iPod)
Wish Lists (iTunes Music Store)
Pocket PC, iTunes synchronization
pod slurping
Podcast Directory
iTunes
iTunes Music Store
podcasts 2nd 3rd 4th
bookmarking
browsing
creating
GarageBand
software
subscriptions
deleting
development of
downloading episodes
episode artwork
explicit content, iTunes parental control
finding
iPod
listening on
playing episodes 2nd
playing video podcasts 2nd
playing where you left off
updating
iTunes
listening in
parental controls
playing where you left off
viewing descriptions in
iTunes Library, organizing
publicizing
selecting episodes
Spoken Podcast option (AAC Encoder option)
subscriptions
restoring via exported song lists
unlisted podcasts
updating
unlistened episodes
unsubscribing from
update settings, configuring
Podcasts page (Preferences window)
Podcasts view (iTunes)
Chapter Selector menu
Podcast Directory link
Report a Concern link
poster frames (videos)
Power Search option (iTunes Music Store)
ppcTunes iTunes/mobile device synchronization software
Convert MP3s to WMAs (smaller files) check box
playlists
Sync on Pocket PC connect option
Use storage card if present option
WMA conversions
preamp setting (iTunes) 2nd
Preferences window (iTunes)
Advanced preferences
Consolidate Library option
Convert ID3 Tags option
Copy files to iTunes Music folder when adding to library check box
Keep iTunes Music folder organized check box 2nd
Keep Mini Player on top of all other windows check box
Minimize iTunes window to system tray option
Show iTunes icon in system tray check box
Automatically create playlists when purchasing song collections check box
Burning preferences
Disc Format setting
Gap Between Songs setting
MP3 CD option
Preferred Speed option
Use Sound Check check box
Buy using a Shopping Cart option
Convert higher bitrate songs to 128 kbps AAC option
Copy files to iTunes Music folder when adding to library check box 2nd
General preferences
Import Songs options
Importing preferences
AAC Encoder option
AIFF Encoder option
Apple Lossless Encoder option 2nd
audio file format conversions
custom encoding options
MP3 Encoder option
Use error correction when reading Audio CDs check box
User error correction when reading Audio CDs check box
WAV Encoder option
iPod preferences
Automatically synchronize when iPod is connected option
Automatically update all songs and playlists option
Automatically update selected playlists only option
Manually manage songs and playlists option 2nd
podcasts
video
iPod Shuffle
iTunes Phone
Keep iTunes Music folder organized check box
Only update checked songs option
Parental Control tab
Photo preferences
Playback tab
Crossfade playback check box
Sound Check option
Podcasts page
Check for new episodes drop-down list
manual updates
When new episodes are available drop-down list
Sharing preferences
Look for shared music check box
Require password check box
Share my music check box
Status readout
Show links to the Music Store check box
Preferred Speed option (Burning preferences)
price comparison chart (iPod)
Print dialog (iTunes)
printing
CD jewel case inserts 2nd
background color
listing selection
previewing
theme selection
gift certificates
protective gear (iPod)
Purchase History button (iTunes Music Store)
Purchased playlist (iTunes Library)
purchasing
iTunes Music Cards
iTunes Music Store media
AAC file format
Album Only designations
allowances
browsing
Buy Album button
Buy Episode button
Buy Season button
Buy Song button
Buy Video button
By Track Only designations
checking for purchases
Don't warn me about buying Songs again check box
downloading interrupted tracks
gift certificates
iTunes Music Cards
Partial Album designations
previewing
purchase history, viewing
Purchased playlist (iTunes Library)
re-enabling confirmation messages
shopping cart
song collections
Wish Lists


Q

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Y] [Z]

QuickLinks 2nd
QuickTime file format 2nd


R

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Y] [Z]

Radio Remote (iPod)
rating
iMixes
media (iTunes Music Store)
music
Dock
iPod
iTunes
Party Shuffle
System Tray
training iTunes to play favorite music
Rating mode (iPod)
Read Before You Install iTunes file (iTunes)
Redeem option (iTunes Music Store)
Refresh button (Party Shuffle)
registering
computers to play purchased iTunes Music Store music
iPod
iTunes Music Store
accounts
Apple ID
credit cards
PayPal
security
release date information (albums), web resources
Remember playback position check box (iTunes)
repeating music in iTunes
Replace all songs when Autofilling check box (Autofill drop-down list)
Report a Concern link (Podcasts view)
requesting music (iTunes Music Store)
Require password check box (Sharing preferences)
resetting iPod
reviews, writing (iTunes Music Store)
rewinding music in iTunes
ripping CDs
RSS (Really Simple Syndication) feeds


S

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Y] [Z]

saving
On-The-Go playlists (iPod)
song lists
scan mode (iPod)
scanning through songs in iPod
screen (iPod)
backlight, configuring
contrast, adjusting
scrub bar (iTunes)
Search bar (iTunes) 2nd
Search box (iTunes) 2nd
searching
iTunes Music Store
finding music by iTunes Library artists in
narrowing scope of
Power Search option
titles
video
Videos view (iTunes)
season passes
secret tracks (CDs), importing to iTunes
security
Apple IDs, changing passwords
iTunes Music Store account registration
Select button (iPod) 2nd
Settings menu (iPod)
Backlight Timer menu
Contrast menu
Date & Time Settings menu
EQ (Equalizer) menu
languages, choosing
shallow discharge (iPod battery)
Share my music check box (Sharing preferences)
Shared Music view (iTunes)
sharing music over local networks
Sharing preferences (iTunes Preferences window)
Look for shared music check box
Require password check box
Share my music check box
Status readout
shopping cart (iTunes Music Store)
Show Current Song command (iTunes)
Show Duplicate Songs option (iTunes Edit menu)
Show iTunes icon in system tray check box (iTunes Advanced preferences)
Show links to the Music Store check box (iTunes Preferences window)
Show or Hide MiniStore button (iTunes Library)
Show Song File option (iTunes File menu)
Show Video Full Screen button (Viewer pane)
Shuffle (iPod)
autofilling
deleting songs
external hard disks
interface, navigating
iTunes connections
rearranging song order
Source list (iTunes), retaining entry in
updating
USB support
Shuffle mode (iPod)
Shuffle option (iTunes)
Shuffle Songs mode (iPod) 2nd
shuffling music
iPod playlists
iTunes
rearranging playlists
Shuffle option
Smart Shuffle
Single cover theme option (iTunes Print dialog)
Single side theme option (iTunes Print dialog)
sleep mode (iPod)
slideshows
displaying photos on TV
iPod
Smart Playlists (iTunes)
creating 2nd
editing
Limit to check box
Match only checked songs check box (iTunes)
naming
training iTunes to play favorite music
video
web resources
Smart Shuffle (iTunes)
Smartphone (Microsoft), iTunes synchronization
Software License Agreement (iTunes) 2nd
Solitaire (iPod games)
Song listing option (iTunes Print dialog)
song lists, exporting
songs
album art
adding to/removing from iTunes
organizing
collections (iTunes Music Store), automatically creating playlists
iPod
deleting from
scanning through in
scrolling within
iTunes
auto-leveling volume in
crossfade effects
viewing information about
sorting
iPod contacts
iTunes
information columns
intelligent sorting example
"The" entries
video in List View (Videos view)
Sound Check option (iTunes Preferences window)
Sound Enhancer (iTunes), adjusting
sound, adjusting in iPod
Source list (iTunes), retaining iPod Shuffle entry
Source pane (iTunes)
Date Added column
Kind column
Music Store option
Purchased playlist
sizing
speaker/headphone configurations (iPod)
spelling album/artist/song names
Spoken Podcast option (AAC Encoder option)
Status readout (Sharing preferences)
stereos, iTunes connections
Stopwatch option (iPod)
storage cards (cameras), erasing
store credit box (iTunes Music Store)
Submit a Podcast page (iTunes Music Store)
Submit CD Track Names option (iTunes)
subscribing to podcasts 2nd
Switch to Mini Player command (iTunes)
symphonic music, organizing in iTunes Library
Sync on Pocket PC connect option (ppcTunes)
Synchronize photos from check box (Photo preferences)
synchronizing
iPod
Automatically update songs on my iPod check box (iTunes)
calendar events with
contacts 2nd
FireWire 2nd
iTunes 2nd 3rd
to-do-lists
video
iTunes
iPod synchronization 2nd 3rd
mobile device synchronization
Palm PDA synchronization
Pocket PC synchronization
Smartphone (Microsoft) synchronization
iTunes Library, synchronizing with iPod
system tray
enabling iTunes
iTunes playback control
Minimize iTunes window to system tray option (iTunes Advanced preferences)
ratings songs in iTunes
Show iTunes icon in system tray check box (iTunes Advanced preferences)
viewing song information in iTunes


T

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Y] [Z]

Tell a Friend link (iTunes Music Store)
Terms and Conditions (iTunes), burning copy-protected files
Terms of Service agreement (iTunes Music Store)
text notes, transferring to/viewing in iPod
Text only theme option (iTunes Print dialog)
thumbnails, browsing video by (iTunes Videos view)
Time in Title option (iPod)
time/date, setting in iPod
Title Bar Clock (iPod)
title searches, iTunes Music Store
to-do-lists, iPod synchronization
Track Number field (iTunes Library)
transferring music to iPod, preferred music only
transitions (iPod slideshows)
troubleshooting
CD burning
MP3 CDs
playlists, creating from
iPod 2nd
iTunes
music imports
video file conversions
TV 2nd
photos, displaying from iPod
Apple Remote
iPod connections
slideshows
TV output mode, specifying
TV signal format, specifying
video, displaying from iPod
Apple Remote
equipment requirements
iPod connections
iPod controls
TV output mode, specifying
TV signal format, specifying
widescreen/full-frame modes, specifying


U

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Y] [Z]

U.S. Mail, sending via iTunes Music Store cards
U2 Special Edition iPod
Unjoin CD Tracks option (iTunes)
unsubscribing from podcasts
Updater (iPod), converting Windows formatted iPod to Mac format
updating
iMixes
iPod
Automatically update all songs and playlists option (itunes preferences window)
Automatically update selected playlists only option (itunes preferences window)
Automatically update songs on my iPod check box
Do not disconnect icon
Dock connectors
FireWire cable
iPod update is complete message
iTunes synchronization
Manually manage songs and playlists option (itunes preferences window) 2nd
podcasts
video
iPod Shuffle, Automatically choose songs for my iPod check box
iTunes
podcasts
USB (universal serial buses)
connections, downloading photos from camera to iPod
iPod Shuffle
connectors
support
iPod/iTunes synchronization
USB 1.1, operating speeds
USB 2.0 iPod connections 2nd
Use error correction when reading Audio CDs check box (Importing preferences) 2nd
Use Sound Check check box (Burning preferences)
Use storage card if present option (ppcTunes)


V

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Y] [Z]

video
backups
digital technology, development of
explicit content, iTunes parental control
file formats
file sizes
frame rates
full-screen mode, playing in
genres, changing
gifting
info tags, editing 2nd
iPod
converting to
playing playlists
playing podcast episodes 2nd
playing specific videos
scrolling within
synchronizing 2nd
updating
iTunes
adding files to 2nd
browsing in Videos view
converting to
downloading in iTunes-compatible file formats
file format requirements
finding in
parental control
pausing in
playing preferences
synchronizing
Viewer pane (iTunes)
iTunes Library
importing in
organizing in
iTunes Music Store
authorizing/deauthorizing computers to play
browsing in
buying from
downloading from
rating in
searches in
viewing new updates via RSS feeds
movies
music videos
On-The-Go playlists (iPod)
pixels
playback technology, development of
poster frames
season passes
Smart Playlists (iTunes)
sorting in List View (Videos view)
TV shows
TV, displaying on
video context bar (Videos view)
Videos menu (iPod)
Videos view (iTunes) 2nd
Viewer pane (iTunes)
displaying 2nd
Show Video Full Screen button
sizing
visualizers (iTunes)
Full Screen mode
key commands
optimizing
Party Shuffle
third-party visualizers
web resources
volume
iPod
adjusting
controlling in
volume limits
iTunes, auto-leveling


W

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Y] [Z]

warranties, iPod
WAV (Windows WAVeform file) file format
WAV Encoder option (Importing preferences)
web links, iTunes Music Store
wheel (iPod) [See navigation wheel (iPod)]
When new episodes are available drop-down list (Podcasts page)
White mosaic theme option (iTunes Print dialog)
widescreen mode, watching iPod video on TV
Wikipedia
Windows
iPod
converting to Mac format
platform conversions
iTunes
downloading
enabling via System Tray
File, Add File to Library command
installing
mobile device synchronization
playback control from system tray
rating songs via system tray
success on
Switch to Mini Player command
updates
viewing song information via system tray
mini-player (iTunes)
Parental Control tab (iTunes)
podcast creation software
QuickTime, installing
wireless base stations
Wish Lists (iTunes Music Store)
WMA (Windows Media Audio) file format 2nd 3rd
file conversions, iTunes/mobile device synchronization
MP3 CDs, burning
wmv (Windows Media Video) file format
Write a Review link (iTunes Music Store)


Y

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Y] [Z]

Yes, keep my iTunes Music folder organized option (iTunes Music folder)


Z

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Y] [Z]

Zoom button (iTunes)